diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/CHANGES ../RELENG_4/crypto/openssl/CHANGES
*** crypto/openssl/CHANGES	Mon Feb 24 20:42:40 2003
--- ../RELENG_4/crypto/openssl/CHANGES	Mon Feb 24 21:14:49 2003
***************
*** 2,7 ****
--- 2,88 ----
   OpenSSL CHANGES
   _______________
  
+  Changes between 0.9.7 and 0.9.7a  [19 Feb 2003]
+ 
+   *) In ssl3_get_record (ssl/s3_pkt.c), minimize information leaked
+      via timing by performing a MAC computation even if incorrrect
+      block cipher padding has been found.  This is a countermeasure
+      against active attacks where the attacker has to distinguish
+      between bad padding and a MAC verification error. (CAN-2003-0078)
+ 
+      [Bodo Moeller; problem pointed out by Brice Canvel (EPFL),
+      Alain Hiltgen (UBS), Serge Vaudenay (EPFL), and
+      Martin Vuagnoux (EPFL, Ilion)]
+ 
+   *) Make the no-err option work as intended.  The intention with no-err
+      is not to have the whole error stack handling routines removed from
+      libcrypto, it's only intended to remove all the function name and
+      reason texts, thereby removing some of the footprint that may not
+      be interesting if those errors aren't displayed anyway.
+ 
+      NOTE: it's still possible for any application or module to have it's
+      own set of error texts inserted.  The routines are there, just not
+      used by default when no-err is given.
+      [Richard Levitte]
+ 
+   *) Add support for FreeBSD on IA64.
+      [dirk.meyer@dinoex.sub.org via Richard Levitte, resolves #454]
+ 
+   *) Adjust DES_cbc_cksum() so it returns the same value as the MIT
+      Kerberos function mit_des_cbc_cksum().  Before this change,
+      the value returned by DES_cbc_cksum() was like the one from
+      mit_des_cbc_cksum(), except the bytes were swapped.
+      [Kevin Greaney <Kevin.Greaney@hp.com> and Richard Levitte]
+ 
+   *) Allow an application to disable the automatic SSL chain building.
+      Before this a rather primitive chain build was always performed in
+      ssl3_output_cert_chain(): an application had no way to send the 
+      correct chain if the automatic operation produced an incorrect result.
+ 
+      Now the chain builder is disabled if either:
+ 
+      1. Extra certificates are added via SSL_CTX_add_extra_chain_cert().
+ 
+      2. The mode flag SSL_MODE_NO_AUTO_CHAIN is set.
+ 
+      The reasoning behind this is that an application would not want the
+      auto chain building to take place if extra chain certificates are
+      present and it might also want a means of sending no additional
+      certificates (for example the chain has two certificates and the
+      root is omitted).
+      [Steve Henson]
+ 
+   *) Add the possibility to build without the ENGINE framework.
+      [Steven Reddie <smr@essemer.com.au> via Richard Levitte]
+ 
+   *) Under Win32 gmtime() can return NULL: check return value in
+      OPENSSL_gmtime(). Add error code for case where gmtime() fails.
+      [Steve Henson]
+ 
+   *) DSA routines: under certain error conditions uninitialized BN objects
+      could be freed. Solution: make sure initialization is performed early
+      enough. (Reported and fix supplied by Ivan D Nestlerode <nestler@MIT.EDU>,
+      Nils Larsch <nla@trustcenter.de> via PR#459)
+      [Lutz Jaenicke]
+ 
+   *) Another fix for SSLv2 session ID handling: the session ID was incorrectly
+      checked on reconnect on the client side, therefore session resumption
+      could still fail with a "ssl session id is different" error. This
+      behaviour is masked when SSL_OP_ALL is used due to
+      SSL_OP_MICROSOFT_SESS_ID_BUG being set.
+      Behaviour observed by Crispin Flowerday <crispin@flowerday.cx> as
+      followup to PR #377.
+      [Lutz Jaenicke]
+ 
+   *) IA-32 assembler support enhancements: unified ELF targets, support
+      for SCO/Caldera platforms, fix for Cygwin shared build.
+      [Andy Polyakov]
+ 
+   *) Add support for FreeBSD on sparc64.  As a consequence, support for
+      FreeBSD on non-x86 processors is separate from x86 processors on
+      the config script, much like the NetBSD support.
+      [Richard Levitte & Kris Kennaway <kris@obsecurity.org>]
+ 
   Changes between 0.9.6h and 0.9.7  [31 Dec 2002]
  
    *) Fix session ID handling in SSLv2 client code: the SERVER FINISHED
***************
*** 177,183 ****
  	# is assumed to contain the absolute OpenSSL source directory.
  	mkdir -p objtree/"`uname -s`-`uname -r`-`uname -m`"
  	cd objtree/"`uname -s`-`uname -r`-`uname -m`"
! 	(cd $OPENSSL_SOURCE; find . -type f -o -type l) | while read F; do
  		mkdir -p `dirname $F`
  		ln -s $OPENSSL_SOURCE/$F $F
  	done
--- 258,264 ----
  	# is assumed to contain the absolute OpenSSL source directory.
  	mkdir -p objtree/"`uname -s`-`uname -r`-`uname -m`"
  	cd objtree/"`uname -s`-`uname -r`-`uname -m`"
! 	(cd $OPENSSL_SOURCE; find . -type f) | while read F; do
  		mkdir -p `dirname $F`
  		ln -s $OPENSSL_SOURCE/$F $F
  	done
***************
*** 1677,1682 ****
--- 1758,1768 ----
       be reduced modulo  m.
       [Lenka Fibikova <fibikova@exp-math.uni-essen.de>, Bodo Moeller]
  
+ #if 0
+      The following entry accidentily appeared in the CHANGES file
+      distributed with OpenSSL 0.9.7.  The modifications described in
+      it do *not* apply to OpenSSL 0.9.7.
+ 
    *) Remove a few calls to bn_wexpand() in BN_sqr() (the one in there
       was actually never needed) and in BN_mul().  The removal in BN_mul()
       required a small change in bn_mul_part_recursive() and the addition
***************
*** 1685,1690 ****
--- 1771,1777 ----
       bn_sub_words() and bn_add_words() except they take arrays with
       differing sizes.
       [Richard Levitte]
+ #endif
  
    *) In 'openssl passwd', verify passwords read from the terminal
       unless the '-salt' option is used (which usually means that
***************
*** 1815,1820 ****
--- 1902,1919 ----
  
    *) Clean old EAY MD5 hack from e_os.h.
       [Richard Levitte]
+ 
+  Changes between 0.9.6h and 0.9.6i  [19 Feb 2003]
+ 
+   *) In ssl3_get_record (ssl/s3_pkt.c), minimize information leaked
+      via timing by performing a MAC computation even if incorrrect
+      block cipher padding has been found.  This is a countermeasure
+      against active attacks where the attacker has to distinguish
+      between bad padding and a MAC verification error. (CAN-2003-0078)
+ 
+      [Bodo Moeller; problem pointed out by Brice Canvel (EPFL),
+      Alain Hiltgen (UBS), Serge Vaudenay (EPFL), and
+      Martin Vuagnoux (EPFL, Ilion)]
  
   Changes between 0.9.6g and 0.9.6h  [5 Dec 2002]
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/Configure ../RELENG_4/crypto/openssl/Configure
*** crypto/openssl/Configure	Mon Feb 24 20:42:40 2003
--- ../RELENG_4/crypto/openssl/Configure	Mon Feb 24 21:14:49 2003
***************
*** 10,16 ****
  
  # see INSTALL for instructions.
  
! my $usage="Usage: Configure [no-<cipher> ...] [-Dxxx] [-lxxx] [-Lxxx] [-fxxx] [-Kxxx] [no-hw-xxx|no-hw] [[no-]threads] [[no-]shared] [[no-]zlib|zlib-dynamic] [no-asm] [no-dso] [no-krb5] [386] [--prefix=DIR] [--openssldir=OPENSSLDIR] [--with-xxx[=vvv]] [--test-sanity] os/compiler[:flags]\n";
  
  # Options:
  #
--- 10,16 ----
  
  # see INSTALL for instructions.
  
! my $usage="Usage: Configure [no-<cipher> ...] [-Dxxx] [-lxxx] [-Lxxx] [-fxxx] [-Kxxx] [no-engine] [no-hw-xxx|no-hw] [[no-]threads] [[no-]shared] [[no-]zlib|zlib-dynamic] [no-asm] [no-dso] [no-krb5] [386] [--prefix=DIR] [--openssldir=OPENSSLDIR] [--with-xxx[=vvv]] [--test-sanity] os/compiler[:flags]\n";
  
  # Options:
  #
***************
*** 38,43 ****
--- 38,44 ----
  # --test-sanity Make a number of sanity checks on the data in this file.
  #               This is a debugging tool for OpenSSL developers.
  #
+ # no-engine     do not compile in any engine code.
  # no-hw-xxx     do not compile support for specific crypto hardware.
  #               Generic OpenSSL-style methods relating to this support
  #               are always compiled but return NULL if the hardware
***************
*** 107,113 ****
  my $bits1="THIRTY_TWO_BIT ";
  my $bits2="SIXTY_FOUR_BIT ";
  
- my $x86_sol_asm="asm/bn86-sol.o asm/co86-sol.o:asm/dx86-sol.o asm/yx86-sol.o:asm/bx86-sol.o:asm/mx86-sol.o:asm/sx86-sol.o:asm/cx86-sol.o:asm/rx86-sol.o:asm/rm86-sol.o:asm/r586-sol.o";
  my $x86_elf_asm="asm/bn86-elf.o asm/co86-elf.o:asm/dx86-elf.o asm/yx86-elf.o:asm/bx86-elf.o:asm/mx86-elf.o:asm/sx86-elf.o:asm/cx86-elf.o:asm/rx86-elf.o:asm/rm86-elf.o:asm/r586-elf.o";
  my $x86_out_asm="asm/bn86-out.o asm/co86-out.o:asm/dx86-out.o asm/yx86-out.o:asm/bx86-out.o:asm/mx86-out.o:asm/sx86-out.o:asm/cx86-out.o:asm/rx86-out.o:asm/rm86-out.o:asm/r586-out.o";
  my $x86_bsdi_asm="asm/bn86bsdi.o asm/co86bsdi.o:asm/dx86bsdi.o asm/yx86bsdi.o:asm/bx86bsdi.o:asm/mx86bsdi.o:asm/sx86bsdi.o:asm/cx86bsdi.o:asm/rx86bsdi.o:asm/rm86bsdi.o:asm/r586bsdi.o";
--- 108,113 ----
***************
*** 161,167 ****
  # surrounds it with #APP #NO_APP comment pair which (at least Solaris
  # 7_x86) /usr/ccs/bin/as fails to assemble with "Illegal mnemonic"
  # error message.
! "solaris-x86-gcc","gcc:-O3 -fomit-frame-pointer -m486 -Wall -DL_ENDIAN -DOPENSSL_NO_INLINE_ASM::-D_REENTRANT::-lsocket -lnsl -ldl:BN_LLONG ${x86_gcc_des} ${x86_gcc_opts}:${x86_sol_asm}:dlfcn:solaris-shared:-fPIC:-shared:.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
  
  #### Solaris x86 with Sun C setups
  "solaris-x86-cc","cc:-fast -O -Xa::-D_REENTRANT::-lsocket -lnsl -ldl:BN_LLONG RC4_CHAR RC4_CHUNK DES_PTR DES_UNROLL BF_PTR::::::::::dlfcn:solaris-shared:-KPIC::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
--- 161,167 ----
  # surrounds it with #APP #NO_APP comment pair which (at least Solaris
  # 7_x86) /usr/ccs/bin/as fails to assemble with "Illegal mnemonic"
  # error message.
! "solaris-x86-gcc","gcc:-O3 -fomit-frame-pointer -m486 -Wall -DL_ENDIAN -DOPENSSL_NO_INLINE_ASM::-D_REENTRANT::-lsocket -lnsl -ldl:BN_LLONG ${x86_gcc_des} ${x86_gcc_opts}:${x86_elf_asm}:dlfcn:solaris-shared:-fPIC:-shared:.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
  
  #### Solaris x86 with Sun C setups
  "solaris-x86-cc","cc:-fast -O -Xa::-D_REENTRANT::-lsocket -lnsl -ldl:BN_LLONG RC4_CHAR RC4_CHUNK DES_PTR DES_UNROLL BF_PTR::::::::::dlfcn:solaris-shared:-KPIC::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
***************
*** 262,283 ****
  "hpux64-parisc-gcc","gcc:-DB_ENDIAN -DMD32_XARRAY::-D_REENTRANT::-ldl:SIXTY_FOUR_BIT_LONG MD2_CHAR RC4_INDEX RC4_CHAR DES_UNROLL DES_RISC1 DES_INT::::::::::dlfcn:hpux64-shared:-fpic::.sl.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
  
  # IA-64 targets
! # I have no idea if this one actually works, feedback needed. <appro>
! "hpux-ia64-cc","cc:-Ae +DD32 +O3 +ESlit -z -DB_ENDIAN::-D_REENTRANT::-ldl:SIXTY_FOUR_BIT MD2_CHAR RC4_INDEX RC4_CHAR DES_UNROLL DES_RISC1 DES_INT:asm/ia64-cpp.o:::::::::dlfcn:hpux-shared:+Z::.sl.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
  # Frank Geurts <frank.geurts@nl.abnamro.com> has patiently assisted with
  # with debugging of the following config.
! "hpux64-ia64-cc","cc:-Ae +DD64 +O3 +ESlit -z -DB_ENDIAN::-D_REENTRANT::-ldl:SIXTY_FOUR_BIT_LONG MD2_CHAR RC4_INDEX RC4_CHAR DES_UNROLL DES_RISC1 DES_INT:asm/ia64-cpp.o:::::::::dlfcn:hpux64-shared:+Z::.sl.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
  
  # More attempts at unified 10.X and 11.X targets for HP C compiler.
  #
  # Chris Ruemmler <ruemmler@cup.hp.com>
  # Kevin Steves <ks@hp.se>
! "hpux-parisc-cc","cc:+O3 +Optrs_strongly_typed +Olibcalls -Ae +ESlit -DB_ENDIAN -DBN_DIV2W -DMD32_XARRAY::-D_REENTRANT::-Wl,+s -ldld:MD2_CHAR RC4_INDEX RC4_CHAR DES_UNROLL DES_RISC1 DES_INT::::::::::dl:hpux-shared:+Z::.sl.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
! "hpux-parisc2-cc","cc:+DA2.0 +DS2.0 +O3 +Optrs_strongly_typed +Olibcalls -Ae +ESlit -DB_ENDIAN -DMD32_XARRAY::-D_REENTRANT::-Wl,+s -ldld:SIXTY_FOUR_BIT MD2_CHAR RC4_INDEX RC4_CHAR DES_UNROLL DES_RISC1 DES_INT:asm/pa-risc2.o:::::::::dl:hpux-shared:+Z::.sl.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
! "hpux64-parisc2-cc","cc:+DD64 +O3 +Optrs_strongly_typed +Olibcalls -Ae +ESlit -DB_ENDIAN -DMD32_XARRAY::-D_REENTRANT::-ldl:SIXTY_FOUR_BIT_LONG MD2_CHAR RC4_INDEX RC4_CHAR DES_UNROLL DES_RISC1 DES_INT:asm/pa-risc2W.o:::::::::dlfcn:hpux64-shared:+Z::.sl.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
  # Isn't the line below meaningless? HP-UX cc optimizes for host by default.
  # hpux-parisc1_0-cc with +DAportable flag would make more sense. <appro>
! "hpux-parisc1_1-cc","cc:+DA1.1 +DS1.1 +O3 +Optrs_strongly_typed +Olibcalls -Ae +ESlit -DB_ENDIAN -DMD32_XARRAY::-D_REENTRANT::-Wl,+s -ldld:MD2_CHAR RC4_INDEX RC4_CHAR DES_UNROLL DES_RISC1 DES_INT::::::::::dl:hpux-shared:+Z::.sl.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
  
  # HPUX 9.X config.
  # Don't use the bundled cc.  It is broken.  Use HP ANSI C if possible, or
--- 262,282 ----
  "hpux64-parisc-gcc","gcc:-DB_ENDIAN -DMD32_XARRAY::-D_REENTRANT::-ldl:SIXTY_FOUR_BIT_LONG MD2_CHAR RC4_INDEX RC4_CHAR DES_UNROLL DES_RISC1 DES_INT::::::::::dlfcn:hpux64-shared:-fpic::.sl.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
  
  # IA-64 targets
! "hpux-ia64-cc","cc:-Ae +DD32 +O3 +Olit=all -z -DB_ENDIAN::-D_REENTRANT::-ldl:SIXTY_FOUR_BIT MD2_CHAR RC4_INDEX RC4_CHAR DES_UNROLL DES_RISC1 DES_INT:asm/ia64-cpp.o:::::::::dlfcn:hpux-shared:+Z::.sl.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
  # Frank Geurts <frank.geurts@nl.abnamro.com> has patiently assisted with
  # with debugging of the following config.
! "hpux64-ia64-cc","cc:-Ae +DD64 +O3 +Olit=all -z -DB_ENDIAN::-D_REENTRANT::-ldl:SIXTY_FOUR_BIT_LONG MD2_CHAR RC4_INDEX RC4_CHAR DES_UNROLL DES_RISC1 DES_INT:asm/ia64-cpp.o:::::::::dlfcn:hpux64-shared:+Z::.sl.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
  
  # More attempts at unified 10.X and 11.X targets for HP C compiler.
  #
  # Chris Ruemmler <ruemmler@cup.hp.com>
  # Kevin Steves <ks@hp.se>
! "hpux-parisc-cc","cc:+O3 +Optrs_strongly_typed -Ae +ESlit -DB_ENDIAN -DBN_DIV2W -DMD32_XARRAY::-D_REENTRANT::-Wl,+s -ldld:MD2_CHAR RC4_INDEX RC4_CHAR DES_UNROLL DES_RISC1 DES_INT::::::::::dl:hpux-shared:+Z::.sl.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
! "hpux-parisc2-cc","cc:+DA2.0 +DS2.0 +O3 +Optrs_strongly_typed -Ae +ESlit -DB_ENDIAN -DMD32_XARRAY::-D_REENTRANT::-Wl,+s -ldld:SIXTY_FOUR_BIT MD2_CHAR RC4_INDEX RC4_CHAR DES_UNROLL DES_RISC1 DES_INT:asm/pa-risc2.o:::::::::dl:hpux-shared:+Z::.sl.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
! "hpux64-parisc2-cc","cc:+DD64 +O3 +Optrs_strongly_typed -Ae +ESlit -DB_ENDIAN -DMD32_XARRAY::-D_REENTRANT::-ldl:SIXTY_FOUR_BIT_LONG MD2_CHAR RC4_INDEX RC4_CHAR DES_UNROLL DES_RISC1 DES_INT:asm/pa-risc2W.o:::::::::dlfcn:hpux64-shared:+Z::.sl.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
  # Isn't the line below meaningless? HP-UX cc optimizes for host by default.
  # hpux-parisc1_0-cc with +DAportable flag would make more sense. <appro>
! "hpux-parisc1_1-cc","cc:+DA1.1 +DS1.1 +O3 +Optrs_strongly_typed -Ae +ESlit -DB_ENDIAN -DMD32_XARRAY::-D_REENTRANT::-Wl,+s -ldld:MD2_CHAR RC4_INDEX RC4_CHAR DES_UNROLL DES_RISC1 DES_INT::::::::::dl:hpux-shared:+Z::.sl.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
  
  # HPUX 9.X config.
  # Don't use the bundled cc.  It is broken.  Use HP ANSI C if possible, or
***************
*** 384,391 ****
  "debug-linux-elf","gcc:-DBN_DEBUG -DREF_CHECK -DCONF_DEBUG -DBN_CTX_DEBUG -DCRYPTO_MDEBUG -DL_ENDIAN -DTERMIO -g -m486 -Wall::-D_REENTRANT::-lefence -ldl:BN_LLONG ${x86_gcc_des} ${x86_gcc_opts}:${x86_elf_asm}:dlfcn:linux-shared:-fPIC::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
  "debug-linux-elf-noefence","gcc:-DBN_DEBUG -DREF_CHECK -DCONF_DEBUG -DBN_CTX_DEBUG -DCRYPTO_MDEBUG -DL_ENDIAN -DTERMIO -g -m486 -Wall::-D_REENTRANT::-ldl:BN_LLONG ${x86_gcc_des} ${x86_gcc_opts}:${x86_elf_asm}:dlfcn",
  "linux-aout",	"gcc:-DL_ENDIAN -DTERMIO -O3 -fomit-frame-pointer -m486 -Wall::(unknown):::BN_LLONG ${x86_gcc_des} ${x86_gcc_opts}:${x86_out_asm}",
! "linux-mipsel",   "gcc:-DL_ENDIAN -DTERMIO -O3 -fomit-frame-pointer -Wall::(unknown):::BN_LLONG:::",
! "linux-mips",   "gcc:-DB_ENDIAN -DTERMIO -O3 -fomit-frame-pointer -Wall::(unknown):::BN_LLONG:::",
  "linux-ppc",    "gcc:-DB_ENDIAN -DTERMIO -O3 -fomit-frame-pointer -Wall::-D_REENTRANT::-ldl:BN_LLONG RC4_CHAR RC4_CHUNK DES_RISC1 DES_UNROLL::::::::::dlfcn:linux-shared:-fPIC::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
  "linux-m68k",   "gcc:-DB_ENDIAN -DTERMIO -O2 -fomit-frame-pointer -Wall::-D_REENTRANT:::BN_LLONG::",
  "linux-s390",	"gcc:-DB_ENDIAN -DTERMIO -DNO_ASM -O3 -fomit-frame-pointer -Wall::-D_REENTRANT::-ldl:BN_LLONG::::::::::dlfcn:linux-shared:-fPIC::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
--- 383,390 ----
  "debug-linux-elf","gcc:-DBN_DEBUG -DREF_CHECK -DCONF_DEBUG -DBN_CTX_DEBUG -DCRYPTO_MDEBUG -DL_ENDIAN -DTERMIO -g -m486 -Wall::-D_REENTRANT::-lefence -ldl:BN_LLONG ${x86_gcc_des} ${x86_gcc_opts}:${x86_elf_asm}:dlfcn:linux-shared:-fPIC::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
  "debug-linux-elf-noefence","gcc:-DBN_DEBUG -DREF_CHECK -DCONF_DEBUG -DBN_CTX_DEBUG -DCRYPTO_MDEBUG -DL_ENDIAN -DTERMIO -g -m486 -Wall::-D_REENTRANT::-ldl:BN_LLONG ${x86_gcc_des} ${x86_gcc_opts}:${x86_elf_asm}:dlfcn",
  "linux-aout",	"gcc:-DL_ENDIAN -DTERMIO -O3 -fomit-frame-pointer -m486 -Wall::(unknown):::BN_LLONG ${x86_gcc_des} ${x86_gcc_opts}:${x86_out_asm}",
! "linux-mipsel",   "gcc:-DL_ENDIAN -DTERMIO -O3 -fomit-frame-pointer -Wall::-D_REENTRANT::-ldl:BN_LLONG RC2_CHAR RC4_INDEX DES_INT DES_UNROLL DES_RISC2::::::::::dlfcn:linux-shared:-fPIC::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
! "linux-mips",   "gcc:-DB_ENDIAN -DTERMIO -O3 -fomit-frame-pointer -Wall::-D_REENTRANT::-ldl:BN_LLONG RC2_CHAR RC4_INDEX DES_INT DES_UNROLL DES_RISC2::::::::::dlfcn:linux-shared:-fPIC::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
  "linux-ppc",    "gcc:-DB_ENDIAN -DTERMIO -O3 -fomit-frame-pointer -Wall::-D_REENTRANT::-ldl:BN_LLONG RC4_CHAR RC4_CHUNK DES_RISC1 DES_UNROLL::::::::::dlfcn:linux-shared:-fPIC::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
  "linux-m68k",   "gcc:-DB_ENDIAN -DTERMIO -O2 -fomit-frame-pointer -Wall::-D_REENTRANT:::BN_LLONG::",
  "linux-s390",	"gcc:-DB_ENDIAN -DTERMIO -DNO_ASM -O3 -fomit-frame-pointer -Wall::-D_REENTRANT::-ldl:BN_LLONG::::::::::dlfcn:linux-shared:-fPIC::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
***************
*** 396,401 ****
--- 395,402 ----
  "NetBSD-m68",	"gcc:-DTERMIOS -O3 -fomit-frame-pointer -Wall -DB_ENDIAN::(unknown):::BN_LLONG MD2_CHAR RC4_INDEX DES_UNROLL::::::::::dlfcn:bsd-gcc-shared:-fPIC::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
  "NetBSD-x86",	"gcc:-DTERMIOS -O3 -fomit-frame-pointer -m486 -Wall::(unknown):::BN_LLONG ${x86_gcc_des} ${x86_gcc_opts}::::::::::dlfcn:bsd-gcc-shared:-fPIC::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
  "FreeBSD-elf",  "gcc:-DTERMIOS -DL_ENDIAN -fomit-frame-pointer -O3 -m486 -Wall::-pthread -D_REENTRANT -D_THREAD_SAFE -D_THREADSAFE:::BN_LLONG ${x86_gcc_des} ${x86_gcc_opts}:${x86_elf_asm}:dlfcn:bsd-gcc-shared:-fPIC::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
+ "FreeBSD-sparc64","gcc:-DB_ENDIAN -DTERMIOS -O3 -fomit-frame-pointer::-pthread -D_REENTRANT -D_THREAD_SAFE -D_THREADSAFE:::SIXTY_FOUR_BIT_LONG DES_INT DES_PTR DES_RISC2 BF_PTR::::::::::dlfcn:bsd-gcc-shared:-fPIC::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
+ "FreeBSD-ia64","gcc:-DL_ENDIAN -DTERMIOS -O -fomit-frame-pointer::(unknown):::SIXTY_FOUR_BIT_LONG RC4_CHUNK RC4_CHAR:asm/ia64-cpp.o:::::::::dlfcn:bsd-gcc-shared:-fPIC::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
  "FreeBSD",      "gcc:-DTERMIOS -DL_ENDIAN -fomit-frame-pointer -O3 -m486 -Wall::(unknown):::BN_LLONG ${x86_gcc_des} ${x86_gcc_opts}:${x86_out_asm}",
  "bsdi-gcc",     "gcc:-O3 -ffast-math -DL_ENDIAN -DPERL5 -m486::(unknown):::RSA_LLONG ${x86_gcc_des} ${x86_gcc_opts}:${x86_bsdi_asm}",
  "bsdi-elf-gcc",     "gcc:-DPERL5 -DL_ENDIAN -fomit-frame-pointer -O3 -m486 -Wall::(unknown)::-ldl:BN_LLONG ${x86_gcc_des} ${x86_gcc_opts}:${x86_elf_asm}:dlfcn:bsd-gcc-shared:-fPIC::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
***************
*** 403,409 ****
  "nextstep3.3",	"cc:-O3 -Wall:<libc.h>:(unknown):::BN_LLONG ${x86_gcc_des} ${x86_gcc_opts}:::",
  
  # NCR MP-RAS UNIX ver 02.03.01
! "ncr-scde","cc:-O6 -Xa -Hoff=BEHAVED -686 -Hwide -Hiw::(unknown)::-lsocket -lnsl:${x86_gcc_des} ${x86_gcc_opts}:::",
  
  # QNX 4
  "qnx4",	"cc:-DL_ENDIAN -DTERMIO::(unknown):::${x86_gcc_des} ${x86_gcc_opts}:",
--- 404,410 ----
  "nextstep3.3",	"cc:-O3 -Wall:<libc.h>:(unknown):::BN_LLONG ${x86_gcc_des} ${x86_gcc_opts}:::",
  
  # NCR MP-RAS UNIX ver 02.03.01
! "ncr-scde","cc:-O6 -Xa -Hoff=BEHAVED -686 -Hwide -Hiw::(unknown)::-lsocket -lnsl -lc89:${x86_gcc_des} ${x86_gcc_opts}:::",
  
  # QNX 4
  "qnx4",	"cc:-DL_ENDIAN -DTERMIO::(unknown):::${x86_gcc_des} ${x86_gcc_opts}:",
***************
*** 414,446 ****
  # Linux on ARM
  "linux-elf-arm","gcc:-DL_ENDIAN -DTERMIO -O3 -fomit-frame-pointer -Wall::-D_REENTRANT:::BN_LLONG::::::::::dlfcn:linux-shared:-fPIC::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
  
  # UnixWare 2.0x fails destest with -O
  "unixware-2.0","cc:-DFILIO_H -DNO_STRINGS_H::-Kthread::-lsocket -lnsl -lresolv -lx:${x86_gcc_des} ${x86_gcc_opts}:::",
- "unixware-2.0-pentium","cc:-DFILIO_H -DNO_STRINGS_H -Kpentium::-Kthread::-lsocket -lnsl -lresolv -lx:MD2_CHAR RC4_INDEX ${x86_gcc_des}::",
- 
- # UnixWare 2.1
  "unixware-2.1","cc:-O -DFILIO_H::-Kthread::-lsocket -lnsl -lresolv -lx:${x86_gcc_des} ${x86_gcc_opts}:::",
! "unixware-2.1-pentium","cc:-O -DFILIO_H -Kpentium::-Kthread::-lsocket -lnsl -lresolv -lx:MD2_CHAR RC4_INDEX ${x86_gcc_des}::",
! "unixware-2.1-p6","cc:-O -DFILIO_H -Kp6::-Kthread::-lsocket -lnsl -lresolv -lx:MD2_CHAR RC4_INDEX ${x86_gcc_des}::",
  
- # UnixWare 7
- "unixware-7","cc:-O -DFILIO_H -Kalloca::-Kthread::-lsocket -lnsl:BN_LLONG MD2_CHAR RC4_INDEX ${x86_gcc_des}::::::::::dlfcn:svr5-shared:-Kpic::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
- "unixware-7-pentium","cc:-O -DFILIO_H -Kalloca -Kpentium::-Kthread::-lsocket -lnsl:BN_LLONG MD2_CHAR RC4_INDEX ${x86_gcc_des}::::::::::dlfcn:svr5-shared:-Kpic::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
- "unixware-7-pentium_pro","cc:-O -DFILIO_H -Kalloca -Kpentium_pro::-Kthread::-lsocket -lnsl:BN_LLONG MD2_CHAR RC4_INDEX ${x86_gcc_des}::::::::::dlfcn:svr5-shared:-Kpic::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
- "unixware-7-gcc","gcc:-DL_ENDIAN -DFILIO_H -O3 -fomit-frame-pointer -m486 -Wall::-D_REENTRANT::-lsocket -lnsl:BN_LLONG ${x86_gcc_des} ${x86_gcc_opts}::::::::::dlfcn:gnu-shared:-fPIC::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
- 
- # OpenUNIX 8
- "OpenUNIX-8","cc:-O -DFILIO_H -Kalloca::-Kthread::-lsocket -lnsl:BN_LLONG MD2_CHAR RC4_INDEX ${x86_gcc_des}::::::::::dlfcn:svr5-shared:-Kpic::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
- "OpenUNIX-8-gcc","gcc:-O -DFILIO_H -fomit-frame-pointer::-pthread::-lsocket -lnsl:BN_LLONG MD2_CHAR RC4_INDEX ${x86_gcc_des}::::::::::dlfcn:svr5-shared:-fPIC::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
- "OpenUNIX-8-pentium","cc:-O -DFILIO_H -Kalloca -Kpentium::-Kthread::-lsocket -lnsl:BN_LLONG MD2_CHAR RC4_INDEX ${x86_gcc_des}::::::::::dlfcn:svr5-shared:-Kpic::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
- "OpenUNIX-8-pentium_pro","cc:-O -DFILIO_H -Kalloca -Kpentium_pro::-Kthread::-lsocket -lnsl:BN_LLONG MD2_CHAR RC4_INDEX ${x86_gcc_des}::::::::::dlfcn:svr5-shared:-Kpic::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
  
  # IBM's AIX.
  "aix-cc",   "cc:-O -DB_ENDIAN -qmaxmem=16384::(unknown):AIX::BN_LLONG RC4_CHAR:::",
  "aix-gcc",  "gcc:-O3 -DB_ENDIAN::(unknown):AIX::BN_LLONG RC4_CHAR:::",
! "aix43-cc",   "cc:-O -DAIX -DB_ENDIAN -qmaxmem=16384::(unknown):::BN_LLONG RC4_CHAR::::::::::dlfcn:",
  "aix43-gcc",  "gcc:-O1 -DAIX -DB_ENDIAN::(unknown):::BN_LLONG RC4_CHAR::::::::::dlfcn:",
! "aix64-cc",   "cc:-O -DAIX -DB_ENDIAN -qmaxmem=16384 -q64::(unknown):::SIXTY_FOUR_BIT_LONG RC4_CHAR::::::::::dlfcn::::::-X 64",
  
  #
  # Cray T90 and similar (SDSC)
--- 415,450 ----
  # Linux on ARM
  "linux-elf-arm","gcc:-DL_ENDIAN -DTERMIO -O3 -fomit-frame-pointer -Wall::-D_REENTRANT:::BN_LLONG::::::::::dlfcn:linux-shared:-fPIC::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
  
+ # SCO/Caldera targets.
+ #
+ # Originally we had like unixware-*, unixware-*-pentium, unixware-*-p6, etc.
+ # Now we only have blended unixware-* as it's the only one used by ./config.
+ # If you want to optimize for particular microarchitecture, bypass ./config
+ # and './Configure unixware-7 -Kpentium_pro' or whatever appropriate.
+ # Note that not all targets include assembler support. Mostly because of
+ # lack of motivation to support out-of-date platforms with out-of-date
+ # compiler drivers and assemblers. Tim Rice <tim@multitalents.net> has
+ # patiently assisted to debug most of it.
+ #
  # UnixWare 2.0x fails destest with -O
  "unixware-2.0","cc:-DFILIO_H -DNO_STRINGS_H::-Kthread::-lsocket -lnsl -lresolv -lx:${x86_gcc_des} ${x86_gcc_opts}:::",
  "unixware-2.1","cc:-O -DFILIO_H::-Kthread::-lsocket -lnsl -lresolv -lx:${x86_gcc_des} ${x86_gcc_opts}:::",
! "unixware-7","cc:-O -DFILIO_H -Kalloca::-Kthread::-lsocket -lnsl:BN_LLONG MD2_CHAR RC4_INDEX ${x86_gcc_des}:${x86_elf_asm}:dlfcn:svr5-shared:-Kpic::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
! "unixware-7-gcc","gcc:-DL_ENDIAN -DFILIO_H -O3 -fomit-frame-pointer -m486 -Wall::-D_REENTRANT::-lsocket -lnsl:BN_LLONG ${x86_gcc_des} ${x86_gcc_opts}:${x86_elf_asm}:dlfcn:gnu-shared:-fPIC::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
! "OpenUNIX-8","cc:-O -DFILIO_H -Kalloca::-Kthread::-lsocket -lnsl:BN_LLONG MD2_CHAR RC4_INDEX ${x86_gcc_des}:${x86_elf_asm}:dlfcn:svr5-shared:-Kpic::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
! "OpenUNIX-8-gcc","gcc:-O -DFILIO_H -fomit-frame-pointer::-pthread::-lsocket -lnsl:BN_LLONG MD2_CHAR RC4_INDEX ${x86_gcc_des}:${x86_elf_asm}:dlfcn:svr5-shared:-fPIC::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
! "sco3-gcc",  "gcc:-O3 -fomit-frame-pointer -Dssize_t=int -DNO_SYS_UN_H::(unknown)::-lsocket:BN_LLONG ${x86_gcc_des} ${x86_gcc_opts}:::", # the SCO assembler doesn't seem to like our assembler files ...
! # SCO 5 - Ben Laurie <ben@algroup.co.uk> says the -O breaks the SCO cc.
! "sco5-cc",  "cc:-belf::(unknown)::-lsocket -lnsl:${x86_gcc_des} ${x86_gcc_opts}:${x86_elf_asm}:dlfcn:svr3-shared:-Kpic::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
! "sco5-gcc",  "gcc:-O3 -fomit-frame-pointer::(unknown)::-lsocket -lnsl:BN_LLONG ${x86_gcc_des} ${x86_gcc_opts}:${x86_elf_asm}:dlfcn:svr3-shared:-fPIC::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
  
  
  # IBM's AIX.
  "aix-cc",   "cc:-O -DB_ENDIAN -qmaxmem=16384::(unknown):AIX::BN_LLONG RC4_CHAR:::",
  "aix-gcc",  "gcc:-O3 -DB_ENDIAN::(unknown):AIX::BN_LLONG RC4_CHAR:::",
! "aix43-cc",   "cc:-O -DAIX -DB_ENDIAN -qmaxmem=16384::(unknown):::BN_LLONG RC4_CHAR::::::::::dlfcn:aix-shared:::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)::",
  "aix43-gcc",  "gcc:-O1 -DAIX -DB_ENDIAN::(unknown):::BN_LLONG RC4_CHAR::::::::::dlfcn:",
! "aix64-cc",   "cc:-O -DAIX -DB_ENDIAN -qmaxmem=16384 -q64::(unknown):::SIXTY_FOUR_BIT_LONG RC4_CHAR::::::::::dlfcn:aix-shared::-q64:.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)::-X 64",
  
  #
  # Cray T90 and similar (SDSC)
***************
*** 473,487 ****
  "dgux-R4-gcc",	"gcc:-O3 -fomit-frame-pointer::(unknown)::-lnsl -lsocket:RC4_INDEX DES_UNROLL:::",
  "dgux-R4-x86-gcc",	"gcc:-O3 -fomit-frame-pointer -DL_ENDIAN::(unknown)::-lnsl -lsocket:BN_LLONG ${x86_gcc_des} ${x86_gcc_opts}:${x86_elf_asm}",
  
- # SCO 3 - Tim Rice <tim@multitalents.net>
- "sco3-gcc",  "gcc:-O3 -fomit-frame-pointer -Dssize_t=int -DNO_SYS_UN_H::(unknown)::-lsocket:BN_LLONG ${x86_gcc_des} ${x86_gcc_opts}:::", # the SCO assembler doesn't seem to like our assembler files ...
- 
- # SCO 5 - Ben Laurie <ben@algroup.co.uk> says the -O breaks the
- # SCO cc.
- "sco5-cc",  "cc:-belf::(unknown)::-lsocket -lresolv -lnsl:${x86_gcc_des} ${x86_gcc_opts}::::::::::dlfcn:svr3-shared:-Kpic", # des options?
- "sco5-cc-pentium",  "cc:-Kpentium::(unknown)::-lsocket:${x86_gcc_des} ${x86_gcc_opts}:::", # des options?
- "sco5-gcc",  "gcc:-O3 -fomit-frame-pointer::(unknown)::-lsocket -lresolv -lnsl:BN_LLONG ${x86_gcc_des} ${x86_gcc_opts}::::::::::dlfcn:svr3-shared:-fPIC",
- 
  # Sinix/ReliantUNIX RM400
  # NOTE: The CDS++ Compiler up to V2.0Bsomething has the IRIX_CC_BUG optimizer problem. Better use -g  */
  "ReliantUNIX","cc:-KPIC -g -DTERMIOS -DB_ENDIAN::-Kthread:SNI:-lsocket -lnsl -lc -L/usr/ucblib -lucb:BN_LLONG DES_PTR DES_RISC2 DES_UNROLL BF_PTR::::::::::dlfcn:reliantunix-shared:::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
--- 477,482 ----
***************
*** 508,514 ****
  "VC-MSDOS","cl:::(unknown):MSDOS::BN_LLONG MD2_CHAR DES_UNROLL DES_PTR RC4_INDEX SIXTEEN_BIT:::",
  
  # Borland C++ 4.5
! "BC-32","bcc32::::WIN32::BN_LLONG DES_PTR RC4_INDEX::::::::::win32",
  "BC-16","bcc:::(unknown):WIN16::BN_LLONG DES_PTR RC4_INDEX SIXTEEN_BIT:::",
  
  # Mingw32
--- 503,509 ----
  "VC-MSDOS","cl:::(unknown):MSDOS::BN_LLONG MD2_CHAR DES_UNROLL DES_PTR RC4_INDEX SIXTEEN_BIT:::",
  
  # Borland C++ 4.5
! "BC-32","bcc32::::WIN32::BN_LLONG DES_PTR RC4_INDEX EXPORT_VAR_AS_FN::::::::::win32",
  "BC-16","bcc:::(unknown):WIN16::BN_LLONG DES_PTR RC4_INDEX SIXTEEN_BIT:::",
  
  # Mingw32
***************
*** 656,661 ****
--- 651,657 ----
  my $openssl_sys_defines="";
  my $openssl_other_defines;
  my $libs;
+ my $libkrb5="";
  my $target;
  my $options;
  my $symlink;
***************
*** 696,701 ****
--- 692,702 ----
  			$flags .= "-DOPENSSL_NO_ASM ";
  			$openssl_other_defines .= "#define OPENSSL_NO_ASM\n";
  			}
+ 		elsif (/^no-err$/)
+ 		 	{
+ 			$flags .= "-DOPENSSL_NO_ERR ";
+ 			$openssl_other_defines .= "#define OPENSSL_NO_ERR\n";
+ 			}
  		elsif (/^no-hw-(.+)$/)
  			{
  			my $hw=$1;
***************
*** 956,961 ****
--- 957,964 ----
  my $ranlib = $fields[$idx_ranlib];
  my $arflags = $fields[$idx_arflags];
  
+ my $no_shared_warn=0;
+ 
  $cflags="$flags$cflags" if ($flags ne "");
  
  # Kerberos settings.  The flavor must be provided from outside, either through
***************
*** 1020,1027 ****
  	$withargs{"krb5-include"} = "-I".$withargs{"krb5-dir"}."/include"
  		if $withargs{"krb5-include"} eq "" &&
  		   $withargs{"krb5-dir"} ne "";
- 
- 	$libs.=$withargs{"krb5-lib"}." " if $withargs{"krb5-lib"} ne "";
  	}
  
  # The DSO code currently always implements all functions so that no
--- 1023,1028 ----
***************
*** 1107,1112 ****
--- 1108,1114 ----
  my $shared_mark = "";
  if ($shared_target eq "")
  	{
+ 	$no_shared_warn = 1 if !$no_shared;
  	$no_shared = 1;
  	}
  if (!$no_shared)
***************
*** 1240,1245 ****
--- 1242,1248 ----
  	s/^ARFLAGS=.*/ARFLAGS= $arflags/;
  	s/^PERL=.*/PERL= $perl/;
  	s/^KRB5_INCLUDES=.*/KRB5_INCLUDES=$withargs{"krb5-include"}/;
+ 	s/^LIBKRB5=.*/LIBKRB5=$withargs{"krb5-lib"}/;
  	s/^SHLIB_TARGET=.*/SHLIB_TARGET=$shared_target/;
  	s/^SHLIB_MARK=.*/SHLIB_MARK=$shared_mark/;
  	s/^SHARED_LIBS=.*/SHARED_LIBS=\$(SHARED_CRYPTO) \$(SHARED_SSL)/ if (!$no_shared);
***************
*** 1511,1516 ****
--- 1514,1529 ----
  The library could not be configured for supporting multi-threaded
  applications as the compiler options required on this system are not known.
  See file INSTALL for details if you need multi-threading.
+ EOF
+ 
+ print <<\EOF if ($no_shared_warn);
+ 
+ You gave the option 'shared'.  Normally, that would give you shared libraries.
+ Unfortunately, the OpenSSL configuration doesn't include shared library support
+ for this platform yet, so it will pretend you gave the option 'no-shared'.  If
+ you can inform the developpers (openssl-dev\@openssl.org) how to support shared
+ libraries on this platform, they will at least look at it and try their best
+ (but please first make sure you have tried with a current version of OpenSSL).
  EOF
  
  exit(0);
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/FAQ ../RELENG_4/crypto/openssl/FAQ
*** crypto/openssl/FAQ	Mon Feb 24 20:42:40 2003
--- ../RELENG_4/crypto/openssl/FAQ	Mon Feb 24 21:14:49 2003
***************
*** 68,74 ****
  * Which is the current version of OpenSSL?
  
  The current version is available from <URL: http://www.openssl.org>.
! OpenSSL 0.9.7 was released on December 31, 2002.
  
  In addition to the current stable release, you can also access daily
  snapshots of the OpenSSL development version at <URL:
--- 68,74 ----
  * Which is the current version of OpenSSL?
  
  The current version is available from <URL: http://www.openssl.org>.
! OpenSSL 0.9.7a was released on February 19, 2003.
  
  In addition to the current stable release, you can also access daily
  snapshots of the OpenSSL development version at <URL:
***************
*** 189,206 ****
  
  Cryptographic software needs a source of unpredictable data to work
  correctly.  Many open source operating systems provide a "randomness
! device" that serves this purpose.  On other systems, applications have
! to call the RAND_add() or RAND_seed() function with appropriate data
! before generating keys or performing public key encryption.
! (These functions initialize the pseudo-random number generator, PRNG.)
! 
! Some broken applications do not do this.  As of version 0.9.5, the
! OpenSSL functions that need randomness report an error if the random
! number generator has not been seeded with at least 128 bits of
! randomness.  If this error occurs, please contact the author of the
! application you are using.  It is likely that it never worked
! correctly.  OpenSSL 0.9.5 and later make the error visible by refusing
! to perform potentially insecure encryption.
  
  On systems without /dev/urandom and /dev/random, it is a good idea to
  use the Entropy Gathering Demon (EGD); see the RAND_egd() manpage for
--- 189,218 ----
  
  Cryptographic software needs a source of unpredictable data to work
  correctly.  Many open source operating systems provide a "randomness
! device" (/dev/urandom or /dev/random) that serves this purpose.
! All OpenSSL versions try to use /dev/urandom by default; starting with
! version 0.9.7, OpenSSL also tries /dev/random if /dev/urandom is not
! available.
! 
! On other systems, applications have to call the RAND_add() or
! RAND_seed() function with appropriate data before generating keys or
! performing public key encryption. (These functions initialize the
! pseudo-random number generator, PRNG.)  Some broken applications do
! not do this.  As of version 0.9.5, the OpenSSL functions that need
! randomness report an error if the random number generator has not been
! seeded with at least 128 bits of randomness.  If this error occurs and
! is not discussed in the documentation of the application you are
! using, please contact the author of that application; it is likely
! that it never worked correctly.  OpenSSL 0.9.5 and later make the
! error visible by refusing to perform potentially insecure encryption.
! 
! If you are using Solaris 8, you can add /dev/urandom and /dev/random
! devices by installing patch 112438 (Sparc) or 112439 (x86), which are
! available via the Patchfinder at <URL: http://sunsolve.sun.com>
! (Solaris 9 includes these devices by default). For /dev/random support
! for earlier Solaris versions, see Sun's statement at
! <URL: http://sunsolve.sun.com/pub-cgi/retrieve.pl?doc=fsrdb/27606&zone_32=SUNWski>
! (the SUNWski package is available in patch 105710).
  
  On systems without /dev/urandom and /dev/random, it is a good idea to
  use the Entropy Gathering Demon (EGD); see the RAND_egd() manpage for
***************
*** 233,250 ****
  provide their own configuration options to specify the entropy source,
  please check out the documentation coming the with application.
  
- For Solaris 2.6, Tim Nibbe <tnibbe@sprint.net> and others have suggested
- installing the SUNski package from Sun patch 105710-01 (Sparc) which
- adds a /dev/random device and make sure it gets used, usually through
- $RANDFILE.  There are probably similar patches for the other Solaris
- versions.  An official statement from Sun with respect to /dev/random
- support can be found at
-   http://sunsolve.sun.com/pub-cgi/retrieve.pl?doc=fsrdb/27606&zone_32=SUNWski
- However, be warned that /dev/random is usually a blocking device, which
- may have some effects on OpenSSL.
- A third party /dev/random solution for Solaris is available at
-   http://www.cosy.sbg.ac.at/~andi/
- 
  
  * Why do I get an "unable to write 'random state'" error message?
  
--- 245,250 ----
***************
*** 490,499 ****
  Sometimes, you may get reports from VC++ command line (cl) that it
  can't find standard include files like stdio.h and other weirdnesses.
  One possible cause is that the environment isn't correctly set up.
! To solve that problem, one should run VCVARS32.BAT which is found in
! the 'bin' subdirectory of the VC++ installation directory (somewhere
! under 'Program Files').  This needs to be done prior to running NMAKE,
! and the changes are only valid for the current DOS session.
  
  
  * What is special about OpenSSL on Redhat?
--- 490,502 ----
  Sometimes, you may get reports from VC++ command line (cl) that it
  can't find standard include files like stdio.h and other weirdnesses.
  One possible cause is that the environment isn't correctly set up.
! To solve that problem for VC++ versions up to 6, one should run
! VCVARS32.BAT which is found in the 'bin' subdirectory of the VC++
! installation directory (somewhere under 'Program Files').  For VC++
! version 7 (and up?), which is also called VS.NET, the file is called
! VSVARS32.BAT instead.
! This needs to be done prior to running NMAKE, and the changes are only
! valid for the current DOS session.
  
  
  * What is special about OpenSSL on Redhat?
***************
*** 577,586 ****
  of the machine code, which is essential for shared library support. For
  some reason OpenBSD is equipped with an out-of-date GNU assembler which
  finds the new code offensive. To work around the problem, configure with
! no-asm (and sacrifice a great deal of performance) or upgrade /usr/bin/as.
  For your convenience a pre-compiled replacement binary is provided at
! http://www.openssl.org/~appro/i386-openbsd3-as, which is compiled from
! binutils-2.8 released in 1997.
  
  [PROG] ========================================================================
  
--- 580,592 ----
  of the machine code, which is essential for shared library support. For
  some reason OpenBSD is equipped with an out-of-date GNU assembler which
  finds the new code offensive. To work around the problem, configure with
! no-asm (and sacrifice a great deal of performance) or patch your assembler
! according to <URL: http://www.openssl.org/~appro/gas-1.92.3.OpenBSD.patch>.
  For your convenience a pre-compiled replacement binary is provided at
! <URL: http://www.openssl.org/~appro/gas-1.92.3.static.aout.bin>.
! Reportedly elder *BSD a.out platforms also suffer from this problem and
! remedy should be same. Provided binary is statically linked and should be
! working across wider range of *BSD branches, not just OpenBSD.
  
  [PROG] ========================================================================
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/INSTALL ../RELENG_4/crypto/openssl/INSTALL
*** crypto/openssl/INSTALL	Mon Feb 24 20:42:40 2003
--- ../RELENG_4/crypto/openssl/INSTALL	Mon Feb 24 21:14:49 2003
***************
*** 158,164 ****
       If a test fails, look at the output.  There may be reasons for
       the failure that isn't a problem in OpenSSL itself (like a missing
       or malfunctioning bc).  If it is a problem with OpenSSL itself,
!      try removing any compiler optimization flags from the CFLAGS line
       in Makefile.ssl and run "make clean; make". Please send a bug
       report to <openssl-bugs@openssl.org>, including the output of
       "make report" in order to be added to the request tracker at
--- 158,164 ----
       If a test fails, look at the output.  There may be reasons for
       the failure that isn't a problem in OpenSSL itself (like a missing
       or malfunctioning bc).  If it is a problem with OpenSSL itself,
!      try removing any compiler optimization flags from the CFLAG line
       in Makefile.ssl and run "make clean; make". Please send a bug
       report to <openssl-bugs@openssl.org>, including the output of
       "make report" in order to be added to the request tracker at
***************
*** 308,310 ****
--- 308,332 ----
   to install additional support software to obtain random seed.
   Please check out the manual pages for RAND_add(), RAND_bytes(), RAND_egd(),
   and the FAQ for more information.
+ 
+  Note on support for multiple builds
+  -----------------------------------
+ 
+  OpenSSL is usually built in it's source tree.  Unfortunately, this doesn't
+  support building for multiple platforms from the same source tree very well.
+  It is however possible to build in a separate tree through the use of lots
+  of symbolic links, which should be prepared like this:
+ 
+ 	mkdir -p objtree/"`uname -s`-`uname -r`-`uname -m`"
+ 	cd objtree/"`uname -s`-`uname -r`-`uname -m`"
+ 	(cd $OPENSSL_SOURCE; find . -type f) | while read F; do
+ 		mkdir -p `dirname $F`
+ 		rm -f $F; ln -s $OPENSSL_SOURCE/$F $F
+ 		echo $F '->' $OPENSSL_SOURCE/$F
+ 	done
+ 	make -f Makefile.org clean
+ 
+  OPENSSL_SOURCE is an environment variable that contains the absolute (this
+  is important!) path to the OpenSSL source tree.
+ 
+  Also, operations like 'make update' should still be made in the source tree.
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/Makefile.org ../RELENG_4/crypto/openssl/Makefile.org
*** crypto/openssl/Makefile.org	Mon Feb 24 20:42:40 2003
--- ../RELENG_4/crypto/openssl/Makefile.org	Mon Feb 24 21:14:49 2003
***************
*** 72,77 ****
--- 72,85 ----
  TARFLAGS= --no-recursion
  MAKEDEPPROG=makedepend
  
+ # We let the C compiler driver to take care of .s files. This is done in
+ # order to be excused from maintaining a separate set of architecture
+ # dependent assembler flags. E.g. if you throw -mcpu=ultrasparc at SPARC
+ # gcc, then the driver will automatically translate it to -xarch=v8plus
+ # and pass it down to assembler.
+ AS=$(CC) -c
+ ASFLAGS=$(CFLAG)
+ 
  # Set BN_ASM to bn_asm.o if you want to use the C version
  BN_ASM= bn_asm.o
  #BN_ASM= bn_asm.o
***************
*** 159,164 ****
--- 167,173 ----
  
  # KRB5 stuff
  KRB5_INCLUDES=
+ LIBKRB5=
  
  # When we're prepared to use shared libraries in the programs we link here
  # we might set SHLIB_MARK to '$(SHARED_LIBS)'.
***************
*** 216,222 ****
  	do \
  	if [ -d "$$i" ]; then \
  		(cd $$i && echo "making all in $$i..." && \
! 		$(MAKE) CC='${CC}' PLATFORM='${PLATFORM}' CFLAG='${CFLAG}' SDIRS='$(SDIRS)' INSTALLTOP='${INSTALLTOP}' PEX_LIBS='${PEX_LIBS}' EX_LIBS='${EX_LIBS}' BN_ASM='${BN_ASM}' DES_ENC='${DES_ENC}' BF_ENC='${BF_ENC}' CAST_ENC='${CAST_ENC}' RC4_ENC='${RC4_ENC}' RC5_ENC='${RC5_ENC}' SHA1_ASM_OBJ='${SHA1_ASM_OBJ}' MD5_ASM_OBJ='${MD5_ASM_OBJ}' RMD160_ASM_OBJ='${RMD160_ASM_OBJ}' AR='${AR}' PROCESSOR='${PROCESSOR}' PERL='${PERL}' RANLIB='${RANLIB}' KRB5_INCLUDES='${KRB5_INCLUDES}' LIBKRB5='${LIBKRB5}' EXE_EXT='${EXE_EXT}' SHARED_LIBS='${SHARED_LIBS}' SHLIB_EXT='${SHLIB_EXT}' SHLIB_TARGET='${SHLIB_TARGET}' all ) || exit 1; \
  	else \
  		$(MAKE) $$i; \
  	fi; \
--- 225,231 ----
  	do \
  	if [ -d "$$i" ]; then \
  		(cd $$i && echo "making all in $$i..." && \
! 		$(MAKE) CC='${CC}' PLATFORM='${PLATFORM}' CFLAG='${CFLAG}' AS='${AS}' ASFLAGS='${ASFLAGS}' SDIRS='$(SDIRS)' INSTALLTOP='${INSTALLTOP}' PEX_LIBS='${PEX_LIBS}' EX_LIBS='${EX_LIBS}' BN_ASM='${BN_ASM}' DES_ENC='${DES_ENC}' BF_ENC='${BF_ENC}' CAST_ENC='${CAST_ENC}' RC4_ENC='${RC4_ENC}' RC5_ENC='${RC5_ENC}' SHA1_ASM_OBJ='${SHA1_ASM_OBJ}' MD5_ASM_OBJ='${MD5_ASM_OBJ}' RMD160_ASM_OBJ='${RMD160_ASM_OBJ}' AR='${AR}' PROCESSOR='${PROCESSOR}' PERL='${PERL}' RANLIB='${RANLIB}' KRB5_INCLUDES='${KRB5_INCLUDES}' LIBKRB5='${LIBKRB5}' EXE_EXT='${EXE_EXT}' SHARED_LIBS='${SHARED_LIBS}' SHLIB_EXT='${SHLIB_EXT}' SHLIB_TARGET='${SHLIB_TARGET}' all ) || exit 1; \
  	else \
  		$(MAKE) $$i; \
  	fi; \
***************
*** 269,281 ****
  do_linux-shared: do_gnu-shared
  do_gnu-shared:
  	libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
  	( set -x; ${CC} ${SHARED_LDFLAGS} \
  		-shared -o lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  		-Wl,-soname=lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  		-Wl,-Bsymbolic \
  		-Wl,--whole-archive lib$$i.a \
  		-Wl,--no-whole-archive $$libs ${EX_LIBS} -lc ) || exit 1; \
! 	libs="$$libs -l$$i"; \
  	done
  
  DETECT_GNU_LD=(${CC} -Wl,-V /dev/null 2>&1 | grep '^GNU ld' )>/dev/null
--- 278,293 ----
  do_linux-shared: do_gnu-shared
  do_gnu-shared:
  	libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
+ 	if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
+ 		libs="$(LIBKRB5) $$libs"; \
+ 	fi; \
  	( set -x; ${CC} ${SHARED_LDFLAGS} \
  		-shared -o lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  		-Wl,-soname=lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  		-Wl,-Bsymbolic \
  		-Wl,--whole-archive lib$$i.a \
  		-Wl,--no-whole-archive $$libs ${EX_LIBS} -lc ) || exit 1; \
! 	libs="-l$$i $$libs"; \
  	done
  
  DETECT_GNU_LD=(${CC} -Wl,-V /dev/null 2>&1 | grep '^GNU ld' )>/dev/null
***************
*** 283,304 ****
  # For Darwin AKA Mac OS/X (dyld)
  do_darwin-shared: 
  	libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
! 	( set -x ; ${CC} --verbose -dynamiclib -o lib$$i${SHLIB_EXT} \
  		lib$$i.a $$libs -all_load -current_version ${SHLIB_MAJOR}.${SHLIB_MINOR} \
  		-compatibility_version ${SHLIB_MAJOR}.`echo ${SHLIB_MINOR} | cut -d. -f1` \
  		-install_name ${INSTALLTOP}/lib/lib$$i${SHLIB_EXT} ) || exit 1; \
! 	libs="$$libs -l`basename $$i${SHLIB_EXT} .dylib`"; \
  	echo "" ; \
  	done
  
  do_cygwin-shared:
  	libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
  	( set -x; ${CC}  -shared -o cyg$$i-$(SHLIB_VERSION_NUMBER).dll \
  		-Wl,-Bsymbolic \
  		-Wl,--whole-archive lib$$i.a \
  		-Wl,--out-implib,lib$$i.dll.a \
  		-Wl,--no-whole-archive $$libs ) || exit 1; \
! 	libs="$$libs -l$$i"; \
  	done
  
  # This assumes that GNU utilities are *not* used
--- 295,322 ----
  # For Darwin AKA Mac OS/X (dyld)
  do_darwin-shared: 
  	libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
! 	if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
! 		libs="$(LIBKRB5) $$libs"; \
! 	fi; \
! 	( set -x; ${CC} --verbose -dynamiclib -o lib$$i${SHLIB_EXT} \
  		lib$$i.a $$libs -all_load -current_version ${SHLIB_MAJOR}.${SHLIB_MINOR} \
  		-compatibility_version ${SHLIB_MAJOR}.`echo ${SHLIB_MINOR} | cut -d. -f1` \
  		-install_name ${INSTALLTOP}/lib/lib$$i${SHLIB_EXT} ) || exit 1; \
! 	libs="-l`basename $$i${SHLIB_EXT} .dylib` $$libs"; \
  	echo "" ; \
  	done
  
  do_cygwin-shared:
  	libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
+ 	if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
+ 		libs="$(LIBKRB5) $$libs"; \
+ 	fi; \
  	( set -x; ${CC}  -shared -o cyg$$i-$(SHLIB_VERSION_NUMBER).dll \
  		-Wl,-Bsymbolic \
  		-Wl,--whole-archive lib$$i.a \
  		-Wl,--out-implib,lib$$i.dll.a \
  		-Wl,--no-whole-archive $$libs ) || exit 1; \
! 	libs="-l$$i $$libs"; \
  	done
  
  # This assumes that GNU utilities are *not* used
***************
*** 307,317 ****
  		$(MAKE) do_gnu-shared; \
  	else \
  		libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
  		( set -x; ${CC} ${SHARED_LDFLAGS} \
  			-shared -o lib$$i.so \
  			-set_version "${SHLIB_VERSION_HISTORY}${SHLIB_VERSION_NUMBER}" \
  			-all lib$$i.a -none $$libs ${EX_LIBS} -lc ) || exit 1; \
! 		libs="$$libs -l$$i"; \
  		done; \
  	fi
  
--- 325,338 ----
  		$(MAKE) do_gnu-shared; \
  	else \
  		libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
+ 		if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
+ 			libs="$(LIBKRB5) $$libs"; \
+ 		fi; \
  		( set -x; ${CC} ${SHARED_LDFLAGS} \
  			-shared -o lib$$i.so \
  			-set_version "${SHLIB_VERSION_HISTORY}${SHLIB_VERSION_NUMBER}" \
  			-all lib$$i.a -none $$libs ${EX_LIBS} -lc ) || exit 1; \
! 		libs="-l$$i $$libs"; \
  		done; \
  	fi
  
***************
*** 323,333 ****
  		$(MAKE) do_gnu-shared; \
  	else \
  		libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
  		( set -x; ${CC} ${SHARED_LDFLAGS} \
  			-shared -msym -o lib$$i.so \
  			-set_version "${SHLIB_VERSION_HISTORY}${SHLIB_VERSION_NUMBER}" \
  			-all lib$$i.a -none $$libs ${EX_LIBS} -lc ) || exit 1; \
! 		libs="$$libs -l$$i"; \
  		done; \
  	fi
  
--- 344,357 ----
  		$(MAKE) do_gnu-shared; \
  	else \
  		libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
+ 		if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
+ 			libs="$(LIBKRB5) $$libs"; \
+ 		fi; \
  		( set -x; ${CC} ${SHARED_LDFLAGS} \
  			-shared -msym -o lib$$i.so \
  			-set_version "${SHLIB_VERSION_HISTORY}${SHLIB_VERSION_NUMBER}" \
  			-all lib$$i.a -none $$libs ${EX_LIBS} -lc ) || exit 1; \
! 		libs="-l$$i $$libs"; \
  		done; \
  	fi
  
***************
*** 339,350 ****
  		$(MAKE) do_gnu-shared; \
  	else \
  		libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
  		( set -x; ${CC} ${SHARED_LDFLAGS} \
  			-shared -msym -o lib$$i.so \
  			-rpath  ${INSTALLTOP}/lib \
  			-set_version "${SHLIB_VERSION_HISTORY}${SHLIB_VERSION_NUMBER}" \
  			-all lib$$i.a -none $$libs ${EX_LIBS} -lc ) || exit 1; \
! 		libs="$$libs -l$$i"; \
  		done; \
  	fi
  
--- 363,377 ----
  		$(MAKE) do_gnu-shared; \
  	else \
  		libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
+ 		if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
+ 			libs="$(LIBKRB5) $$libs"; \
+ 		fi; \
  		( set -x; ${CC} ${SHARED_LDFLAGS} \
  			-shared -msym -o lib$$i.so \
  			-rpath  ${INSTALLTOP}/lib \
  			-set_version "${SHLIB_VERSION_HISTORY}${SHLIB_VERSION_NUMBER}" \
  			-all lib$$i.a -none $$libs ${EX_LIBS} -lc ) || exit 1; \
! 		libs="-l$$i $$libs"; \
  		done; \
  	fi
  
***************
*** 355,360 ****
--- 382,390 ----
  		$(MAKE) do_gnu-shared; \
  	else \
  		libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
+ 		if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
+ 			libs="$(LIBKRB5) $$libs"; \
+ 		fi; \
  		( PATH=/usr/ccs/bin:$$PATH ; export PATH; \
  		  MINUSZ='-z '; \
  		  (${CC} -v 2>&1 | grep gcc) > /dev/null && MINUSZ='-Wl,-z,'; \
***************
*** 363,369 ****
  			-h lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  			$${MINUSZ}allextract lib$$i.a $${MINUSZ}defaultextract \
  			$$libs ${EX_LIBS} -lc ) || exit 1; \
! 		libs="$$libs -l$$i"; \
  		done; \
  	fi
  
--- 393,399 ----
  			-h lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  			$${MINUSZ}allextract lib$$i.a $${MINUSZ}defaultextract \
  			$$libs ${EX_LIBS} -lc ) || exit 1; \
! 		libs="-l$$i $$libs"; \
  		done; \
  	fi
  
***************
*** 373,378 ****
--- 403,411 ----
  		$(MAKE) do_gnu-shared; \
  	else \
  		libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
+ 		if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
+ 			libs="$(LIBKRB5) $$libs"; \
+ 		fi; \
  		( PATH=/usr/ccs/bin:$$PATH ; export PATH; \
  		  find . -name "*.o" -print > allobjs ; \
  		  OBJS= ; export OBJS ; \
***************
*** 382,388 ****
  		  set -x; ${CC}  -G -o lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  			-h lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  			$${OBJS} $$libs ${EX_LIBS} ) || exit 1; \
! 		libs="$$libs -l$$i"; \
  		done; \
  	fi
  
--- 415,421 ----
  		  set -x; ${CC}  -G -o lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  			-h lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  			$${OBJS} $$libs ${EX_LIBS} ) || exit 1; \
! 		libs="-l$$i $$libs"; \
  		done; \
  	fi
  
***************
*** 392,397 ****
--- 425,433 ----
  		$(MAKE) do_gnu-shared; \
  	else \
  		libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
+ 		if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
+ 			libs="$(LIBKRB5) $$libs"; \
+ 		fi; \
  		( PATH=/usr/ccs/bin:$$PATH ; export PATH; \
  		  find . -name "*.o" -print > allobjs ; \
  		  OBJS= ; export OBJS ; \
***************
*** 402,408 ****
  			-G -o lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  			-h lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  			$${OBJS} $$libs ${EX_LIBS} ) || exit 1; \
! 		libs="$$libs -l$$i"; \
  		done; \
  	fi
  
--- 438,444 ----
  			-G -o lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  			-h lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  			$${OBJS} $$libs ${EX_LIBS} ) || exit 1; \
! 		libs="-l$$i $$libs"; \
  		done; \
  	fi
  
***************
*** 412,422 ****
  		$(MAKE) do_gnu-shared; \
  	else \
  		libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
  		( set -x; ${CC} ${SHARED_LDFLAGS} \
  			-shared -o lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  			-Wl,-soname,lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  			-all lib$$i.a $$libs ${EX_LIBS} -lc) || exit 1; \
! 		libs="$$libs -l$$i"; \
  		done; \
  	fi
  
--- 448,461 ----
  		$(MAKE) do_gnu-shared; \
  	else \
  		libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
+ 		if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
+ 			libs="$(LIBKRB5) $$libs"; \
+ 		fi; \
  		( set -x; ${CC} ${SHARED_LDFLAGS} \
  			-shared -o lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  			-Wl,-soname,lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  			-all lib$$i.a $$libs ${EX_LIBS} -lc) || exit 1; \
! 		libs="-l$$i $$libs"; \
  		done; \
  	fi
  
***************
*** 433,438 ****
--- 472,480 ----
  #
  do_hpux-shared:
  	for i in ${SHLIBDIRS}; do \
+ 	if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
+ 		libs="$(LIBKRB5) $$libs"; \
+ 	fi; \
  	( set -x; /usr/ccs/bin/ld ${SHARED_LDFLAGS} \
   		+vnocompatwarnings \
  		-b -z +s \
***************
*** 453,458 ****
--- 495,503 ----
  #
  do_hpux64-shared:
  	for i in ${SHLIBDIRS}; do \
+ 	if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
+ 		libs="$(LIBKRB5) $$libs"; \
+ 	fi; \
  	( set -x; /usr/ccs/bin/ld ${SHARED_LDFLAGS} \
   		-b -z \
  		-o lib$$i.sl.${SHLIB_MAJOR}.${SHLIB_MINOR} \
***************
*** 495,511 ****
  SHAREDCMD=$(CC)
  do_aix-shared:
  	libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
  	( set -x; \
! 	  ld -r -o $$i.o $(ALLSYMSFLAG) lib$$i.a && \
  	  ( nm -Pg lib$$i.o | grep ' [BD] ' | cut -f1 -d' ' > lib$$i.exp; \
! 	    $(SHAREDCMD) $(SHAREDFLAG) -o lib$$i.so lib$$i.o \
  		$$libs ${EX_LIBS} ) ) \
  	|| exit 1; \
! 	libs="$$libs -l$$i"; \
  	done
  
  do_reliantunix-shared:
  	libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
  	tmpdir=/tmp/openssl.$$$$ ; rm -rf $$tmpdir ; \
  	( set -x; \
  	  ( Opwd=`pwd` ; mkdir $$tmpdir || exit 1; \
--- 540,563 ----
  SHAREDCMD=$(CC)
  do_aix-shared:
  	libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
+ 	if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
+ 		libs="$(LIBKRB5) $$libs"; \
+ 	fi; \
  	( set -x; \
! 	  ld -r -o lib$$i.o $(ALLSYMSFLAG) lib$$i.a && \
  	  ( nm -Pg lib$$i.o | grep ' [BD] ' | cut -f1 -d' ' > lib$$i.exp; \
! 	    $(SHAREDCMD) $(SHAREDFLAGS) \
! 		-o lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} lib$$i.o \
  		$$libs ${EX_LIBS} ) ) \
  	|| exit 1; \
! 	libs="-l$$i $$libs"; \
  	done
  
  do_reliantunix-shared:
  	libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
+ 	if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
+ 		libs="$(LIBKRB5) $$libs"; \
+ 	fi; \
  	tmpdir=/tmp/openssl.$$$$ ; rm -rf $$tmpdir ; \
  	( set -x; \
  	  ( Opwd=`pwd` ; mkdir $$tmpdir || exit 1; \
***************
*** 515,521 ****
  	  cp $$tmpdir/lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} . ; \
  	) || exit 1; \
  	rm -rf $$tmpdir ; \
! 	libs="$$libs -l$$i"; \
  	done
  
  openssl.pc: Makefile.ssl
--- 567,573 ----
  	  cp $$tmpdir/lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} . ; \
  	) || exit 1; \
  	rm -rf $$tmpdir ; \
! 	libs="-l$$i $$libs"; \
  	done
  
  openssl.pc: Makefile.ssl
***************
*** 528,534 ****
  	    echo 'Description: Secure Sockets Layer and cryptography libraries and tools'; \
  	    echo 'Version: '$(VERSION); \
  	    echo 'Requires: '; \
! 	    echo 'Libs: -L$${libdir} -lssl -lcrypto $(EX_LIBS)'; \
  	    echo 'Cflags: -I$${includedir} $(KRB5_INCLUDES)' ) > openssl.pc
  
  Makefile.ssl: Makefile.org
--- 580,586 ----
  	    echo 'Description: Secure Sockets Layer and cryptography libraries and tools'; \
  	    echo 'Version: '$(VERSION); \
  	    echo 'Requires: '; \
! 	    echo 'Libs: -L$${libdir} -lssl -lcrypto $(LIBKRB5) $(EX_LIBS)'; \
  	    echo 'Cflags: -I$${includedir} $(KRB5_INCLUDES)' ) > openssl.pc
  
  Makefile.ssl: Makefile.org
***************
*** 601,608 ****
  	@(OPENSSL="`pwd`/apps/openssl"; OPENSSL_DEBUG_MEMORY=on; \
  		export OPENSSL OPENSSL_DEBUG_MEMORY; \
  		LD_LIBRARY_PATH="`pwd`"; DYLD_LIBRARY_PATH="`pwd`"; SHLIB_PATH="`pwd`"; LIBPATH="`pwd`"; \
! 		if [ "$(PLATFORM)" = "DJGPP" ]; then PATH="`pwd`\;$$PATH";  \
! 		elif [ "$(PLATFORM)" = "Cygwin" ]; then PATH="`pwd`:$$PATH"; fi; \
  		export LD_LIBRARY_PATH DYLD_LIBRARY_PATH SHLIB_PATH LIBPATH PATH; \
  		$(PERL) tools/c_rehash certs)
  	touch rehash.time
--- 653,659 ----
  	@(OPENSSL="`pwd`/apps/openssl"; OPENSSL_DEBUG_MEMORY=on; \
  		export OPENSSL OPENSSL_DEBUG_MEMORY; \
  		LD_LIBRARY_PATH="`pwd`"; DYLD_LIBRARY_PATH="`pwd`"; SHLIB_PATH="`pwd`"; LIBPATH="`pwd`"; \
! 		if [ "$(PLATFORM)" = "Cygwin" ]; then PATH="`pwd`:$$PATH"; fi; \
  		export LD_LIBRARY_PATH DYLD_LIBRARY_PATH SHLIB_PATH LIBPATH PATH; \
  		$(PERL) tools/c_rehash certs)
  	touch rehash.time
***************
*** 613,620 ****
  	@(cd test && echo "testing..." && \
  	$(MAKE) CC='${CC}' PLATFORM='${PLATFORM}' CFLAG='${CFLAG}' SDIRS='$(SDIRS)' INSTALLTOP='${INSTALLTOP}' PEX_LIBS='${PEX_LIBS}' EX_LIBS='${EX_LIBS}' BN_ASM='${BN_ASM}' DES_ENC='${DES_ENC}' BF_ENC='${BF_ENC}' CAST_ENC='${CAST_ENC}' RC4_ENC='${RC4_ENC}' RC5_ENC='${RC5_ENC}' SHA1_ASM_OBJ='${SHA1_ASM_OBJ}' MD5_ASM_OBJ='${MD5_ASM_OBJ}' RMD160_ASM_OBJ='${RMD160_ASM_OBJ}' AR='${AR}' PROCESSOR='${PROCESSOR}' PERL='${PERL}' RANLIB='${RANLIB}' TESTS='${TESTS}' KRB5_INCLUDES='${KRB5_INCLUDES}' LIBKRB5='${LIBKRB5}' EXE_EXT='${EXE_EXT}' SHARED_LIBS='${SHARED_LIBS}' SHLIB_EXT='${SHLIB_EXT}' SHLIB_TARGET='${SHLIB_TARGET}' TESTS='${TESTS}' OPENSSL_DEBUG_MEMORY=on tests );
  	@LD_LIBRARY_PATH="`pwd`"; DYLD_LIBRARY_PATH="`pwd`"; SHLIB_PATH="`pwd`"; LIBPATH="`pwd`"; \
! 		if [ "$(PLATFORM)" = "DJGPP" ]; then PATH="`pwd`\;$$PATH";  \
! 		elif [ "$(PLATFORM)" = "Cygwin" ]; then PATH="`pwd`:$$PATH"; fi; \
  		export LD_LIBRARY_PATH DYLD_LIBRARY_PATH SHLIB_PATH LIBPATH PATH; \
  		apps/openssl version -a
  
--- 664,670 ----
  	@(cd test && echo "testing..." && \
  	$(MAKE) CC='${CC}' PLATFORM='${PLATFORM}' CFLAG='${CFLAG}' SDIRS='$(SDIRS)' INSTALLTOP='${INSTALLTOP}' PEX_LIBS='${PEX_LIBS}' EX_LIBS='${EX_LIBS}' BN_ASM='${BN_ASM}' DES_ENC='${DES_ENC}' BF_ENC='${BF_ENC}' CAST_ENC='${CAST_ENC}' RC4_ENC='${RC4_ENC}' RC5_ENC='${RC5_ENC}' SHA1_ASM_OBJ='${SHA1_ASM_OBJ}' MD5_ASM_OBJ='${MD5_ASM_OBJ}' RMD160_ASM_OBJ='${RMD160_ASM_OBJ}' AR='${AR}' PROCESSOR='${PROCESSOR}' PERL='${PERL}' RANLIB='${RANLIB}' TESTS='${TESTS}' KRB5_INCLUDES='${KRB5_INCLUDES}' LIBKRB5='${LIBKRB5}' EXE_EXT='${EXE_EXT}' SHARED_LIBS='${SHARED_LIBS}' SHLIB_EXT='${SHLIB_EXT}' SHLIB_TARGET='${SHLIB_TARGET}' TESTS='${TESTS}' OPENSSL_DEBUG_MEMORY=on tests );
  	@LD_LIBRARY_PATH="`pwd`"; DYLD_LIBRARY_PATH="`pwd`"; SHLIB_PATH="`pwd`"; LIBPATH="`pwd`"; \
! 		if [ "$(PLATFORM)" = "Cygwin" ]; then PATH="`pwd`:$$PATH"; fi; \
  		export LD_LIBRARY_PATH DYLD_LIBRARY_PATH SHLIB_PATH LIBPATH PATH; \
  		apps/openssl version -a
  
***************
*** 749,755 ****
  					chmod 555 $(INSTALL_PREFIX)$(INSTALLTOP)/lib/$$i.new; \
  					mv -f $(INSTALL_PREFIX)$(INSTALLTOP)/lib/$$i.new $(INSTALL_PREFIX)$(INSTALLTOP)/lib/$$i; \
  				else \
! 					c=`echo $$i | sed 's/^lib\(.*\)/cyg\1-$(SHLIB_VERSION_NUMBER)/'`; \
  					cp $$c $(INSTALL_PREFIX)$(INSTALLTOP)/bin/$$c.new; \
  					chmod 755 $(INSTALL_PREFIX)$(INSTALLTOP)/bin/$$c.new; \
  					mv -f $(INSTALL_PREFIX)$(INSTALLTOP)/bin/$$c.new $(INSTALL_PREFIX)$(INSTALLTOP)/bin/$$c; \
--- 799,805 ----
  					chmod 555 $(INSTALL_PREFIX)$(INSTALLTOP)/lib/$$i.new; \
  					mv -f $(INSTALL_PREFIX)$(INSTALLTOP)/lib/$$i.new $(INSTALL_PREFIX)$(INSTALLTOP)/lib/$$i; \
  				else \
! 					c=`echo $$i | sed 's/^lib\(.*\)\.dll/cyg\1-$(SHLIB_VERSION_NUMBER).dll/'`; \
  					cp $$c $(INSTALL_PREFIX)$(INSTALLTOP)/bin/$$c.new; \
  					chmod 755 $(INSTALL_PREFIX)$(INSTALLTOP)/bin/$$c.new; \
  					mv -f $(INSTALL_PREFIX)$(INSTALLTOP)/bin/$$c.new $(INSTALL_PREFIX)$(INSTALLTOP)/bin/$$c; \
***************
*** 763,768 ****
--- 813,824 ----
  			cd $(INSTALL_PREFIX)$(INSTALLTOP)/lib; \
  			set $(MAKE); \
  			$$1 -f $$here/Makefile link-shared ); \
+ 		if [ "$(INSTALLTOP)" != "/usr" ]; then \
+ 			echo 'OpenSSL shared libraries have been installed in:'; \
+ 			echo '  $(INSTALLTOP)'; \
+ 			echo ''; \
+ 			sed -e '1,/^$$/d' doc/openssl-shared.txt; \
+ 		fi; \
  	fi
  	cp openssl.pc $(INSTALL_PREFIX)$(INSTALLTOP)/lib/pkgconfig
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/Makefile.ssl ../RELENG_4/crypto/openssl/Makefile.ssl
*** crypto/openssl/Makefile.ssl	Mon Feb 24 20:42:40 2003
--- ../RELENG_4/crypto/openssl/Makefile.ssl	Mon Feb 24 21:14:49 2003
***************
*** 4,10 ****
  ## Makefile for OpenSSL
  ##
  
! VERSION=0.9.7
  MAJOR=0
  MINOR=9.7
  SHLIB_VERSION_NUMBER=0.9.7
--- 4,10 ----
  ## Makefile for OpenSSL
  ##
  
! VERSION=0.9.7a
  MAJOR=0
  MINOR=9.7
  SHLIB_VERSION_NUMBER=0.9.7
***************
*** 74,79 ****
--- 74,87 ----
  TARFLAGS= --no-recursion
  MAKEDEPPROG=makedepend
  
+ # We let the C compiler driver to take care of .s files. This is done in
+ # order to be excused from maintaining a separate set of architecture
+ # dependent assembler flags. E.g. if you throw -mcpu=ultrasparc at SPARC
+ # gcc, then the driver will automatically translate it to -xarch=v8plus
+ # and pass it down to assembler.
+ AS=$(CC) -c
+ ASFLAGS=$(CFLAG)
+ 
  # Set BN_ASM to bn_asm.o if you want to use the C version
  BN_ASM= bn_asm.o
  #BN_ASM= bn_asm.o
***************
*** 161,166 ****
--- 169,175 ----
  
  # KRB5 stuff
  KRB5_INCLUDES=
+ LIBKRB5=
  
  # When we're prepared to use shared libraries in the programs we link here
  # we might set SHLIB_MARK to '$(SHARED_LIBS)'.
***************
*** 218,224 ****
  	do \
  	if [ -d "$$i" ]; then \
  		(cd $$i && echo "making all in $$i..." && \
! 		$(MAKE) CC='${CC}' PLATFORM='${PLATFORM}' CFLAG='${CFLAG}' SDIRS='$(SDIRS)' INSTALLTOP='${INSTALLTOP}' PEX_LIBS='${PEX_LIBS}' EX_LIBS='${EX_LIBS}' BN_ASM='${BN_ASM}' DES_ENC='${DES_ENC}' BF_ENC='${BF_ENC}' CAST_ENC='${CAST_ENC}' RC4_ENC='${RC4_ENC}' RC5_ENC='${RC5_ENC}' SHA1_ASM_OBJ='${SHA1_ASM_OBJ}' MD5_ASM_OBJ='${MD5_ASM_OBJ}' RMD160_ASM_OBJ='${RMD160_ASM_OBJ}' AR='${AR}' PROCESSOR='${PROCESSOR}' PERL='${PERL}' RANLIB='${RANLIB}' KRB5_INCLUDES='${KRB5_INCLUDES}' LIBKRB5='${LIBKRB5}' EXE_EXT='${EXE_EXT}' SHARED_LIBS='${SHARED_LIBS}' SHLIB_EXT='${SHLIB_EXT}' SHLIB_TARGET='${SHLIB_TARGET}' all ) || exit 1; \
  	else \
  		$(MAKE) $$i; \
  	fi; \
--- 227,233 ----
  	do \
  	if [ -d "$$i" ]; then \
  		(cd $$i && echo "making all in $$i..." && \
! 		$(MAKE) CC='${CC}' PLATFORM='${PLATFORM}' CFLAG='${CFLAG}' AS='${AS}' ASFLAGS='${ASFLAGS}' SDIRS='$(SDIRS)' INSTALLTOP='${INSTALLTOP}' PEX_LIBS='${PEX_LIBS}' EX_LIBS='${EX_LIBS}' BN_ASM='${BN_ASM}' DES_ENC='${DES_ENC}' BF_ENC='${BF_ENC}' CAST_ENC='${CAST_ENC}' RC4_ENC='${RC4_ENC}' RC5_ENC='${RC5_ENC}' SHA1_ASM_OBJ='${SHA1_ASM_OBJ}' MD5_ASM_OBJ='${MD5_ASM_OBJ}' RMD160_ASM_OBJ='${RMD160_ASM_OBJ}' AR='${AR}' PROCESSOR='${PROCESSOR}' PERL='${PERL}' RANLIB='${RANLIB}' KRB5_INCLUDES='${KRB5_INCLUDES}' LIBKRB5='${LIBKRB5}' EXE_EXT='${EXE_EXT}' SHARED_LIBS='${SHARED_LIBS}' SHLIB_EXT='${SHLIB_EXT}' SHLIB_TARGET='${SHLIB_TARGET}' all ) || exit 1; \
  	else \
  		$(MAKE) $$i; \
  	fi; \
***************
*** 271,283 ****
  do_linux-shared: do_gnu-shared
  do_gnu-shared:
  	libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
  	( set -x; ${CC} ${SHARED_LDFLAGS} \
  		-shared -o lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  		-Wl,-soname=lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  		-Wl,-Bsymbolic \
  		-Wl,--whole-archive lib$$i.a \
  		-Wl,--no-whole-archive $$libs ${EX_LIBS} -lc ) || exit 1; \
! 	libs="$$libs -l$$i"; \
  	done
  
  DETECT_GNU_LD=(${CC} -Wl,-V /dev/null 2>&1 | grep '^GNU ld' )>/dev/null
--- 280,295 ----
  do_linux-shared: do_gnu-shared
  do_gnu-shared:
  	libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
+ 	if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
+ 		libs="$(LIBKRB5) $$libs"; \
+ 	fi; \
  	( set -x; ${CC} ${SHARED_LDFLAGS} \
  		-shared -o lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  		-Wl,-soname=lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  		-Wl,-Bsymbolic \
  		-Wl,--whole-archive lib$$i.a \
  		-Wl,--no-whole-archive $$libs ${EX_LIBS} -lc ) || exit 1; \
! 	libs="-l$$i $$libs"; \
  	done
  
  DETECT_GNU_LD=(${CC} -Wl,-V /dev/null 2>&1 | grep '^GNU ld' )>/dev/null
***************
*** 285,306 ****
  # For Darwin AKA Mac OS/X (dyld)
  do_darwin-shared: 
  	libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
! 	( set -x ; ${CC} --verbose -dynamiclib -o lib$$i${SHLIB_EXT} \
  		lib$$i.a $$libs -all_load -current_version ${SHLIB_MAJOR}.${SHLIB_MINOR} \
  		-compatibility_version ${SHLIB_MAJOR}.`echo ${SHLIB_MINOR} | cut -d. -f1` \
  		-install_name ${INSTALLTOP}/lib/lib$$i${SHLIB_EXT} ) || exit 1; \
! 	libs="$$libs -l`basename $$i${SHLIB_EXT} .dylib`"; \
  	echo "" ; \
  	done
  
  do_cygwin-shared:
  	libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
  	( set -x; ${CC}  -shared -o cyg$$i-$(SHLIB_VERSION_NUMBER).dll \
  		-Wl,-Bsymbolic \
  		-Wl,--whole-archive lib$$i.a \
  		-Wl,--out-implib,lib$$i.dll.a \
  		-Wl,--no-whole-archive $$libs ) || exit 1; \
! 	libs="$$libs -l$$i"; \
  	done
  
  # This assumes that GNU utilities are *not* used
--- 297,324 ----
  # For Darwin AKA Mac OS/X (dyld)
  do_darwin-shared: 
  	libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
! 	if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
! 		libs="$(LIBKRB5) $$libs"; \
! 	fi; \
! 	( set -x; ${CC} --verbose -dynamiclib -o lib$$i${SHLIB_EXT} \
  		lib$$i.a $$libs -all_load -current_version ${SHLIB_MAJOR}.${SHLIB_MINOR} \
  		-compatibility_version ${SHLIB_MAJOR}.`echo ${SHLIB_MINOR} | cut -d. -f1` \
  		-install_name ${INSTALLTOP}/lib/lib$$i${SHLIB_EXT} ) || exit 1; \
! 	libs="-l`basename $$i${SHLIB_EXT} .dylib` $$libs"; \
  	echo "" ; \
  	done
  
  do_cygwin-shared:
  	libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
+ 	if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
+ 		libs="$(LIBKRB5) $$libs"; \
+ 	fi; \
  	( set -x; ${CC}  -shared -o cyg$$i-$(SHLIB_VERSION_NUMBER).dll \
  		-Wl,-Bsymbolic \
  		-Wl,--whole-archive lib$$i.a \
  		-Wl,--out-implib,lib$$i.dll.a \
  		-Wl,--no-whole-archive $$libs ) || exit 1; \
! 	libs="-l$$i $$libs"; \
  	done
  
  # This assumes that GNU utilities are *not* used
***************
*** 309,319 ****
  		$(MAKE) do_gnu-shared; \
  	else \
  		libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
  		( set -x; ${CC} ${SHARED_LDFLAGS} \
  			-shared -o lib$$i.so \
  			-set_version "${SHLIB_VERSION_HISTORY}${SHLIB_VERSION_NUMBER}" \
  			-all lib$$i.a -none $$libs ${EX_LIBS} -lc ) || exit 1; \
! 		libs="$$libs -l$$i"; \
  		done; \
  	fi
  
--- 327,340 ----
  		$(MAKE) do_gnu-shared; \
  	else \
  		libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
+ 		if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
+ 			libs="$(LIBKRB5) $$libs"; \
+ 		fi; \
  		( set -x; ${CC} ${SHARED_LDFLAGS} \
  			-shared -o lib$$i.so \
  			-set_version "${SHLIB_VERSION_HISTORY}${SHLIB_VERSION_NUMBER}" \
  			-all lib$$i.a -none $$libs ${EX_LIBS} -lc ) || exit 1; \
! 		libs="-l$$i $$libs"; \
  		done; \
  	fi
  
***************
*** 325,335 ****
  		$(MAKE) do_gnu-shared; \
  	else \
  		libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
  		( set -x; ${CC} ${SHARED_LDFLAGS} \
  			-shared -msym -o lib$$i.so \
  			-set_version "${SHLIB_VERSION_HISTORY}${SHLIB_VERSION_NUMBER}" \
  			-all lib$$i.a -none $$libs ${EX_LIBS} -lc ) || exit 1; \
! 		libs="$$libs -l$$i"; \
  		done; \
  	fi
  
--- 346,359 ----
  		$(MAKE) do_gnu-shared; \
  	else \
  		libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
+ 		if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
+ 			libs="$(LIBKRB5) $$libs"; \
+ 		fi; \
  		( set -x; ${CC} ${SHARED_LDFLAGS} \
  			-shared -msym -o lib$$i.so \
  			-set_version "${SHLIB_VERSION_HISTORY}${SHLIB_VERSION_NUMBER}" \
  			-all lib$$i.a -none $$libs ${EX_LIBS} -lc ) || exit 1; \
! 		libs="-l$$i $$libs"; \
  		done; \
  	fi
  
***************
*** 341,352 ****
  		$(MAKE) do_gnu-shared; \
  	else \
  		libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
  		( set -x; ${CC} ${SHARED_LDFLAGS} \
  			-shared -msym -o lib$$i.so \
  			-rpath  ${INSTALLTOP}/lib \
  			-set_version "${SHLIB_VERSION_HISTORY}${SHLIB_VERSION_NUMBER}" \
  			-all lib$$i.a -none $$libs ${EX_LIBS} -lc ) || exit 1; \
! 		libs="$$libs -l$$i"; \
  		done; \
  	fi
  
--- 365,379 ----
  		$(MAKE) do_gnu-shared; \
  	else \
  		libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
+ 		if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
+ 			libs="$(LIBKRB5) $$libs"; \
+ 		fi; \
  		( set -x; ${CC} ${SHARED_LDFLAGS} \
  			-shared -msym -o lib$$i.so \
  			-rpath  ${INSTALLTOP}/lib \
  			-set_version "${SHLIB_VERSION_HISTORY}${SHLIB_VERSION_NUMBER}" \
  			-all lib$$i.a -none $$libs ${EX_LIBS} -lc ) || exit 1; \
! 		libs="-l$$i $$libs"; \
  		done; \
  	fi
  
***************
*** 357,362 ****
--- 384,392 ----
  		$(MAKE) do_gnu-shared; \
  	else \
  		libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
+ 		if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
+ 			libs="$(LIBKRB5) $$libs"; \
+ 		fi; \
  		( PATH=/usr/ccs/bin:$$PATH ; export PATH; \
  		  MINUSZ='-z '; \
  		  (${CC} -v 2>&1 | grep gcc) > /dev/null && MINUSZ='-Wl,-z,'; \
***************
*** 365,371 ****
  			-h lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  			$${MINUSZ}allextract lib$$i.a $${MINUSZ}defaultextract \
  			$$libs ${EX_LIBS} -lc ) || exit 1; \
! 		libs="$$libs -l$$i"; \
  		done; \
  	fi
  
--- 395,401 ----
  			-h lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  			$${MINUSZ}allextract lib$$i.a $${MINUSZ}defaultextract \
  			$$libs ${EX_LIBS} -lc ) || exit 1; \
! 		libs="-l$$i $$libs"; \
  		done; \
  	fi
  
***************
*** 375,380 ****
--- 405,413 ----
  		$(MAKE) do_gnu-shared; \
  	else \
  		libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
+ 		if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
+ 			libs="$(LIBKRB5) $$libs"; \
+ 		fi; \
  		( PATH=/usr/ccs/bin:$$PATH ; export PATH; \
  		  find . -name "*.o" -print > allobjs ; \
  		  OBJS= ; export OBJS ; \
***************
*** 384,390 ****
  		  set -x; ${CC}  -G -o lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  			-h lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  			$${OBJS} $$libs ${EX_LIBS} ) || exit 1; \
! 		libs="$$libs -l$$i"; \
  		done; \
  	fi
  
--- 417,423 ----
  		  set -x; ${CC}  -G -o lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  			-h lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  			$${OBJS} $$libs ${EX_LIBS} ) || exit 1; \
! 		libs="-l$$i $$libs"; \
  		done; \
  	fi
  
***************
*** 394,399 ****
--- 427,435 ----
  		$(MAKE) do_gnu-shared; \
  	else \
  		libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
+ 		if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
+ 			libs="$(LIBKRB5) $$libs"; \
+ 		fi; \
  		( PATH=/usr/ccs/bin:$$PATH ; export PATH; \
  		  find . -name "*.o" -print > allobjs ; \
  		  OBJS= ; export OBJS ; \
***************
*** 404,410 ****
  			-G -o lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  			-h lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  			$${OBJS} $$libs ${EX_LIBS} ) || exit 1; \
! 		libs="$$libs -l$$i"; \
  		done; \
  	fi
  
--- 440,446 ----
  			-G -o lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  			-h lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  			$${OBJS} $$libs ${EX_LIBS} ) || exit 1; \
! 		libs="-l$$i $$libs"; \
  		done; \
  	fi
  
***************
*** 414,424 ****
  		$(MAKE) do_gnu-shared; \
  	else \
  		libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
  		( set -x; ${CC} ${SHARED_LDFLAGS} \
  			-shared -o lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  			-Wl,-soname,lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  			-all lib$$i.a $$libs ${EX_LIBS} -lc) || exit 1; \
! 		libs="$$libs -l$$i"; \
  		done; \
  	fi
  
--- 450,463 ----
  		$(MAKE) do_gnu-shared; \
  	else \
  		libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
+ 		if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
+ 			libs="$(LIBKRB5) $$libs"; \
+ 		fi; \
  		( set -x; ${CC} ${SHARED_LDFLAGS} \
  			-shared -o lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  			-Wl,-soname,lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
  			-all lib$$i.a $$libs ${EX_LIBS} -lc) || exit 1; \
! 		libs="-l$$i $$libs"; \
  		done; \
  	fi
  
***************
*** 435,440 ****
--- 474,482 ----
  #
  do_hpux-shared:
  	for i in ${SHLIBDIRS}; do \
+ 	if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
+ 		libs="$(LIBKRB5) $$libs"; \
+ 	fi; \
  	( set -x; /usr/ccs/bin/ld ${SHARED_LDFLAGS} \
   		+vnocompatwarnings \
  		-b -z +s \
***************
*** 455,460 ****
--- 497,505 ----
  #
  do_hpux64-shared:
  	for i in ${SHLIBDIRS}; do \
+ 	if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
+ 		libs="$(LIBKRB5) $$libs"; \
+ 	fi; \
  	( set -x; /usr/ccs/bin/ld ${SHARED_LDFLAGS} \
   		-b -z \
  		-o lib$$i.sl.${SHLIB_MAJOR}.${SHLIB_MINOR} \
***************
*** 497,513 ****
  SHAREDCMD=$(CC)
  do_aix-shared:
  	libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
  	( set -x; \
! 	  ld -r -o $$i.o $(ALLSYMSFLAG) lib$$i.a && \
  	  ( nm -Pg lib$$i.o | grep ' [BD] ' | cut -f1 -d' ' > lib$$i.exp; \
! 	    $(SHAREDCMD) $(SHAREDFLAG) -o lib$$i.so lib$$i.o \
  		$$libs ${EX_LIBS} ) ) \
  	|| exit 1; \
! 	libs="$$libs -l$$i"; \
  	done
  
  do_reliantunix-shared:
  	libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
  	tmpdir=/tmp/openssl.$$$$ ; rm -rf $$tmpdir ; \
  	( set -x; \
  	  ( Opwd=`pwd` ; mkdir $$tmpdir || exit 1; \
--- 542,565 ----
  SHAREDCMD=$(CC)
  do_aix-shared:
  	libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
+ 	if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
+ 		libs="$(LIBKRB5) $$libs"; \
+ 	fi; \
  	( set -x; \
! 	  ld -r -o lib$$i.o $(ALLSYMSFLAG) lib$$i.a && \
  	  ( nm -Pg lib$$i.o | grep ' [BD] ' | cut -f1 -d' ' > lib$$i.exp; \
! 	    $(SHAREDCMD) $(SHAREDFLAGS) \
! 		-o lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} lib$$i.o \
  		$$libs ${EX_LIBS} ) ) \
  	|| exit 1; \
! 	libs="-l$$i $$libs"; \
  	done
  
  do_reliantunix-shared:
  	libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
+ 	if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
+ 		libs="$(LIBKRB5) $$libs"; \
+ 	fi; \
  	tmpdir=/tmp/openssl.$$$$ ; rm -rf $$tmpdir ; \
  	( set -x; \
  	  ( Opwd=`pwd` ; mkdir $$tmpdir || exit 1; \
***************
*** 517,523 ****
  	  cp $$tmpdir/lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} . ; \
  	) || exit 1; \
  	rm -rf $$tmpdir ; \
! 	libs="$$libs -l$$i"; \
  	done
  
  openssl.pc: Makefile.ssl
--- 569,575 ----
  	  cp $$tmpdir/lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} . ; \
  	) || exit 1; \
  	rm -rf $$tmpdir ; \
! 	libs="-l$$i $$libs"; \
  	done
  
  openssl.pc: Makefile.ssl
***************
*** 530,536 ****
  	    echo 'Description: Secure Sockets Layer and cryptography libraries and tools'; \
  	    echo 'Version: '$(VERSION); \
  	    echo 'Requires: '; \
! 	    echo 'Libs: -L$${libdir} -lssl -lcrypto $(EX_LIBS)'; \
  	    echo 'Cflags: -I$${includedir} $(KRB5_INCLUDES)' ) > openssl.pc
  
  Makefile.ssl: Makefile.org
--- 582,588 ----
  	    echo 'Description: Secure Sockets Layer and cryptography libraries and tools'; \
  	    echo 'Version: '$(VERSION); \
  	    echo 'Requires: '; \
! 	    echo 'Libs: -L$${libdir} -lssl -lcrypto $(LIBKRB5) $(EX_LIBS)'; \
  	    echo 'Cflags: -I$${includedir} $(KRB5_INCLUDES)' ) > openssl.pc
  
  Makefile.ssl: Makefile.org
***************
*** 603,610 ****
  	@(OPENSSL="`pwd`/apps/openssl"; OPENSSL_DEBUG_MEMORY=on; \
  		export OPENSSL OPENSSL_DEBUG_MEMORY; \
  		LD_LIBRARY_PATH="`pwd`"; DYLD_LIBRARY_PATH="`pwd`"; SHLIB_PATH="`pwd`"; LIBPATH="`pwd`"; \
! 		if [ "$(PLATFORM)" = "DJGPP" ]; then PATH="`pwd`\;$$PATH";  \
! 		elif [ "$(PLATFORM)" = "Cygwin" ]; then PATH="`pwd`:$$PATH"; fi; \
  		export LD_LIBRARY_PATH DYLD_LIBRARY_PATH SHLIB_PATH LIBPATH PATH; \
  		$(PERL) tools/c_rehash certs)
  	touch rehash.time
--- 655,661 ----
  	@(OPENSSL="`pwd`/apps/openssl"; OPENSSL_DEBUG_MEMORY=on; \
  		export OPENSSL OPENSSL_DEBUG_MEMORY; \
  		LD_LIBRARY_PATH="`pwd`"; DYLD_LIBRARY_PATH="`pwd`"; SHLIB_PATH="`pwd`"; LIBPATH="`pwd`"; \
! 		if [ "$(PLATFORM)" = "Cygwin" ]; then PATH="`pwd`:$$PATH"; fi; \
  		export LD_LIBRARY_PATH DYLD_LIBRARY_PATH SHLIB_PATH LIBPATH PATH; \
  		$(PERL) tools/c_rehash certs)
  	touch rehash.time
***************
*** 615,622 ****
  	@(cd test && echo "testing..." && \
  	$(MAKE) CC='${CC}' PLATFORM='${PLATFORM}' CFLAG='${CFLAG}' SDIRS='$(SDIRS)' INSTALLTOP='${INSTALLTOP}' PEX_LIBS='${PEX_LIBS}' EX_LIBS='${EX_LIBS}' BN_ASM='${BN_ASM}' DES_ENC='${DES_ENC}' BF_ENC='${BF_ENC}' CAST_ENC='${CAST_ENC}' RC4_ENC='${RC4_ENC}' RC5_ENC='${RC5_ENC}' SHA1_ASM_OBJ='${SHA1_ASM_OBJ}' MD5_ASM_OBJ='${MD5_ASM_OBJ}' RMD160_ASM_OBJ='${RMD160_ASM_OBJ}' AR='${AR}' PROCESSOR='${PROCESSOR}' PERL='${PERL}' RANLIB='${RANLIB}' TESTS='${TESTS}' KRB5_INCLUDES='${KRB5_INCLUDES}' LIBKRB5='${LIBKRB5}' EXE_EXT='${EXE_EXT}' SHARED_LIBS='${SHARED_LIBS}' SHLIB_EXT='${SHLIB_EXT}' SHLIB_TARGET='${SHLIB_TARGET}' TESTS='${TESTS}' OPENSSL_DEBUG_MEMORY=on tests );
  	@LD_LIBRARY_PATH="`pwd`"; DYLD_LIBRARY_PATH="`pwd`"; SHLIB_PATH="`pwd`"; LIBPATH="`pwd`"; \
! 		if [ "$(PLATFORM)" = "DJGPP" ]; then PATH="`pwd`\;$$PATH";  \
! 		elif [ "$(PLATFORM)" = "Cygwin" ]; then PATH="`pwd`:$$PATH"; fi; \
  		export LD_LIBRARY_PATH DYLD_LIBRARY_PATH SHLIB_PATH LIBPATH PATH; \
  		apps/openssl version -a
  
--- 666,672 ----
  	@(cd test && echo "testing..." && \
  	$(MAKE) CC='${CC}' PLATFORM='${PLATFORM}' CFLAG='${CFLAG}' SDIRS='$(SDIRS)' INSTALLTOP='${INSTALLTOP}' PEX_LIBS='${PEX_LIBS}' EX_LIBS='${EX_LIBS}' BN_ASM='${BN_ASM}' DES_ENC='${DES_ENC}' BF_ENC='${BF_ENC}' CAST_ENC='${CAST_ENC}' RC4_ENC='${RC4_ENC}' RC5_ENC='${RC5_ENC}' SHA1_ASM_OBJ='${SHA1_ASM_OBJ}' MD5_ASM_OBJ='${MD5_ASM_OBJ}' RMD160_ASM_OBJ='${RMD160_ASM_OBJ}' AR='${AR}' PROCESSOR='${PROCESSOR}' PERL='${PERL}' RANLIB='${RANLIB}' TESTS='${TESTS}' KRB5_INCLUDES='${KRB5_INCLUDES}' LIBKRB5='${LIBKRB5}' EXE_EXT='${EXE_EXT}' SHARED_LIBS='${SHARED_LIBS}' SHLIB_EXT='${SHLIB_EXT}' SHLIB_TARGET='${SHLIB_TARGET}' TESTS='${TESTS}' OPENSSL_DEBUG_MEMORY=on tests );
  	@LD_LIBRARY_PATH="`pwd`"; DYLD_LIBRARY_PATH="`pwd`"; SHLIB_PATH="`pwd`"; LIBPATH="`pwd`"; \
! 		if [ "$(PLATFORM)" = "Cygwin" ]; then PATH="`pwd`:$$PATH"; fi; \
  		export LD_LIBRARY_PATH DYLD_LIBRARY_PATH SHLIB_PATH LIBPATH PATH; \
  		apps/openssl version -a
  
***************
*** 751,757 ****
  					chmod 555 $(INSTALL_PREFIX)$(INSTALLTOP)/lib/$$i.new; \
  					mv -f $(INSTALL_PREFIX)$(INSTALLTOP)/lib/$$i.new $(INSTALL_PREFIX)$(INSTALLTOP)/lib/$$i; \
  				else \
! 					c=`echo $$i | sed 's/^lib\(.*\)/cyg\1-$(SHLIB_VERSION_NUMBER)/'`; \
  					cp $$c $(INSTALL_PREFIX)$(INSTALLTOP)/bin/$$c.new; \
  					chmod 755 $(INSTALL_PREFIX)$(INSTALLTOP)/bin/$$c.new; \
  					mv -f $(INSTALL_PREFIX)$(INSTALLTOP)/bin/$$c.new $(INSTALL_PREFIX)$(INSTALLTOP)/bin/$$c; \
--- 801,807 ----
  					chmod 555 $(INSTALL_PREFIX)$(INSTALLTOP)/lib/$$i.new; \
  					mv -f $(INSTALL_PREFIX)$(INSTALLTOP)/lib/$$i.new $(INSTALL_PREFIX)$(INSTALLTOP)/lib/$$i; \
  				else \
! 					c=`echo $$i | sed 's/^lib\(.*\)\.dll/cyg\1-$(SHLIB_VERSION_NUMBER).dll/'`; \
  					cp $$c $(INSTALL_PREFIX)$(INSTALLTOP)/bin/$$c.new; \
  					chmod 755 $(INSTALL_PREFIX)$(INSTALLTOP)/bin/$$c.new; \
  					mv -f $(INSTALL_PREFIX)$(INSTALLTOP)/bin/$$c.new $(INSTALL_PREFIX)$(INSTALLTOP)/bin/$$c; \
***************
*** 765,770 ****
--- 815,826 ----
  			cd $(INSTALL_PREFIX)$(INSTALLTOP)/lib; \
  			set $(MAKE); \
  			$$1 -f $$here/Makefile link-shared ); \
+ 		if [ "$(INSTALLTOP)" != "/usr" ]; then \
+ 			echo 'OpenSSL shared libraries have been installed in:'; \
+ 			echo '  $(INSTALLTOP)'; \
+ 			echo ''; \
+ 			sed -e '1,/^$$/d' doc/openssl-shared.txt; \
+ 		fi; \
  	fi
  	cp openssl.pc $(INSTALL_PREFIX)$(INSTALLTOP)/lib/pkgconfig
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/NEWS ../RELENG_4/crypto/openssl/NEWS
*** crypto/openssl/NEWS	Mon Feb 24 20:42:40 2003
--- ../RELENG_4/crypto/openssl/NEWS	Mon Feb 24 21:14:49 2003
***************
*** 5,10 ****
--- 5,21 ----
    This file gives a brief overview of the major changes between each OpenSSL
    release. For more details please read the CHANGES file.
  
+   Major changes between OpenSSL 0.9.7 and OpenSSL 0.9.7a:
+ 
+       o Security: Important security related bugfixes.
+       o Enhanced compatibility with MIT Kerberos.
+       o Can be built without the ENGINE framework.
+       o IA32 assembler enhancements.
+       o Support for new platforms: FreeBSD/IA64 and FreeBSD/Sparc64.
+       o Configuration: the no-err option now works properly.
+       o SSL/TLS: now handles manual certificate chain building.
+       o SSL/TLS: certain session ID malfunctions corrected.
+ 
    Major changes between OpenSSL 0.9.6 and OpenSSL 0.9.7:
  
        o New library section OCSP.
***************
*** 50,55 ****
--- 61,70 ----
        o SSL/TLS: allow more precise control of renegotiations and sessions.
        o SSL/TLS: add callback to retrieve SSL/TLS messages.
        o SSL/TLS: support AES cipher suites (RFC3268).
+ 
+   Major changes between OpenSSL 0.9.6h and OpenSSL 0.9.6i:
+ 
+       o Important security related bugfixes.
  
    Major changes between OpenSSL 0.9.6g and OpenSSL 0.9.6h:
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/PROBLEMS ../RELENG_4/crypto/openssl/PROBLEMS
*** crypto/openssl/PROBLEMS	Mon Feb 24 20:42:40 2003
--- ../RELENG_4/crypto/openssl/PROBLEMS	Mon Feb 24 21:14:49 2003
***************
*** 70,72 ****
--- 70,100 ----
  this seems to be the fact that compiler emits multiplication to
  perform shift operations:-( To work the problem around configure
  with './Configure solaris64-sparcv9-cc -DMD32_REG_T=int'.
+ 
+ * Problems with hp-parisc2-cc target when used with "no-asm" flag
+ 
+ When using the hp-parisc2-cc target, wrong bignum code is generated.
+ This is due to the SIXTY_FOUR_BIT build being compiled with the +O3
+ aggressive optimization.
+ The problem manifests itself by the BN_kronecker test hanging in an
+ endless loop. Reason: the BN_kronecker test calls BN_generate_prime()
+ which itself hangs. The reason could be tracked down to the bn_mul_comba8()
+ function in bn_asm.c. At some occasions the higher 32bit value of r[7]
+ is off by 1 (meaning: calculated=shouldbe+1). Further analysis failed,
+ as no debugger support possible at +O3 and additional fprintf()'s
+ introduced fixed the bug, therefore it is most likely a bug in the
+ optimizer.
+ The bug was found in the BN_kronecker test but may also lead to
+ failures in other parts of the code.
+ (See Ticket #426.)
+ 
+ Workaround: modify the target to +O2 when building with no-asm.
+ 
+ * Poor support for AIX shared builds.
+ 
+ do_aix-shared rule is not flexible enough to parameterize through a
+ config-line. './Configure aix43-cc shared' is working, but not
+ './Configure aix64-gcc shared'. In latter case make fails to create shared
+ libraries. It's possible to build 64-bit shared libraries by running
+ 'env OBJECT_MODE=64 make', but we need more elegant solution. Preferably one
+ supporting even gcc shared builds. See RT#463 for background information.
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/README ../RELENG_4/crypto/openssl/README
*** crypto/openssl/README	Mon Feb 24 20:42:40 2003
--- ../RELENG_4/crypto/openssl/README	Mon Feb 24 21:14:49 2003
***************
*** 1,7 ****
  
!  OpenSSL 0.9.7 31 Dec 2002
  
!  Copyright (c) 1998-2002 The OpenSSL Project
   Copyright (c) 1995-1998 Eric A. Young, Tim J. Hudson
   All rights reserved.
  
--- 1,7 ----
  
!  OpenSSL 0.9.7a Feb 19 2003
  
!  Copyright (c) 1998-2003 The OpenSSL Project
   Copyright (c) 1995-1998 Eric A. Young, Tim J. Hudson
   All rights reserved.
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/Makefile.ssl ../RELENG_4/crypto/openssl/apps/Makefile.ssl
*** crypto/openssl/apps/Makefile.ssl	Mon Feb 24 20:42:40 2003
--- ../RELENG_4/crypto/openssl/apps/Makefile.ssl	Mon Feb 24 21:14:49 2003
***************
*** 18,23 ****
--- 18,24 ----
  RM=		rm -f
  # KRB5 stuff
  KRB5_INCLUDES=
+ LIBKRB5=
  
  PEX_LIBS=
  EX_LIBS= 
***************
*** 150,157 ****
  	fi
  	-(cd ..; OPENSSL="`pwd`/apps/openssl"; export OPENSSL; \
  		LIBPATH="`pwd`"; LD_LIBRARY_PATH="`pwd`"; DYLD_LIBRARY_PATH="`pwd`"; SHLIB_PATH="`pwd`"; \
! 		if [ "$(PLATFORM)" = "DJGPP" ]; then PATH="`pwd`\;$$PATH";  \
! 		elif [ "$(PLATFORM)" = "Cygwin" ]; then PATH="`pwd`:$$PATH"; fi; \
  		export LD_LIBRARY_PATH DYLD_LIBRARY_PATH SHLIB_PATH LIBPATH PATH; \
  		$(PERL) tools/c_rehash certs)
  
--- 151,157 ----
  	fi
  	-(cd ..; OPENSSL="`pwd`/apps/openssl"; export OPENSSL; \
  		LIBPATH="`pwd`"; LD_LIBRARY_PATH="`pwd`"; DYLD_LIBRARY_PATH="`pwd`"; SHLIB_PATH="`pwd`"; \
! 		if [ "$(PLATFORM)" = "Cygwin" ]; then PATH="`pwd`:$$PATH"; fi; \
  		export LD_LIBRARY_PATH DYLD_LIBRARY_PATH SHLIB_PATH LIBPATH PATH; \
  		$(PERL) tools/c_rehash certs)
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/apps.c ../RELENG_4/crypto/openssl/apps/apps.c
*** crypto/openssl/apps/apps.c	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/apps.c	Mon Feb 24 21:14:50 2003
***************
*** 122,128 ****
--- 122,130 ----
  #include <openssl/pkcs12.h>
  #include <openssl/ui.h>
  #include <openssl/safestack.h>
+ #ifndef OPENSSL_NO_ENGINE
  #include <openssl/engine.h>
+ #endif
  
  #ifdef OPENSSL_SYS_WINDOWS
  #define strcasecmp _stricmp
***************
*** 859,864 ****
--- 861,867 ----
  		BIO_printf(err,"no keyfile specified\n");
  		goto end;
  		}
+ #ifndef OPENSSL_NO_ENGINE
  	if (format == FORMAT_ENGINE)
  		{
  		if (!e)
***************
*** 868,873 ****
--- 871,877 ----
  				ui_method, &cb_data);
  		goto end;
  		}
+ #endif
  	key=BIO_new(BIO_s_file());
  	if (key == NULL)
  		{
***************
*** 935,940 ****
--- 939,945 ----
  		BIO_printf(err,"no keyfile specified\n");
  		goto end;
  		}
+ #ifndef OPENSSL_NO_ENGINE
  	if (format == FORMAT_ENGINE)
  		{
  		if (!e)
***************
*** 944,949 ****
--- 949,955 ----
  				ui_method, &cb_data);
  		goto end;
  		}
+ #endif
  	key=BIO_new(BIO_s_file());
  	if (key == NULL)
  		{
***************
*** 1329,1334 ****
--- 1335,1341 ----
  	return NULL;
  }
  
+ #ifndef OPENSSL_NO_ENGINE
  /* Try to load an engine in a shareable library */
  static ENGINE *try_load_engine(BIO *err, const char *engine, int debug)
  	{
***************
*** 1385,1390 ****
--- 1392,1398 ----
  		}
          return e;
          }
+ #endif
  
  int load_config(BIO *err, CONF *cnf)
  	{
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/apps.h ../RELENG_4/crypto/openssl/apps/apps.h
*** crypto/openssl/apps/apps.h	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/apps.h	Mon Feb 24 21:14:50 2003
***************
*** 121,127 ****
--- 121,129 ----
  #include <openssl/lhash.h>
  #include <openssl/conf.h>
  #include <openssl/txt_db.h>
+ #ifndef OPENSSL_NO_ENGINE
  #include <openssl/engine.h>
+ #endif
  #include <openssl/ossl_typ.h>
  
  int app_RAND_load_file(const char *file, BIO *bio_e, int dont_warn);
***************
*** 179,208 ****
  		do_pipe_sig()
  #  define apps_shutdown()
  #else
! #  if defined(OPENSSL_SYS_MSDOS) || defined(OPENSSL_SYS_WIN16) || \
!    defined(OPENSSL_SYS_WIN32)
! #    ifdef _O_BINARY
! #      define apps_startup() \
! 		do { _fmode=_O_BINARY; do_pipe_sig(); CRYPTO_malloc_init(); \
! 		ERR_load_crypto_strings(); OpenSSL_add_all_algorithms(); \
! 		ENGINE_load_builtin_engines(); setup_ui_method(); } while(0)
  #    else
  #      define apps_startup() \
! 		do { _fmode=O_BINARY; do_pipe_sig(); CRYPTO_malloc_init(); \
! 		ERR_load_crypto_strings(); OpenSSL_add_all_algorithms(); \
! 		ENGINE_load_builtin_engines(); setup_ui_method(); } while(0)
  #    endif
  #  else
! #    define apps_startup() \
! 		do { do_pipe_sig(); OpenSSL_add_all_algorithms(); \
! 		ERR_load_crypto_strings(); ENGINE_load_builtin_engines(); \
! 		setup_ui_method(); } while(0)
  #  endif
- #  define apps_shutdown() \
- 		do { CONF_modules_unload(1); destroy_ui_method(); \
- 		EVP_cleanup(); ENGINE_cleanup(); \
- 		CRYPTO_cleanup_all_ex_data(); ERR_remove_state(0); \
- 		ERR_free_strings(); } while(0)
  #endif
  
  typedef struct args_st
--- 181,237 ----
  		do_pipe_sig()
  #  define apps_shutdown()
  #else
! #  ifndef OPENSSL_NO_ENGINE
! #    if defined(OPENSSL_SYS_MSDOS) || defined(OPENSSL_SYS_WIN16) || \
!      defined(OPENSSL_SYS_WIN32)
! #      ifdef _O_BINARY
! #        define apps_startup() \
! 			do { _fmode=_O_BINARY; do_pipe_sig(); CRYPTO_malloc_init(); \
! 			ERR_load_crypto_strings(); OpenSSL_add_all_algorithms(); \
! 			ENGINE_load_builtin_engines(); setup_ui_method(); } while(0)
! #      else
! #        define apps_startup() \
! 			do { _fmode=O_BINARY; do_pipe_sig(); CRYPTO_malloc_init(); \
! 			ERR_load_crypto_strings(); OpenSSL_add_all_algorithms(); \
! 			ENGINE_load_builtin_engines(); setup_ui_method(); } while(0)
! #      endif
  #    else
  #      define apps_startup() \
! 			do { do_pipe_sig(); OpenSSL_add_all_algorithms(); \
! 			ERR_load_crypto_strings(); ENGINE_load_builtin_engines(); \
! 			setup_ui_method(); } while(0)
  #    endif
+ #    define apps_shutdown() \
+ 			do { CONF_modules_unload(1); destroy_ui_method(); \
+ 			EVP_cleanup(); ENGINE_cleanup(); \
+ 			CRYPTO_cleanup_all_ex_data(); ERR_remove_state(0); \
+ 			ERR_free_strings(); } while(0)
  #  else
! #    if defined(OPENSSL_SYS_MSDOS) || defined(OPENSSL_SYS_WIN16) || \
!      defined(OPENSSL_SYS_WIN32)
! #      ifdef _O_BINARY
! #        define apps_startup() \
! 			do { _fmode=_O_BINARY; do_pipe_sig(); CRYPTO_malloc_init(); \
! 			ERR_load_crypto_strings(); OpenSSL_add_all_algorithms(); \
! 			setup_ui_method(); } while(0)
! #      else
! #        define apps_startup() \
! 			do { _fmode=O_BINARY; do_pipe_sig(); CRYPTO_malloc_init(); \
! 			ERR_load_crypto_strings(); OpenSSL_add_all_algorithms(); \
! 			setup_ui_method(); } while(0)
! #      endif
! #    else
! #      define apps_startup() \
! 			do { do_pipe_sig(); OpenSSL_add_all_algorithms(); \
! 			ERR_load_crypto_strings(); \
! 			setup_ui_method(); } while(0)
! #    endif
! #    define apps_shutdown() \
! 			do { CONF_modules_unload(1); destroy_ui_method(); \
! 			EVP_cleanup(); \
! 			CRYPTO_cleanup_all_ex_data(); ERR_remove_state(0); \
! 			ERR_free_strings(); } while(0)
  #  endif
  #endif
  
  typedef struct args_st
***************
*** 248,254 ****
--- 277,285 ----
  STACK_OF(X509) *load_certs(BIO *err, const char *file, int format,
  	const char *pass, ENGINE *e, const char *cert_descrip);
  X509_STORE *setup_verify(BIO *bp, char *CAfile, char *CApath);
+ #ifndef OPENSSL_NO_ENGINE
  ENGINE *setup_engine(BIO *err, const char *engine, int debug);
+ #endif
  
  int load_config(BIO *err, CONF *cnf);
  char *make_config_name(void);
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/ca.c ../RELENG_4/crypto/openssl/apps/ca.c
*** crypto/openssl/apps/ca.c	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/ca.c	Mon Feb 24 21:14:50 2003
***************
*** 196,202 ****
--- 196,204 ----
  " -extensions ..  - Extension section (override value in config file)\n",
  " -extfile file   - Configuration file with X509v3 extentions to add\n",
  " -crlexts ..     - CRL extension section (override value in config file)\n",
+ #ifndef OPENSSL_NO_ENGINE
  " -engine e       - use engine e, possibly a hardware device.\n",
+ #endif
  " -status serial  - Shows certificate status given the serial number\n",
  " -updatedb       - Updates db for expired certificates\n",
  NULL
***************
*** 333,339 ****
--- 335,343 ----
  #define BSIZE 256
  	MS_STATIC char buf[3][BSIZE];
  	char *randfile=NULL;
+ #ifndef OPENSSL_NO_ENGINE
  	char *engine = NULL;
+ #endif
  	char *tofree=NULL;
  
  #ifdef EFENCE
***************
*** 537,547 ****
--- 541,553 ----
  			rev_arg = *(++argv);
  			rev_type = REV_CA_COMPROMISE;
  			}
+ #ifndef OPENSSL_NO_ENGINE
  		else if (strcmp(*argv,"-engine") == 0)
  			{
  			if (--argc < 1) goto bad;
  			engine= *(++argv);
  			}
+ #endif
  		else
  			{
  bad:
***************
*** 562,568 ****
--- 568,576 ----
  
  	ERR_load_crypto_strings();
  
+ #ifndef OPENSSL_NO_ENGINE
  	e = setup_engine(bio_err, engine, 0);
+ #endif
  
  	/*****************************************************************/
  	tofree=NULL;
***************
*** 597,603 ****
--- 605,614 ----
  		goto err;
  		}
  	if(tofree)
+ 		{
  		OPENSSL_free(tofree);
+ 		tofree = NULL;
+ 		}
  
  	if (!load_config(bio_err, conf))
  		goto err;
***************
*** 1633,1643 ****
  	BIO_free_all(out);
  	BIO_free_all(in);
  
! 	sk_X509_pop_free(cert_sk,X509_free);
  
  	if (ret) ERR_print_errors(bio_err);
  	app_RAND_write_file(randfile, bio_err);
! 	if (free_key)
  		OPENSSL_free(key);
  	BN_free(serial);
  	TXT_DB_free(db);
--- 1644,1655 ----
  	BIO_free_all(out);
  	BIO_free_all(in);
  
! 	if (cert_sk)
! 		sk_X509_pop_free(cert_sk,X509_free);
  
  	if (ret) ERR_print_errors(bio_err);
  	app_RAND_write_file(randfile, bio_err);
! 	if (free_key && key)
  		OPENSSL_free(key);
  	BN_free(serial);
  	TXT_DB_free(db);
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/dgst.c ../RELENG_4/crypto/openssl/apps/dgst.c
*** crypto/openssl/apps/dgst.c	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/dgst.c	Mon Feb 24 21:14:50 2003
***************
*** 100,106 ****
--- 100,108 ----
  	EVP_PKEY *sigkey = NULL;
  	unsigned char *sigbuf = NULL;
  	int siglen = 0;
+ #ifndef OPENSSL_NO_ENGINE
  	char *engine=NULL;
+ #endif
  
  	apps_startup();
  
***************
*** 166,176 ****
--- 168,180 ----
  			if (--argc < 1) break;
  			keyform=str2fmt(*(++argv));
  			}
+ #ifndef OPENSSL_NO_ENGINE
  		else if (strcmp(*argv,"-engine") == 0)
  			{
  			if (--argc < 1) break;
  			engine= *(++argv);
  			}
+ #endif
  		else if (strcmp(*argv,"-hex") == 0)
  			out_bin = 0;
  		else if (strcmp(*argv,"-binary") == 0)
***************
*** 208,214 ****
--- 212,220 ----
  		BIO_printf(bio_err,"-keyform arg    key file format (PEM or ENGINE)\n");
  		BIO_printf(bio_err,"-signature file signature to verify\n");
  		BIO_printf(bio_err,"-binary         output in binary form\n");
+ #ifndef OPENSSL_NO_ENGINE
  		BIO_printf(bio_err,"-engine e       use engine e, possibly a hardware device.\n");
+ #endif
  
  		BIO_printf(bio_err,"-%3s to use the %s message digest algorithm (default)\n",
  			LN_md5,LN_md5);
***************
*** 228,234 ****
--- 234,242 ----
  		goto end;
  		}
  
+ #ifndef OPENSSL_NO_ENGINE
          e = setup_engine(bio_err, engine, 0);
+ #endif
  
  	in=BIO_new(BIO_s_file());
  	bmd=BIO_new(BIO_f_md());
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/dh.c ../RELENG_4/crypto/openssl/apps/dh.c
*** crypto/openssl/apps/dh.c	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/dh.c	Mon Feb 24 21:14:50 2003
***************
*** 87,98 ****
  
  int MAIN(int argc, char **argv)
  	{
  	ENGINE *e = NULL;
  	DH *dh=NULL;
  	int i,badops=0,text=0;
  	BIO *in=NULL,*out=NULL;
  	int informat,outformat,check=0,noout=0,C=0,ret=1;
! 	char *infile,*outfile,*prog,*engine;
  
  	apps_startup();
  
--- 87,103 ----
  
  int MAIN(int argc, char **argv)
  	{
+ #ifndef OPENSSL_NO_ENGINE
  	ENGINE *e = NULL;
+ #endif
  	DH *dh=NULL;
  	int i,badops=0,text=0;
  	BIO *in=NULL,*out=NULL;
  	int informat,outformat,check=0,noout=0,C=0,ret=1;
! 	char *infile,*outfile,*prog;
! #ifndef OPENSSL_NO_ENGINE
! 	char *engine;
! #endif
  
  	apps_startup();
  
***************
*** 103,109 ****
--- 108,116 ----
  	if (!load_config(bio_err, NULL))
  		goto end;
  
+ #ifndef OPENSSL_NO_ENGINE
  	engine=NULL;
+ #endif
  	infile=NULL;
  	outfile=NULL;
  	informat=FORMAT_PEM;
***************
*** 134,144 ****
--- 141,153 ----
  			if (--argc < 1) goto bad;
  			outfile= *(++argv);
  			}
+ #ifndef OPENSSL_NO_ENGINE
  		else if (strcmp(*argv,"-engine") == 0)
  			{
  			if (--argc < 1) goto bad;
  			engine= *(++argv);
  			}
+ #endif
  		else if (strcmp(*argv,"-check") == 0)
  			check=1;
  		else if (strcmp(*argv,"-text") == 0)
***************
*** 170,182 ****
--- 179,195 ----
  		BIO_printf(bio_err," -text         print a text form of the DH parameters\n");
  		BIO_printf(bio_err," -C            Output C code\n");
  		BIO_printf(bio_err," -noout        no output\n");
+ #ifndef OPENSSL_NO_ENGINE
  		BIO_printf(bio_err," -engine e     use engine e, possibly a hardware device.\n");
+ #endif
  		goto end;
  		}
  
  	ERR_load_crypto_strings();
  
+ #ifndef OPENSSL_NO_ENGINE
          e = setup_engine(bio_err, engine, 0);
+ #endif
  
  	in=BIO_new(BIO_s_file());
  	out=BIO_new(BIO_s_file());
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/dhparam.c ../RELENG_4/crypto/openssl/apps/dhparam.c
*** crypto/openssl/apps/dhparam.c	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/dhparam.c	Mon Feb 24 21:14:50 2003
***************
*** 148,154 ****
--- 148,156 ----
  
  int MAIN(int argc, char **argv)
  	{
+ #ifndef OPENSSL_NO_ENGINE
  	ENGINE *e = NULL;
+ #endif
  	DH *dh=NULL;
  	int i,badops=0,text=0;
  #ifndef OPENSSL_NO_DSA
***************
*** 157,163 ****
  	BIO *in=NULL,*out=NULL;
  	int informat,outformat,check=0,noout=0,C=0,ret=1;
  	char *infile,*outfile,*prog;
! 	char *inrand=NULL,*engine=NULL;
  	int num = 0, g = 0;
  
  	apps_startup();
--- 159,168 ----
  	BIO *in=NULL,*out=NULL;
  	int informat,outformat,check=0,noout=0,C=0,ret=1;
  	char *infile,*outfile,*prog;
! 	char *inrand=NULL;
! #ifndef OPENSSL_NO_ENGINE
! 	char *engine=NULL;
! #endif
  	int num = 0, g = 0;
  
  	apps_startup();
***************
*** 199,209 ****
--- 204,216 ----
  			if (--argc < 1) goto bad;
  			outfile= *(++argv);
  			}
+ #ifndef OPENSSL_NO_ENGINE
  		else if (strcmp(*argv,"-engine") == 0)
  			{
  			if (--argc < 1) goto bad;
  			engine= *(++argv);
  			}
+ #endif
  		else if (strcmp(*argv,"-check") == 0)
  			check=1;
  		else if (strcmp(*argv,"-text") == 0)
***************
*** 249,255 ****
--- 256,264 ----
  		BIO_printf(bio_err," -2            generate parameters using  2 as the generator value\n");
  		BIO_printf(bio_err," -5            generate parameters using  5 as the generator value\n");
  		BIO_printf(bio_err," numbits       number of bits in to generate (default 512)\n");
+ #ifndef OPENSSL_NO_ENGINE
  		BIO_printf(bio_err," -engine e     use engine e, possibly a hardware device.\n");
+ #endif
  		BIO_printf(bio_err," -rand file%cfile%c...\n", LIST_SEPARATOR_CHAR, LIST_SEPARATOR_CHAR);
  		BIO_printf(bio_err,"               - load the file (or the files in the directory) into\n");
  		BIO_printf(bio_err,"               the random number generator\n");
***************
*** 259,265 ****
--- 268,276 ----
  
  	ERR_load_crypto_strings();
  
+ #ifndef OPENSSL_NO_ENGINE
          e = setup_engine(bio_err, engine, 0);
+ #endif
  
  	if (g && !num)
  		num = DEFBITS;
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/dsa.c ../RELENG_4/crypto/openssl/apps/dsa.c
*** crypto/openssl/apps/dsa.c	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/dsa.c	Mon Feb 24 21:14:50 2003
***************
*** 90,96 ****
--- 90,98 ----
  
  int MAIN(int argc, char **argv)
  	{
+ #ifndef OPENSSL_NO_ENGINE
  	ENGINE *e = NULL;
+ #endif
  	int ret=1;
  	DSA *dsa=NULL;
  	int i,badops=0;
***************
*** 98,104 ****
  	BIO *in=NULL,*out=NULL;
  	int informat,outformat,text=0,noout=0;
  	int pubin = 0, pubout = 0;
! 	char *infile,*outfile,*prog,*engine;
  	char *passargin = NULL, *passargout = NULL;
  	char *passin = NULL, *passout = NULL;
  	int modulus=0;
--- 100,109 ----
  	BIO *in=NULL,*out=NULL;
  	int informat,outformat,text=0,noout=0;
  	int pubin = 0, pubout = 0;
! 	char *infile,*outfile,*prog;
! #ifndef OPENSSL_NO_ENGINE
! 	char *engine;
! #endif
  	char *passargin = NULL, *passargout = NULL;
  	char *passin = NULL, *passout = NULL;
  	int modulus=0;
***************
*** 112,118 ****
--- 117,125 ----
  	if (!load_config(bio_err, NULL))
  		goto end;
  
+ #ifndef OPENSSL_NO_ENGINE
  	engine=NULL;
+ #endif
  	infile=NULL;
  	outfile=NULL;
  	informat=FORMAT_PEM;
***************
*** 153,163 ****
--- 160,172 ----
  			if (--argc < 1) goto bad;
  			passargout= *(++argv);
  			}
+ #ifndef OPENSSL_NO_ENGINE
  		else if (strcmp(*argv,"-engine") == 0)
  			{
  			if (--argc < 1) goto bad;
  			engine= *(++argv);
  			}
+ #endif
  		else if (strcmp(*argv,"-noout") == 0)
  			noout=1;
  		else if (strcmp(*argv,"-text") == 0)
***************
*** 189,195 ****
--- 198,206 ----
  		BIO_printf(bio_err," -passin arg     input file pass phrase source\n");
  		BIO_printf(bio_err," -out arg        output file\n");
  		BIO_printf(bio_err," -passout arg    output file pass phrase source\n");
+ #ifndef OPENSSL_NO_ENGINE
  		BIO_printf(bio_err," -engine e       use engine e, possibly a hardware device.\n");
+ #endif
  		BIO_printf(bio_err," -des            encrypt PEM output with cbc des\n");
  		BIO_printf(bio_err," -des3           encrypt PEM output with ede cbc des using 168 bit key\n");
  #ifndef OPENSSL_NO_IDEA
***************
*** 207,213 ****
--- 218,226 ----
  
  	ERR_load_crypto_strings();
  
+ #ifndef OPENSSL_NO_ENGINE
          e = setup_engine(bio_err, engine, 0);
+ #endif
  
  	if(!app_passwd(bio_err, passargin, passargout, &passin, &passout)) {
  		BIO_printf(bio_err, "Error getting passwords\n");
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/dsaparam.c ../RELENG_4/crypto/openssl/apps/dsaparam.c
*** crypto/openssl/apps/dsaparam.c	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/dsaparam.c	Mon Feb 24 21:14:50 2003
***************
*** 90,96 ****
--- 90,98 ----
  
  int MAIN(int argc, char **argv)
  	{
+ #ifndef OPENSSL_NO_ENGINE
  	ENGINE *e = NULL;
+ #endif
  	DSA *dsa=NULL;
  	int i,badops=0,text=0;
  	BIO *in=NULL,*out=NULL;
***************
*** 98,104 ****
--- 100,108 ----
  	char *infile,*outfile,*prog,*inrand=NULL;
  	int numbits= -1,num,genkey=0;
  	int need_rand=0;
+ #ifndef OPENSSL_NO_ENGINE
  	char *engine=NULL;
+ #endif
  
  	apps_startup();
  
***************
*** 139,149 ****
--- 143,155 ----
  			if (--argc < 1) goto bad;
  			outfile= *(++argv);
  			}
+ #ifndef OPENSSL_NO_ENGINE
  		else if(strcmp(*argv, "-engine") == 0)
  			{
  			if (--argc < 1) goto bad;
  			engine = *(++argv);
  			}
+ #endif
  		else if (strcmp(*argv,"-text") == 0)
  			text=1;
  		else if (strcmp(*argv,"-C") == 0)
***************
*** 191,197 ****
--- 197,205 ----
  		BIO_printf(bio_err," -noout        no output\n");
  		BIO_printf(bio_err," -genkey       generate a DSA key\n");
  		BIO_printf(bio_err," -rand         files to use for random number input\n");
+ #ifndef OPENSSL_NO_ENGINE
  		BIO_printf(bio_err," -engine e     use engine e, possibly a hardware device.\n");
+ #endif
  		BIO_printf(bio_err," number        number of bits to use for generating private key\n");
  		goto end;
  		}
***************
*** 235,241 ****
--- 243,251 ----
  			}
  		}
  
+ #ifndef OPENSSL_NO_ENGINE
          e = setup_engine(bio_err, engine, 0);
+ #endif
  
  	if (need_rand)
  		{
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/enc.c ../RELENG_4/crypto/openssl/apps/enc.c
*** crypto/openssl/apps/enc.c	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/enc.c	Mon Feb 24 21:14:50 2003
***************
*** 100,106 ****
--- 100,108 ----
  
  int MAIN(int argc, char **argv)
  	{
+ #ifndef OPENSSL_NO_ENGINE
  	ENGINE *e = NULL;
+ #endif
  	static const char magic[]="Salted__";
  	char mbuf[sizeof magic-1];
  	char *strbuf=NULL;
***************
*** 119,125 ****
--- 121,129 ----
  	BIO *in=NULL,*out=NULL,*b64=NULL,*benc=NULL,*rbio=NULL,*wbio=NULL;
  #define PROG_NAME_SIZE  39
  	char pname[PROG_NAME_SIZE+1];
+ #ifndef OPENSSL_NO_ENGINE
  	char *engine = NULL;
+ #endif
  
  	apps_startup();
  
***************
*** 163,173 ****
--- 167,179 ----
  			if (--argc < 1) goto bad;
  			passarg= *(++argv);
  			}
+ #ifndef OPENSSL_NO_ENGINE
  		else if (strcmp(*argv,"-engine") == 0)
  			{
  			if (--argc < 1) goto bad;
  			engine= *(++argv);
  			}
+ #endif
  		else if	(strcmp(*argv,"-d") == 0)
  			enc=0;
  		else if	(strcmp(*argv,"-p") == 0)
***************
*** 270,276 ****
--- 276,284 ----
  			BIO_printf(bio_err,"%-14s key/iv in hex is the next argument\n","-K/-iv");
  			BIO_printf(bio_err,"%-14s print the iv/key (then exit if -P)\n","-[pP]");
  			BIO_printf(bio_err,"%-14s buffer size\n","-bufsize <n>");
+ #ifndef OPENSSL_NO_ENGINE
  			BIO_printf(bio_err,"%-14s use engine e, possibly a hardware device.\n","-engine e");
+ #endif
  
  			BIO_printf(bio_err,"Cipher Types\n");
  			OBJ_NAME_do_all_sorted(OBJ_NAME_TYPE_CIPHER_METH,
***************
*** 284,290 ****
--- 292,300 ----
  		argv++;
  		}
  
+ #ifndef OPENSSL_NO_ENGINE
          e = setup_engine(bio_err, engine, 0);
+ #endif
  
  	if (bufsize != NULL)
  		{
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/engine.c ../RELENG_4/crypto/openssl/apps/engine.c
*** crypto/openssl/apps/engine.c	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/engine.c	Mon Feb 24 21:14:50 2003
***************
*** 56,61 ****
--- 56,63 ----
   *
   */
  
+ #ifndef OPENSSL_NO_ENGINE
+ 
  #include <stdio.h>
  #include <stdlib.h>
  #include <string.h>
***************
*** 518,520 ****
--- 520,523 ----
  	apps_shutdown();
  	OPENSSL_EXIT(ret);
  	}
+ #endif
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/gendh.c ../RELENG_4/crypto/openssl/apps/gendh.c
*** crypto/openssl/apps/gendh.c	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/gendh.c	Mon Feb 24 21:14:50 2003
***************
*** 81,93 ****
--- 81,97 ----
  
  int MAIN(int argc, char **argv)
  	{
+ #ifndef OPENSSL_NO_ENGINE
  	ENGINE *e = NULL;
+ #endif
  	DH *dh=NULL;
  	int ret=1,num=DEFBITS;
  	int g=2;
  	char *outfile=NULL;
  	char *inrand=NULL;
+ #ifndef OPENSSL_NO_ENGINE
  	char *engine=NULL;
+ #endif
  	BIO *out=NULL;
  
  	apps_startup();
***************
*** 115,125 ****
--- 119,131 ----
  			g=3; */
  		else if (strcmp(*argv,"-5") == 0)
  			g=5;
+ #ifndef OPENSSL_NO_ENGINE
  		else if (strcmp(*argv,"-engine") == 0)
  			{
  			if (--argc < 1) goto bad;
  			engine= *(++argv);
  			}
+ #endif
  		else if (strcmp(*argv,"-rand") == 0)
  			{
  			if (--argc < 1) goto bad;
***************
*** 138,151 ****
--- 144,161 ----
  		BIO_printf(bio_err," -2        - use 2 as the generator value\n");
  	/*	BIO_printf(bio_err," -3        - use 3 as the generator value\n"); */
  		BIO_printf(bio_err," -5        - use 5 as the generator value\n");
+ #ifndef OPENSSL_NO_ENGINE
  		BIO_printf(bio_err," -engine e - use engine e, possibly a hardware device.\n");
+ #endif
  		BIO_printf(bio_err," -rand file%cfile%c...\n", LIST_SEPARATOR_CHAR, LIST_SEPARATOR_CHAR);
  		BIO_printf(bio_err,"           - load the file (or the files in the directory) into\n");
  		BIO_printf(bio_err,"             the random number generator\n");
  		goto end;
  		}
  		
+ #ifndef OPENSSL_NO_ENGINE
          e = setup_engine(bio_err, engine, 0);
+ #endif
  
  	out=BIO_new(BIO_s_file());
  	if (out == NULL)
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/gendsa.c ../RELENG_4/crypto/openssl/apps/gendsa.c
*** crypto/openssl/apps/gendsa.c	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/gendsa.c	Mon Feb 24 21:14:50 2003
***************
*** 77,83 ****
--- 77,85 ----
  
  int MAIN(int argc, char **argv)
  	{
+ #ifndef OPENSSL_NO_ENGINE
  	ENGINE *e = NULL;
+ #endif
  	DSA *dsa=NULL;
  	int ret=1;
  	char *outfile=NULL;
***************
*** 85,91 ****
--- 87,95 ----
  	char *passargout = NULL, *passout = NULL;
  	BIO *out=NULL,*in=NULL;
  	const EVP_CIPHER *enc=NULL;
+ #ifndef OPENSSL_NO_ENGINE
  	char *engine=NULL;
+ #endif
  
  	apps_startup();
  
***************
*** 111,121 ****
--- 115,127 ----
  			if (--argc < 1) goto bad;
  			passargout= *(++argv);
  			}
+ #ifndef OPENSSL_NO_ENGINE
  		else if (strcmp(*argv,"-engine") == 0)
  			{
  			if (--argc < 1) goto bad;
  			engine= *(++argv);
  			}
+ #endif
  		else if (strcmp(*argv,"-rand") == 0)
  			{
  			if (--argc < 1) goto bad;
***************
*** 167,173 ****
--- 173,181 ----
  		BIO_printf(bio_err," -aes128, -aes192, -aes256\n");
  		BIO_printf(bio_err,"                 encrypt PEM output with cbc aes\n");
  #endif
+ #ifndef OPENSSL_NO_ENGINE
  		BIO_printf(bio_err," -engine e - use engine e, possibly a hardware device.\n");
+ #endif
  		BIO_printf(bio_err," -rand file%cfile%c...\n", LIST_SEPARATOR_CHAR, LIST_SEPARATOR_CHAR);
  		BIO_printf(bio_err,"           - load the file (or the files in the directory) into\n");
  		BIO_printf(bio_err,"             the random number generator\n");
***************
*** 176,182 ****
--- 184,192 ----
  		goto end;
  		}
  
+ #ifndef OPENSSL_NO_ENGINE
          e = setup_engine(bio_err, engine, 0);
+ #endif
  
  	if(!app_passwd(bio_err, NULL, passargout, NULL, &passout)) {
  		BIO_printf(bio_err, "Error getting password\n");
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/genrsa.c ../RELENG_4/crypto/openssl/apps/genrsa.c
*** crypto/openssl/apps/genrsa.c	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/genrsa.c	Mon Feb 24 21:14:50 2003
***************
*** 81,87 ****
--- 81,89 ----
  
  int MAIN(int argc, char **argv)
  	{
+ #ifndef OPENSSL_NO_ENGINE
  	ENGINE *e = NULL;
+ #endif
  	int ret=1;
  	RSA *rsa=NULL;
  	int i,num=DEFBITS;
***************
*** 90,96 ****
--- 92,100 ----
  	unsigned long f4=RSA_F4;
  	char *outfile=NULL;
  	char *passargout = NULL, *passout = NULL;
+ #ifndef OPENSSL_NO_ENGINE
  	char *engine=NULL;
+ #endif
  	char *inrand=NULL;
  	BIO *out=NULL;
  
***************
*** 122,132 ****
--- 126,138 ----
  			f4=3;
  		else if (strcmp(*argv,"-F4") == 0 || strcmp(*argv,"-f4") == 0)
  			f4=RSA_F4;
+ #ifndef OPENSSL_NO_ENGINE
  		else if (strcmp(*argv,"-engine") == 0)
  			{
  			if (--argc < 1) goto bad;
  			engine= *(++argv);
  			}
+ #endif
  		else if (strcmp(*argv,"-rand") == 0)
  			{
  			if (--argc < 1) goto bad;
***************
*** 177,183 ****
--- 183,191 ----
  		BIO_printf(bio_err," -passout arg    output file pass phrase source\n");
  		BIO_printf(bio_err," -f4             use F4 (0x10001) for the E value\n");
  		BIO_printf(bio_err," -3              use 3 for the E value\n");
+ #ifndef OPENSSL_NO_ENGINE
  		BIO_printf(bio_err," -engine e       use engine e, possibly a hardware device.\n");
+ #endif
  		BIO_printf(bio_err," -rand file%cfile%c...\n", LIST_SEPARATOR_CHAR, LIST_SEPARATOR_CHAR);
  		BIO_printf(bio_err,"                 load the file (or the files in the directory) into\n");
  		BIO_printf(bio_err,"                 the random number generator\n");
***************
*** 191,197 ****
--- 199,207 ----
  		goto err;
  	}
  
+ #ifndef OPENSSL_NO_ENGINE
          e = setup_engine(bio_err, engine, 0);
+ #endif
  
  	if (outfile == NULL)
  		{
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/ocsp.c ../RELENG_4/crypto/openssl/apps/ocsp.c
*** crypto/openssl/apps/ocsp.c	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/ocsp.c	Mon Feb 24 21:14:50 2003
***************
*** 55,60 ****
--- 55,61 ----
   * Hudson (tjh@cryptsoft.com).
   *
   */
+ #ifndef OPENSSL_NO_OCSP
  
  #include <stdio.h>
  #include <string.h>
***************
*** 722,728 ****
--- 723,734 ----
  		}
  	else if (host)
  		{
+ #ifndef OPENSSL_NO_SOCK
  		cbio = BIO_new_connect(host);
+ #else
+ 		BIO_printf(bio_err, "Error creating connect BIO - sockets not supported.\n");
+ 		goto end;
+ #endif
  		if (!cbio)
  			{
  			BIO_printf(bio_err, "Error creating connect BIO\n");
***************
*** 732,738 ****
--- 738,753 ----
  		if (use_ssl == 1)
  			{
  			BIO *sbio;
+ #if !defined(OPENSSL_NO_SSL2) && !defined(OPENSSL_NO_SSL3)
  			ctx = SSL_CTX_new(SSLv23_client_method());
+ #elif !defined(OPENSSL_NO_SSL3)
+ 			ctx = SSL_CTX_new(SSLv3_client_method());
+ #elif !defined(OPENSSL_NO_SSL2)
+ 			ctx = SSL_CTX_new(SSLv2_client_method());
+ #else
+ 			BIO_printf(bio_err, "SSL is disabled\n");
+ 			goto end;
+ #endif
  			SSL_CTX_set_mode(ctx, SSL_MODE_AUTO_RETRY);
  			sbio = BIO_new_ssl(ctx, 1);
  			cbio = BIO_push(sbio, cbio);
***************
*** 1139,1145 ****
--- 1154,1164 ----
  	bufbio = BIO_new(BIO_f_buffer());
  	if (!bufbio) 
  		goto err;
+ #ifndef OPENSSL_NO_SOCK
  	acbio = BIO_new_accept(port);
+ #else
+ 	BIO_printf(bio_err, "Error setting up accept BIO - sockets not supported.\n");
+ #endif
  	if (!acbio)
  		goto err;
  	BIO_set_accept_bios(acbio, bufbio);
***************
*** 1226,1228 ****
--- 1245,1248 ----
  	return 1;
  	}
  
+ #endif
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/openssl.c ../RELENG_4/crypto/openssl/apps/openssl.c
*** crypto/openssl/apps/openssl.c	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/openssl.c	Mon Feb 24 21:14:50 2003
***************
*** 122,128 ****
--- 122,130 ----
  #include <openssl/x509.h>
  #include <openssl/pem.h>
  #include <openssl/ssl.h>
+ #ifndef OPENSSL_NO_ENGINE
  #include <openssl/engine.h>
+ #endif
  #define USE_SOCKETS /* needed for the _O_BINARY defs in the MS world */
  #include "progs.h"
  #include "s_apps.h"
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/pkcs12.c ../RELENG_4/crypto/openssl/apps/pkcs12.c
*** crypto/openssl/apps/pkcs12.c	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/pkcs12.c	Mon Feb 24 21:14:50 2003
***************
*** 120,126 ****
--- 120,128 ----
      char *passin = NULL, *passout = NULL;
      char *inrand = NULL;
      char *CApath = NULL, *CAfile = NULL;
+ #ifndef OPENSSL_NO_ENGINE
      char *engine=NULL;
+ #endif
  
      apps_startup();
  
***************
*** 252,262 ****
--- 254,266 ----
  			args++;	
  			CAfile = *args;
  		    } else badarg = 1;
+ #ifndef OPENSSL_NO_ENGINE
  		} else if (!strcmp(*args,"-engine")) {
  		    if (args[1]) {
  			args++;	
  			engine = *args;
  		    } else badarg = 1;
+ #endif
  		} else badarg = 1;
  
  	} else badarg = 1;
***************
*** 304,317 ****
--- 308,325 ----
  	BIO_printf (bio_err, "-password p   set import/export password source\n");
  	BIO_printf (bio_err, "-passin p     input file pass phrase source\n");
  	BIO_printf (bio_err, "-passout p    output file pass phrase source\n");
+ #ifndef OPENSSL_NO_ENGINE
  	BIO_printf (bio_err, "-engine e     use engine e, possibly a hardware device.\n");
+ #endif
  	BIO_printf(bio_err,  "-rand file%cfile%c...\n", LIST_SEPARATOR_CHAR, LIST_SEPARATOR_CHAR);
  	BIO_printf(bio_err,  "              load the file (or the files in the directory) into\n");
  	BIO_printf(bio_err,  "              the random number generator\n");
      	goto end;
      }
  
+ #ifndef OPENSSL_NO_ENGINE
      e = setup_engine(bio_err, engine, 0);
+ #endif
  
      if(passarg) {
  	if(export_cert) passargout = passarg;
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/pkcs7.c ../RELENG_4/crypto/openssl/apps/pkcs7.c
*** crypto/openssl/apps/pkcs7.c	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/pkcs7.c	Mon Feb 24 21:14:50 2003
***************
*** 82,88 ****
--- 82,90 ----
  
  int MAIN(int argc, char **argv)
  	{
+ #ifndef OPENSSL_NO_ENGINE
  	ENGINE *e = NULL;
+ #endif
  	PKCS7 *p7=NULL;
  	int i,badops=0;
  	BIO *in=NULL,*out=NULL;
***************
*** 90,96 ****
--- 92,100 ----
  	char *infile,*outfile,*prog;
  	int print_certs=0,text=0,noout=0;
  	int ret=1;
+ #ifndef OPENSSL_NO_ENGINE
  	char *engine=NULL;
+ #endif
  
  	apps_startup();
  
***************
*** 134,144 ****
--- 138,150 ----
  			text=1;
  		else if (strcmp(*argv,"-print_certs") == 0)
  			print_certs=1;
+ #ifndef OPENSSL_NO_ENGINE
  		else if (strcmp(*argv,"-engine") == 0)
  			{
  			if (--argc < 1) goto bad;
  			engine= *(++argv);
  			}
+ #endif
  		else
  			{
  			BIO_printf(bio_err,"unknown option %s\n",*argv);
***************
*** 161,174 ****
--- 167,184 ----
  		BIO_printf(bio_err," -print_certs  print any certs or crl in the input\n");
  		BIO_printf(bio_err," -text         print full details of certificates\n");
  		BIO_printf(bio_err," -noout        don't output encoded data\n");
+ #ifndef OPENSSL_NO_ENGINE
  		BIO_printf(bio_err," -engine e     use engine e, possibly a hardware device.\n");
+ #endif
  		ret = 1;
  		goto end;
  		}
  
  	ERR_load_crypto_strings();
  
+ #ifndef OPENSSL_NO_ENGINE
          e = setup_engine(bio_err, engine, 0);
+ #endif
  
  	in=BIO_new(BIO_s_file());
  	out=BIO_new(BIO_s_file());
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/pkcs8.c ../RELENG_4/crypto/openssl/apps/pkcs8.c
*** crypto/openssl/apps/pkcs8.c	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/pkcs8.c	Mon Feb 24 21:14:50 2003
***************
*** 85,91 ****
--- 85,93 ----
  	EVP_PKEY *pkey=NULL;
  	char pass[50], *passin = NULL, *passout = NULL, *p8pass = NULL;
  	int badarg = 0;
+ #ifndef OPENSSL_NO_ENGINE
  	char *engine=NULL;
+ #endif
  
  	if (bio_err == NULL) bio_err = BIO_new_fp (stderr, BIO_NOCLOSE);
  
***************
*** 145,155 ****
--- 147,159 ----
  			if (!args[1]) goto bad;
  			passargout= *(++args);
  			}
+ #ifndef OPENSSL_NO_ENGINE
  		else if (strcmp(*args,"-engine") == 0)
  			{
  			if (!args[1]) goto bad;
  			engine= *(++args);
  			}
+ #endif
  		else if (!strcmp (*args, "-in")) {
  			if (args[1]) {
  				args++;
***************
*** 182,192 ****
--- 186,200 ----
  		BIO_printf(bio_err, "-nocrypt        use or expect unencrypted private key\n");
  		BIO_printf(bio_err, "-v2 alg         use PKCS#5 v2.0 and cipher \"alg\"\n");
  		BIO_printf(bio_err, "-v1 obj         use PKCS#5 v1.5 and cipher \"alg\"\n");
+ #ifndef OPENSSL_NO_ENGINE
  		BIO_printf(bio_err," -engine e       use engine e, possibly a hardware device.\n");
+ #endif
  		return (1);
  	}
  
+ #ifndef OPENSSL_NO_ENGINE
          e = setup_engine(bio_err, engine, 0);
+ #endif
  
  	if(!app_passwd(bio_err, passargin, passargout, &passin, &passout)) {
  		BIO_printf(bio_err, "Error getting passwords\n");
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/progs.h ../RELENG_4/crypto/openssl/apps/progs.h
*** crypto/openssl/apps/progs.h	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/progs.h	Mon Feb 24 21:14:50 2003
***************
*** 35,41 ****
--- 35,43 ----
  extern int spkac_main(int argc,char *argv[]);
  extern int smime_main(int argc,char *argv[]);
  extern int rand_main(int argc,char *argv[]);
+ #ifndef OPENSSL_NO_ENGINE
  extern int engine_main(int argc,char *argv[]);
+ #endif
  extern int ocsp_main(int argc,char *argv[]);
  
  #define FUNC_TYPE_GENERAL	1
***************
*** 92,98 ****
--- 94,102 ----
  #if !defined(OPENSSL_NO_SOCK) && !(defined(OPENSSL_NO_SSL2) && defined(OPENSSL_NO_SSL3))
  	{FUNC_TYPE_GENERAL,"s_client",s_client_main},
  #endif
+ #ifndef OPENSSL_NO_SPEED
  	{FUNC_TYPE_GENERAL,"speed",speed_main},
+ #endif
  #if !defined(OPENSSL_NO_SOCK) && !(defined(OPENSSL_NO_SSL2) && defined(OPENSSL_NO_SSL3))
  	{FUNC_TYPE_GENERAL,"s_time",s_time_main},
  #endif
***************
*** 111,117 ****
--- 115,123 ----
  	{FUNC_TYPE_GENERAL,"spkac",spkac_main},
  	{FUNC_TYPE_GENERAL,"smime",smime_main},
  	{FUNC_TYPE_GENERAL,"rand",rand_main},
+ #ifndef OPENSSL_NO_ENGINE
  	{FUNC_TYPE_GENERAL,"engine",engine_main},
+ #endif
  	{FUNC_TYPE_GENERAL,"ocsp",ocsp_main},
  #ifndef OPENSSL_NO_MD2
  	{FUNC_TYPE_MD,"md2",dgst_main},
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/rand.c ../RELENG_4/crypto/openssl/apps/rand.c
*** crypto/openssl/apps/rand.c	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/rand.c	Mon Feb 24 21:14:50 2003
***************
*** 76,82 ****
--- 76,84 ----
  
  int MAIN(int argc, char **argv)
  	{
+ #ifndef OPENSSL_NO_ENGINE
  	ENGINE *e = NULL;
+ #endif
  	int i, r, ret = 1;
  	int badopt;
  	char *outfile = NULL;
***************
*** 84,90 ****
--- 86,94 ----
  	int base64 = 0;
  	BIO *out = NULL;
  	int num = -1;
+ #ifndef OPENSSL_NO_ENGINE
  	char *engine=NULL;
+ #endif
  
  	apps_startup();
  
***************
*** 106,111 ****
--- 110,116 ----
  			else
  				badopt = 1;
  			}
+ #ifndef OPENSSL_NO_ENGINE
  		else if (strcmp(argv[i], "-engine") == 0)
  			{
  			if ((argv[i+1] != NULL) && (engine == NULL))
***************
*** 113,118 ****
--- 118,124 ----
  			else
  				badopt = 1;
  			}
+ #endif
  		else if (strcmp(argv[i], "-rand") == 0)
  			{
  			if ((argv[i+1] != NULL) && (inrand == NULL))
***************
*** 150,162 ****
--- 156,172 ----
  		BIO_printf(bio_err, "Usage: rand [options] num\n");
  		BIO_printf(bio_err, "where options are\n");
  		BIO_printf(bio_err, "-out file             - write to file\n");
+ #ifndef OPENSSL_NO_ENGINE
  		BIO_printf(bio_err, "-engine e             - use engine e, possibly a hardware device.\n");
+ #endif
  		BIO_printf(bio_err, "-rand file%cfile%c... - seed PRNG from files\n", LIST_SEPARATOR_CHAR, LIST_SEPARATOR_CHAR);
  		BIO_printf(bio_err, "-base64               - encode output\n");
  		goto err;
  		}
  
+ #ifndef OPENSSL_NO_ENGINE
          e = setup_engine(bio_err, engine, 0);
+ #endif
  
  	app_RAND_load_file(NULL, bio_err, (inrand != NULL));
  	if (inrand != NULL)
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/req.c ../RELENG_4/crypto/openssl/apps/req.c
*** crypto/openssl/apps/req.c	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/req.c	Mon Feb 24 21:14:50 2003
***************
*** 162,168 ****
--- 162,170 ----
  	int informat,outformat,verify=0,noout=0,text=0,keyform=FORMAT_PEM;
  	int nodes=0,kludge=0,newhdr=0,subject=0,pubkey=0;
  	char *infile,*outfile,*prog,*keyfile=NULL,*template=NULL,*keyout=NULL;
+ #ifndef OPENSSL_NO_ENGINE
  	char *engine=NULL;
+ #endif
  	char *extensions = NULL;
  	char *req_exts = NULL;
  	const EVP_CIPHER *cipher=NULL;
***************
*** 210,220 ****
--- 212,224 ----
  			if (--argc < 1) goto bad;
  			outformat=str2fmt(*(++argv));
  			}
+ #ifndef OPENSSL_NO_ENGINE
  		else if (strcmp(*argv,"-engine") == 0)
  			{
  			if (--argc < 1) goto bad;
  			engine= *(++argv);
  			}
+ #endif
  		else if (strcmp(*argv,"-key") == 0)
  			{
  			if (--argc < 1) goto bad;
***************
*** 428,434 ****
--- 432,440 ----
  		BIO_printf(bio_err," -verify        verify signature on REQ\n");
  		BIO_printf(bio_err," -modulus       RSA modulus\n");
  		BIO_printf(bio_err," -nodes         don't encrypt the output key\n");
+ #ifndef OPENSSL_NO_ENGINE
  		BIO_printf(bio_err," -engine e      use engine e, possibly a hardware device\n");
+ #endif
  		BIO_printf(bio_err," -subject       output the request's subject\n");
  		BIO_printf(bio_err," -passin        private key password source\n");
  		BIO_printf(bio_err," -key file      use the private key contained in file\n");
***************
*** 453,459 ****
  		BIO_printf(bio_err," -extensions .. specify certificate extension section (override value in config file)\n");
  		BIO_printf(bio_err," -reqexts ..    specify request extension section (override value in config file)\n");
  		BIO_printf(bio_err," -utf8          input characters are UTF8 (default ASCII)\n");
! 		BIO_printf(bio_err," -nameopt arg   - various certificate name options\n");
  		BIO_printf(bio_err," -reqopt arg    - various request text options\n\n");
  		goto end;
  		}
--- 459,465 ----
  		BIO_printf(bio_err," -extensions .. specify certificate extension section (override value in config file)\n");
  		BIO_printf(bio_err," -reqexts ..    specify request extension section (override value in config file)\n");
  		BIO_printf(bio_err," -utf8          input characters are UTF8 (default ASCII)\n");
! 		BIO_printf(bio_err," -nameopt arg    - various certificate name options\n");
  		BIO_printf(bio_err," -reqopt arg    - various request text options\n\n");
  		goto end;
  		}
***************
*** 617,623 ****
--- 623,631 ----
  	if ((in == NULL) || (out == NULL))
  		goto end;
  
+ #ifndef OPENSSL_NO_ENGINE
          e = setup_engine(bio_err, engine, 0);
+ #endif
  
  	if (keyfile != NULL)
  		{
***************
*** 1237,1247 ****
--- 1245,1261 ----
  
  			sprintf(buf,"%s_min",v->name);
  			if (!NCONF_get_number(req_conf,dn_sect,buf, &n_min))
+ 				{
+ 				ERR_clear_error();
  				n_min = -1;
+ 				}
  
  			sprintf(buf,"%s_max",v->name);
  			if (!NCONF_get_number(req_conf,dn_sect,buf, &n_max))
+ 				{
+ 				ERR_clear_error();
  				n_max = -1;
+ 				}
  
  			if (!add_DN_object(subj,v->value,def,value,nid,
  				n_min,n_max, chtype))
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/rsa.c ../RELENG_4/crypto/openssl/apps/rsa.c
*** crypto/openssl/apps/rsa.c	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/rsa.c	Mon Feb 24 21:14:50 2003
***************
*** 104,110 ****
--- 104,112 ----
  	char *infile,*outfile,*prog;
  	char *passargin = NULL, *passargout = NULL;
  	char *passin = NULL, *passout = NULL;
+ #ifndef OPENSSL_NO_ENGINE
  	char *engine=NULL;
+ #endif
  	int modulus=0;
  
  	apps_startup();
***************
*** 156,166 ****
--- 158,170 ----
  			if (--argc < 1) goto bad;
  			passargout= *(++argv);
  			}
+ #ifndef OPENSSL_NO_ENGINE
  		else if (strcmp(*argv,"-engine") == 0)
  			{
  			if (--argc < 1) goto bad;
  			engine= *(++argv);
  			}
+ #endif
  		else if (strcmp(*argv,"-sgckey") == 0)
  			sgckey=1;
  		else if (strcmp(*argv,"-pubin") == 0)
***************
*** 212,224 ****
--- 216,232 ----
  		BIO_printf(bio_err," -check          verify key consistency\n");
  		BIO_printf(bio_err," -pubin          expect a public key in input file\n");
  		BIO_printf(bio_err," -pubout         output a public key\n");
+ #ifndef OPENSSL_NO_ENGINE
  		BIO_printf(bio_err," -engine e       use engine e, possibly a hardware device.\n");
+ #endif
  		goto end;
  		}
  
  	ERR_load_crypto_strings();
  
+ #ifndef OPENSSL_NO_ENGINE
          e = setup_engine(bio_err, engine, 0);
+ #endif
  
  	if(!app_passwd(bio_err, passargin, passargout, &passin, &passout)) {
  		BIO_printf(bio_err, "Error getting passwords\n");
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/rsautl.c ../RELENG_4/crypto/openssl/apps/rsautl.c
*** crypto/openssl/apps/rsautl.c	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/rsautl.c	Mon Feb 24 21:14:50 2003
***************
*** 85,91 ****
--- 85,93 ----
  	ENGINE *e = NULL;
  	BIO *in = NULL, *out = NULL;
  	char *infile = NULL, *outfile = NULL;
+ #ifndef OPENSSL_NO_ENGINE
  	char *engine = NULL;
+ #endif
  	char *keyfile = NULL;
  	char rsa_mode = RSA_VERIFY, key_type = KEY_PRIVKEY;
  	int keyform = FORMAT_PEM;
***************
*** 125,133 ****
--- 127,137 ----
  		} else if (strcmp(*argv,"-keyform") == 0) {
  			if (--argc < 1) badarg = 1;
  			keyform=str2fmt(*(++argv));
+ #ifndef OPENSSL_NO_ENGINE
  		} else if(!strcmp(*argv, "-engine")) {
  			if (--argc < 1) badarg = 1;
  			engine = *(++argv);
+ #endif
  		} else if(!strcmp(*argv, "-pubin")) {
  			key_type = KEY_PUBKEY;
  		} else if(!strcmp(*argv, "-certin")) {
***************
*** 162,168 ****
--- 166,174 ----
  		goto end;
  	}
  
+ #ifndef OPENSSL_NO_ENGINE
          e = setup_engine(bio_err, engine, 0);
+ #endif
  
  /* FIXME: seed PRNG only if needed */
  	app_RAND_load_file(NULL, bio_err, 0);
***************
*** 305,311 ****
--- 311,319 ----
  	BIO_printf(bio_err, "-encrypt        encrypt with public key\n");
  	BIO_printf(bio_err, "-decrypt        decrypt with private key\n");
  	BIO_printf(bio_err, "-hexdump        hex dump output\n");
+ #ifndef OPENSSL_NO_ENGINE
  	BIO_printf(bio_err, "-engine e       use engine e, possibly a hardware device.\n");
+ #endif
  
  }
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/s_client.c ../RELENG_4/crypto/openssl/apps/s_client.c
*** crypto/openssl/apps/s_client.c	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/s_client.c	Mon Feb 24 21:14:50 2003
***************
*** 222,228 ****
--- 222,230 ----
  	BIO_printf(bio_err,"                 for those protocols that support it, where\n");
  	BIO_printf(bio_err,"                 'prot' defines which one to assume.  Currently,\n");
  	BIO_printf(bio_err,"                 only \"smtp\" is supported.\n");
+ #ifndef OPENSSL_NO_ENGINE
  	BIO_printf(bio_err," -engine id    - Initialise and use the specified engine\n");
+ #endif
  	BIO_printf(bio_err," -rand file%cfile%c...\n", LIST_SEPARATOR_CHAR, LIST_SEPARATOR_CHAR);
  
  	}
***************
*** 254,261 ****
--- 256,265 ----
  	SSL_METHOD *meth=NULL;
  	BIO *sbio;
  	char *inrand=NULL;
+ #ifndef OPENSSL_NO_ENGINE
  	char *engine_id=NULL;
  	ENGINE *e=NULL;
+ #endif
  #ifdef OPENSSL_SYS_WINDOWS
  	struct timeval tv;
  #endif
***************
*** 415,425 ****
--- 419,431 ----
  			else
  				goto bad;
  			}
+ #ifndef OPENSSL_NO_ENGINE
  		else if	(strcmp(*argv,"-engine") == 0)
  			{
  			if (--argc < 1) goto bad;
  			engine_id = *(++argv);
  			}
+ #endif
  		else if (strcmp(*argv,"-rand") == 0)
  			{
  			if (--argc < 1) goto bad;
***************
*** 444,450 ****
--- 450,458 ----
  	OpenSSL_add_ssl_algorithms();
  	SSL_load_error_strings();
  
+ #ifndef OPENSSL_NO_ENGINE
          e = setup_engine(bio_err, engine_id, 1);
+ #endif
  
  	if (!app_RAND_load_file(NULL, bio_err, 1) && inrand == NULL
  		&& !RAND_status())
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/s_server.c ../RELENG_4/crypto/openssl/apps/s_server.c
*** crypto/openssl/apps/s_server.c	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/s_server.c	Mon Feb 24 21:14:50 2003
***************
*** 242,248 ****
--- 242,250 ----
  static int s_quiet=0;
  
  static int hack=0;
+ #ifndef OPENSSL_NO_ENGINE
  static char *engine_id=NULL;
+ #endif
  static const char *session_id_prefix=NULL;
  
  #ifdef MONOLITH
***************
*** 267,273 ****
--- 269,277 ----
  	s_msg=0;
  	s_quiet=0;
  	hack=0;
+ #ifndef OPENSSL_NO_ENGINE
  	engine_id=NULL;
+ #endif
  	}
  #endif
  
***************
*** 316,322 ****
--- 320,328 ----
  	BIO_printf(bio_err," -WWW          - Respond to a 'GET /<path> HTTP/1.0' with file ./<path>\n");
  	BIO_printf(bio_err," -HTTP         - Respond to a 'GET /<path> HTTP/1.0' with file ./<path>\n");
          BIO_printf(bio_err,"                 with the assumption it contains a complete HTTP response.\n");
+ #ifndef OPENSSL_NO_ENGINE
  	BIO_printf(bio_err," -engine id    - Initialise and use the specified engine\n");
+ #endif
  	BIO_printf(bio_err," -id_prefix arg - Generate SSL/TLS session IDs prefixed by 'arg'\n");
  	BIO_printf(bio_err," -rand file%cfile%c...\n", LIST_SEPARATOR_CHAR, LIST_SEPARATOR_CHAR);
  	}
***************
*** 490,496 ****
--- 496,504 ----
  	int no_tmp_rsa=0,no_dhe=0,nocert=0;
  	int state=0;
  	SSL_METHOD *meth=NULL;
+ #ifndef OPENSSL_NO_ENGINE
  	ENGINE *e=NULL;
+ #endif
  	char *inrand=NULL;
  
  #if !defined(OPENSSL_NO_SSL2) && !defined(OPENSSL_NO_SSL3)
***************
*** 665,675 ****
--- 673,685 ----
  			if (--argc < 1) goto bad;
  			session_id_prefix = *(++argv);
  			}
+ #ifndef OPENSSL_NO_ENGINE
  		else if (strcmp(*argv,"-engine") == 0)
  			{
  			if (--argc < 1) goto bad;
  			engine_id= *(++argv);
  			}
+ #endif
  		else if (strcmp(*argv,"-rand") == 0)
  			{
  			if (--argc < 1) goto bad;
***************
*** 694,700 ****
--- 704,712 ----
  	SSL_load_error_strings();
  	OpenSSL_add_ssl_algorithms();
  
+ #ifndef OPENSSL_NO_ENGINE
          e = setup_engine(bio_err, engine_id, 1);
+ #endif
  
  	if (!app_RAND_load_file(NULL, bio_err, 1) && inrand == NULL
  		&& !RAND_status())
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/smime.c ../RELENG_4/crypto/openssl/apps/smime.c
*** crypto/openssl/apps/smime.c	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/smime.c	Mon Feb 24 21:14:50 2003
***************
*** 104,110 ****
--- 104,112 ----
  	int need_rand = 0;
  	int informat = FORMAT_SMIME, outformat = FORMAT_SMIME;
          int keyform = FORMAT_PEM;
+ #ifndef OPENSSL_NO_ENGINE
  	char *engine=NULL;
+ #endif
  
  	args = argv + 1;
  	ret = 1;
***************
*** 176,186 ****
--- 178,190 ----
  				inrand = *args;
  			} else badarg = 1;
  			need_rand = 1;
+ #ifndef OPENSSL_NO_ENGINE
  		} else if (!strcmp(*args,"-engine")) {
  			if (args[1]) {
  				args++;
  				engine = *args;
  			} else badarg = 1;
+ #endif
  		} else if (!strcmp(*args,"-passin")) {
  			if (args[1]) {
  				args++;
***************
*** 330,336 ****
--- 334,342 ----
  		BIO_printf (bio_err, "-CAfile file   trusted certificates file\n");
  		BIO_printf (bio_err, "-crl_check     check revocation status of signer's certificate using CRLs\n");
  		BIO_printf (bio_err, "-crl_check_all check revocation status of signer's certificate chain using CRLs\n");
+ #ifndef OPENSSL_NO_ENGINE
  		BIO_printf (bio_err, "-engine e      use engine e, possibly a hardware device.\n");
+ #endif
  		BIO_printf (bio_err, "-passin arg    input file pass phrase source\n");
  		BIO_printf(bio_err,  "-rand file%cfile%c...\n", LIST_SEPARATOR_CHAR, LIST_SEPARATOR_CHAR);
  		BIO_printf(bio_err,  "               load the file (or the files in the directory) into\n");
***************
*** 339,345 ****
--- 345,353 ----
  		goto end;
  	}
  
+ #ifndef OPENSSL_NO_ENGINE
          e = setup_engine(bio_err, engine, 0);
+ #endif
  
  	if(!app_passwd(bio_err, passargin, NULL, &passin, NULL)) {
  		BIO_printf(bio_err, "Error getting password\n");
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/speed.c ../RELENG_4/crypto/openssl/apps/speed.c
*** crypto/openssl/apps/speed.c	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/speed.c	Mon Feb 24 21:14:50 2003
***************
*** 58,63 ****
--- 58,65 ----
  
  /* most of this code has been pilfered from my libdes speed.c program */
  
+ #ifndef OPENSSL_NO_SPEED
+ 
  #undef SECONDS
  #define SECONDS		3	
  #define RSA_SECONDS	10
***************
*** 370,376 ****
--- 372,380 ----
  
  int MAIN(int argc, char **argv)
  	{
+ #ifndef OPENSSL_NO_ENGINE
  	ENGINE *e = NULL;
+ #endif
  	unsigned char *buf=NULL,*buf2=NULL;
  	int mret=1;
  	long count=0,save_count=0;
***************
*** 590,595 ****
--- 594,600 ----
  			j--;	/* Otherwise, -elapsed gets confused with
  				   an algorithm. */
  			}
+ #ifndef OPENSSL_NO_ENGINE
  		else if	((argc > 0) && (strcmp(*argv,"-engine") == 0))
  			{
  			argc--;
***************
*** 606,611 ****
--- 611,617 ----
  			   means all of them should be run) */
  			j--;
  			}
+ #endif
  #ifdef HAVE_FORK
  		else if	((argc > 0) && (strcmp(*argv,"-multi") == 0))
  			{
***************
*** 865,871 ****
--- 871,879 ----
  #if defined(TIMES) || defined(USE_TOD)
  			BIO_printf(bio_err,"-elapsed        measure time in real time instead of CPU user time.\n");
  #endif
+ #ifndef OPENSSL_NO_ENGINE
  			BIO_printf(bio_err,"-engine e       use engine e, possibly a hardware device.\n");
+ #endif
  			BIO_printf(bio_err,"-evp e          use EVP e.\n");
  			BIO_printf(bio_err,"-decrypt        time decryption instead of encryption (only EVP).\n");
  			BIO_printf(bio_err,"-mr             produce machine readable output.\n");
***************
*** 1393,1398 ****
--- 1401,1407 ----
  				else
  					EVP_EncryptFinal_ex(&ctx,buf,&outl);
  				d=Time_F(STOP);
+ 				EVP_CIPHER_CTX_cleanup(&ctx);
  				}
  			if (evp_md)
  				{
***************
*** 1938,1941 ****
--- 1947,1951 ----
  		}
  	return 1;
  	}
+ #endif
  #endif
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/spkac.c ../RELENG_4/crypto/openssl/apps/spkac.c
*** crypto/openssl/apps/spkac.c	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/spkac.c	Mon Feb 24 21:14:50 2003
***************
*** 92,98 ****
--- 92,100 ----
  	CONF *conf = NULL;
  	NETSCAPE_SPKI *spki = NULL;
  	EVP_PKEY *pkey = NULL;
+ #ifndef OPENSSL_NO_ENGINE
  	char *engine=NULL;
+ #endif
  
  	apps_startup();
  
***************
*** 141,151 ****
--- 143,155 ----
  			if (--argc < 1) goto bad;
  			spksect= *(++argv);
  			}
+ #ifndef OPENSSL_NO_ENGINE
  		else if (strcmp(*argv,"-engine") == 0)
  			{
  			if (--argc < 1) goto bad;
  			engine= *(++argv);
  			}
+ #endif
  		else if (strcmp(*argv,"-noout") == 0)
  			noout=1;
  		else if (strcmp(*argv,"-pubkey") == 0)
***************
*** 171,177 ****
--- 175,183 ----
  		BIO_printf(bio_err," -noout         don't print SPKAC\n");
  		BIO_printf(bio_err," -pubkey        output public key\n");
  		BIO_printf(bio_err," -verify        verify SPKAC signature\n");
+ #ifndef OPENSSL_NO_ENGINE
  		BIO_printf(bio_err," -engine e      use engine e, possibly a hardware device.\n");
+ #endif
  		goto end;
  		}
  
***************
*** 181,187 ****
--- 187,195 ----
  		goto end;
  	}
  
+ #ifndef OPENSSL_NO_ENGINE
          e = setup_engine(bio_err, engine, 0);
+ #endif
  
  	if(keyfile) {
  		pkey = load_key(bio_err,
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/verify.c ../RELENG_4/crypto/openssl/apps/verify.c
*** crypto/openssl/apps/verify.c	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/verify.c	Mon Feb 24 21:14:50 2003
***************
*** 86,92 ****
--- 86,94 ----
  	STACK_OF(X509) *untrusted = NULL, *trusted = NULL;
  	X509_STORE *cert_ctx=NULL;
  	X509_LOOKUP *lookup=NULL;
+ #ifndef OPENSSL_NO_ENGINE
  	char *engine=NULL;
+ #endif
  
  	cert_ctx=X509_STORE_new();
  	if (cert_ctx == NULL) goto end;
***************
*** 142,152 ****
--- 144,156 ----
  				if (argc-- < 1) goto end;
  				trustfile= *(++argv);
  				}
+ #ifndef OPENSSL_NO_ENGINE
  			else if (strcmp(*argv,"-engine") == 0)
  				{
  				if (--argc < 1) goto end;
  				engine= *(++argv);
  				}
+ #endif
  			else if (strcmp(*argv,"-help") == 0)
  				goto end;
  			else if (strcmp(*argv,"-ignore_critical") == 0)
***************
*** 170,176 ****
--- 174,182 ----
  			break;
  		}
  
+ #ifndef OPENSSL_NO_ENGINE
          e = setup_engine(bio_err, engine, 0);
+ #endif
  
  	lookup=X509_STORE_add_lookup(cert_ctx,X509_LOOKUP_file());
  	if (lookup == NULL) abort();
***************
*** 219,225 ****
  	ret=0;
  end:
  	if (ret == 1) {
! 		BIO_printf(bio_err,"usage: verify [-verbose] [-CApath path] [-CAfile file] [-purpose purpose] [-crl_check] [-engine e] cert1 cert2 ...\n");
  		BIO_printf(bio_err,"recognized usages:\n");
  		for(i = 0; i < X509_PURPOSE_get_count(); i++) {
  			X509_PURPOSE *ptmp;
--- 225,235 ----
  	ret=0;
  end:
  	if (ret == 1) {
! 		BIO_printf(bio_err,"usage: verify [-verbose] [-CApath path] [-CAfile file] [-purpose purpose] [-crl_check]");
! #ifndef OPENSSL_NO_ENGINE
! 		BIO_printf(bio_err," [-engine e]");
! #endif
! 		BIO_printf(bio_err," cert1 cert2 ...\n");
  		BIO_printf(bio_err,"recognized usages:\n");
  		for(i = 0; i < X509_PURPOSE_get_count(); i++) {
  			X509_PURPOSE *ptmp;
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/apps/x509.c ../RELENG_4/crypto/openssl/apps/x509.c
*** crypto/openssl/apps/x509.c	Mon Feb 24 20:42:41 2003
--- ../RELENG_4/crypto/openssl/apps/x509.c	Mon Feb 24 21:14:50 2003
***************
*** 131,137 ****
--- 131,139 ----
  " -extensions     - section from config file with X509V3 extensions to add\n",
  " -clrext         - delete extensions before signing and input certificate\n",
  " -nameopt arg    - various certificate name options\n",
+ #ifndef OPENSSL_NO_ENGINE
  " -engine e       - use engine e, possibly a hardware device.\n",
+ #endif
  " -certopt arg    - various certificate text options\n",
  NULL
  };
***************
*** 183,189 ****
--- 185,193 ----
  	int need_rand = 0;
  	int checkend=0,checkoffset=0;
  	unsigned long nmflag = 0, certflag = 0;
+ #ifndef OPENSSL_NO_ENGINE
  	char *engine=NULL;
+ #endif
  
  	reqfile=0;
  
***************
*** 360,370 ****
--- 364,376 ----
  			alias= *(++argv);
  			trustout = 1;
  			}
+ #ifndef OPENSSL_NO_ENGINE
  		else if (strcmp(*argv,"-engine") == 0)
  			{
  			if (--argc < 1) goto bad;
  			engine= *(++argv);
  			}
+ #endif
  		else if (strcmp(*argv,"-C") == 0)
  			C= ++num;
  		else if (strcmp(*argv,"-email") == 0)
***************
*** 450,456 ****
--- 456,464 ----
  		goto end;
  		}
  
+ #ifndef OPENSSL_NO_ENGINE
          e = setup_engine(bio_err, engine, 0);
+ #endif
  
  	if (need_rand)
  		app_RAND_load_file(NULL, bio_err, 0);
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/config ../RELENG_4/crypto/openssl/config
*** crypto/openssl/config	Mon Feb 24 20:42:40 2003
--- ../RELENG_4/crypto/openssl/config	Mon Feb 24 21:14:49 2003
***************
*** 74,107 ****
  		echo "whatever-whatever-sco5"; exit 0
  		;;
  	    4.2MP)
! 		if [ "x$VERSION" = "x2.01" ]; then
! 		    echo "${MACHINE}-whatever-unixware201"; exit 0
! 		elif [ "x$VERSION" = "x2.02" ]; then
! 		    echo "${MACHINE}-whatever-unixware202"; exit 0
! 		elif [ "x$VERSION" = "x2.03" ]; then
! 		    echo "${MACHINE}-whatever-unixware203"; exit 0
! 		elif [ "x$VERSION" = "x2.1.1" ]; then
! 		    echo "${MACHINE}-whatever-unixware211"; exit 0
! 		elif [ "x$VERSION" = "x2.1.2" ]; then
! 		    echo "${MACHINE}-whatever-unixware212"; exit 0
! 		elif [ "x$VERSION" = "x2.1.3" ]; then
! 		    echo "${MACHINE}-whatever-unixware213"; exit 0
! 		else
! 		    echo "${MACHINE}-whatever-unixware2"; exit 0
! 		fi
  		;;
  	    4.2)
! 		echo "whatever-whatever-unixware1"; exit 0
! 		;;
! 	    OpenUNIX)
! 		if [ "`echo x$VERSION | sed -e 's/\..*//'`" = "x8" ]; then
! 		    echo "${MACHINE}-unknown-OpenUNIX${VERSION}"; exit 0
! 		fi
  		;;
  	    5)
! 		if [ "`echo x$VERSION | sed -e 's/\..*//'`" = "x7" ]; then
! 		    echo "${MACHINE}-sco-unixware7"; exit 0
! 		fi
  		;;
  	esac
      fi
--- 74,100 ----
  		echo "whatever-whatever-sco5"; exit 0
  		;;
  	    4.2MP)
! 		case "x${VERSION}" in
! 		    x2.0*) echo "whatever-whatever-unixware20"; exit 0 ;;
! 		    x2.1*) echo "whatever-whatever-unixware21"; exit 0 ;;
! 		    x2*)   echo "whatever-whatever-unixware2";  exit 0 ;;
! 		esac
  		;;
  	    4.2)
! 		echo "i386-whatever-unixware1"; exit 0
  		;;
  	    5)
! 		case "x${VERSION}" in
! 		    # We hardcode i586 in place of ${MACHINE} for the
! 		    # following reason. The catch is that even though Pentium
! 		    # is minimum requirement for platforms in question,
! 		    # ${MACHINE} gets always assigned to i386. Now, problem
! 		    # with i386 is that it makes ./config pass 386 to
! 		    # ./Configure, which in turn makes make generate
! 		    # inefficient SHA-1 (for this moment) code.
! 		    x7*)  echo "i586-sco-unixware7";           exit 0 ;;
! 		    x8*)  echo "i586-unkn-OpenUNIX${VERSION}"; exit 0 ;;
! 		esac
  		;;
  	esac
      fi
***************
*** 196,202 ****
  	echo "${MACHINE}-whatever-bsdi"; exit 0
  	;;
  
!     FreeBSD:*)
          VERS=`echo ${RELEASE} | sed -e 's/[-(].*//'`
          MACH=`sysctl -n hw.model`
          ARCH='whatever'
--- 189,195 ----
  	echo "${MACHINE}-whatever-bsdi"; exit 0
  	;;
  
!     FreeBSD:*:*:*386*)
          VERS=`echo ${RELEASE} | sed -e 's/[-(].*//'`
          MACH=`sysctl -n hw.model`
          ARCH='whatever'
***************
*** 205,211 ****
             *486*       ) MACH="i486"     ;;
             Pentium\ II*) MACH="i686"     ;;
             Pentium*    ) MACH="i586"     ;;
-            Alpha*      ) MACH="alpha"    ;;
             *           ) MACH="$MACHINE" ;;
          esac
          case ${MACH} in
--- 198,203 ----
***************
*** 214,219 ****
--- 206,215 ----
          echo "${MACH}-${ARCH}-freebsd${VERS}"; exit 0
          ;;
  
+     FreeBSD:*)
+ 	echo "${MACHINE}-whatever-freebsd"; exit 0
+ 	;;
+ 
      NetBSD:*:*:*386*)
          echo "`(/usr/sbin/sysctl -n hw.model || /sbin/sysctl -n hw.model) | sed 's,.*\(.\)86-class.*,i\186,'`-whatever-netbsd"; exit 0
  	;;
***************
*** 461,466 ****
--- 457,466 ----
    fi
  fi
  
+ if [ "${SYSTEM}" = "AIX" ]; then	# favor vendor cc over gcc
+     (cc) 2>&1 | grep -iv "command not found" > /dev/null && CC=cc
+ fi
+ 
  CCVER=${CCVER:-0}
  
  # read the output of the embedded GuessOS 
***************
*** 547,553 ****
    ppc-apple-darwin*) OUT="darwin-ppc-cc" ;;
    i386-apple-darwin*) OUT="darwin-i386-cc" ;;
    sparc64-*-linux2)
! 	echo "WARNING! If *know* that your GNU C supports 64-bit/V9 ABI"
  	echo "         and wish to build 64-bit library, then you have to"
  	echo "         invoke './Configure linux64-sparcv9' *manually*."
  	if [ "$TEST" = "false" ]; then
--- 547,553 ----
    ppc-apple-darwin*) OUT="darwin-ppc-cc" ;;
    i386-apple-darwin*) OUT="darwin-i386-cc" ;;
    sparc64-*-linux2)
! 	echo "WARNING! If you *know* that your GNU C supports 64-bit/V9 ABI"
  	echo "         and wish to build 64-bit library, then you have to"
  	echo "         invoke './Configure linux64-sparcv9' *manually*."
  	if [ "$TEST" = "false" ]; then
***************
*** 640,645 ****
--- 640,647 ----
    *86*-*-solaris2) OUT="solaris-x86-$CC" ;;
    *-*-sunos4) OUT="sunos-$CC" ;;
    alpha*-*-freebsd*) OUT="FreeBSD-alpha" ;;
+   sparc64-*-freebsd*) OUT="FreeBSD-sparc64" ;;
+   ia64-*-freebsd*) OUT="FreeBSD-ia64" ;;
    *-freebsd[3-9]*) OUT="FreeBSD-elf" ;;
    *-freebsd[1-2]*) OUT="FreeBSD" ;;
    *86*-*-netbsd) OUT="NetBSD-x86" ;;
***************
*** 696,704 ****
  	CPU_VERSION=${CPU_VERSION:-0}
  	# See <sys/unistd.h> for further info on CPU_VERSION.
  	if   [ $CPU_VERSION -ge 768 ]; then	# IA-64 CPU
! 	     echo "NOTICE! 64-bit is the only ABI currently operational on HP-UXi."
! 	     echo "        Post request to openssl-dev@openssl.org for 32-bit support."
  	     if [ "$TEST" = "false" ]; then
  		(stty -icanon min 0 time 50; read waste) < /dev/tty
  	     fi
  	     OUT="hpux64-ia64-cc"
--- 698,708 ----
  	CPU_VERSION=${CPU_VERSION:-0}
  	# See <sys/unistd.h> for further info on CPU_VERSION.
  	if   [ $CPU_VERSION -ge 768 ]; then	# IA-64 CPU
! 	     echo "WARNING! 64-bit ABI is the default configured ABI on HP-UXi."
! 	     echo "         If you wish to build 32-bit library, the you have to"
! 	     echo "         invoke './Configure hpux-ia32-cc' *manually*."
  	     if [ "$TEST" = "false" ]; then
+ 		echo "         You have about 5 seconds to press Ctrl-C to abort."
  		(stty -icanon min 0 time 50; read waste) < /dev/tty
  	     fi
  	     OUT="hpux64-ia64-cc"
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/aes/aes_core.c ../RELENG_4/crypto/openssl/crypto/aes/aes_core.c
*** crypto/openssl/crypto/aes/aes_core.c	Mon Feb 24 20:42:42 2003
--- ../RELENG_4/crypto/openssl/crypto/aes/aes_core.c	Mon Feb 24 21:14:51 2003
***************
*** 750,756 ****
  	rk[2] = GETU32(userKey +  8);
  	rk[3] = GETU32(userKey + 12);
  	if (bits == 128) {
! 		for (;;) {
  			temp  = rk[3];
  			rk[4] = rk[0] ^
  				(Te4[(temp >> 16) & 0xff] & 0xff000000) ^
--- 750,756 ----
  	rk[2] = GETU32(userKey +  8);
  	rk[3] = GETU32(userKey + 12);
  	if (bits == 128) {
! 		while (1) {
  			temp  = rk[3];
  			rk[4] = rk[0] ^
  				(Te4[(temp >> 16) & 0xff] & 0xff000000) ^
***************
*** 770,776 ****
  	rk[4] = GETU32(userKey + 16);
  	rk[5] = GETU32(userKey + 20);
  	if (bits == 192) {
! 		for (;;) {
  			temp = rk[ 5];
  			rk[ 6] = rk[ 0] ^
  				(Te4[(temp >> 16) & 0xff] & 0xff000000) ^
--- 770,776 ----
  	rk[4] = GETU32(userKey + 16);
  	rk[5] = GETU32(userKey + 20);
  	if (bits == 192) {
! 		while (1) {
  			temp = rk[ 5];
  			rk[ 6] = rk[ 0] ^
  				(Te4[(temp >> 16) & 0xff] & 0xff000000) ^
***************
*** 792,798 ****
  	rk[6] = GETU32(userKey + 24);
  	rk[7] = GETU32(userKey + 28);
  	if (bits == 256) {
! 		for (;;) {
  			temp = rk[ 7];
  			rk[ 8] = rk[ 0] ^
  				(Te4[(temp >> 16) & 0xff] & 0xff000000) ^
--- 792,798 ----
  	rk[6] = GETU32(userKey + 24);
  	rk[7] = GETU32(userKey + 28);
  	if (bits == 256) {
! 		while (1) {
  			temp = rk[ 7];
  			rk[ 8] = rk[ 0] ^
  				(Te4[(temp >> 16) & 0xff] & 0xff000000) ^
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/asn1/a_time.c ../RELENG_4/crypto/openssl/crypto/asn1/a_time.c
*** crypto/openssl/crypto/asn1/a_time.c	Mon Feb 24 20:42:42 2003
--- ../RELENG_4/crypto/openssl/crypto/asn1/a_time.c	Mon Feb 24 21:14:51 2003
***************
*** 105,111 ****
--- 105,114 ----
  
  	ts=OPENSSL_gmtime(&t,&data);
  	if (ts == NULL)
+ 		{
+ 		ASN1err(ASN1_F_ASN1_TIME_SET, ASN1_R_ERROR_GETTING_TIME);
  		return NULL;
+ 		}
  	if((ts->tm_year >= 50) && (ts->tm_year < 150))
  					return ASN1_UTCTIME_set(s, t);
  	return ASN1_GENERALIZEDTIME_set(s,t);
***************
*** 152,158 ****
  	if (t->data[0] >= '5') strcpy(str, "19");
  	else strcpy(str, "20");
  
! 	BUF_strlcat(str, (char *)t->data, t->length+2);
  
  	return ret;
  	}
--- 155,161 ----
  	if (t->data[0] >= '5') strcpy(str, "19");
  	else strcpy(str, "20");
  
! 	BUF_strlcat(str, (char *)t->data, t->length+3);	/* Include space for a '\0' */
  
  	return ret;
  	}
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/asn1/asn1.h ../RELENG_4/crypto/openssl/crypto/asn1/asn1.h
*** crypto/openssl/crypto/asn1/asn1.h	Mon Feb 24 20:42:42 2003
--- ../RELENG_4/crypto/openssl/crypto/asn1/asn1.h	Mon Feb 24 21:14:51 2003
***************
*** 980,985 ****
--- 980,986 ----
  #define ASN1_F_ASN1_TEMPLATE_D2I			 131
  #define ASN1_F_ASN1_TEMPLATE_EX_D2I			 132
  #define ASN1_F_ASN1_TEMPLATE_NEW			 133
+ #define ASN1_F_ASN1_TIME_SET				 175
  #define ASN1_F_ASN1_TYPE_GET_INT_OCTETSTRING		 134
  #define ASN1_F_ASN1_TYPE_GET_OCTETSTRING		 135
  #define ASN1_F_ASN1_UNPACK_STRING			 136
***************
*** 1037,1042 ****
--- 1038,1044 ----
  #define ASN1_R_DECODE_ERROR				 110
  #define ASN1_R_DECODING_ERROR				 111
  #define ASN1_R_ENCODE_ERROR				 112
+ #define ASN1_R_ERROR_GETTING_TIME			 173
  #define ASN1_R_ERROR_LOADING_SECTION			 172
  #define ASN1_R_ERROR_PARSING_SET_ELEMENT		 113
  #define ASN1_R_ERROR_SETTING_CIPHER_PARAMS		 114
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/asn1/asn1_err.c ../RELENG_4/crypto/openssl/crypto/asn1/asn1_err.c
*** crypto/openssl/crypto/asn1/asn1_err.c	Mon Feb 24 20:42:42 2003
--- ../RELENG_4/crypto/openssl/crypto/asn1/asn1_err.c	Mon Feb 24 21:14:51 2003
***************
*** 1,6 ****
  /* crypto/asn1/asn1_err.c */
  /* ====================================================================
!  * Copyright (c) 1999 The OpenSSL Project.  All rights reserved.
   *
   * Redistribution and use in source and binary forms, with or without
   * modification, are permitted provided that the following conditions
--- 1,6 ----
  /* crypto/asn1/asn1_err.c */
  /* ====================================================================
!  * Copyright (c) 1999-2002 The OpenSSL Project.  All rights reserved.
   *
   * Redistribution and use in source and binary forms, with or without
   * modification, are permitted provided that the following conditions
***************
*** 100,105 ****
--- 100,106 ----
  {ERR_PACK(0,ASN1_F_ASN1_TEMPLATE_D2I,0),	"ASN1_TEMPLATE_D2I"},
  {ERR_PACK(0,ASN1_F_ASN1_TEMPLATE_EX_D2I,0),	"ASN1_TEMPLATE_EX_D2I"},
  {ERR_PACK(0,ASN1_F_ASN1_TEMPLATE_NEW,0),	"ASN1_TEMPLATE_NEW"},
+ {ERR_PACK(0,ASN1_F_ASN1_TIME_SET,0),	"ASN1_TIME_set"},
  {ERR_PACK(0,ASN1_F_ASN1_TYPE_GET_INT_OCTETSTRING,0),	"ASN1_TYPE_get_int_octetstring"},
  {ERR_PACK(0,ASN1_F_ASN1_TYPE_GET_OCTETSTRING,0),	"ASN1_TYPE_get_octetstring"},
  {ERR_PACK(0,ASN1_F_ASN1_UNPACK_STRING,0),	"ASN1_unpack_string"},
***************
*** 160,165 ****
--- 161,167 ----
  {ASN1_R_DECODE_ERROR                     ,"decode error"},
  {ASN1_R_DECODING_ERROR                   ,"decoding error"},
  {ASN1_R_ENCODE_ERROR                     ,"encode error"},
+ {ASN1_R_ERROR_GETTING_TIME               ,"error getting time"},
  {ASN1_R_ERROR_LOADING_SECTION            ,"error loading section"},
  {ASN1_R_ERROR_PARSING_SET_ELEMENT        ,"error parsing set element"},
  {ASN1_R_ERROR_SETTING_CIPHER_PARAMS      ,"error setting cipher params"},
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/bf/Makefile.ssl ../RELENG_4/crypto/openssl/crypto/bf/Makefile.ssl
*** crypto/openssl/crypto/bf/Makefile.ssl	Mon Feb 24 20:42:42 2003
--- ../RELENG_4/crypto/openssl/crypto/bf/Makefile.ssl	Mon Feb 24 21:14:51 2003
***************
*** 49,62 ****
  	@touch lib
  
  # elf
! asm/bx86-elf.o: asm/bx86unix.cpp
! 	$(CPP) -DELF -x c asm/bx86unix.cpp | as -o asm/bx86-elf.o
! 
! # solaris
! asm/bx86-sol.o: asm/bx86unix.cpp
! 	$(CC) -E -DSOL asm/bx86unix.cpp | sed 's/^#.*//' > asm/bx86-sol.s
! 	as -o asm/bx86-sol.o asm/bx86-sol.s
! 	rm -f asm/bx86-sol.s
  
  # a.out
  asm/bx86-out.o: asm/bx86unix.cpp
--- 49,56 ----
  	@touch lib
  
  # elf
! asm/bx86-elf.s: asm/bf-586.pl ../perlasm/x86asm.pl ../perlasm/cbc.pl
! 	(cd asm; $(PERL) bf-586.pl elf $(CFLAGS) $(PROCESSOR) > bx86-elf.s)
  
  # a.out
  asm/bx86-out.o: asm/bx86unix.cpp
***************
*** 103,109 ****
  	mv -f Makefile.new $(MAKEFILE)
  
  clean:
! 	rm -f asm/bx86unix.cpp *.o asm/*.o *.obj lib tags core .pure .nfs* *.old *.bak fluff
  
  # DO NOT DELETE THIS LINE -- make depend depends on it.
  
--- 97,103 ----
  	mv -f Makefile.new $(MAKEFILE)
  
  clean:
! 	rm -f asm/bx86unix.cpp asm/*-elf.* *.o asm/*.o *.obj lib tags core .pure .nfs* *.old *.bak fluff
  
  # DO NOT DELETE THIS LINE -- make depend depends on it.
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/bio/b_sock.c ../RELENG_4/crypto/openssl/crypto/bio/b_sock.c
*** crypto/openssl/crypto/bio/b_sock.c	Mon Feb 24 20:42:42 2003
--- ../RELENG_4/crypto/openssl/crypto/bio/b_sock.c	Mon Feb 24 21:14:51 2003
***************
*** 492,498 ****
  
  #if !defined(OPENSSL_SYS_VMS) || __VMS_VER >= 70000000
  
! int BIO_socket_ioctl(int fd, long type, unsigned long *arg)
  	{
  	int i;
  
--- 492,498 ----
  
  #if !defined(OPENSSL_SYS_VMS) || __VMS_VER >= 70000000
  
! int BIO_socket_ioctl(int fd, long type, void *arg)
  	{
  	int i;
  
***************
*** 742,748 ****
  int BIO_socket_nbio(int s, int mode)
  	{
  	int ret= -1;
! 	unsigned long l;
  
  	l=mode;
  #ifdef FIONBIO
--- 742,748 ----
  int BIO_socket_nbio(int s, int mode)
  	{
  	int ret= -1;
! 	int l;
  
  	l=mode;
  #ifdef FIONBIO
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/bio/bio.h ../RELENG_4/crypto/openssl/crypto/bio/bio.h
*** crypto/openssl/crypto/bio/bio.h	Mon Feb 24 20:42:42 2003
--- ../RELENG_4/crypto/openssl/crypto/bio/bio.h	Mon Feb 24 21:14:51 2003
***************
*** 244,250 ****
  	long (_far *ctrl)();
  	int (_far *create)();
  	int (_far *destroy)();
! 	long (_fat *callback_ctrl)();
  	} BIO_METHOD;
  #endif
  
--- 244,250 ----
  	long (_far *ctrl)();
  	int (_far *create)();
  	int (_far *destroy)();
! 	long (_far *callback_ctrl)();
  	} BIO_METHOD;
  #endif
  
***************
*** 585,591 ****
   * and an appropriate error code is set).
   */
  int BIO_sock_error(int sock);
! int BIO_socket_ioctl(int fd, long type, unsigned long *arg);
  int BIO_socket_nbio(int fd,int mode);
  int BIO_get_port(const char *str, unsigned short *port_ptr);
  int BIO_get_host_ip(const char *str, unsigned char *ip);
--- 585,591 ----
   * and an appropriate error code is set).
   */
  int BIO_sock_error(int sock);
! int BIO_socket_ioctl(int fd, long type, void *arg);
  int BIO_socket_nbio(int fd,int mode);
  int BIO_get_port(const char *str, unsigned short *port_ptr);
  int BIO_get_host_ip(const char *str, unsigned char *ip);
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/bio/bio_lib.c ../RELENG_4/crypto/openssl/crypto/bio/bio_lib.c
*** crypto/openssl/crypto/bio/bio_lib.c	Mon Feb 24 20:42:42 2003
--- ../RELENG_4/crypto/openssl/crypto/bio/bio_lib.c	Mon Feb 24 21:14:51 2003
***************
*** 395,400 ****
--- 395,402 ----
  	if (b == NULL) return(NULL);
  	ret=b->next_bio;
  
+ 	BIO_ctrl(b,BIO_CTRL_POP,0,NULL);
+ 
  	if (b->prev_bio != NULL)
  		b->prev_bio->next_bio=b->next_bio;
  	if (b->next_bio != NULL)
***************
*** 402,408 ****
  
  	b->next_bio=NULL;
  	b->prev_bio=NULL;
- 	BIO_ctrl(b,BIO_CTRL_POP,0,NULL);
  	return(ret);
  	}
  
--- 404,409 ----
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/bn/Makefile.ssl ../RELENG_4/crypto/openssl/crypto/bn/Makefile.ssl
*** crypto/openssl/crypto/bn/Makefile.ssl	Mon Feb 24 20:42:42 2003
--- ../RELENG_4/crypto/openssl/crypto/bn/Makefile.ssl	Mon Feb 24 21:14:51 2003
***************
*** 23,36 ****
  
  CFLAGS= $(INCLUDES) $(CFLAG)
  
- # We let the C compiler driver to take care of .s files. This is done in
- # order to be excused from maintaining a separate set of architecture
- # dependent assembler flags. E.g. if you throw -mcpu=ultrasparc at SPARC
- # gcc, then the driver will automatically translate it to -xarch=v8plus
- # and pass it down to assembler.
- AS=$(CC) -c
- ASFLAGS=$(CFLAGS)
- 
  GENERAL=Makefile
  TEST=bntest.c exptest.c
  APPS=
--- 23,28 ----
***************
*** 73,94 ****
  	@touch lib
  
  # elf
! asm/bn86-elf.o: asm/bn86unix.cpp
! 	$(CPP) -DELF -x c asm/bn86unix.cpp | as -o asm/bn86-elf.o
! 
! asm/co86-elf.o: asm/co86unix.cpp
! 	$(CPP) -DELF -x c asm/co86unix.cpp | as -o asm/co86-elf.o
  
! # solaris
! asm/bn86-sol.o: asm/bn86unix.cpp
! 	$(CC) -E -DSOL asm/bn86unix.cpp | sed 's/^#.*//' > asm/bn86-sol.s
! 	as -o asm/bn86-sol.o asm/bn86-sol.s
! 	rm -f asm/bn86-sol.s
! 
! asm/co86-sol.o: asm/co86unix.cpp
! 	$(CC) -E -DSOL asm/co86unix.cpp | sed 's/^#.*//' > asm/co86-sol.s
! 	as -o asm/co86-sol.o asm/co86-sol.s
! 	rm -f asm/co86-sol.s
  
  # a.out
  asm/bn86-out.o: asm/bn86unix.cpp
--- 65,75 ----
  	@touch lib
  
  # elf
! asm/bn86-elf.s:	asm/bn-586.pl ../perlasm/x86asm.pl
! 	(cd asm; $(PERL) bn-586.pl elf $(CFLAGS) > bn86-elf.s)
  
! asm/co86-elf.s:	asm/co-586.pl ../perlasm/x86asm.pl
! 	(cd asm; $(PERL) co-586.pl elf $(CFLAGS) > co86-elf.s)
  
  # a.out
  asm/bn86-out.o: asm/bn86unix.cpp
***************
*** 178,184 ****
  	mv -f Makefile.new $(MAKEFILE)
  
  clean:
! 	rm -f asm/co86unix.cpp asm/bn86unix.cpp *.o */*.o *.obj lib tags core .pure .nfs* *.old *.bak fluff bn_asm.s
  
  # DO NOT DELETE THIS LINE -- make depend depends on it.
  
--- 159,165 ----
  	mv -f Makefile.new $(MAKEFILE)
  
  clean:
! 	rm -f asm/co86unix.cpp asm/bn86unix.cpp asm/*-elf.* *.o */*.o *.obj lib tags core .pure .nfs* *.old *.bak fluff bn_asm.s
  
  # DO NOT DELETE THIS LINE -- make depend depends on it.
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/bn/asm/ia64.S ../RELENG_4/crypto/openssl/crypto/bn/asm/ia64.S
*** crypto/openssl/crypto/bn/asm/ia64.S	Mon Feb 24 20:42:43 2003
--- ../RELENG_4/crypto/openssl/crypto/bn/asm/ia64.S	Mon Feb 24 21:14:52 2003
***************
*** 1,6 ****
  .explicit
  .text
! .ident	"ia64.S, Version 1.1"
  .ident	"IA-64 ISA artwork by Andy Polyakov <appro@fy.chalmers.se>"
  
  //
--- 1,6 ----
  .explicit
  .text
! .ident	"ia64.S, Version 2.0"
  .ident	"IA-64 ISA artwork by Andy Polyakov <appro@fy.chalmers.se>"
  
  //
***************
*** 13,18 ****
--- 13,47 ----
  // disclaimed.
  // ====================================================================
  //
+ // Version 2.x is Itanium2 re-tune. Few words about how Itanum2 is
+ // different from Itanium to this module viewpoint. Most notably, is it
+ // "wider" than Itanium? Can you experience loop scalability as
+ // discussed in commentary sections? Not really:-( Itanium2 has 6
+ // integer ALU ports, i.e. it's 2 ports wider, but it's not enough to
+ // spin twice as fast, as I need 8 IALU ports. Amount of floating point
+ // ports is the same, i.e. 2, while I need 4. In other words, to this
+ // module Itanium2 remains effectively as "wide" as Itanium. Yet it's
+ // essentially different in respect to this module, and a re-tune was
+ // required. Well, because some intruction latencies has changed. Most
+ // noticeably those intensively used:
+ //
+ //			Itanium	Itanium2
+ //	ldf8		9	6		L2 hit
+ //	ld8		2	1		L1 hit
+ //	getf		2	5
+ //	xma[->getf]	7[+1]	4[+0]
+ //	add[->st8]	1[+1]	1[+0]
+ //
+ // What does it mean? You might ratiocinate that the original code
+ // should run just faster... Because sum of latencies is smaller...
+ // Wrong! Note that getf latency increased. This means that if a loop is
+ // scheduled for lower latency (and they are), then it will suffer from
+ // stall condition and the code will therefore turn anti-scalable, e.g.
+ // original bn_mul_words spun at 5*n or 2.5 times slower than expected
+ // on Itanium2! What to do? Reschedule loops for Itanium2? But then
+ // Itanium would exhibit anti-scalability. So I've chosen to reschedule
+ // for worst latency for every instruction aiming for best *all-round*
+ // performance.  
  
  // Q.	How much faster does it get?
  // A.	Here is the output from 'openssl speed rsa dsa' for vanilla
***************
*** 149,160 ****
  	brp.loop.imp	.L_bn_add_words_ctop,.L_bn_add_words_cend-16
  					}
  	.body
! { .mib;	mov		r14=r32			// rp
  	mov		r9=pr		};;
! { .mii;	mov		r15=r33			// ap
  	mov		ar.lc=r10
  	mov		ar.ec=6		}
! { .mib;	mov		r16=r34			// bp
  	mov		pr.rot=1<<16	};;
  
  .L_bn_add_words_ctop:
--- 178,204 ----
  	brp.loop.imp	.L_bn_add_words_ctop,.L_bn_add_words_cend-16
  					}
  	.body
! { .mib;
! #if defined(_HPUX_SOURCE) && defined(_ILP32)
! 	addp4		r14=0,r32		// rp
! #else
! 	mov		r14=r32			// rp
! #endif
  	mov		r9=pr		};;
! { .mii;
! #if defined(_HPUX_SOURCE) && defined(_ILP32)
! 	addp4		r15=0,r33		// ap
! #else
! 	mov		r15=r33			// ap
! #endif
  	mov		ar.lc=r10
  	mov		ar.ec=6		}
! { .mib;
! #if defined(_HPUX_SOURCE) && defined(_ILP32)
! 	addp4		r16=0,r34		// bp
! #else
! 	mov		r16=r34			// bp
! #endif
  	mov		pr.rot=1<<16	};;
  
  .L_bn_add_words_ctop:
***************
*** 174,180 ****
  
  { .mii;
  (p59)	add		r8=1,r8		// return value
! 	mov		pr=r9,-1
  	mov		ar.lc=r3	}
  { .mbb;	nop.b		0x0
  	br.ret.sptk.many	b0	};;
--- 218,224 ----
  
  { .mii;
  (p59)	add		r8=1,r8		// return value
! 	mov		pr=r9,0x1ffff
  	mov		ar.lc=r3	}
  { .mbb;	nop.b		0x0
  	br.ret.sptk.many	b0	};;
***************
*** 202,213 ****
  	brp.loop.imp	.L_bn_sub_words_ctop,.L_bn_sub_words_cend-16
  					}
  	.body
! { .mib;	mov		r14=r32			// rp
  	mov		r9=pr		};;
! { .mii;	mov		r15=r33			// ap
  	mov		ar.lc=r10
  	mov		ar.ec=6		}
! { .mib;	mov		r16=r34			// bp
  	mov		pr.rot=1<<16	};;
  
  .L_bn_sub_words_ctop:
--- 246,272 ----
  	brp.loop.imp	.L_bn_sub_words_ctop,.L_bn_sub_words_cend-16
  					}
  	.body
! { .mib;
! #if defined(_HPUX_SOURCE) && defined(_ILP32)
! 	addp4		r14=0,r32		// rp
! #else
! 	mov		r14=r32			// rp
! #endif
  	mov		r9=pr		};;
! { .mii;
! #if defined(_HPUX_SOURCE) && defined(_ILP32)
! 	addp4		r15=0,r33		// ap
! #else
! 	mov		r15=r33			// ap
! #endif
  	mov		ar.lc=r10
  	mov		ar.ec=6		}
! { .mib;
! #if defined(_HPUX_SOURCE) && defined(_ILP32)
! 	addp4		r16=0,r34		// bp
! #else
! 	mov		r16=r34			// bp
! #endif
  	mov		pr.rot=1<<16	};;
  
  .L_bn_sub_words_ctop:
***************
*** 227,233 ****
  
  { .mii;
  (p59)	add		r8=1,r8		// return value
! 	mov		pr=r9,-1
  	mov		ar.lc=r3	}
  { .mbb;	nop.b		0x0
  	br.ret.sptk.many	b0	};;
--- 286,292 ----
  
  { .mii;
  (p59)	add		r8=1,r8		// return value
! 	mov		pr=r9,0x1ffff
  	mov		ar.lc=r3	}
  { .mbb;	nop.b		0x0
  	br.ret.sptk.many	b0	};;
***************
*** 253,259 ****
  #ifdef XMA_TEMPTATION
  { .mfi;	alloc		r2=ar.pfs,4,0,0,0	};;
  #else
! { .mfi;	alloc		r2=ar.pfs,4,4,0,8	};;
  #endif
  { .mib;	mov		r8=r0			// return value
  	cmp4.le		p6,p0=r34,r0
--- 312,318 ----
  #ifdef XMA_TEMPTATION
  { .mfi;	alloc		r2=ar.pfs,4,0,0,0	};;
  #else
! { .mfi;	alloc		r2=ar.pfs,4,12,0,16	};;
  #endif
  { .mib;	mov		r8=r0			// return value
  	cmp4.le		p6,p0=r34,r0
***************
*** 266,289 ****
  
  	.body
  { .mib;	setf.sig	f8=r35	// w
! 	mov		pr.rot=0x400001<<16
! 			// ------^----- serves as (p48) at first (p26)
  	brp.loop.imp	.L_bn_mul_words_ctop,.L_bn_mul_words_cend-16
  					}
  
  #ifndef XMA_TEMPTATION
  
! { .mii;	mov		r14=r32	// rp
! 	mov		r15=r33	// ap
  	mov		ar.lc=r10	}
! { .mii;	mov		r39=0	// serves as r33 at first (p26)
! 	mov		ar.ec=12	};;
  
! // This loop spins in 2*(n+11) ticks. It's scheduled for data in L2
! // cache (i.e. 9 ticks away) as floating point load/store instructions
  // bypass L1 cache and L2 latency is actually best-case scenario for
! // ldf8. The loop is not scalable and shall run in 2*(n+11) even on
! // "wider" IA-64 implementations. It's a trade-off here. n+22 loop
  // would give us ~5% in *overall* performance improvement on "wider"
  // IA-64, but would hurt Itanium for about same because of longer
  // epilogue. As it's a matter of few percents in either case I've
--- 325,354 ----
  
  	.body
  { .mib;	setf.sig	f8=r35	// w
! 	mov		pr.rot=0x800001<<16
! 			// ------^----- serves as (p50) at first (p27)
  	brp.loop.imp	.L_bn_mul_words_ctop,.L_bn_mul_words_cend-16
  					}
  
  #ifndef XMA_TEMPTATION
  
! { .mii;
! #if defined(_HPUX_SOURCE) && defined(_ILP32)
! 	addp4		r14=0,r32	// rp
! 	addp4		r15=0,r33	// ap
! #else
! 	mov		r14=r32		// rp
! 	mov		r15=r33		// ap
! #endif
  	mov		ar.lc=r10	}
! { .mii;	mov		r40=0	// serves as r35 at first (p27)
! 	mov		ar.ec=13	};;
  
! // This loop spins in 2*(n+12) ticks. It's scheduled for data in Itanium
! // L2 cache (i.e. 9 ticks away) as floating point load/store instructions
  // bypass L1 cache and L2 latency is actually best-case scenario for
! // ldf8. The loop is not scalable and shall run in 2*(n+12) even on
! // "wider" IA-64 implementations. It's a trade-off here. n+24 loop
  // would give us ~5% in *overall* performance improvement on "wider"
  // IA-64, but would hurt Itanium for about same because of longer
  // epilogue. As it's a matter of few percents in either case I've
***************
*** 291,315 ****
  // this very instruction sequence in bn_mul_add_words loop which in
  // turn is scalable).
  .L_bn_mul_words_ctop:
! { .mfi;	(p25)	getf.sig	r36=f49			// low
! 	(p21)	xmpy.lu		f45=f37,f8
! 	(p27)	cmp.ltu		p52,p48=r39,r38	}
  { .mfi;	(p16)	ldf8		f32=[r15],8
! 	(p21)	xmpy.hu		f38=f37,f8
  	(p0)	nop.i		0x0		};;
! { .mii;	(p26)	getf.sig	r32=f43			// high
! 	.pred.rel	"mutex",p48,p52
! 	(p48)	add		r38=r37,r33		// (p26)
! 	(p52)	add		r38=r37,r33,1	}	// (p26)
! { .mfb;	(p27)	st8		[r14]=r39,8
  	(p0)	nop.f		0x0
  	br.ctop.sptk	.L_bn_mul_words_ctop	};;
  .L_bn_mul_words_cend:
  
  { .mii;	nop.m		0x0
! .pred.rel	"mutex",p49,p53
! (p49)	add		r8=r34,r0
! (p53)	add		r8=r34,r0,1	}
  { .mfb;	nop.m	0x0
  	nop.f	0x0
  	nop.b	0x0			}
--- 356,380 ----
  // this very instruction sequence in bn_mul_add_words loop which in
  // turn is scalable).
  .L_bn_mul_words_ctop:
! { .mfi;	(p25)	getf.sig	r36=f52			// low
! 	(p21)	xmpy.lu		f48=f37,f8
! 	(p28)	cmp.ltu		p54,p50=r41,r39	}
  { .mfi;	(p16)	ldf8		f32=[r15],8
! 	(p21)	xmpy.hu		f40=f37,f8
  	(p0)	nop.i		0x0		};;
! { .mii;	(p25)	getf.sig	r32=f44			// high
! 	.pred.rel	"mutex",p50,p54
! 	(p50)	add		r40=r38,r35		// (p27)
! 	(p54)	add		r40=r38,r35,1	}	// (p27)
! { .mfb;	(p28)	st8		[r14]=r41,8
  	(p0)	nop.f		0x0
  	br.ctop.sptk	.L_bn_mul_words_ctop	};;
  .L_bn_mul_words_cend:
  
  { .mii;	nop.m		0x0
! .pred.rel	"mutex",p51,p55
! (p51)	add		r8=r36,r0
! (p55)	add		r8=r36,r0,1	}
  { .mfb;	nop.m	0x0
  	nop.f	0x0
  	nop.b	0x0			}
***************
*** 344,350 ****
  #endif	// XMA_TEMPTATION
  
  { .mii;	nop.m		0x0
! 	mov		pr=r9,-1
  	mov		ar.lc=r3	}
  { .mfb;	rum		1<<5		// clear um.mfh
  	nop.f		0x0
--- 409,415 ----
  #endif	// XMA_TEMPTATION
  
  { .mii;	nop.m		0x0
! 	mov		pr=r9,0x1ffff
  	mov		ar.lc=r3	}
  { .mfb;	rum		1<<5		// clear um.mfh
  	nop.f		0x0
***************
*** 376,434 ****
  
  	.body
  { .mib;	setf.sig	f8=r35	// w
! 	mov		pr.rot=0x400001<<16
! 			// ------^----- serves as (p48) at first (p26)
  	brp.loop.imp	.L_bn_mul_add_words_ctop,.L_bn_mul_add_words_cend-16
  					}
! { .mii;	mov		r14=r32	// rp
! 	mov		r15=r33	// ap
  	mov		ar.lc=r10	}
! { .mii;	mov		r39=0	// serves as r33 at first (p26)
! 	mov		r18=r32	// rp copy
! 	mov		ar.ec=14	};;
  
! // This loop spins in 3*(n+13) ticks on Itanium and should spin in
! // 2*(n+13) on "wider" IA-64 implementations (to be verified with new
  // -architecture manuals as they become available). As usual it's
  // possible to compress the epilogue, down to 10 in this case, at the
  // cost of scalability. Compressed (and therefore non-scalable) loop
! // running at 3*(n+10) would buy you ~10% on Itanium but take ~35%
  // from "wider" IA-64 so let it be scalable! Special attention was
  // paid for having the loop body split at 64-byte boundary. ld8 is
  // scheduled for L1 cache as the data is more than likely there.
  // Indeed, bn_mul_words has put it there a moment ago:-)
  .L_bn_mul_add_words_ctop:
! { .mfi;	(p25)	getf.sig	r36=f49			// low
! 	(p21)	xmpy.lu		f45=f37,f8
! 	(p27)	cmp.ltu		p52,p48=r39,r38	}
  { .mfi;	(p16)	ldf8		f32=[r15],8
! 	(p21)	xmpy.hu		f38=f37,f8
! 	(p27)	add		r43=r43,r39	};;
! { .mii;	(p26)	getf.sig	r32=f43			// high
! 	.pred.rel	"mutex",p48,p52
! 	(p48)	add		r38=r37,r33		// (p26)
! 	(p52)	add		r38=r37,r33,1	}	// (p26)
! { .mfb;	(p27)	cmp.ltu.unc	p56,p0=r43,r39
  	(p0)	nop.f		0x0
  	(p0)	nop.b		0x0		}
! { .mii;	(p26)	ld8		r42=[r18],8
! 	(p58)	cmp.eq.or	p57,p0=-1,r44
! 	(p58)	add		r44=1,r44	}
! { .mfb;	(p29)	st8		[r14]=r45,8
  	(p0)	nop.f		0x0
  	br.ctop.sptk	.L_bn_mul_add_words_ctop};;
  .L_bn_mul_add_words_cend:
  
  { .mii;	nop.m		0x0
! .pred.rel	"mutex",p51,p55
! (p51)	add		r8=r36,r0
! (p55)	add		r8=r36,r0,1	}
  { .mfb;	nop.m	0x0
  	nop.f	0x0
  	nop.b	0x0			};;
  { .mii;
! (p59)	add		r8=1,r8
! 	mov		pr=r9,-1
  	mov		ar.lc=r3	}
  { .mfb;	rum		1<<5		// clear um.mfh
  	nop.f		0x0
--- 441,509 ----
  
  	.body
  { .mib;	setf.sig	f8=r35	// w
! 	mov		pr.rot=0x800001<<16
! 			// ------^----- serves as (p50) at first (p27)
  	brp.loop.imp	.L_bn_mul_add_words_ctop,.L_bn_mul_add_words_cend-16
  					}
! { .mii;
! #if defined(_HPUX_SOURCE) && defined(_ILP32)
! 	addp4		r14=0,r32	// rp
! 	addp4		r15=0,r33	// ap
! #else
! 	mov		r14=r32		// rp
! 	mov		r15=r33		// ap
! #endif
  	mov		ar.lc=r10	}
! { .mii;	mov		r40=0	// serves as r35 at first (p27)
! #if defined(_HPUX_SOURCE) && defined(_ILP32)
! 	addp4		r18=0,r32	// rp copy
! #else
! 	mov		r18=r32		// rp copy
! #endif
! 	mov		ar.ec=15	};;
  
! // This loop spins in 3*(n+14) ticks on Itanium and should spin in
! // 2*(n+14) on "wider" IA-64 implementations (to be verified with new
  // -architecture manuals as they become available). As usual it's
  // possible to compress the epilogue, down to 10 in this case, at the
  // cost of scalability. Compressed (and therefore non-scalable) loop
! // running at 3*(n+11) would buy you ~10% on Itanium but take ~35%
  // from "wider" IA-64 so let it be scalable! Special attention was
  // paid for having the loop body split at 64-byte boundary. ld8 is
  // scheduled for L1 cache as the data is more than likely there.
  // Indeed, bn_mul_words has put it there a moment ago:-)
  .L_bn_mul_add_words_ctop:
! { .mfi;	(p25)	getf.sig	r36=f52			// low
! 	(p21)	xmpy.lu		f48=f37,f8
! 	(p28)	cmp.ltu		p54,p50=r41,r39	}
  { .mfi;	(p16)	ldf8		f32=[r15],8
! 	(p21)	xmpy.hu		f40=f37,f8
! 	(p28)	add		r45=r45,r41	};;
! { .mii;	(p25)	getf.sig	r32=f44			// high
! 	.pred.rel	"mutex",p50,p54
! 	(p50)	add		r40=r38,r35		// (p27)
! 	(p54)	add		r40=r38,r35,1	}	// (p27)
! { .mfb;	(p28)	cmp.ltu.unc	p60,p0=r45,r41
  	(p0)	nop.f		0x0
  	(p0)	nop.b		0x0		}
! { .mii;	(p27)	ld8		r44=[r18],8
! 	(p62)	cmp.eq.or	p61,p0=-1,r46
! 	(p62)	add		r46=1,r46	}
! { .mfb;	(p30)	st8		[r14]=r47,8
  	(p0)	nop.f		0x0
  	br.ctop.sptk	.L_bn_mul_add_words_ctop};;
  .L_bn_mul_add_words_cend:
  
  { .mii;	nop.m		0x0
! .pred.rel	"mutex",p53,p57
! (p53)	add		r8=r38,r0
! (p57)	add		r8=r38,r0,1	}
  { .mfb;	nop.m	0x0
  	nop.f	0x0
  	nop.b	0x0			};;
  { .mii;
! (p63)	add		r8=1,r8
! 	mov		pr=r9,0x1ffff
  	mov		ar.lc=r3	}
  { .mfb;	rum		1<<5		// clear um.mfh
  	nop.f		0x0
***************
*** 461,466 ****
--- 536,545 ----
  	mov	r9=pr			};;
  
  	.body
+ #if defined(_HPUX_SOURCE) && defined(_ILP32)
+ { .mii; addp4		r32=0,r32
+ 	addp4		r33=0,r33	};;
+ #endif
  { .mib;
  	mov		pr.rot=1<<16
  	brp.loop.imp	.L_bn_sqr_words_ctop,.L_bn_sqr_words_cend-16
***************
*** 492,498 ****
  .L_bn_sqr_words_cend:
  
  { .mii;	nop.m		0x0
! 	mov		pr=r9,-1
  	mov		ar.lc=r3	}
  { .mfb;	rum		1<<5		// clear um.mfh
  	nop.f		0x0
--- 571,577 ----
  .L_bn_sqr_words_cend:
  
  { .mii;	nop.m		0x0
! 	mov		pr=r9,0x1ffff
  	mov		ar.lc=r3	}
  { .mfb;	rum		1<<5		// clear um.mfh
  	nop.f		0x0
***************
*** 526,532 ****
--- 605,618 ----
  	.prologue
  	.fframe	0
  	.save	ar.pfs,r2
+ #if defined(_HPUX_SOURCE) && defined(_ILP32)
  { .mii;	alloc	r2=ar.pfs,2,1,0,0
+ 	addp4	r33=0,r33
+ 	addp4	r32=0,r32		};;
+ { .mii;
+ #else
+ { .mii;	alloc	r2=ar.pfs,2,1,0,0
+ #endif
  	mov	r34=r33
  	add	r14=8,r33		};;
  	.body
***************
*** 587,593 ****
--- 673,686 ----
  	.prologue
  	.fframe	0
  	.save	ar.pfs,r2
+ #if defined(_HPUX_SOURCE) && defined(_ILP32)
  { .mii;	alloc	r2=ar.pfs,3,0,0,0
+ 	addp4	r33=0,r33
+ 	addp4	r34=0,r34		};;
+ { .mii;	addp4	r32=0,r32
+ #else
+ { .mii;	alloc   r2=ar.pfs,3,0,0,0
+ #endif
  	add	r14=8,r33
  	add	r17=8,r34		}
  	.body
***************
*** 1138,1144 ****
--- 1231,1244 ----
  	.prologue
  	.fframe	0
  	.save	ar.pfs,r2
+ #if defined(_HPUX_SOURCE) && defined(_ILP32)
+ { .mii;	alloc   r2=ar.pfs,2,1,0,0
+ 	addp4	r32=0,r32
+ 	addp4	r33=0,r33		};;
+ { .mii;
+ #else
  { .mii;	alloc	r2=ar.pfs,2,1,0,0
+ #endif
  	mov	r34=r33
  	add	r14=8,r33		};;
  	.body
***************
*** 1164,1170 ****
--- 1264,1277 ----
  	.prologue
  	.fframe	0
  	.save	ar.pfs,r2
+ #if defined(_HPUX_SOURCE) && defined(_ILP32)
+ { .mii;	alloc   r2=ar.pfs,3,0,0,0
+ 	addp4	r33=0,r33
+ 	addp4	r34=0,r34		};;
+ { .mii;	addp4	r32=0,r32
+ #else
  { .mii;	alloc	r2=ar.pfs,3,0,0,0
+ #endif
  	add	r14=8,r33
  	add	r17=8,r34		}
  	.body
***************
*** 1464,1470 ****
  	or	r8=r8,r33
  	mov	ar.pfs=r2		};;
  { .mii;	shr.u	r9=H,I			// remainder if anybody wants it
! 	mov	pr=r10,-1		}
  { .mfb;	br.ret.sptk.many	b0	};;
  
  // Unsigned 64 by 32 (well, by 64 for the moment) bit integer division
--- 1571,1577 ----
  	or	r8=r8,r33
  	mov	ar.pfs=r2		};;
  { .mii;	shr.u	r9=H,I			// remainder if anybody wants it
! 	mov	pr=r10,0x1ffff		}
  { .mfb;	br.ret.sptk.many	b0	};;
  
  // Unsigned 64 by 32 (well, by 64 for the moment) bit integer division
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/bn/asm/pa-risc2.s ../RELENG_4/crypto/openssl/crypto/bn/asm/pa-risc2.s
*** crypto/openssl/crypto/bn/asm/pa-risc2.s	Mon Feb 24 20:42:43 2003
--- ../RELENG_4/crypto/openssl/crypto/bn/asm/pa-risc2.s	Mon Feb 24 21:14:53 2003
***************
*** 747,754 ****
  	.PROC
  	.EXPORT	bn_div_words,ENTRY,PRIV_LEV=3,ARGW0=GR,ARGW1=GR,ARGW2=GR,ARGW3=GR,RTNVAL=GR,LONG_RETURN
  	.IMPORT	BN_num_bits_word,CODE
! 	.IMPORT	__iob,DATA
! 	.IMPORT	fprintf,CODE
  	.IMPORT	abort,CODE
  	.IMPORT	$$div2U,MILLICODE
  	.CALLINFO CALLER,FRAME=144,ENTRY_GR=%r9,SAVE_RP,ARGS_SAVED,ORDERING_AWARE
--- 747,754 ----
  	.PROC
  	.EXPORT	bn_div_words,ENTRY,PRIV_LEV=3,ARGW0=GR,ARGW1=GR,ARGW2=GR,ARGW3=GR,RTNVAL=GR,LONG_RETURN
  	.IMPORT	BN_num_bits_word,CODE
! 	;--- not PIC	.IMPORT	__iob,DATA
! 	;--- not PIC	.IMPORT	fprintf,CODE
  	.IMPORT	abort,CODE
  	.IMPORT	$$div2U,MILLICODE
  	.CALLINFO CALLER,FRAME=144,ENTRY_GR=%r9,SAVE_RP,ARGS_SAVED,ORDERING_AWARE
***************
*** 844,855 ****
          MOVIB,TR        2,%r8,$0006001C ;offset 0xa18
          EXTRD,U %r3,63,32,%r7   ;offset 0xa1c
  $D2
!         ADDIL   LR'__iob-$global$,%r27,%r1      ;offset 0xa20
!         LDIL    LR'C$7,%r21     ;offset 0xa24
!         LDO     RR'__iob-$global$+32(%r1),%r26  ;offset 0xa28
!         .CALL   ARGW0=GR,ARGW1=GR,ARGW2=GR,RTNVAL=GR    ;in=24,25,26;out=28;
!         B,L     fprintf,%r2     ;offset 0xa2c
!         LDO     RR'C$7(%r21),%r25       ;offset 0xa30
          .CALL           ;
          B,L     abort,%r2       ;offset 0xa34
          NOP             ;offset 0xa38
--- 844,855 ----
          MOVIB,TR        2,%r8,$0006001C ;offset 0xa18
          EXTRD,U %r3,63,32,%r7   ;offset 0xa1c
  $D2
!         ;--- not PIC	ADDIL   LR'__iob-$global$,%r27,%r1      ;offset 0xa20
!         ;--- not PIC	LDIL    LR'C$7,%r21     ;offset 0xa24
!         ;--- not PIC	LDO     RR'__iob-$global$+32(%r1),%r26  ;offset 0xa28
!         ;--- not PIC	.CALL   ARGW0=GR,ARGW1=GR,ARGW2=GR,RTNVAL=GR    ;in=24,25,26;out=28;
!         ;--- not PIC	B,L     fprintf,%r2     ;offset 0xa2c
!         ;--- not PIC	LDO     RR'C$7(%r21),%r25       ;offset 0xa30
          .CALL           ;
          B,L     abort,%r2       ;offset 0xa34
          NOP             ;offset 0xa38
***************
*** 1605,1618 ****
  	.PROCEND	
  
  
! 	.SPACE	$TEXT$
! 	.SUBSPA	$CODE$
! 	.SPACE	$PRIVATE$,SORT=16
! 	.IMPORT	$global$,DATA
! 	.SPACE	$TEXT$
! 	.SUBSPA	$CODE$
! 	.SUBSPA	$LIT$,ACCESS=0x2c
! C$7
! 	.ALIGN	8
! 	.STRINGZ	"Division would overflow (%d)\n"
  	.END
--- 1605,1618 ----
  	.PROCEND	
  
  
! ;--- not PIC	.SPACE	$TEXT$
! ;--- not PIC	.SUBSPA	$CODE$
! ;--- not PIC	.SPACE	$PRIVATE$,SORT=16
! ;--- not PIC	.IMPORT	$global$,DATA
! ;--- not PIC	.SPACE	$TEXT$
! ;--- not PIC	.SUBSPA	$CODE$
! ;--- not PIC	.SUBSPA	$LIT$,ACCESS=0x2c
! ;--- not PIC	C$7
! ;--- not PIC	.ALIGN	8
! ;--- not PIC	.STRINGZ	"Division would overflow (%d)\n"
  	.END
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/bn/bn_lcl.h ../RELENG_4/crypto/openssl/crypto/bn/bn_lcl.h
*** crypto/openssl/crypto/bn/bn_lcl.h	Mon Feb 24 20:42:43 2003
--- ../RELENG_4/crypto/openssl/crypto/bn/bn_lcl.h	Mon Feb 24 21:14:52 2003
***************
*** 446,455 ****
  	BN_ULONG *t);
  void bn_mul_high(BN_ULONG *r,BN_ULONG *a,BN_ULONG *b,BN_ULONG *l,int n2,
  	BN_ULONG *t);
- BN_ULONG bn_add_part_words(BN_ULONG *r, const BN_ULONG *a, const BN_ULONG *b,
- 	int cl, int dl);
- BN_ULONG bn_sub_part_words(BN_ULONG *r, const BN_ULONG *a, const BN_ULONG *b,
- 	int cl, int dl);
  
  #ifdef  __cplusplus
  }
--- 446,451 ----
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/bn/bn_prime.c ../RELENG_4/crypto/openssl/crypto/bn/bn_prime.c
*** crypto/openssl/crypto/bn/bn_prime.c	Mon Feb 24 20:42:43 2003
--- ../RELENG_4/crypto/openssl/crypto/bn/bn_prime.c	Mon Feb 24 21:14:52 2003
***************
*** 140,145 ****
--- 140,146 ----
  	BN_CTX *ctx;
  	int checks = BN_prime_checks_for_size(bits);
  
+ 	BN_init(&t);
  	ctx=BN_CTX_new();
  	if (ctx == NULL) goto err;
  	if (ret == NULL)
***************
*** 148,154 ****
  		}
  	else
  		rnd=ret;
- 	BN_init(&t);
  loop: 
  	/* make a random number and set the top and bottom bits */
  	if (add == NULL)
--- 149,154 ----
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/cast/Makefile.ssl ../RELENG_4/crypto/openssl/crypto/cast/Makefile.ssl
*** crypto/openssl/crypto/cast/Makefile.ssl	Mon Feb 24 20:42:43 2003
--- ../RELENG_4/crypto/openssl/crypto/cast/Makefile.ssl	Mon Feb 24 21:14:53 2003
***************
*** 52,65 ****
  	@touch lib
  
  # elf
! asm/cx86-elf.o: asm/cx86unix.cpp
! 	$(CPP) -DELF -x c asm/cx86unix.cpp | as -o asm/cx86-elf.o
! 
! # solaris
! asm/cx86-sol.o: asm/cx86unix.cpp
! 	$(CC) -E -DSOL asm/cx86unix.cpp | sed 's/^#.*//' > asm/cx86-sol.s
! 	as -o asm/cx86-sol.o asm/cx86-sol.s
! 	rm -f asm/cx86-sol.s
  
  # a.out
  asm/cx86-out.o: asm/cx86unix.cpp
--- 52,59 ----
  	@touch lib
  
  # elf
! asm/cx86-elf.s: asm/cast-586.pl ../perlasm/x86asm.pl ../perlasm/cbc.pl
! 	(cd asm; $(PERL) cast-586.pl elf $(CLAGS) $(PROCESSOR) > cx86-elf.s)
  
  # a.out
  asm/cx86-out.o: asm/cx86unix.cpp
***************
*** 104,110 ****
  	mv -f Makefile.new $(MAKEFILE)
  
  clean:
! 	rm -f asm/cx86unix.cpp *.o asm/*.o *.obj lib tags core .pure .nfs* *.old *.bak fluff
  
  # DO NOT DELETE THIS LINE -- make depend depends on it.
  
--- 98,104 ----
  	mv -f Makefile.new $(MAKEFILE)
  
  clean:
! 	rm -f asm/cx86unix.cpp asm/*-elf.* *.o asm/*.o *.obj lib tags core .pure .nfs* *.old *.bak fluff
  
  # DO NOT DELETE THIS LINE -- make depend depends on it.
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/conf/conf_mall.c ../RELENG_4/crypto/openssl/crypto/conf/conf_mall.c
*** crypto/openssl/crypto/conf/conf_mall.c	Mon Feb 24 20:42:43 2003
--- ../RELENG_4/crypto/openssl/crypto/conf/conf_mall.c	Mon Feb 24 21:14:53 2003
***************
*** 63,69 ****
--- 63,71 ----
  #include <openssl/dso.h>
  #include <openssl/x509.h>
  #include <openssl/asn1.h>
+ #ifndef OPENSSL_NO_ENGINE
  #include <openssl/engine.h>
+ #endif
  
  /* Load all OpenSSL builtin modules */
  
***************
*** 71,76 ****
--- 73,80 ----
  	{
  	/* Add builtin modules here */
  	ASN1_add_oid_module();
+ #ifndef OPENSSL_NO_ENGINE
  	ENGINE_add_conf_module();
+ #endif
  	}
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/conf/conf_sap.c ../RELENG_4/crypto/openssl/crypto/conf/conf_sap.c
*** crypto/openssl/crypto/conf/conf_sap.c	Mon Feb 24 20:42:43 2003
--- ../RELENG_4/crypto/openssl/crypto/conf/conf_sap.c	Mon Feb 24 21:14:53 2003
***************
*** 63,69 ****
--- 63,71 ----
  #include <openssl/dso.h>
  #include <openssl/x509.h>
  #include <openssl/asn1.h>
+ #ifndef OPENSSL_NO_ENGINE
  #include <openssl/engine.h>
+ #endif
  
  /* This is the automatic configuration loader: it is called automatically by
   * OpenSSL when any of a number of standard initialisation functions are called,
***************
*** 78,85 ****
--- 80,89 ----
  		return;
  
  	OPENSSL_load_builtin_modules();
+ #ifndef OPENSSL_NO_ENGINE
  	/* Need to load ENGINEs */
  	ENGINE_load_builtin_engines();
+ #endif
  	/* Add others here? */
  
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/des/Makefile.ssl ../RELENG_4/crypto/openssl/crypto/des/Makefile.ssl
*** crypto/openssl/crypto/des/Makefile.ssl	Mon Feb 24 20:42:43 2003
--- ../RELENG_4/crypto/openssl/crypto/des/Makefile.ssl	Mon Feb 24 21:14:53 2003
***************
*** 66,95 ****
  	$(CC) $(CFLAGS) -o des des.o cbc3_enc.o $(LIB)
  
  # elf
! asm/dx86-elf.o: asm/dx86unix.cpp
! 	$(CPP) -DELF	\
! 		`(echo $(CFLAGS) | egrep -ie '-[fK]PIC') > /dev/null 2>&1 && echo -DPIC; exit 0`\
! 		-x c asm/dx86unix.cpp | as -o asm/dx86-elf.o
! 
! asm/yx86-elf.o: asm/yx86unix.cpp
! 	$(CPP) -DELF	\
! 		`(echo $(CFLAGS) | egrep -ie '-[fK]PIC') > /dev/null 2>&1 && echo -DPIC; exit 0`\
! 		-x c asm/yx86unix.cpp | as -o asm/yx86-elf.o
! 
! # solaris
! asm/dx86-sol.o: asm/dx86unix.cpp
! 	$(CC) -E -DSOL	\
! 		`(echo $(CFLAGS) | egrep -ie '-[fK]PIC') > /dev/null 2>&1 && echo -DPIC; exit 0`\
! 		asm/dx86unix.cpp | sed 's/^#.*//' > asm/dx86-sol.s
! 	as -o asm/dx86-sol.o asm/dx86-sol.s
! 	rm -f asm/dx86-sol.s
! 
! asm/yx86-sol.o: asm/yx86unix.cpp
! 	$(CC) -E -DSOL	\
! 		`(echo $(CFLAGS) | egrep -ie '-[fK]PIC') > /dev/null 2>&1 && echo -DPIC; exit 0`\
! 		asm/yx86unix.cpp | sed 's/^#.*//' > asm/yx86-sol.s
! 	as -o asm/yx86-sol.o asm/yx86-sol.s
! 	rm -f asm/yx86-sol.s
  
  # a.out
  asm/dx86-out.o: asm/dx86unix.cpp
--- 66,76 ----
  	$(CC) $(CFLAGS) -o des des.o cbc3_enc.o $(LIB)
  
  # elf
! asm/dx86-elf.s:	asm/des-586.pl ../perlasm/x86asm.pl ../perlasm/cbc.pl
! 	(cd asm; $(PERL) des-586.pl elf $(CFLAGS) > dx86-elf.s)
! 
! asm/yx86-elf.s:	asm/crypt586.pl ../perlasm/x86asm.pl ../perlasm/cbc.pl
! 	(cd asm; $(PERL) crypt586.pl elf $(CFLAGS) > yx86-elf.s)
  
  # a.out
  asm/dx86-out.o: asm/dx86unix.cpp
***************
*** 145,151 ****
  	mv -f Makefile.new $(MAKEFILE)
  
  clean:
! 	rm -f asm/dx86unix.cpp asm/yx86unix.cpp *.o asm/*.o *.obj des lib tags core .pure .nfs* *.old *.bak fluff
  
  # DO NOT DELETE THIS LINE -- make depend depends on it.
  
--- 126,132 ----
  	mv -f Makefile.new $(MAKEFILE)
  
  clean:
! 	rm -f asm/dx86unix.cpp asm/yx86unix.cpp asm/*-elf.* *.o asm/*.o *.obj des lib tags core .pure .nfs* *.old *.bak fluff
  
  # DO NOT DELETE THIS LINE -- make depend depends on it.
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/des/asm/crypt586.pl ../RELENG_4/crypto/openssl/crypto/des/asm/crypt586.pl
*** crypto/openssl/crypto/des/asm/crypt586.pl	Mon Feb 24 20:42:44 2003
--- ../RELENG_4/crypto/openssl/crypto/des/asm/crypt586.pl	Mon Feb 24 21:14:53 2003
***************
*** 32,39 ****
  	&xor(	$R,	$R);
  
  	# PIC-ification:-)
! 	if ($cpp)	{ &picmeup("edx","DES_SPtrans");   }
! 	else		{ &lea("edx",&DWP("DES_SPtrans")); }
  	&push("edx");	# becomes &swtmp(1)
  	#
  	&mov($trans,&wparam(1)); # reloaded with DES_SPtrans in D_ENCRYPT
--- 32,40 ----
  	&xor(	$R,	$R);
  
  	# PIC-ification:-)
! 	&picmeup("edx","DES_SPtrans");
! 	#if ($cpp)	{ &picmeup("edx","DES_SPtrans");   }
! 	#else		{ &lea("edx",&DWP("DES_SPtrans")); }
  	&push("edx");	# becomes &swtmp(1)
  	#
  	&mov($trans,&wparam(1)); # reloaded with DES_SPtrans in D_ENCRYPT
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/des/asm/des-586.pl ../RELENG_4/crypto/openssl/crypto/des/asm/des-586.pl
*** crypto/openssl/crypto/des/asm/des-586.pl	Mon Feb 24 20:42:44 2003
--- ../RELENG_4/crypto/openssl/crypto/des/asm/des-586.pl	Mon Feb 24 21:14:53 2003
***************
*** 73,80 ****
  		}
  
  	# PIC-ification:-)
! 	if ($cpp)	{ &picmeup($trans,"DES_SPtrans");   }
! 	else		{ &lea($trans,&DWP("DES_SPtrans")); }
  
  	&mov(	"ecx",	&wparam(1)	);
  	&cmp("ebx","0");
--- 73,81 ----
  		}
  
  	# PIC-ification:-)
! 	&picmeup($trans,"DES_SPtrans");
! 	#if ($cpp)	{ &picmeup($trans,"DES_SPtrans");   }
! 	#else		{ &lea($trans,&DWP("DES_SPtrans")); }
  
  	&mov(	"ecx",	&wparam(1)	);
  	&cmp("ebx","0");
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/des/cbc_cksm.c ../RELENG_4/crypto/openssl/crypto/des/cbc_cksm.c
*** crypto/openssl/crypto/des/cbc_cksm.c	Mon Feb 24 20:42:43 2003
--- ../RELENG_4/crypto/openssl/crypto/des/cbc_cksm.c	Mon Feb 24 21:14:53 2003
***************
*** 93,97 ****
--- 93,106 ----
  		l2c(tout1,out);
  		}
  	tout0=tin0=tin1=tin[0]=tin[1]=0;
+ 	/*
+ 	  Transform the data in tout1 so that it will
+ 	  match the return value that the MIT Kerberos
+ 	  mit_des_cbc_cksum API returns.
+ 	*/
+ 	tout1 = ((tout1 >> 24L) & 0x000000FF)
+ 	      | ((tout1 >> 8L)  & 0x0000FF00)
+ 	      | ((tout1 << 8L)  & 0x00FF0000)
+ 	      | ((tout1 << 24L) & 0xFF000000);
  	return(tout1);
  	}
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/des/des_locl.h ../RELENG_4/crypto/openssl/crypto/des/des_locl.h
*** crypto/openssl/crypto/des/des_locl.h	Mon Feb 24 20:42:43 2003
--- ../RELENG_4/crypto/openssl/crypto/des/des_locl.h	Mon Feb 24 21:14:53 2003
***************
*** 162,168 ****
  
  #if defined(OPENSSL_SYS_WIN32) && defined(_MSC_VER)
  #define	ROTATE(a,n)	(_lrotr(a,n))
! #elif defined(__GNUC__) && __GNUC__>=2 && !defined(__STRICT_ANSI__) && !defined(NO_ASM) && !defined(NO_INLINE_ASM)
  # if defined(__i386) || defined(__i386__) || defined(__x86_64) || defined(__x86_64__)
  #  define ROTATE(a,n)	({ register unsigned int ret;	\
  				asm ("rorl %1,%0"	\
--- 162,168 ----
  
  #if defined(OPENSSL_SYS_WIN32) && defined(_MSC_VER)
  #define	ROTATE(a,n)	(_lrotr(a,n))
! #elif defined(__GNUC__) && __GNUC__>=2 && !defined(__STRICT_ANSI__) && !defined(OPENSSL_NO_ASM) && !defined(OPENSSL_NO_INLINE_ASM) && !defined(PEDANTIC)
  # if defined(__i386) || defined(__i386__) || defined(__x86_64) || defined(__x86_64__)
  #  define ROTATE(a,n)	({ register unsigned int ret;	\
  				asm ("rorl %1,%0"	\
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/des/destest.c ../RELENG_4/crypto/openssl/crypto/des/destest.c
*** crypto/openssl/crypto/des/destest.c	Mon Feb 24 20:42:43 2003
--- ../RELENG_4/crypto/openssl/crypto/des/destest.c	Mon Feb 24 21:14:53 2003
***************
*** 320,326 ****
--- 320,330 ----
  	0x3d,0x6d,0x5b,0xe3,0x25,0x5a,0xf8,0xc3
  	};
  
+ #if 0
  static DES_LONG cbc_cksum_ret=0xB462FEF7L;
+ #else
+ static DES_LONG cbc_cksum_ret=0xF7FE62B4L;
+ #endif
  static unsigned char cbc_cksum_data[8]={0x1D,0x26,0x93,0x97,0xf7,0xfe,0x62,0xb4};
  
  static char *pt(unsigned char *p);
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/dh/dh_key.c ../RELENG_4/crypto/openssl/crypto/dh/dh_key.c
*** crypto/openssl/crypto/dh/dh_key.c	Mon Feb 24 20:42:44 2003
--- ../RELENG_4/crypto/openssl/crypto/dh/dh_key.c	Mon Feb 24 21:14:53 2003
***************
*** 61,67 ****
--- 61,69 ----
  #include <openssl/bn.h>
  #include <openssl/rand.h>
  #include <openssl/dh.h>
+ #ifndef OPENSSL_NO_ENGINE
  #include <openssl/engine.h>
+ #endif
  
  static int generate_key(DH *dh);
  static int compute_key(unsigned char *key, const BIGNUM *pub_key, DH *dh);
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/dh/dh_lib.c ../RELENG_4/crypto/openssl/crypto/dh/dh_lib.c
*** crypto/openssl/crypto/dh/dh_lib.c	Mon Feb 24 20:42:44 2003
--- ../RELENG_4/crypto/openssl/crypto/dh/dh_lib.c	Mon Feb 24 21:14:53 2003
***************
*** 60,66 ****
--- 60,68 ----
  #include "cryptlib.h"
  #include <openssl/bn.h>
  #include <openssl/dh.h>
+ #ifndef OPENSSL_NO_ENGINE
  #include <openssl/engine.h>
+ #endif
  
  const char *DH_version="Diffie-Hellman" OPENSSL_VERSION_PTEXT;
  
***************
*** 85,95 ****
--- 87,99 ----
          const DH_METHOD *mtmp;
          mtmp = dh->meth;
          if (mtmp->finish) mtmp->finish(dh);
+ #ifndef OPENSSL_NO_ENGINE
  	if (dh->engine)
  		{
  		ENGINE_finish(dh->engine);
  		dh->engine = NULL;
  		}
+ #endif
          dh->meth = meth;
          if (meth->init) meth->init(dh);
          return 1;
***************
*** 112,117 ****
--- 116,122 ----
  		}
  
  	ret->meth = DH_get_default_method();
+ #ifndef OPENSSL_NO_ENGINE
  	if (engine)
  		{
  		if (!ENGINE_init(engine))
***************
*** 135,140 ****
--- 140,146 ----
  			return NULL;
  			}
  		}
+ #endif
  
  	ret->pad=0;
  	ret->version=0;
***************
*** 154,161 ****
--- 160,169 ----
  	CRYPTO_new_ex_data(CRYPTO_EX_INDEX_DH, ret, &ret->ex_data);
  	if ((ret->meth->init != NULL) && !ret->meth->init(ret))
  		{
+ #ifndef OPENSSL_NO_ENGINE
  		if (ret->engine)
  			ENGINE_finish(ret->engine);
+ #endif
  		CRYPTO_free_ex_data(CRYPTO_EX_INDEX_DH, ret, &ret->ex_data);
  		OPENSSL_free(ret);
  		ret=NULL;
***************
*** 182,189 ****
--- 190,199 ----
  
  	if (r->meth->finish)
  		r->meth->finish(r);
+ #ifndef OPENSSL_NO_ENGINE
  	if (r->engine)
  		ENGINE_finish(r->engine);
+ #endif
  
  	CRYPTO_free_ex_data(CRYPTO_EX_INDEX_DH, r, &r->ex_data);
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/dsa/dsa_lib.c ../RELENG_4/crypto/openssl/crypto/dsa/dsa_lib.c
*** crypto/openssl/crypto/dsa/dsa_lib.c	Mon Feb 24 20:42:44 2003
--- ../RELENG_4/crypto/openssl/crypto/dsa/dsa_lib.c	Mon Feb 24 21:14:53 2003
***************
*** 63,69 ****
--- 63,71 ----
  #include <openssl/bn.h>
  #include <openssl/dsa.h>
  #include <openssl/asn1.h>
+ #ifndef OPENSSL_NO_ENGINE
  #include <openssl/engine.h>
+ #endif
  
  const char *DSA_version="DSA" OPENSSL_VERSION_PTEXT;
  
***************
*** 93,103 ****
--- 95,107 ----
          const DSA_METHOD *mtmp;
          mtmp = dsa->meth;
          if (mtmp->finish) mtmp->finish(dsa);
+ #ifndef OPENSSL_NO_ENGINE
  	if (dsa->engine)
  		{
  		ENGINE_finish(dsa->engine);
  		dsa->engine = NULL;
  		}
+ #endif
          dsa->meth = meth;
          if (meth->init) meth->init(dsa);
          return 1;
***************
*** 114,119 ****
--- 118,124 ----
  		return(NULL);
  		}
  	ret->meth = DSA_get_default_method();
+ #ifndef OPENSSL_NO_ENGINE
  	if (engine)
  		{
  		if (!ENGINE_init(engine))
***************
*** 138,143 ****
--- 143,149 ----
  			return NULL;
  			}
  		}
+ #endif
  
  	ret->pad=0;
  	ret->version=0;
***************
*** 158,165 ****
--- 164,173 ----
  	CRYPTO_new_ex_data(CRYPTO_EX_INDEX_DSA, ret, &ret->ex_data);
  	if ((ret->meth->init != NULL) && !ret->meth->init(ret))
  		{
+ #ifndef OPENSSL_NO_ENGINE
  		if (ret->engine)
  			ENGINE_finish(ret->engine);
+ #endif
  		CRYPTO_free_ex_data(CRYPTO_EX_INDEX_DSA, ret, &ret->ex_data);
  		OPENSSL_free(ret);
  		ret=NULL;
***************
*** 189,196 ****
--- 197,206 ----
  
  	if(r->meth->finish)
  		r->meth->finish(r);
+ #ifndef OPENSSL_NO_ENGINE
  	if(r->engine)
  		ENGINE_finish(r->engine);
+ #endif
  
  	CRYPTO_free_ex_data(CRYPTO_EX_INDEX_DSA, r, &r->ex_data);
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/dsa/dsa_ossl.c ../RELENG_4/crypto/openssl/crypto/dsa/dsa_ossl.c
*** crypto/openssl/crypto/dsa/dsa_ossl.c	Mon Feb 24 20:42:44 2003
--- ../RELENG_4/crypto/openssl/crypto/dsa/dsa_ossl.c	Mon Feb 24 21:14:53 2003
***************
*** 64,70 ****
--- 64,72 ----
  #include <openssl/dsa.h>
  #include <openssl/rand.h>
  #include <openssl/asn1.h>
+ #ifndef OPENSSL_NO_ENGINE
  #include <openssl/engine.h>
+ #endif
  
  static DSA_SIG *dsa_do_sign(const unsigned char *dgst, int dlen, DSA *dsa);
  static int dsa_sign_setup(DSA *dsa, BN_CTX *ctx_in, BIGNUM **kinvp, BIGNUM **rp);
***************
*** 106,118 ****
  	int i,reason=ERR_R_BN_LIB;
  	DSA_SIG *ret=NULL;
  
  	if (!dsa->p || !dsa->q || !dsa->g)
  		{
  		reason=DSA_R_MISSING_PARAMETERS;
  		goto err;
  		}
! 	BN_init(&m);
! 	BN_init(&xr);
  	s=BN_new();
  	if (s == NULL) goto err;
  
--- 108,122 ----
  	int i,reason=ERR_R_BN_LIB;
  	DSA_SIG *ret=NULL;
  
+ 	BN_init(&m);
+ 	BN_init(&xr);
+ 
  	if (!dsa->p || !dsa->q || !dsa->g)
  		{
  		reason=DSA_R_MISSING_PARAMETERS;
  		goto err;
  		}
! 
  	s=BN_new();
  	if (s == NULL) goto err;
  
***************
*** 178,183 ****
--- 182,190 ----
  		DSAerr(DSA_F_DSA_SIGN_SETUP,DSA_R_MISSING_PARAMETERS);
  		return 0;
  		}
+ 
+ 	BN_init(&k);
+ 
  	if (ctx_in == NULL)
  		{
  		if ((ctx=BN_CTX_new()) == NULL) goto err;
***************
*** 185,191 ****
  	else
  		ctx=ctx_in;
  
- 	BN_init(&k);
  	if ((r=BN_new()) == NULL) goto err;
  	kinv=NULL;
  
--- 192,197 ----
***************
*** 241,250 ****
  		return -1;
  		}
  
- 	if ((ctx=BN_CTX_new()) == NULL) goto err;
  	BN_init(&u1);
  	BN_init(&u2);
  	BN_init(&t1);
  
  	if (BN_is_zero(sig->r) || sig->r->neg || BN_ucmp(sig->r, dsa->q) >= 0)
  		{
--- 247,257 ----
  		return -1;
  		}
  
  	BN_init(&u1);
  	BN_init(&u2);
  	BN_init(&t1);
+ 
+ 	if ((ctx=BN_CTX_new()) == NULL) goto err;
  
  	if (BN_is_zero(sig->r) || sig->r->neg || BN_ucmp(sig->r, dsa->q) >= 0)
  		{
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/dsa/dsa_sign.c ../RELENG_4/crypto/openssl/crypto/dsa/dsa_sign.c
*** crypto/openssl/crypto/dsa/dsa_sign.c	Mon Feb 24 20:42:44 2003
--- ../RELENG_4/crypto/openssl/crypto/dsa/dsa_sign.c	Mon Feb 24 21:14:53 2003
***************
*** 64,70 ****
--- 64,72 ----
  #include <openssl/dsa.h>
  #include <openssl/rand.h>
  #include <openssl/asn1.h>
+ #ifndef OPENSSL_NO_ENGINE
  #include <openssl/engine.h>
+ #endif
  
  DSA_SIG * DSA_do_sign(const unsigned char *dgst, int dlen, DSA *dsa)
  	{
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/dsa/dsa_vrf.c ../RELENG_4/crypto/openssl/crypto/dsa/dsa_vrf.c
*** crypto/openssl/crypto/dsa/dsa_vrf.c	Mon Feb 24 20:42:44 2003
--- ../RELENG_4/crypto/openssl/crypto/dsa/dsa_vrf.c	Mon Feb 24 21:14:53 2003
***************
*** 65,71 ****
--- 65,73 ----
  #include <openssl/rand.h>
  #include <openssl/asn1.h>
  #include <openssl/asn1_mac.h>
+ #ifndef OPENSSL_NO_ENGINE
  #include <openssl/engine.h>
+ #endif
  
  int DSA_do_verify(const unsigned char *dgst, int dgst_len, DSA_SIG *sig,
  		  DSA *dsa)
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/dsa/dsagen.c ../RELENG_4/crypto/openssl/crypto/dsa/dsagen.c
*** crypto/openssl/crypto/dsa/dsagen.c	Mon Feb 24 20:42:44 2003
--- ../RELENG_4/crypto/openssl/crypto/dsa/dsagen.c	Mon Feb 24 21:14:53 2003
***************
*** 103,109 ****
  		bio_err=BIO_new_fp(stderr,BIO_NOCLOSE);
  
  	memcpy(seed_buf,seed,20);
! 	dsa=DSA_generate_parameters(1024,seed,20,&counter,&h,cb);
  
  	if (dsa == NULL)
  		DSA_print(bio_err,dsa,0);
--- 103,109 ----
  		bio_err=BIO_new_fp(stderr,BIO_NOCLOSE);
  
  	memcpy(seed_buf,seed,20);
! 	dsa=DSA_generate_parameters(1024,seed,20,&counter,&h,cb,bio_err);
  
  	if (dsa == NULL)
  		DSA_print(bio_err,dsa,0);
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/dsa/dsatest.c ../RELENG_4/crypto/openssl/crypto/dsa/dsatest.c
*** crypto/openssl/crypto/dsa/dsatest.c	Mon Feb 24 20:42:44 2003
--- ../RELENG_4/crypto/openssl/crypto/dsa/dsatest.c	Mon Feb 24 21:14:53 2003
***************
*** 68,74 ****
--- 68,76 ----
  #include <openssl/rand.h>
  #include <openssl/bio.h>
  #include <openssl/err.h>
+ #ifndef OPENSSL_NO_ENGINE
  #include <openssl/engine.h>
+ #endif
  #ifdef OPENSSL_SYS_WINDOWS
  #include "../bio/bss_file.c"
  #endif
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/dso/dso_dl.c ../RELENG_4/crypto/openssl/crypto/dso/dso_dl.c
*** crypto/openssl/crypto/dso/dso_dl.c	Mon Feb 24 20:42:44 2003
--- ../RELENG_4/crypto/openssl/crypto/dso/dso_dl.c	Mon Feb 24 21:14:53 2003
***************
*** 126,132 ****
  		DSOerr(DSO_F_DL_LOAD,DSO_R_NO_FILENAME);
  		goto err;
  		}
! 	ptr = shl_load(filename, BIND_IMMEDIATE|DYNAMIC_PATH, NULL);
  	if(ptr == NULL)
  		{
  		DSOerr(DSO_F_DL_LOAD,DSO_R_LOAD_FAILED);
--- 126,132 ----
  		DSOerr(DSO_F_DL_LOAD,DSO_R_NO_FILENAME);
  		goto err;
  		}
! 	ptr = shl_load(filename, BIND_IMMEDIATE|DYNAMIC_PATH, 0L);
  	if(ptr == NULL)
  		{
  		DSOerr(DSO_F_DL_LOAD,DSO_R_LOAD_FAILED);
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/ec/ec.h ../RELENG_4/crypto/openssl/crypto/ec/ec.h
*** crypto/openssl/crypto/ec/ec.h	Mon Feb 24 20:42:44 2003
--- ../RELENG_4/crypto/openssl/crypto/ec/ec.h	Mon Feb 24 21:14:54 2003
***************
*** 195,201 ****
  #define EC_F_EC_GROUP_GET0_GENERATOR			 139
  #define EC_F_EC_GROUP_GET_COFACTOR			 140
  #define EC_F_EC_GROUP_GET_CURVE_GFP			 130
- #define EC_F_EC_GROUP_GET_EXTRA_DATA			 107
  #define EC_F_EC_GROUP_GET_ORDER				 141
  #define EC_F_EC_GROUP_NEW				 108
  #define EC_F_EC_GROUP_PRECOMPUTE_MULT			 142
--- 195,200 ----
***************
*** 232,238 ****
  #define EC_R_INVALID_FIELD				 103
  #define EC_R_INVALID_FORM				 104
  #define EC_R_NOT_INITIALIZED				 111
- #define EC_R_NO_SUCH_EXTRA_DATA				 105
  #define EC_R_POINT_AT_INFINITY				 106
  #define EC_R_POINT_IS_NOT_ON_CURVE			 107
  #define EC_R_SLOT_FULL					 108
--- 231,236 ----
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/ec/ec_err.c ../RELENG_4/crypto/openssl/crypto/ec/ec_err.c
*** crypto/openssl/crypto/ec/ec_err.c	Mon Feb 24 20:42:44 2003
--- ../RELENG_4/crypto/openssl/crypto/ec/ec_err.c	Mon Feb 24 21:14:54 2003
***************
*** 84,90 ****
  {ERR_PACK(0,EC_F_EC_GROUP_GET0_GENERATOR,0),	"EC_GROUP_get0_generator"},
  {ERR_PACK(0,EC_F_EC_GROUP_GET_COFACTOR,0),	"EC_GROUP_get_cofactor"},
  {ERR_PACK(0,EC_F_EC_GROUP_GET_CURVE_GFP,0),	"EC_GROUP_get_curve_GFp"},
- {ERR_PACK(0,EC_F_EC_GROUP_GET_EXTRA_DATA,0),	"EC_GROUP_get_extra_data"},
  {ERR_PACK(0,EC_F_EC_GROUP_GET_ORDER,0),	"EC_GROUP_get_order"},
  {ERR_PACK(0,EC_F_EC_GROUP_NEW,0),	"EC_GROUP_new"},
  {ERR_PACK(0,EC_F_EC_GROUP_PRECOMPUTE_MULT,0),	"EC_GROUP_precompute_mult"},
--- 84,89 ----
***************
*** 124,130 ****
  {EC_R_INVALID_FIELD                      ,"invalid field"},
  {EC_R_INVALID_FORM                       ,"invalid form"},
  {EC_R_NOT_INITIALIZED                    ,"not initialized"},
- {EC_R_NO_SUCH_EXTRA_DATA                 ,"no such extra data"},
  {EC_R_POINT_AT_INFINITY                  ,"point at infinity"},
  {EC_R_POINT_IS_NOT_ON_CURVE              ,"point is not on curve"},
  {EC_R_SLOT_FULL                          ,"slot full"},
--- 123,128 ----
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/ec/ec_lib.c ../RELENG_4/crypto/openssl/crypto/ec/ec_lib.c
*** crypto/openssl/crypto/ec/ec_lib.c	Mon Feb 24 20:42:44 2003
--- ../RELENG_4/crypto/openssl/crypto/ec/ec_lib.c	Mon Feb 24 21:14:54 2003
***************
*** 268,274 ****
  		|| (group->extra_data_free_func != extra_data_free_func)
  		|| (group->extra_data_clear_free_func != extra_data_clear_free_func))
  		{
! 		ECerr(EC_F_EC_GROUP_GET_EXTRA_DATA, EC_R_NO_SUCH_EXTRA_DATA);
  		return NULL;
  		}
  
--- 268,276 ----
  		|| (group->extra_data_free_func != extra_data_free_func)
  		|| (group->extra_data_clear_free_func != extra_data_clear_free_func))
  		{
! #if 0 /* this was an error in 0.9.7, but that does not make a lot of sense */
! 		ECerr(..._F_EC_GROUP_GET_EXTRA_DATA, ..._R_NO_SUCH_EXTRA_DATA);
! #endif
  		return NULL;
  		}
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/ec/ec_mult.c ../RELENG_4/crypto/openssl/crypto/ec/ec_mult.c
*** crypto/openssl/crypto/ec/ec_mult.c	Mon Feb 24 20:42:44 2003
--- ../RELENG_4/crypto/openssl/crypto/ec/ec_mult.c	Mon Feb 24 21:14:54 2003
***************
*** 209,214 ****
--- 209,225 ----
  	EC_POINT ***val_sub = NULL; /* pointers to sub-arrays of 'val' */
  	int ret = 0;
  	
+ 	if (group->meth != r->meth)
+ 		{
+ 		ECerr(EC_F_EC_POINTS_MUL, EC_R_INCOMPATIBLE_OBJECTS);
+ 		return 0;
+ 		}
+ 
+ 	if ((scalar == NULL) && (num == 0))
+ 		{
+ 		return EC_POINT_set_to_infinity(group, r);
+ 		}
+ 
  	if (scalar != NULL)
  		{
  		generator = EC_GROUP_get0_generator(group);
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/ec/ectest.c ../RELENG_4/crypto/openssl/crypto/ec/ectest.c
*** crypto/openssl/crypto/ec/ectest.c	Mon Feb 24 20:42:44 2003
--- ../RELENG_4/crypto/openssl/crypto/ec/ectest.c	Mon Feb 24 21:14:54 2003
***************
*** 70,76 ****
--- 70,78 ----
  
  
  #include <openssl/ec.h>
+ #ifndef OPENSSL_NO_ENGINE
  #include <openssl/engine.h>
+ #endif
  #include <openssl/err.h>
  
  #define ABORT do { \
***************
*** 628,634 ****
--- 630,638 ----
  	if (P_384) EC_GROUP_free(P_384);
  	if (P_521) EC_GROUP_free(P_521);
  
+ #ifndef OPENSSL_NO_ENGINE
  	ENGINE_cleanup();
+ #endif
  	CRYPTO_cleanup_all_ex_data();
  	ERR_free_strings();
  	ERR_remove_state(0);
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/engine/Makefile.ssl ../RELENG_4/crypto/openssl/crypto/engine/Makefile.ssl
*** crypto/openssl/crypto/engine/Makefile.ssl	Mon Feb 24 20:42:44 2003
--- ../RELENG_4/crypto/openssl/crypto/engine/Makefile.ssl	Mon Feb 24 21:14:54 2003
***************
*** 50,56 ****
  
  lib:	$(LIBOBJ)
  	$(AR) $(LIB) $(LIBOBJ)
! 	$(RANLIB) $(LIB)
  	@touch lib
  
  files:
--- 50,56 ----
  
  lib:	$(LIBOBJ)
  	$(AR) $(LIB) $(LIBOBJ)
! 	$(RANLIB) $(LIB) || echo Never mind.
  	@touch lib
  
  files:
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/engine/engine.h ../RELENG_4/crypto/openssl/crypto/engine/engine.h
*** crypto/openssl/crypto/engine/engine.h	Mon Feb 24 20:42:44 2003
--- ../RELENG_4/crypto/openssl/crypto/engine/engine.h	Mon Feb 24 21:14:54 2003
***************
*** 59,64 ****
--- 59,70 ----
  #ifndef HEADER_ENGINE_H
  #define HEADER_ENGINE_H
  
+ #include <openssl/opensslconf.h>
+ 
+ #ifdef OPENSSL_NO_ENGINE
+ #error ENGINE is disabled.
+ #endif
+ 
  #include <openssl/ossl_typ.h>
  #include <openssl/bn.h>
  #ifndef OPENSSL_NO_RSA
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/engine/enginetest.c ../RELENG_4/crypto/openssl/crypto/engine/enginetest.c
*** crypto/openssl/crypto/engine/enginetest.c	Mon Feb 24 20:42:44 2003
--- ../RELENG_4/crypto/openssl/crypto/engine/enginetest.c	Mon Feb 24 21:14:54 2003
***************
*** 56,64 ****
   *
   */
  
- #include <openssl/e_os2.h>
  #include <stdio.h>
  #include <string.h>
  #include <openssl/buffer.h>
  #include <openssl/crypto.h>
  #include <openssl/engine.h>
--- 56,72 ----
   *
   */
  
  #include <stdio.h>
  #include <string.h>
+ 
+ #ifdef OPENSSL_NO_ENGINE
+ int main(int argc, char *argv[])
+ {
+     printf("No ENGINE support\n");
+     return(0);
+ }
+ #else
+ #include <openssl/e_os2.h>
  #include <openssl/buffer.h>
  #include <openssl/crypto.h>
  #include <openssl/engine.h>
***************
*** 272,274 ****
--- 280,283 ----
  	CRYPTO_mem_leaks_fp(stderr);
  	return to_return;
  	}
+ #endif
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/err/err.c ../RELENG_4/crypto/openssl/crypto/err/err.c
*** crypto/openssl/crypto/err/err.c	Mon Feb 24 20:42:44 2003
--- ../RELENG_4/crypto/openssl/crypto/err/err.c	Mon Feb 24 21:14:54 2003
***************
*** 211,216 ****
--- 211,217 ----
  
  {0,NULL},
  	};
+ #endif
  
  
  /* Define the predeclared (but externally opaque) "ERR_FNS" type */
***************
*** 491,496 ****
--- 492,498 ----
  	}
  
  
+ #ifndef OPENSSL_NO_ERR
  #define NUM_SYS_STR_REASONS 127
  #define LEN_SYS_STR_REASON 32
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/err/err_all.c ../RELENG_4/crypto/openssl/crypto/err/err_all.c
*** crypto/openssl/crypto/err/err_all.c	Mon Feb 24 20:42:44 2003
--- ../RELENG_4/crypto/openssl/crypto/err/err_all.c	Mon Feb 24 21:14:54 2003
***************
*** 82,88 ****
--- 82,90 ----
  #include <openssl/pkcs12.h>
  #include <openssl/rand.h>
  #include <openssl/dso.h>
+ #ifndef OPENSSL_NO_ENGINE
  #include <openssl/engine.h>
+ #endif
  #include <openssl/ocsp.h>
  #include <openssl/err.h>
  
***************
*** 122,128 ****
--- 124,132 ----
  	ERR_load_PKCS12_strings();
  	ERR_load_RAND_strings();
  	ERR_load_DSO_strings();
+ #ifndef OPENSSL_NO_ENGINE
  	ERR_load_ENGINE_strings();
+ #endif
  	ERR_load_OCSP_strings();
  	ERR_load_UI_strings();
  #endif
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/evp/digest.c ../RELENG_4/crypto/openssl/crypto/evp/digest.c
*** crypto/openssl/crypto/evp/digest.c	Mon Feb 24 20:42:44 2003
--- ../RELENG_4/crypto/openssl/crypto/evp/digest.c	Mon Feb 24 21:14:54 2003
***************
*** 113,119 ****
--- 113,121 ----
  #include "cryptlib.h"
  #include <openssl/objects.h>
  #include <openssl/evp.h>
+ #ifndef OPENSSL_NO_ENGINE
  #include <openssl/engine.h>
+ #endif
  
  void EVP_MD_CTX_init(EVP_MD_CTX *ctx)
  	{
***************
*** 138,143 ****
--- 140,146 ----
  int EVP_DigestInit_ex(EVP_MD_CTX *ctx, const EVP_MD *type, ENGINE *impl)
  	{
  	EVP_MD_CTX_clear_flags(ctx,EVP_MD_CTX_FLAG_CLEANED);
+ #ifndef OPENSSL_NO_ENGINE
  	/* Whether it's nice or not, "Inits" can be used on "Final"'d contexts
  	 * so this context may already have an ENGINE! Try to avoid releasing
  	 * the previous handle, re-querying for an ENGINE, and having a
***************
*** 183,189 ****
  		else
  			ctx->engine = NULL;
  		}
! 	else if(!ctx->digest)
  		{
  		EVPerr(EVP_F_EVP_DIGESTINIT, EVP_R_NO_DIGEST_SET);
  		return 0;
--- 186,194 ----
  		else
  			ctx->engine = NULL;
  		}
! 	else
! #endif
! 	if(!ctx->digest)
  		{
  		EVPerr(EVP_F_EVP_DIGESTINIT, EVP_R_NO_DIGEST_SET);
  		return 0;
***************
*** 196,202 ****
--- 201,209 ----
  		if (type->ctx_size)
  			ctx->md_data=OPENSSL_malloc(type->ctx_size);
  		}
+ #ifndef OPENSSL_NO_ENGINE
  skip_to_init:
+ #endif
  	return ctx->digest->init(ctx);
  	}
  
***************
*** 246,257 ****
--- 253,266 ----
  		EVPerr(EVP_F_EVP_MD_CTX_COPY,EVP_R_INPUT_NOT_INITIALIZED);
  		return 0;
  		}
+ #ifndef OPENSSL_NO_ENGINE
  	/* Make sure it's safe to copy a digest context using an ENGINE */
  	if (in->engine && !ENGINE_init(in->engine))
  		{
  		EVPerr(EVP_F_EVP_MD_CTX_COPY,ERR_R_ENGINE_LIB);
  		return 0;
  		}
+ #endif
  
  	EVP_MD_CTX_cleanup(out);
  	memcpy(out,in,sizeof *out);
***************
*** 304,313 ****
--- 313,324 ----
  		OPENSSL_cleanse(ctx->md_data,ctx->digest->ctx_size);
  		OPENSSL_free(ctx->md_data);
  		}
+ #ifndef OPENSSL_NO_ENGINE
  	if(ctx->engine)
  		/* The EVP_MD we used belongs to an ENGINE, release the
  		 * functional reference we held for this reason. */
  		ENGINE_finish(ctx->engine);
+ #endif
  	memset(ctx,'\0',sizeof *ctx);
  
  	return 1;
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/evp/evp_acnf.c ../RELENG_4/crypto/openssl/crypto/evp/evp_acnf.c
*** crypto/openssl/crypto/evp/evp_acnf.c	Mon Feb 24 20:42:44 2003
--- ../RELENG_4/crypto/openssl/crypto/evp/evp_acnf.c	Mon Feb 24 21:14:54 2003
***************
*** 59,65 ****
--- 59,67 ----
  #include "cryptlib.h"
  #include <openssl/evp.h>
  #include <openssl/conf.h>
+ #ifndef OPENSSL_NO_ENGINE
  #include <openssl/engine.h>
+ #endif
  
  
  /* Load all algorithms and configure OpenSSL.
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/evp/evp_enc.c ../RELENG_4/crypto/openssl/crypto/evp/evp_enc.c
*** crypto/openssl/crypto/evp/evp_enc.c	Mon Feb 24 20:42:44 2003
--- ../RELENG_4/crypto/openssl/crypto/evp/evp_enc.c	Mon Feb 24 21:14:54 2003
***************
*** 60,66 ****
--- 60,68 ----
  #include "cryptlib.h"
  #include <openssl/evp.h>
  #include <openssl/err.h>
+ #ifndef OPENSSL_NO_ENGINE
  #include <openssl/engine.h>
+ #endif
  #include "evp_locl.h"
  
  const char *EVP_version="EVP" OPENSSL_VERSION_PTEXT;
***************
*** 91,96 ****
--- 93,99 ----
  			enc = 1;
  		ctx->encrypt = enc;
  		}
+ #ifndef OPENSSL_NO_ENGINE
  	/* Whether it's nice or not, "Inits" can be used on "Final"'d contexts
  	 * so this context may already have an ENGINE! Try to avoid releasing
  	 * the previous handle, re-querying for an ENGINE, and having a
***************
*** 98,103 ****
--- 101,107 ----
  	if (ctx->engine && ctx->cipher && (!cipher ||
  			(cipher && (cipher->nid == ctx->cipher->nid))))
  		goto skip_to_init;
+ #endif
  	if (cipher)
  		{
  		/* Ensure a context left lying around from last time is cleared
***************
*** 107,112 ****
--- 111,117 ----
  
  		/* Restore encrypt field: it is zeroed by cleanup */
  		ctx->encrypt = enc;
+ #ifndef OPENSSL_NO_ENGINE
  		if(impl)
  			{
  			if (!ENGINE_init(impl))
***************
*** 140,145 ****
--- 145,151 ----
  			}
  		else
  			ctx->engine = NULL;
+ #endif
  
  		ctx->cipher=cipher;
  		ctx->cipher_data=OPENSSL_malloc(ctx->cipher->ctx_size);
***************
*** 159,165 ****
--- 165,173 ----
  		EVPerr(EVP_F_EVP_CIPHERINIT, EVP_R_NO_CIPHER_SET);
  		return 0;
  		}
+ #ifndef OPENSSL_NO_ENGINE
  skip_to_init:
+ #endif
  	/* we assume block size is a power of 2 in *cryptUpdate */
  	OPENSSL_assert(ctx->cipher->block_size == 1
  	    || ctx->cipher->block_size == 8
***************
*** 236,242 ****
  int EVP_DecryptInit(EVP_CIPHER_CTX *ctx, const EVP_CIPHER *cipher,
  	     const unsigned char *key, const unsigned char *iv)
  	{
! 	return EVP_CipherInit_ex(ctx, cipher, NULL, key, iv, 0);
  	}
  
  int EVP_DecryptInit_ex(EVP_CIPHER_CTX *ctx, const EVP_CIPHER *cipher, ENGINE *impl,
--- 244,250 ----
  int EVP_DecryptInit(EVP_CIPHER_CTX *ctx, const EVP_CIPHER *cipher,
  	     const unsigned char *key, const unsigned char *iv)
  	{
! 	return EVP_CipherInit(ctx, cipher, key, iv, 0);
  	}
  
  int EVP_DecryptInit_ex(EVP_CIPHER_CTX *ctx, const EVP_CIPHER *cipher, ENGINE *impl,
***************
*** 460,469 ****
--- 468,479 ----
  		}
  	if (c->cipher_data)
  		OPENSSL_free(c->cipher_data);
+ #ifndef OPENSSL_NO_ENGINE
  	if (c->engine)
  		/* The EVP_CIPHER we used belongs to an ENGINE, release the
  		 * functional reference we held for this reason. */
  		ENGINE_finish(c->engine);
+ #endif
  	memset(c,0,sizeof(EVP_CIPHER_CTX));
  	return 1;
  	}
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/evp/evp_test.c ../RELENG_4/crypto/openssl/crypto/evp/evp_test.c
*** crypto/openssl/crypto/evp/evp_test.c	Mon Feb 24 20:42:44 2003
--- ../RELENG_4/crypto/openssl/crypto/evp/evp_test.c	Mon Feb 24 21:14:54 2003
***************
*** 53,59 ****
--- 53,62 ----
  #include "../e_os.h"
  
  #include <openssl/evp.h>
+ #ifndef OPENSSL_NO_ENGINE
  #include <openssl/engine.h>
+ #endif
+ #include <openssl/err.h>
  #include <openssl/conf.h>
  
  static void hexdump(FILE *f,const char *title,const unsigned char *s,int l)
***************
*** 330,340 ****
--- 333,346 ----
      /* Load up the software EVP_CIPHER and EVP_MD definitions */
      OpenSSL_add_all_ciphers();
      OpenSSL_add_all_digests();
+ #ifndef OPENSSL_NO_ENGINE
      /* Load all compiled-in ENGINEs */
      ENGINE_load_builtin_engines();
+ #endif
  #if 0
      OPENSSL_config();
  #endif
+ #ifndef OPENSSL_NO_ENGINE
      /* Register all available ENGINE implementations of ciphers and digests.
       * This could perhaps be changed to "ENGINE_register_all_complete()"? */
      ENGINE_register_all_ciphers();
***************
*** 343,348 ****
--- 349,355 ----
       * It'll prevent ENGINEs being ENGINE_init()ialised for cipher/digest use if
       * they weren't already initialised. */
      /* ENGINE_set_cipher_flags(ENGINE_CIPHER_FLAG_NOINIT); */
+ #endif
  
      for( ; ; )
  	{
***************
*** 384,390 ****
--- 391,399 ----
  	    }
  	}
  
+ #ifndef OPENSSL_NO_ENGINE
      ENGINE_cleanup();
+ #endif
      EVP_cleanup();
      CRYPTO_cleanup_all_ex_data();
      ERR_remove_state(0);
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/krb5/Makefile.ssl ../RELENG_4/crypto/openssl/crypto/krb5/Makefile.ssl
*** crypto/openssl/crypto/krb5/Makefile.ssl	Mon Feb 24 20:42:45 2003
--- ../RELENG_4/crypto/openssl/crypto/krb5/Makefile.ssl	Mon Feb 24 21:14:54 2003
***************
*** 41,47 ****
  
  lib:	$(LIBOBJ)
  	$(AR) $(LIB) $(LIBOBJ)
! 	$(RANLIB) $(LIB)
  	@touch lib
  
  files:
--- 41,47 ----
  
  lib:	$(LIBOBJ)
  	$(AR) $(LIB) $(LIBOBJ)
! 	$(RANLIB) $(LIB) || echo Never mind.
  	@touch lib
  
  files:
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/md2/md2test.c ../RELENG_4/crypto/openssl/crypto/md2/md2test.c
*** crypto/openssl/crypto/md2/md2test.c	Mon Feb 24 20:42:45 2003
--- ../RELENG_4/crypto/openssl/crypto/md2/md2test.c	Mon Feb 24 21:14:54 2003
***************
*** 125,131 ****
  		P++;
  		}
  	EXIT(err);
- 	return(0);
  	}
  
  static char *pt(unsigned char *md)
--- 125,130 ----
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/md4/md4.c ../RELENG_4/crypto/openssl/crypto/md4/md4.c
*** crypto/openssl/crypto/md4/md4.c	Mon Feb 24 20:42:45 2003
--- ../RELENG_4/crypto/openssl/crypto/md4/md4.c	Mon Feb 24 21:14:54 2003
***************
*** 64,70 ****
  
  void do_fp(FILE *f);
  void pt(unsigned char *md);
! #ifndef _OSD_POSIX
  int read(int, void *, unsigned int);
  #endif
  
--- 64,70 ----
  
  void do_fp(FILE *f);
  void pt(unsigned char *md);
! #if !defined(_OSD_POSIX) && !defined(__DJGPP__)
  int read(int, void *, unsigned int);
  #endif
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/md5/Makefile.ssl ../RELENG_4/crypto/openssl/crypto/md5/Makefile.ssl
*** crypto/openssl/crypto/md5/Makefile.ssl	Mon Feb 24 20:42:45 2003
--- ../RELENG_4/crypto/openssl/crypto/md5/Makefile.ssl	Mon Feb 24 21:14:54 2003
***************
*** 21,34 ****
  
  CFLAGS= $(INCLUDES) $(CFLAG)
  
- # We let the C compiler driver to take care of .s files. This is done in
- # order to be excused from maintaining a separate set of architecture
- # dependent assembler flags. E.g. if you throw -mcpu=ultrasparc at SPARC
- # gcc, then the driver will automatically translate it to -xarch=v8plus
- # and pass it down to assembler.
- AS=$(CC) -c
- ASFLAGS=$(CFLAGS)
- 
  GENERAL=Makefile
  TEST=md5test.c
  APPS=
--- 21,26 ----
***************
*** 55,68 ****
  	@touch lib
  
  # elf
! asm/mx86-elf.o: asm/mx86unix.cpp
! 	$(CPP) -DELF -x c asm/mx86unix.cpp | as -o asm/mx86-elf.o
! 
! # solaris
! asm/mx86-sol.o: asm/mx86unix.cpp
! 	$(CC) -E -DSOL asm/mx86unix.cpp | sed 's/^#.*//' > asm/mx86-sol.s
! 	as -o asm/mx86-sol.o asm/mx86-sol.s
! 	rm -f asm/mx86-sol.s
  
  # a.out
  asm/mx86-out.o: asm/mx86unix.cpp
--- 47,54 ----
  	@touch lib
  
  # elf
! asm/mx86-elf.s: asm/md5-586.pl ../perlasm/x86asm.pl
! 	(cd asm; $(PERL) md5-586.pl elf $(CFLAGS) > mx86-elf.s)
  
  # a.out
  asm/mx86-out.o: asm/mx86unix.cpp
***************
*** 125,131 ****
  	mv -f Makefile.new $(MAKEFILE)
  
  clean:
! 	rm -f asm/mx86unix.cpp *.o asm/*.o *.obj lib tags core .pure .nfs* *.old *.bak fluff
  
  # DO NOT DELETE THIS LINE -- make depend depends on it.
  
--- 111,117 ----
  	mv -f Makefile.new $(MAKEFILE)
  
  clean:
! 	rm -f asm/mx86unix.cpp asm/*-elf.* *.o asm/*.o *.obj lib tags core .pure .nfs* *.old *.bak fluff
  
  # DO NOT DELETE THIS LINE -- make depend depends on it.
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/md5/md5.c ../RELENG_4/crypto/openssl/crypto/md5/md5.c
*** crypto/openssl/crypto/md5/md5.c	Mon Feb 24 20:42:45 2003
--- ../RELENG_4/crypto/openssl/crypto/md5/md5.c	Mon Feb 24 21:14:54 2003
***************
*** 64,70 ****
  
  void do_fp(FILE *f);
  void pt(unsigned char *md);
! #ifndef _OSD_POSIX
  int read(int, void *, unsigned int);
  #endif
  
--- 64,70 ----
  
  void do_fp(FILE *f);
  void pt(unsigned char *md);
! #if !defined(_OSD_POSIX) && !defined(__DJGPP__)
  int read(int, void *, unsigned int);
  #endif
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/md5/md5.h ../RELENG_4/crypto/openssl/crypto/md5/md5.h
*** crypto/openssl/crypto/md5/md5.h	Mon Feb 24 20:42:45 2003
--- ../RELENG_4/crypto/openssl/crypto/md5/md5.h	Mon Feb 24 21:14:54 2003
***************
*** 78,84 ****
  
  #if defined(OPENSSL_SYS_WIN16) || defined(__LP32__)
  #define MD5_LONG unsigned long
! #elif defined(OENSSL_SYS_CRAY) || defined(__ILP64__)
  #define MD5_LONG unsigned long
  #define MD5_LONG_LOG2 3
  /*
--- 78,84 ----
  
  #if defined(OPENSSL_SYS_WIN16) || defined(__LP32__)
  #define MD5_LONG unsigned long
! #elif defined(OPENSSL_SYS_CRAY) || defined(__ILP64__)
  #define MD5_LONG unsigned long
  #define MD5_LONG_LOG2 3
  /*
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/mem.c ../RELENG_4/crypto/openssl/crypto/mem.c
*** crypto/openssl/crypto/mem.c	Mon Feb 24 20:42:42 2003
--- ../RELENG_4/crypto/openssl/crypto/mem.c	Mon Feb 24 21:14:51 2003
***************
*** 252,257 ****
--- 252,259 ----
  	void *ret = NULL;
  	extern unsigned char cleanse_ctr;
  
+ 	if (num < 0) return NULL;
+ 
  	allow_customize = 0;
  	if (malloc_debug_func != NULL)
  		{
***************
*** 291,296 ****
--- 293,300 ----
  	void *ret = NULL;
  	extern unsigned char cleanse_ctr;
  
+ 	if (num < 0) return NULL;
+ 
  	allow_customize = 0;
  	if (malloc_debug_func != NULL)
  		{
***************
*** 319,324 ****
--- 323,331 ----
  
  	if (str == NULL)
  		return CRYPTO_malloc(num, file, line);
+ 
+  	if (num < 0) return NULL;
+  
  	if (realloc_debug_func != NULL)
  		realloc_debug_func(str, NULL, num, file, line, 0);
  	ret = realloc_ex_func(str,num,file,line);
***************
*** 338,343 ****
--- 345,353 ----
  
  	if (str == NULL)
  		return CRYPTO_malloc(num, file, line);
+  
+  	if (num < 0) return NULL;
+  
  	if (realloc_debug_func != NULL)
  		realloc_debug_func(str, NULL, num, file, line, 0);
  	ret=malloc_ex_func(num,file,line);
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/o_time.c ../RELENG_4/crypto/openssl/crypto/o_time.c
*** crypto/openssl/crypto/o_time.c	Mon Feb 24 20:42:42 2003
--- ../RELENG_4/crypto/openssl/crypto/o_time.c	Mon Feb 24 21:14:51 2003
***************
*** 80,86 ****
  	ts = result;
  #elif !defined(OPENSSL_SYS_VMS)
  	ts = gmtime(timer);
! 	memcpy(result, ts, sizeof(struct tm));
  	ts = result;
  #endif
  #ifdef OPENSSL_SYS_VMS
--- 80,87 ----
  	ts = result;
  #elif !defined(OPENSSL_SYS_VMS)
  	ts = gmtime(timer);
! 	if (ts != NULL)
! 		memcpy(result, ts, sizeof(struct tm));
  	ts = result;
  #endif
  #ifdef OPENSSL_SYS_VMS
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/objects/obj_dat.h ../RELENG_4/crypto/openssl/crypto/objects/obj_dat.h
*** crypto/openssl/crypto/objects/obj_dat.h	Mon Feb 24 20:42:45 2003
--- ../RELENG_4/crypto/openssl/crypto/objects/obj_dat.h	Mon Feb 24 21:14:55 2003
***************
*** 827,833 ****
  {"RC4-40","rc4-40",NID_rc4_40,0,NULL},
  {"RC2-40-CBC","rc2-40-cbc",NID_rc2_40_cbc,0,NULL},
  {"GN","givenName",NID_givenName,3,&(lvalues[535]),0},
! {"SN","surName",NID_surname,3,&(lvalues[538]),0},
  {"initials","initials",NID_initials,3,&(lvalues[541]),0},
  {NULL,NULL,NID_undef,0,NULL},
  {"crlDistributionPoints","X509v3 CRL Distribution Points",
--- 827,833 ----
  {"RC4-40","rc4-40",NID_rc4_40,0,NULL},
  {"RC2-40-CBC","rc2-40-cbc",NID_rc2_40_cbc,0,NULL},
  {"GN","givenName",NID_givenName,3,&(lvalues[535]),0},
! {"SN","surname",NID_surname,3,&(lvalues[538]),0},
  {"initials","initials",NID_initials,3,&(lvalues[541]),0},
  {NULL,NULL,NID_undef,0,NULL},
  {"crlDistributionPoints","X509v3 CRL Distribution Points",
***************
*** 3005,3011 ****
  &(nid_objs[16]),/* "stateOrProvinceName" */
  &(nid_objs[498]),/* "subtreeMaximumQuality" */
  &(nid_objs[497]),/* "subtreeMinimumQuality" */
! &(nid_objs[100]),/* "surName" */
  &(nid_objs[459]),/* "textEncodedORAddress" */
  &(nid_objs[293]),/* "textNotice" */
  &(nid_objs[106]),/* "title" */
--- 3005,3011 ----
  &(nid_objs[16]),/* "stateOrProvinceName" */
  &(nid_objs[498]),/* "subtreeMaximumQuality" */
  &(nid_objs[497]),/* "subtreeMinimumQuality" */
! &(nid_objs[100]),/* "surname" */
  &(nid_objs[459]),/* "textEncodedORAddress" */
  &(nid_objs[293]),/* "textNotice" */
  &(nid_objs[106]),/* "title" */
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/objects/obj_mac.h ../RELENG_4/crypto/openssl/crypto/objects/obj_mac.h
*** crypto/openssl/crypto/objects/obj_mac.h	Mon Feb 24 20:42:45 2003
--- ../RELENG_4/crypto/openssl/crypto/objects/obj_mac.h	Mon Feb 24 21:14:55 2003
***************
*** 1596,1602 ****
  #define OBJ_commonName		OBJ_X509,3L
  
  #define SN_surname		"SN"
! #define LN_surname		"surName"
  #define NID_surname		100
  #define OBJ_surname		OBJ_X509,4L
  
--- 1596,1602 ----
  #define OBJ_commonName		OBJ_X509,3L
  
  #define SN_surname		"SN"
! #define LN_surname		"surname"
  #define NID_surname		100
  #define OBJ_surname		OBJ_X509,4L
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/objects/objects.txt ../RELENG_4/crypto/openssl/crypto/objects/objects.txt
*** crypto/openssl/crypto/objects/objects.txt	Mon Feb 24 20:42:45 2003
--- ../RELENG_4/crypto/openssl/crypto/objects/objects.txt	Mon Feb 24 21:14:55 2003
***************
*** 531,538 ****
  
  X500 4			: X509
  X509 3			: CN			: commonName
! !Cname surname
! X509 4			: SN			: surName
  X509 5			: 			: serialNumber
  X509 6			: C			: countryName
  X509 7			: L			: localityName
--- 531,537 ----
  
  X500 4			: X509
  X509 3			: CN			: commonName
! X509 4			: SN			: surname
  X509 5			: 			: serialNumber
  X509 6			: C			: countryName
  X509 7			: L			: localityName
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/ocsp/Makefile.ssl ../RELENG_4/crypto/openssl/crypto/ocsp/Makefile.ssl
*** crypto/openssl/crypto/ocsp/Makefile.ssl	Mon Feb 24 20:42:45 2003
--- ../RELENG_4/crypto/openssl/crypto/ocsp/Makefile.ssl	Mon Feb 24 21:14:55 2003
***************
*** 43,49 ****
  
  lib:	$(LIBOBJ)
  	$(AR) $(LIB) $(LIBOBJ)
! 	$(RANLIB) $(LIB)
  	@touch lib
  
  files:
--- 43,49 ----
  
  lib:	$(LIBOBJ)
  	$(AR) $(LIB) $(LIBOBJ)
! 	$(RANLIB) $(LIB) || echo Never mind.
  	@touch lib
  
  files:
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/opensslv.h ../RELENG_4/crypto/openssl/crypto/opensslv.h
*** crypto/openssl/crypto/opensslv.h	Mon Feb 24 20:42:42 2003
--- ../RELENG_4/crypto/openssl/crypto/opensslv.h	Mon Feb 24 21:14:51 2003
***************
*** 25,32 ****
   * (Prior to 0.9.5a beta1, a different scheme was used: MMNNFFRBB for
   *  major minor fix final patch/beta)
   */
! #define OPENSSL_VERSION_NUMBER	0x0090700fL
! #define OPENSSL_VERSION_TEXT	"OpenSSL 0.9.7 31 Dec 2002"
  #define OPENSSL_VERSION_PTEXT	" part of " OPENSSL_VERSION_TEXT
  
  
--- 25,32 ----
   * (Prior to 0.9.5a beta1, a different scheme was used: MMNNFFRBB for
   *  major minor fix final patch/beta)
   */
! #define OPENSSL_VERSION_NUMBER	0x0090701fL
! #define OPENSSL_VERSION_TEXT	"OpenSSL 0.9.7a Feb 19 2003"
  #define OPENSSL_VERSION_PTEXT	" part of " OPENSSL_VERSION_TEXT
  
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/perlasm/x86asm.pl ../RELENG_4/crypto/openssl/crypto/perlasm/x86asm.pl
*** crypto/openssl/crypto/perlasm/x86asm.pl	Mon Feb 24 20:42:46 2003
--- ../RELENG_4/crypto/openssl/crypto/perlasm/x86asm.pl	Mon Feb 24 21:14:55 2003
***************
*** 18,26 ****
  	($type,$fn,$i386)=@_;
  	$filename=$fn;
  
! 	$cpp=$sol=$aout=$win32=$gaswin=0;
  	if (	($type eq "elf"))
! 		{ require "x86unix.pl"; }
  	elsif (	($type eq "a.out"))
  		{ $aout=1; require "x86unix.pl"; }
  	elsif (	($type eq "gaswin"))
--- 18,26 ----
  	($type,$fn,$i386)=@_;
  	$filename=$fn;
  
! 	$elf=$cpp=$sol=$aout=$win32=$gaswin=0;
  	if (	($type eq "elf"))
! 		{ $elf=1; require "x86unix.pl"; }
  	elsif (	($type eq "a.out"))
  		{ $aout=1; require "x86unix.pl"; }
  	elsif (	($type eq "gaswin"))
***************
*** 47,52 ****
--- 47,55 ----
  		exit(1);
  		}
  
+ 	$pic=0;
+ 	for (@ARGV) {	$pic=1 if (/\-[fK]PIC/i);	}
+ 
  	&asm_init_output();
  
  &comment("Don't even think of reading this code");
***************
*** 91,97 ****
  #undef SIZE
  #undef TYPE
  #define SIZE(a,b)
! #define TYPE(a,b)
  #endif /* __CYGWIN || __DJGPP */
  #endif
  
--- 94,100 ----
  #undef SIZE
  #undef TYPE
  #define SIZE(a,b)
! #define TYPE(a,b)	.def a; .scl 2; .type 32; .endef
  #endif /* __CYGWIN || __DJGPP */
  #endif
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/perlasm/x86ms.pl ../RELENG_4/crypto/openssl/crypto/perlasm/x86ms.pl
*** crypto/openssl/crypto/perlasm/x86ms.pl	Mon Feb 24 20:42:46 2003
--- ../RELENG_4/crypto/openssl/crypto/perlasm/x86ms.pl	Mon Feb 24 21:14:55 2003
***************
*** 367,370 ****
--- 367,376 ----
  	push(@out,"\t$name\t ".&conv($p1)."\n");
  	}
  
+ sub main'picmeup
+ 	{
+ 	local($dst,$sym)=@_;
+ 	&main'lea($dst,&main'DWP($sym));
+ 	}
+ 
  sub main'blindpop { &out1("pop",@_); }
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/perlasm/x86nasm.pl ../RELENG_4/crypto/openssl/crypto/perlasm/x86nasm.pl
*** crypto/openssl/crypto/perlasm/x86nasm.pl	Mon Feb 24 20:42:46 2003
--- ../RELENG_4/crypto/openssl/crypto/perlasm/x86nasm.pl	Mon Feb 24 21:14:55 2003
***************
*** 344,347 ****
--- 344,353 ----
  	push(@out,"\t$name\t ".&conv($p1)."\n");
  	}
  
+ sub main'picmeup
+ 	{
+ 	local($dst,$sym)=@_;
+ 	&main'lea($dst,&main'DWP($sym));
+ 	}
+ 
  sub main'blindpop { &out1("pop",@_); }
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/perlasm/x86unix.pl ../RELENG_4/crypto/openssl/crypto/perlasm/x86unix.pl
*** crypto/openssl/crypto/perlasm/x86unix.pl	Mon Feb 24 20:42:46 2003
--- ../RELENG_4/crypto/openssl/crypto/perlasm/x86unix.pl	Mon Feb 24 21:14:55 2003
***************
*** 345,359 ****
  	popl	%ebx
  	popl	%ebp
  	ret
! .${func}_end:
  EOF
  	push(@out,$tmp);
  
  	if ($main'cpp)
! 		{ push(@out,"\tSIZE($func,.${func}_end-$func)\n"); }
  	elsif ($main'gaswin)
                  { $tmp=push(@out,"\t.align 4\n"); }
! 	else	{ push(@out,"\t.size\t$func,.${func}_end-$func\n"); }
  	push(@out,".ident	\"$func\"\n");
  	$stack=0;
  	%label=();
--- 345,359 ----
  	popl	%ebx
  	popl	%ebp
  	ret
! .L_${func}_end:
  EOF
  	push(@out,$tmp);
  
  	if ($main'cpp)
! 		{ push(@out,"\tSIZE($func,.L_${func}_end-$func)\n"); }
  	elsif ($main'gaswin)
                  { $tmp=push(@out,"\t.align 4\n"); }
! 	else	{ push(@out,"\t.size\t$func,.L_${func}_end-$func\n"); }
  	push(@out,".ident	\"$func\"\n");
  	$stack=0;
  	%label=();
***************
*** 426,431 ****
--- 426,436 ----
  
  sub main'comment
  	{
+ 	if ($main'elf)	# GNU and SVR4 as'es use different comment delimiters,
+ 		{	# so we just skip comments...
+ 		push(@out,"\n");
+ 		return;
+ 		}
  	foreach (@_)
  		{
  		if (/^\s*$/)
***************
*** 546,552 ****
  sub main'picmeup
  	{
  	local($dst,$sym)=@_;
! 	local($tmp)=<<___;
  #if (defined(ELF) || defined(SOL)) && defined(PIC)
  	.align	8
  	call	1f
--- 551,559 ----
  sub main'picmeup
  	{
  	local($dst,$sym)=@_;
! 	if ($main'cpp)
! 		{
! 		local($tmp)=<<___;
  #if (defined(ELF) || defined(SOL)) && defined(PIC)
  	.align	8
  	call	1f
***************
*** 557,563 ****
  	leal	$sym,$regs{$dst}
  #endif
  ___
! 	push(@out,$tmp);
  	}
  
  sub main'blindpop { &out1("popl",@_); }
--- 564,585 ----
  	leal	$sym,$regs{$dst}
  #endif
  ___
! 		push(@out,$tmp);
! 		}
! 	elsif ($main'pic && ($main'elf || $main'aout))
! 		{
! 		push(@out,"\t.align\t8\n");
! 		&main'call(&main'label("PIC_me_up"));
! 		&main'set_label("PIC_me_up");
! 		&main'blindpop($dst);
! 		&main'add($dst,"\$$under"."_GLOBAL_OFFSET_TABLE_+[.-".
! 				&main'label("PIC_me_up") . "]");
! 		&main'mov($dst,&main'DWP($sym."\@GOT",$dst));
! 		}
! 	else
! 		{
! 		&main'lea($dst,&main'DWP($sym));
! 		}
  	}
  
  sub main'blindpop { &out1("popl",@_); }
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/rand/rand.h ../RELENG_4/crypto/openssl/crypto/rand/rand.h
*** crypto/openssl/crypto/rand/rand.h	Mon Feb 24 20:42:46 2003
--- ../RELENG_4/crypto/openssl/crypto/rand/rand.h	Mon Feb 24 21:14:56 2003
***************
*** 87,93 ****
--- 87,95 ----
  
  int RAND_set_rand_method(const RAND_METHOD *meth);
  const RAND_METHOD *RAND_get_rand_method(void);
+ #ifndef OPENSSL_NO_ENGINE
  int RAND_set_rand_engine(ENGINE *engine);
+ #endif
  RAND_METHOD *RAND_SSLeay(void);
  void RAND_cleanup(void );
  int  RAND_bytes(unsigned char *buf,int num);
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/rand/rand_lib.c ../RELENG_4/crypto/openssl/crypto/rand/rand_lib.c
*** crypto/openssl/crypto/rand/rand_lib.c	Mon Feb 24 20:42:46 2003
--- ../RELENG_4/crypto/openssl/crypto/rand/rand_lib.c	Mon Feb 24 21:14:56 2003
***************
*** 60,78 ****
--- 60,84 ----
  #include <time.h>
  #include "cryptlib.h"
  #include <openssl/rand.h>
+ #ifndef OPENSSL_NO_ENGINE
  #include <openssl/engine.h>
+ #endif
  
+ #ifndef OPENSSL_NO_ENGINE
  /* non-NULL if default_RAND_meth is ENGINE-provided */
  static ENGINE *funct_ref =NULL;
+ #endif
  static const RAND_METHOD *default_RAND_meth = NULL;
  
  int RAND_set_rand_method(const RAND_METHOD *meth)
  	{
+ #ifndef OPENSSL_NO_ENGINE
  	if(funct_ref)
  		{
  		ENGINE_finish(funct_ref);
  		funct_ref = NULL;
  		}
+ #endif
  	default_RAND_meth = meth;
  	return 1;
  	}
***************
*** 81,86 ****
--- 87,93 ----
  	{
  	if (!default_RAND_meth)
  		{
+ #ifndef OPENSSL_NO_ENGINE
  		ENGINE *e = ENGINE_get_default_RAND();
  		if(e)
  			{
***************
*** 94,104 ****
--- 101,113 ----
  		if(e)
  			funct_ref = e;
  		else
+ #endif
  			default_RAND_meth = RAND_SSLeay();
  		}
  	return default_RAND_meth;
  	}
  
+ #ifndef OPENSSL_NO_ENGINE
  int RAND_set_rand_engine(ENGINE *engine)
  	{
  	const RAND_METHOD *tmp_meth = NULL;
***************
*** 118,123 ****
--- 127,133 ----
  	funct_ref = engine;
  	return 1;
  	}
+ #endif
  
  void RAND_cleanup(void)
  	{
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/rc4/Makefile.ssl ../RELENG_4/crypto/openssl/crypto/rc4/Makefile.ssl
*** crypto/openssl/crypto/rc4/Makefile.ssl	Mon Feb 24 20:42:46 2003
--- ../RELENG_4/crypto/openssl/crypto/rc4/Makefile.ssl	Mon Feb 24 21:14:56 2003
***************
*** 52,65 ****
  	@touch lib
  
  # elf
! asm/rx86-elf.o: asm/rx86unix.cpp
! 	$(CPP) -DELF -x c asm/rx86unix.cpp | as -o asm/rx86-elf.o
! 
! # solaris
! asm/rx86-sol.o: asm/rx86unix.cpp
! 	$(CC) -E -DSOL asm/rx86unix.cpp | sed 's/^#.*//' > asm/rx86-sol.s
! 	as -o asm/rx86-sol.o asm/rx86-sol.s
! 	rm -f asm/rx86-sol.s
  
  # a.out
  asm/rx86-out.o: asm/rx86unix.cpp
--- 52,59 ----
  	@touch lib
  
  # elf
! asm/rx86-elf.s: asm/rc4-586.pl ../perlasm/x86asm.pl
! 	(cd asm; $(PERL) rc4-586.pl elf $(CFLAGS) > rx86-elf.s)
  
  # a.out
  asm/rx86-out.o: asm/rx86unix.cpp
***************
*** 104,110 ****
  	mv -f Makefile.new $(MAKEFILE)
  
  clean:
! 	rm -f asm/rx86unix.cpp *.o *.obj lib tags core .pure .nfs* *.old *.bak fluff asm/*.o
  
  # DO NOT DELETE THIS LINE -- make depend depends on it.
  
--- 98,104 ----
  	mv -f Makefile.new $(MAKEFILE)
  
  clean:
! 	rm -f asm/rx86unix.cpp asm/*-elf.* *.o *.obj lib tags core .pure .nfs* *.old *.bak fluff asm/*.o
  
  # DO NOT DELETE THIS LINE -- make depend depends on it.
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/rc5/Makefile.ssl ../RELENG_4/crypto/openssl/crypto/rc5/Makefile.ssl
*** crypto/openssl/crypto/rc5/Makefile.ssl	Mon Feb 24 20:42:46 2003
--- ../RELENG_4/crypto/openssl/crypto/rc5/Makefile.ssl	Mon Feb 24 21:14:56 2003
***************
*** 49,62 ****
  	@touch lib
  
  # elf
! asm/r586-elf.o: asm/r586unix.cpp
! 	$(CPP) -DELF -x c asm/r586unix.cpp | as -o asm/r586-elf.o
! 
! # solaris
! asm/r586-sol.o: asm/r586unix.cpp
! 	$(CC) -E -DSOL asm/r586unix.cpp | sed 's/^#.*//' > asm/r586-sol.s
! 	as -o asm/r586-sol.o asm/r586-sol.s
! 	rm -f asm/r586-sol.s
  
  # a.out
  asm/r586-out.o: asm/r586unix.cpp
--- 49,56 ----
  	@touch lib
  
  # elf
! asm/r586-elf.s: asm/rc5-586.pl ../perlasm/x86asm.pl ../perlasm/cbc.pl
! 	(cd asm; $(PERL) rc5-586.pl elf $(CFLAGS) > r586-elf.s)
  
  # a.out
  asm/r586-out.o: asm/r586unix.cpp
***************
*** 101,107 ****
  	mv -f Makefile.new $(MAKEFILE)
  
  clean:
! 	rm -f asm/r586unix.cpp *.o asm/*.o *.obj lib tags core .pure .nfs* *.old *.bak fluff
  
  # DO NOT DELETE THIS LINE -- make depend depends on it.
  
--- 95,101 ----
  	mv -f Makefile.new $(MAKEFILE)
  
  clean:
! 	rm -f asm/r586unix.cpp asm/*-elf.* *.o asm/*.o *.obj lib tags core .pure .nfs* *.old *.bak fluff
  
  # DO NOT DELETE THIS LINE -- make depend depends on it.
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/rc5/rc5_locl.h ../RELENG_4/crypto/openssl/crypto/rc5/rc5_locl.h
*** crypto/openssl/crypto/rc5/rc5_locl.h	Mon Feb 24 20:42:46 2003
--- ../RELENG_4/crypto/openssl/crypto/rc5/rc5_locl.h	Mon Feb 24 21:14:56 2003
***************
*** 149,155 ****
  #if defined(OPENSSL_SYS_WIN32) && defined(_MSC_VER)
  #define ROTATE_l32(a,n)     _lrotl(a,n)
  #define ROTATE_r32(a,n)     _lrotr(a,n)
! #elif defined(__GNUC__) && __GNUC__>=2 && !defined(__STRICT_ANSI__) && !defined(NO_ASM) && !defined(NO_INLINE_ASM)
  # if defined(__i386) || defined(__i386__) || defined(__x86_64) || defined(__x86_64__)
  #  define ROTATE_l32(a,n)	({ register unsigned int ret;	\
  					asm ("roll %%cl,%0"	\
--- 149,155 ----
  #if defined(OPENSSL_SYS_WIN32) && defined(_MSC_VER)
  #define ROTATE_l32(a,n)     _lrotl(a,n)
  #define ROTATE_r32(a,n)     _lrotr(a,n)
! #elif defined(__GNUC__) && __GNUC__>=2 && !defined(__STRICT_ANSI__) && !defined(OPENSSL_NO_ASM) && !defined(OPENSSL_NO_INLINE_ASM) && !defined(PEDANTIC)
  # if defined(__i386) || defined(__i386__) || defined(__x86_64) || defined(__x86_64__)
  #  define ROTATE_l32(a,n)	({ register unsigned int ret;	\
  					asm ("roll %%cl,%0"	\
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/ripemd/Makefile.ssl ../RELENG_4/crypto/openssl/crypto/ripemd/Makefile.ssl
*** crypto/openssl/crypto/ripemd/Makefile.ssl	Mon Feb 24 20:42:46 2003
--- ../RELENG_4/crypto/openssl/crypto/ripemd/Makefile.ssl	Mon Feb 24 21:14:56 2003
***************
*** 47,60 ****
  	@touch lib
  
  # elf
! asm/rm86-elf.o: asm/rm86unix.cpp
! 	$(CPP) -DELF -x c asm/rm86unix.cpp | as -o asm/rm86-elf.o
! 
! # solaris
! asm/rm86-sol.o: asm/rm86unix.cpp
! 	$(CC) -E -DSOL asm/rm86unix.cpp | sed 's/^#.*//' > asm/rm86-sol.s
! 	as -o asm/rm86-sol.o asm/rm86-sol.s
! 	rm -f asm/rm86-sol.s
  
  # a.out
  asm/rm86-out.o: asm/rm86unix.cpp
--- 47,54 ----
  	@touch lib
  
  # elf
! asm/rm86-elf.s: asm/rmd-586.pl ../perlasm/x86asm.pl
! 	(cd asm; $(PERL) rmd-586.pl elf $(CFLAGS) > rm86-elf.s)
  
  # a.out
  asm/rm86-out.o: asm/rm86unix.cpp
***************
*** 99,105 ****
  	mv -f Makefile.new $(MAKEFILE)
  
  clean:
! 	rm -f asm/rm86unix.cpp *.o asm/*.o *.obj lib tags core .pure .nfs* *.old *.bak fluff
  
  # DO NOT DELETE THIS LINE -- make depend depends on it.
  
--- 93,99 ----
  	mv -f Makefile.new $(MAKEFILE)
  
  clean:
! 	rm -f asm/rm86unix.cpp asm/*-elf.* *.o asm/*.o *.obj lib tags core .pure .nfs* *.old *.bak fluff
  
  # DO NOT DELETE THIS LINE -- make depend depends on it.
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/ripemd/rmd160.c ../RELENG_4/crypto/openssl/crypto/ripemd/rmd160.c
*** crypto/openssl/crypto/ripemd/rmd160.c	Mon Feb 24 20:42:46 2003
--- ../RELENG_4/crypto/openssl/crypto/ripemd/rmd160.c	Mon Feb 24 21:14:56 2003
***************
*** 64,70 ****
  
  void do_fp(FILE *f);
  void pt(unsigned char *md);
! #ifndef _OSD_POSIX
  int read(int, void *, unsigned int);
  #endif
  
--- 64,70 ----
  
  void do_fp(FILE *f);
  void pt(unsigned char *md);
! #if !defined(_OSD_POSIX) && !defined(__DJGPP__)
  int read(int, void *, unsigned int);
  #endif
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/rsa/rsa_eay.c ../RELENG_4/crypto/openssl/crypto/rsa/rsa_eay.c
*** crypto/openssl/crypto/rsa/rsa_eay.c	Mon Feb 24 20:42:47 2003
--- ../RELENG_4/crypto/openssl/crypto/rsa/rsa_eay.c	Mon Feb 24 21:14:56 2003
***************
*** 61,67 ****
--- 61,69 ----
  #include <openssl/bn.h>
  #include <openssl/rsa.h>
  #include <openssl/rand.h>
+ #ifndef OPENSSL_NO_ENGINE
  #include <openssl/engine.h>
+ #endif
  
  #ifndef RSA_NULL
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/rsa/rsa_lib.c ../RELENG_4/crypto/openssl/crypto/rsa/rsa_lib.c
*** crypto/openssl/crypto/rsa/rsa_lib.c	Mon Feb 24 20:42:47 2003
--- ../RELENG_4/crypto/openssl/crypto/rsa/rsa_lib.c	Mon Feb 24 21:14:56 2003
***************
*** 62,68 ****
--- 62,70 ----
  #include <openssl/lhash.h>
  #include <openssl/bn.h>
  #include <openssl/rsa.h>
+ #ifndef OPENSSL_NO_ENGINE
  #include <openssl/engine.h>
+ #endif
  
  const char *RSA_version="RSA" OPENSSL_VERSION_PTEXT;
  
***************
*** 108,118 ****
--- 110,122 ----
  	const RSA_METHOD *mtmp;
  	mtmp = rsa->meth;
  	if (mtmp->finish) mtmp->finish(rsa);
+ #ifndef OPENSSL_NO_ENGINE
  	if (rsa->engine)
  		{
  		ENGINE_finish(rsa->engine);
  		rsa->engine = NULL;
  		}
+ #endif
  	rsa->meth = meth;
  	if (meth->init) meth->init(rsa);
  	return 1;
***************
*** 130,135 ****
--- 134,140 ----
  		}
  
  	ret->meth = RSA_get_default_method();
+ #ifndef OPENSSL_NO_ENGINE
  	if (engine)
  		{
  		if (!ENGINE_init(engine))
***************
*** 154,159 ****
--- 159,165 ----
  			return NULL;
  			}
  		}
+ #endif
  
  	ret->pad=0;
  	ret->version=0;
***************
*** 175,182 ****
--- 181,190 ----
  	CRYPTO_new_ex_data(CRYPTO_EX_INDEX_RSA, ret, &ret->ex_data);
  	if ((ret->meth->init != NULL) && !ret->meth->init(ret))
  		{
+ #ifndef OPENSSL_NO_ENGINE
  		if (ret->engine)
  			ENGINE_finish(ret->engine);
+ #endif
  		CRYPTO_free_ex_data(CRYPTO_EX_INDEX_RSA, ret, &ret->ex_data);
  		OPENSSL_free(ret);
  		ret=NULL;
***************
*** 205,212 ****
--- 213,222 ----
  
  	if (r->meth->finish)
  		r->meth->finish(r);
+ #ifndef OPENSSL_NO_ENGINE
  	if (r->engine)
  		ENGINE_finish(r->engine);
+ #endif
  
  	CRYPTO_free_ex_data(CRYPTO_EX_INDEX_RSA, r, &r->ex_data);
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/rsa/rsa_sign.c ../RELENG_4/crypto/openssl/crypto/rsa/rsa_sign.c
*** crypto/openssl/crypto/rsa/rsa_sign.c	Mon Feb 24 20:42:47 2003
--- ../RELENG_4/crypto/openssl/crypto/rsa/rsa_sign.c	Mon Feb 24 21:14:56 2003
***************
*** 62,68 ****
--- 62,70 ----
  #include <openssl/rsa.h>
  #include <openssl/objects.h>
  #include <openssl/x509.h>
+ #ifndef OPENSSL_NO_ENGINE
  #include <openssl/engine.h>
+ #endif
  
  /* Size of an SSL signature: MD5+SHA1 */
  #define SSL_SIG_LENGTH	36
***************
*** 77,86 ****
--- 79,90 ----
  	const unsigned char *s = NULL;
  	X509_ALGOR algor;
  	ASN1_OCTET_STRING digest;
+ #ifndef OPENSSL_NO_ENGINE
  	if((rsa->flags & RSA_FLAG_SIGN_VER)
  	      && ENGINE_get_RSA(rsa->engine)->rsa_sign)
  	      return ENGINE_get_RSA(rsa->engine)->rsa_sign(type,
  			m, m_len, sigret, siglen, rsa);
+ #endif
  	/* Special case: SSL signature, just check the length */
  	if(type == NID_md5_sha1) {
  		if(m_len != SSL_SIG_LENGTH) {
***************
*** 155,164 ****
--- 159,170 ----
  		return(0);
  		}
  
+ #ifndef OPENSSL_NO_ENGINE
  	if((rsa->flags & RSA_FLAG_SIGN_VER)
  	    && ENGINE_get_RSA(rsa->engine)->rsa_verify)
  	    return ENGINE_get_RSA(rsa->engine)->rsa_verify(dtype,
  			m, m_len, sigbuf, siglen, rsa);
+ #endif
  
  	s=(unsigned char *)OPENSSL_malloc((unsigned int)siglen);
  	if (s == NULL)
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/rsa/rsa_test.c ../RELENG_4/crypto/openssl/crypto/rsa/rsa_test.c
*** crypto/openssl/crypto/rsa/rsa_test.c	Mon Feb 24 20:42:47 2003
--- ../RELENG_4/crypto/openssl/crypto/rsa/rsa_test.c	Mon Feb 24 21:14:56 2003
***************
*** 16,22 ****
--- 16,24 ----
  }
  #else
  #include <openssl/rsa.h>
+ #ifndef OPENSSL_NO_ENGINE
  #include <openssl/engine.h>
+ #endif
  
  #define SetKey \
    key->n = BN_bin2bn(n, sizeof(n)-1, key->n); \
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/sha/Makefile.ssl ../RELENG_4/crypto/openssl/crypto/sha/Makefile.ssl
*** crypto/openssl/crypto/sha/Makefile.ssl	Mon Feb 24 20:42:47 2003
--- ../RELENG_4/crypto/openssl/crypto/sha/Makefile.ssl	Mon Feb 24 21:14:56 2003
***************
*** 47,60 ****
  	@touch lib
  
  # elf
! asm/sx86-elf.o: asm/sx86unix.cpp
! 	$(CPP) -DELF -x c asm/sx86unix.cpp | as -o asm/sx86-elf.o
! 
! # solaris
! asm/sx86-sol.o: asm/sx86unix.cpp
! 	$(CC) -E -DSOL asm/sx86unix.cpp | sed 's/^#.*//' > asm/sx86-sol.s
! 	as -o asm/sx86-sol.o asm/sx86-sol.s
! 	rm -f asm/sx86-sol.s
  
  # a.out
  asm/sx86-out.o: asm/sx86unix.cpp
--- 47,54 ----
  	@touch lib
  
  # elf
! asm/sx86-elf.s: asm/sha1-586.pl ../perlasm/x86asm.pl
! 	(cd asm; $(PERL) sha1-586.pl elf $(CFLAGS) $(PROCESSOR) > sx86-elf.s)
  
  # a.out
  asm/sx86-out.o: asm/sx86unix.cpp
***************
*** 99,105 ****
  	mv -f Makefile.new $(MAKEFILE)
  
  clean:
! 	rm -f asm/sx86unix.cpp *.o *.obj lib tags core .pure .nfs* *.old *.bak fluff asm/*.o
  
  # DO NOT DELETE THIS LINE -- make depend depends on it.
  
--- 93,99 ----
  	mv -f Makefile.new $(MAKEFILE)
  
  clean:
! 	rm -f asm/sx86unix.cpp asm/*-elf.* *.o *.obj lib tags core .pure .nfs* *.old *.bak fluff asm/*.o
  
  # DO NOT DELETE THIS LINE -- make depend depends on it.
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/ui/Makefile.ssl ../RELENG_4/crypto/openssl/crypto/ui/Makefile.ssl
*** crypto/openssl/crypto/ui/Makefile.ssl	Mon Feb 24 20:42:47 2003
--- ../RELENG_4/crypto/openssl/crypto/ui/Makefile.ssl	Mon Feb 24 21:14:56 2003
***************
*** 44,50 ****
  
  lib:	$(LIBOBJ)
  	$(AR) $(LIB) $(LIBOBJ)
! 	$(RANLIB) $(LIB)
  	@touch lib
  
  files:
--- 44,50 ----
  
  lib:	$(LIBOBJ)
  	$(AR) $(LIB) $(LIBOBJ)
! 	$(RANLIB) $(LIB) || echo Never mind.
  	@touch lib
  
  files:
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/ui/ui_openssl.c ../RELENG_4/crypto/openssl/crypto/ui/ui_openssl.c
*** crypto/openssl/crypto/ui/ui_openssl.c	Mon Feb 24 20:42:47 2003
--- ../RELENG_4/crypto/openssl/crypto/ui/ui_openssl.c	Mon Feb 24 21:14:56 2003
***************
*** 550,556 ****
  
  static int close_console(UI *ui)
  	{
! 	if (tty_in != stderr) fclose(tty_in);
  	if (tty_out != stderr) fclose(tty_out);
  #ifdef OPENSSL_SYS_VMS
  	status = sys$dassgn(channel);
--- 550,556 ----
  
  static int close_console(UI *ui)
  	{
! 	if (tty_in != stdin) fclose(tty_in);
  	if (tty_out != stderr) fclose(tty_out);
  #ifdef OPENSSL_SYS_VMS
  	status = sys$dassgn(channel);
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/x509v3/ext_dat.h ../RELENG_4/crypto/openssl/crypto/x509v3/ext_dat.h
*** crypto/openssl/crypto/x509v3/ext_dat.h	Mon Feb 24 20:42:47 2003
--- ../RELENG_4/crypto/openssl/crypto/x509v3/ext_dat.h	Mon Feb 24 21:14:56 2003
***************
*** 90,106 ****
--- 90,112 ----
  &v3_crld,
  &v3_ext_ku,
  &v3_crl_reason,
+ #ifndef OPENSSL_NO_OCSP
  &v3_crl_invdate,
+ #endif
  &v3_sxnet,
  &v3_info,
+ #ifndef OPENSSL_NO_OCSP
  &v3_ocsp_nonce,
  &v3_ocsp_crlid,
  &v3_ocsp_accresp,
  &v3_ocsp_nocheck,
  &v3_ocsp_acutoff,
  &v3_ocsp_serviceloc,
+ #endif
  &v3_sinfo,
+ #ifndef OPENSSL_NO_OCSP
  &v3_crl_hold
+ #endif
  };
  
  /* Number of standard extensions */
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/x509v3/v3_ocsp.c ../RELENG_4/crypto/openssl/crypto/x509v3/v3_ocsp.c
*** crypto/openssl/crypto/x509v3/v3_ocsp.c	Mon Feb 24 20:42:47 2003
--- ../RELENG_4/crypto/openssl/crypto/x509v3/v3_ocsp.c	Mon Feb 24 21:14:56 2003
***************
*** 56,61 ****
--- 56,63 ----
   *
   */
  
+ #ifndef OPENSSL_NO_OCSP
+ 
  #include <stdio.h>
  #include "cryptlib.h"
  #include <openssl/conf.h>
***************
*** 270,272 ****
--- 272,275 ----
  err:
  	return 0;
  	}
+ #endif
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/x509v3/v3_purp.c ../RELENG_4/crypto/openssl/crypto/x509v3/v3_purp.c
*** crypto/openssl/crypto/x509v3/v3_purp.c	Mon Feb 24 20:42:47 2003
--- ../RELENG_4/crypto/openssl/crypto/x509v3/v3_purp.c	Mon Feb 24 21:14:56 2003
***************
*** 378,383 ****
--- 378,387 ----
  				case NID_time_stamp:
  				x->ex_xkusage |= XKU_TIMESTAMP;
  				break;
+ 
+ 				case NID_dvcs:
+ 				x->ex_xkusage |= XKU_DVCS;
+ 				break;
  			}
  		}
  		sk_ASN1_OBJECT_pop_free(extusage, ASN1_OBJECT_free);
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/x509v3/v3conf.c ../RELENG_4/crypto/openssl/crypto/x509v3/v3conf.c
*** crypto/openssl/crypto/x509v3/v3conf.c	Mon Feb 24 20:42:47 2003
--- ../RELENG_4/crypto/openssl/crypto/x509v3/v3conf.c	Mon Feb 24 21:14:57 2003
***************
*** 118,124 ****
  		printf("%s", OBJ_nid2ln(OBJ_obj2nid(ext->object)));
  		if(ext->critical) printf(",critical:\n");
  		else printf(":\n");
! 		X509V3_EXT_print_fp(stdout, ext, 0);
  		printf("\n");
  		
  	}
--- 118,124 ----
  		printf("%s", OBJ_nid2ln(OBJ_obj2nid(ext->object)));
  		if(ext->critical) printf(",critical:\n");
  		else printf(":\n");
! 		X509V3_EXT_print_fp(stdout, ext, 0, 0);
  		printf("\n");
  		
  	}
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/crypto/x509v3/x509v3.h ../RELENG_4/crypto/openssl/crypto/x509v3/x509v3.h
*** crypto/openssl/crypto/x509v3/x509v3.h	Mon Feb 24 20:42:47 2003
--- ../RELENG_4/crypto/openssl/crypto/x509v3/x509v3.h	Mon Feb 24 21:14:57 2003
***************
*** 352,357 ****
--- 352,358 ----
  #define XKU_SGC			0x10
  #define XKU_OCSP_SIGN		0x20
  #define XKU_TIMESTAMP		0x40
+ #define XKU_DVCS		0x80
  
  #define X509_PURPOSE_DYNAMIC	0x1
  #define X509_PURPOSE_DYNAMIC_NAME	0x2
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/demos/x509/mkcert.c ../RELENG_4/crypto/openssl/demos/x509/mkcert.c
*** crypto/openssl/demos/x509/mkcert.c	Mon Feb 24 20:42:48 2003
--- ../RELENG_4/crypto/openssl/demos/x509/mkcert.c	Mon Feb 24 21:14:57 2003
***************
*** 9,15 ****
--- 9,17 ----
  #include <openssl/pem.h>
  #include <openssl/conf.h>
  #include <openssl/x509v3.h>
+ #ifndef OPENSSL_NO_ENGINE
  #include <openssl/engine.h>
+ #endif
  
  int mkcert(X509 **x509p, EVP_PKEY **pkeyp, int bits, int serial, int days);
  int add_ext(X509 *cert, int nid, char *value);
***************
*** 35,41 ****
--- 37,45 ----
  	X509_free(x509);
  	EVP_PKEY_free(pkey);
  
+ #ifndef OPENSSL_NO_ENGINE
  	ENGINE_cleanup();
+ #endif
  	CRYPTO_cleanup_all_ex_data();
  
  	CRYPTO_mem_leaks(bio_err);
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/demos/x509/mkreq.c ../RELENG_4/crypto/openssl/demos/x509/mkreq.c
*** crypto/openssl/demos/x509/mkreq.c	Mon Feb 24 20:42:48 2003
--- ../RELENG_4/crypto/openssl/demos/x509/mkreq.c	Mon Feb 24 21:14:57 2003
***************
*** 8,14 ****
--- 8,16 ----
  #include <openssl/pem.h>
  #include <openssl/conf.h>
  #include <openssl/x509v3.h>
+ #ifndef OPENSSL_NO_ENGINE
  #include <openssl/engine.h>
+ #endif
  
  int mkreq(X509_REQ **x509p, EVP_PKEY **pkeyp, int bits, int serial, int days);
  int add_ext(STACK_OF(X509_REQUEST) *sk, int nid, char *value);
***************
*** 33,39 ****
--- 35,43 ----
  	X509_REQ_free(req);
  	EVP_PKEY_free(pkey);
  
+ #ifndef OPENSSL_NO_ENGINE
  	ENGINE_cleanup();
+ #endif
  	CRYPTO_cleanup_all_ex_data();
  
  	CRYPTO_mem_leaks(bio_err);
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/doc/HOWTO/certificates.txt ../RELENG_4/crypto/openssl/doc/HOWTO/certificates.txt
*** crypto/openssl/doc/HOWTO/certificates.txt	Mon Feb 24 20:42:48 2003
--- ../RELENG_4/crypto/openssl/doc/HOWTO/certificates.txt	Mon Feb 24 21:14:58 2003
***************
*** 1,6 ****
--- 1,8 ----
  <DRAFT!>
  			HOWTO certificates
  
+ 1. Introduction
+ 
  How you handle certificates depend a great deal on what your role is.
  Your role can be one or several of:
  
***************
*** 13,24 ****
  
  In all the cases shown below, the standard configuration file, as
  compiled into openssl, will be used.  You may find it in /etc/,
! /usr/local/ssr/ or somewhere else.  The name is openssl.cnf, and
  is better described in another HOWTO <config.txt?>.  If you want to
  use a different configuration file, use the argument '-config {file}'
  with the command shown below.
  
  
  Certificates are related to public key cryptography by containing a
  public key.  To be useful, there must be a corresponding private key
  somewhere.  With OpenSSL, public keys are easily derived from private
--- 15,28 ----
  
  In all the cases shown below, the standard configuration file, as
  compiled into openssl, will be used.  You may find it in /etc/,
! /usr/local/ssl/ or somewhere else.  The name is openssl.cnf, and
  is better described in another HOWTO <config.txt?>.  If you want to
  use a different configuration file, use the argument '-config {file}'
  with the command shown below.
  
  
+ 2. Relationship with keys
+ 
  Certificates are related to public key cryptography by containing a
  public key.  To be useful, there must be a corresponding private key
  somewhere.  With OpenSSL, public keys are easily derived from private
***************
*** 26,47 ****
  need to create a private key.
  
  Private keys are generated with 'openssl genrsa' if you want a RSA
! private key, or 'openssl gendsa' if you want a DSA private key.  More
! info on how to handle these commands are found in the manual pages for
! those commands or by running them with the argument '-h'.  For the
! sake of the description in this file, let's assume that the private
! key ended up in the file privkey.pem (which is the default in some
! cases).
  
  
! Let's start with the most normal way of getting a certificate.  Most
! often, you want or need to get a certificate from a certificate
! authority.  To handle that, the certificate authority needs a
! certificate request (or, as some certificate authorities like to put
  it, "certificate signing request", since that's exactly what they do,
  they sign it and give you the result back, thus making it authentic
! according to their policies) from you.  To generate a request, use the
! command 'openssl req' like this:
  
    openssl req -new -key privkey.pem -out cert.csr
  
--- 30,54 ----
  need to create a private key.
  
  Private keys are generated with 'openssl genrsa' if you want a RSA
! private key, or 'openssl gendsa' if you want a DSA private key.
! Further information on how to create private keys can be found in
! another HOWTO <keys.txt?>.  The rest of this text assumes you have
! a private key in the file privkey.pem.
  
  
! 3. Creating a certificate request
! 
! To create a certificate, you need to start with a certificate
! request (or, as some certificate authorities like to put
  it, "certificate signing request", since that's exactly what they do,
  they sign it and give you the result back, thus making it authentic
! according to their policies).  A certificate request can then be sent
! to a certificate authority to get it signed into a certificate, or if
! you have your own certificate authority, you may sign it yourself, or
! if you need a self-signed certificate (because you just want a test
! certificate or because you are setting up your own CA).
! 
! The certificate is created like this:
  
    openssl req -new -key privkey.pem -out cert.csr
  
***************
*** 55,63 ****
  do (and probably gotten payment from you), they will hand over your
  new certificate to you.
  
  
- [fill in on how to create a self-signed certificate]
  
  
  If you created everything yourself, or if the certificate authority
  was kind enough, your certificate is a raw DER thing in PEM format.
--- 62,86 ----
  do (and probably gotten payment from you), they will hand over your
  new certificate to you.
  
+ Section 5 will tell you more on how to handle the certificate you
+ received.
+ 
+ 
+ 4. Creating a self-signed certificate
+ 
+ If you don't want to deal with another certificate authority, or just
+ want to create a test certificate for yourself, or are setting up a
+ certificate authority of your own, you may want to make the requested
+ certificate a self-signed one.  If you have created a certificate
+ request as shown above, you can sign it using the 'openssl x509'
+ command, for example like this (to create a self-signed CA
+ certificate):
+ 
+   openssl x509 -req -in cert.csr -extfile openssl.cnf -extensions v3_ca \
+ 	  -signkey privkey.pem -out cacert.pem -trustout
  
  
+ 5. What to do with the certificate
  
  If you created everything yourself, or if the certificate authority
  was kind enough, your certificate is a raw DER thing in PEM format.
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/doc/apps/ca.pod ../RELENG_4/crypto/openssl/doc/apps/ca.pod
*** crypto/openssl/doc/apps/ca.pod	Mon Feb 24 20:42:48 2003
--- ../RELENG_4/crypto/openssl/doc/apps/ca.pod	Mon Feb 24 21:14:58 2003
***************
*** 43,48 ****
--- 43,49 ----
  [B<-msie_hack>]
  [B<-extensions section>]
  [B<-extfile section>]
+ [B<-engine id>]
  
  =head1 DESCRIPTION
  
***************
*** 194,199 ****
--- 195,207 ----
  an additional configuration file to read certificate extensions from
  (using the default section unless the B<-extensions> option is also
  used).
+ 
+ =item B<-engine id>
+ 
+ specifying an engine (by it's unique B<id> string) will cause B<req>
+ to attempt to obtain a functional reference to the specified engine,
+ thus initialising it if needed. The engine will then be set as the default
+ for all available algorithms.
  
  =back
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/doc/apps/dhparam.pod ../RELENG_4/crypto/openssl/doc/apps/dhparam.pod
*** crypto/openssl/doc/apps/dhparam.pod	Mon Feb 24 20:42:48 2003
--- ../RELENG_4/crypto/openssl/doc/apps/dhparam.pod	Mon Feb 24 21:14:58 2003
***************
*** 18,23 ****
--- 18,24 ----
  [B<-2>]
  [B<-5>]
  [B<-rand> I<file(s)>]
+ [B<-engine id>]
  [I<numbits>]
  
  =head1 DESCRIPTION
***************
*** 95,100 ****
--- 96,108 ----
  
  this option converts the parameters into C code. The parameters can then
  be loaded by calling the B<get_dh>I<numbits>B<()> function.
+ 
+ =item B<-engine id>
+ 
+ specifying an engine (by it's unique B<id> string) will cause B<req>
+ to attempt to obtain a functional reference to the specified engine,
+ thus initialising it if needed. The engine will then be set as the default
+ for all available algorithms.
  
  =back
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/doc/apps/dsa.pod ../RELENG_4/crypto/openssl/doc/apps/dsa.pod
*** crypto/openssl/doc/apps/dsa.pod	Mon Feb 24 20:42:48 2003
--- ../RELENG_4/crypto/openssl/doc/apps/dsa.pod	Mon Feb 24 21:14:58 2003
***************
*** 21,26 ****
--- 21,27 ----
  [B<-modulus>]
  [B<-pubin>]
  [B<-pubout>]
+ [B<-engine id>]
  
  =head1 DESCRIPTION
  
***************
*** 105,110 ****
--- 106,118 ----
  by default a private key is output. With this option a public
  key will be output instead. This option is automatically set if the input is
  a public key.
+ 
+ =item B<-engine id>
+ 
+ specifying an engine (by it's unique B<id> string) will cause B<req>
+ to attempt to obtain a functional reference to the specified engine,
+ thus initialising it if needed. The engine will then be set as the default
+ for all available algorithms.
  
  =back
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/doc/apps/dsaparam.pod ../RELENG_4/crypto/openssl/doc/apps/dsaparam.pod
*** crypto/openssl/doc/apps/dsaparam.pod	Mon Feb 24 20:42:48 2003
--- ../RELENG_4/crypto/openssl/doc/apps/dsaparam.pod	Mon Feb 24 21:14:58 2003
***************
*** 16,21 ****
--- 16,22 ----
  [B<-C>]
  [B<-rand file(s)>]
  [B<-genkey>]
+ [B<-engine id>]
  [B<numbits>]
  
  =head1 DESCRIPTION
***************
*** 81,86 ****
--- 82,94 ----
  this option specifies that a parameter set should be generated of size
  B<numbits>. It must be the last option. If this option is included then
  the input file (if any) is ignored.
+ 
+ =item B<-engine id>
+ 
+ specifying an engine (by it's unique B<id> string) will cause B<req>
+ to attempt to obtain a functional reference to the specified engine,
+ thus initialising it if needed. The engine will then be set as the default
+ for all available algorithms.
  
  =back
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/doc/apps/gendsa.pod ../RELENG_4/crypto/openssl/doc/apps/gendsa.pod
*** crypto/openssl/doc/apps/gendsa.pod	Mon Feb 24 20:42:48 2003
--- ../RELENG_4/crypto/openssl/doc/apps/gendsa.pod	Mon Feb 24 21:14:58 2003
***************
*** 12,17 ****
--- 12,18 ----
  [B<-des3>]
  [B<-idea>]
  [B<-rand file(s)>]
+ [B<-engine id>]
  [B<paramfile>]
  
  =head1 DESCRIPTION
***************
*** 36,41 ****
--- 37,49 ----
  Multiple files can be specified separated by a OS-dependent character.
  The separator is B<;> for MS-Windows, B<,> for OpenVMS, and B<:> for
  all others.
+ 
+ =item B<-engine id>
+ 
+ specifying an engine (by it's unique B<id> string) will cause B<req>
+ to attempt to obtain a functional reference to the specified engine,
+ thus initialising it if needed. The engine will then be set as the default
+ for all available algorithms.
  
  =item B<paramfile>
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/doc/apps/genrsa.pod ../RELENG_4/crypto/openssl/doc/apps/genrsa.pod
*** crypto/openssl/doc/apps/genrsa.pod	Mon Feb 24 20:42:48 2003
--- ../RELENG_4/crypto/openssl/doc/apps/genrsa.pod	Mon Feb 24 21:14:58 2003
***************
*** 15,20 ****
--- 15,21 ----
  [B<-f4>]
  [B<-3>]
  [B<-rand file(s)>]
+ [B<-engine id>]
  [B<numbits>]
  
  =head1 DESCRIPTION
***************
*** 53,58 ****
--- 54,66 ----
  Multiple files can be specified separated by a OS-dependent character.
  The separator is B<;> for MS-Windows, B<,> for OpenVMS, and B<:> for
  all others.
+ 
+ =item B<-engine id>
+ 
+ specifying an engine (by it's unique B<id> string) will cause B<req>
+ to attempt to obtain a functional reference to the specified engine,
+ thus initialising it if needed. The engine will then be set as the default
+ for all available algorithms.
  
  =item B<numbits>
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/doc/apps/pkcs7.pod ../RELENG_4/crypto/openssl/doc/apps/pkcs7.pod
*** crypto/openssl/doc/apps/pkcs7.pod	Mon Feb 24 20:42:49 2003
--- ../RELENG_4/crypto/openssl/doc/apps/pkcs7.pod	Mon Feb 24 21:14:58 2003
***************
*** 14,19 ****
--- 14,20 ----
  [B<-print_certs>]
  [B<-text>]
  [B<-noout>]
+ [B<-engine id>]
  
  =head1 DESCRIPTION
  
***************
*** 58,63 ****
--- 59,71 ----
  
  don't output the encoded version of the PKCS#7 structure (or certificates
  is B<-print_certs> is set).
+ 
+ =item B<-engine id>
+ 
+ specifying an engine (by it's unique B<id> string) will cause B<req>
+ to attempt to obtain a functional reference to the specified engine,
+ thus initialising it if needed. The engine will then be set as the default
+ for all available algorithms.
  
  =back
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/doc/apps/pkcs8.pod ../RELENG_4/crypto/openssl/doc/apps/pkcs8.pod
*** crypto/openssl/doc/apps/pkcs8.pod	Mon Feb 24 20:42:49 2003
--- ../RELENG_4/crypto/openssl/doc/apps/pkcs8.pod	Mon Feb 24 21:14:58 2003
***************
*** 21,26 ****
--- 21,27 ----
  [B<-nsdb>]
  [B<-v2 alg>]
  [B<-v1 alg>]
+ [B<-engine id>]
  
  =head1 DESCRIPTION
  
***************
*** 121,126 ****
--- 122,134 ----
  
  This option specifies a PKCS#5 v1.5 or PKCS#12 algorithm to use. A complete
  list of possible algorithms is included below.
+ 
+ =item B<-engine id>
+ 
+ specifying an engine (by it's unique B<id> string) will cause B<req>
+ to attempt to obtain a functional reference to the specified engine,
+ thus initialising it if needed. The engine will then be set as the default
+ for all available algorithms.
  
  =back
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/doc/apps/req.pod ../RELENG_4/crypto/openssl/doc/apps/req.pod
*** crypto/openssl/doc/apps/req.pod	Mon Feb 24 20:42:49 2003
--- ../RELENG_4/crypto/openssl/doc/apps/req.pod	Mon Feb 24 21:14:58 2003
***************
*** 41,46 ****
--- 41,47 ----
  [B<-nameopt>]
  [B<-batch>]
  [B<-verbose>]
+ [B<-engine id>]
  
  =head1 DESCRIPTION
  
***************
*** 244,249 ****
--- 245,257 ----
  
  print extra details about the operations being performed.
  
+ =item B<-engine id>
+ 
+ specifying an engine (by it's unique B<id> string) will cause B<req>
+ to attempt to obtain a functional reference to the specified engine,
+ thus initialising it if needed. The engine will then be set as the default
+ for all available algorithms.
+ 
  =back
  
  =head1 CONFIGURATION FILE FORMAT
***************
*** 406,412 ****
  The actual permitted field names are any object identifier short or
  long names. These are compiled into OpenSSL and include the usual
  values such as commonName, countryName, localityName, organizationName,
! organizationUnitName, stateOrPrivinceName. Additionally emailAddress
  is include as well as name, surname, givenName initials and dnQualifier.
  
  Additional object identifiers can be defined with the B<oid_file> or
--- 414,420 ----
  The actual permitted field names are any object identifier short or
  long names. These are compiled into OpenSSL and include the usual
  values such as commonName, countryName, localityName, organizationName,
! organizationUnitName, stateOrProvinceName. Additionally emailAddress
  is include as well as name, surname, givenName initials and dnQualifier.
  
  Additional object identifiers can be defined with the B<oid_file> or
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/doc/apps/rsa.pod ../RELENG_4/crypto/openssl/doc/apps/rsa.pod
*** crypto/openssl/doc/apps/rsa.pod	Mon Feb 24 20:42:49 2003
--- ../RELENG_4/crypto/openssl/doc/apps/rsa.pod	Mon Feb 24 21:14:58 2003
***************
*** 24,29 ****
--- 24,30 ----
  [B<-check>]
  [B<-pubin>]
  [B<-pubout>]
+ [B<-engine id>]
  
  =head1 DESCRIPTION
  
***************
*** 116,121 ****
--- 117,129 ----
  by default a private key is output: with this option a public
  key will be output instead. This option is automatically set if
  the input is a public key.
+ 
+ =item B<-engine id>
+ 
+ specifying an engine (by it's unique B<id> string) will cause B<req>
+ to attempt to obtain a functional reference to the specified engine,
+ thus initialising it if needed. The engine will then be set as the default
+ for all available algorithms.
  
  =back
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/doc/apps/spkac.pod ../RELENG_4/crypto/openssl/doc/apps/spkac.pod
*** crypto/openssl/doc/apps/spkac.pod	Mon Feb 24 20:42:49 2003
--- ../RELENG_4/crypto/openssl/doc/apps/spkac.pod	Mon Feb 24 21:14:58 2003
***************
*** 17,23 ****
  [B<-spksect section>]
  [B<-noout>]
  [B<-verify>]
! 
  
  =head1 DESCRIPTION
  
--- 17,23 ----
  [B<-spksect section>]
  [B<-noout>]
  [B<-verify>]
! [B<-engine id>]
  
  =head1 DESCRIPTION
  
***************
*** 79,84 ****
--- 79,90 ----
  
  verifies the digital signature on the supplied SPKAC.
  
+ =item B<-engine id>
+ 
+ specifying an engine (by it's unique B<id> string) will cause B<req>
+ to attempt to obtain a functional reference to the specified engine,
+ thus initialising it if needed. The engine will then be set as the default
+ for all available algorithms.
  
  =back
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/doc/apps/x509.pod ../RELENG_4/crypto/openssl/doc/apps/x509.pod
*** crypto/openssl/doc/apps/x509.pod	Mon Feb 24 20:42:49 2003
--- ../RELENG_4/crypto/openssl/doc/apps/x509.pod	Mon Feb 24 21:14:58 2003
***************
*** 50,55 ****
--- 50,56 ----
  [B<-clrext>]
  [B<-extfile filename>]
  [B<-extensions section>]
+ [B<-engine id>]
  
  =head1 DESCRIPTION
  
***************
*** 98,103 ****
--- 99,110 ----
  specified then MD5 is used. If the key being used to sign with is a DSA key then
  this option has no effect: SHA1 is always used with DSA keys.
  
+ =item B<-engine id>
+ 
+ specifying an engine (by it's unique B<id> string) will cause B<req>
+ to attempt to obtain a functional reference to the specified engine,
+ thus initialising it if needed. The engine will then be set as the default
+ for all available algorithms.
  
  =back
  
***************
*** 637,644 ****
  Set a certificate to be trusted for SSL client use and change set its alias to
  "Steve's Class 1 CA"
  
!  openssl x509 -in cert.pem -addtrust sslclient \
! 	-alias "Steve's Class 1 CA" -out trust.pem
  
  =head1 NOTES
  
--- 644,651 ----
  Set a certificate to be trusted for SSL client use and change set its alias to
  "Steve's Class 1 CA"
  
!  openssl x509 -in cert.pem -addtrust clientAuth \
! 	-setalias "Steve's Class 1 CA" -out trust.pem
  
  =head1 NOTES
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/doc/crypto/BN_generate_prime.pod ../RELENG_4/crypto/openssl/doc/crypto/BN_generate_prime.pod
*** crypto/openssl/doc/crypto/BN_generate_prime.pod	Mon Feb 24 20:42:49 2003
--- ../RELENG_4/crypto/openssl/doc/crypto/BN_generate_prime.pod	Mon Feb 24 21:14:58 2003
***************
*** 70,76 ****
  
  Both BN_is_prime() and BN_is_prime_fasttest() perform a Miller-Rabin
  probabilistic primality test with B<checks> iterations. If
! B<checks == BN_prime_check>, a number of iterations is used that
  yields a false positive rate of at most 2^-80 for random input.
  
  If B<callback> is not B<NULL>, B<callback(1, j, cb_arg)> is called
--- 70,76 ----
  
  Both BN_is_prime() and BN_is_prime_fasttest() perform a Miller-Rabin
  probabilistic primality test with B<checks> iterations. If
! B<checks == BN_prime_checks>, a number of iterations is used that
  yields a false positive rate of at most 2^-80 for random input.
  
  If B<callback> is not B<NULL>, B<callback(1, j, cb_arg)> is called
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/doc/crypto/EVP_SealInit.pod ../RELENG_4/crypto/openssl/doc/crypto/EVP_SealInit.pod
*** crypto/openssl/doc/crypto/EVP_SealInit.pod	Mon Feb 24 20:42:49 2003
--- ../RELENG_4/crypto/openssl/doc/crypto/EVP_SealInit.pod	Mon Feb 24 21:14:58 2003
***************
*** 18,38 ****
  =head1 DESCRIPTION
  
  The EVP envelope routines are a high level interface to envelope
! encryption. They generate a random key and then "envelope" it by
! using public key encryption. Data can then be encrypted using this
! key.
  
  EVP_SealInit() initializes a cipher context B<ctx> for encryption
! with cipher B<type> using a random secret key and IV supplied in
! the B<iv> parameter. B<type> is normally supplied by a function such
! as EVP_des_cbc(). The secret key is encrypted using one or more public
! keys, this allows the same encrypted data to be decrypted using any
! of the corresponding private keys. B<ek> is an array of buffers where
! the public key encrypted secret key will be written, each buffer must
! contain enough room for the corresponding encrypted key: that is
  B<ek[i]> must have room for B<EVP_PKEY_size(pubk[i])> bytes. The actual
  size of each encrypted secret key is written to the array B<ekl>. B<pubk> is
  an array of B<npubk> public keys.
  
  EVP_SealUpdate() and EVP_SealFinal() have exactly the same properties
  as the EVP_EncryptUpdate() and EVP_EncryptFinal() routines, as 
--- 18,44 ----
  =head1 DESCRIPTION
  
  The EVP envelope routines are a high level interface to envelope
! encryption. They generate a random key and IV (if required) then
! "envelope" it by using public key encryption. Data can then be
! encrypted using this key.
  
  EVP_SealInit() initializes a cipher context B<ctx> for encryption
! with cipher B<type> using a random secret key and IV. B<type> is normally
! supplied by a function such as EVP_des_cbc(). The secret key is encrypted
! using one or more public keys, this allows the same encrypted data to be
! decrypted using any of the corresponding private keys. B<ek> is an array of
! buffers where the public key encrypted secret key will be written, each buffer
! must contain enough room for the corresponding encrypted key: that is
  B<ek[i]> must have room for B<EVP_PKEY_size(pubk[i])> bytes. The actual
  size of each encrypted secret key is written to the array B<ekl>. B<pubk> is
  an array of B<npubk> public keys.
+ 
+ The B<iv> parameter is a buffer where the generated IV is written to. It must
+ contain enough room for the corresponding cipher's IV, as determined by (for
+ example) EVP_CIPHER_iv_length(type).
+ 
+ If the cipher does not require an IV then the B<iv> parameter is ignored
+ and can be B<NULL>.
  
  EVP_SealUpdate() and EVP_SealFinal() have exactly the same properties
  as the EVP_EncryptUpdate() and EVP_EncryptFinal() routines, as 
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/doc/standards.txt ../RELENG_4/crypto/openssl/doc/standards.txt
*** crypto/openssl/doc/standards.txt	Mon Feb 24 20:42:48 2003
--- ../RELENG_4/crypto/openssl/doc/standards.txt	Mon Feb 24 21:14:57 2003
***************
*** 45,54 ****
  2315 PKCS 7: Cryptographic Message Syntax Version 1.5. B. Kaliski.
       March 1998. (Format: TXT=69679 bytes) (Status: INFORMATIONAL)
  
- 2437 PKCS #1: RSA Cryptography Specifications Version 2.0. B. Kaliski,
-      J. Staddon. October 1998. (Format: TXT=73529 bytes) (Obsoletes
-      RFC2313) (Status: INFORMATIONAL)
- 
  PKCS#8: Private-Key Information Syntax Standard
  
  PKCS#12: Personal Information Exchange Syntax Standard, version 1.0.
--- 45,50 ----
***************
*** 86,91 ****
--- 82,92 ----
       Certificate Revocation List (CRL) Profile. R. Housley, W. Polk, W.
       Ford, D. Solo. April 2002. (Format: TXT=295556 bytes) (Obsoletes
       RFC2459) (Status: PROPOSED STANDARD)
+ 
+ 3447 Public-Key Cryptography Standards (PKCS) #1: RSA Cryptography
+      Specifications Version 2.1. J. Jonsson, B. Kaliski. February 2003.
+      (Format: TXT=143173 bytes) (Obsoletes RFC2437) (Status:           
+      INFORMATIONAL)                                         
  
  
  Related:
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/openssl.spec ../RELENG_4/crypto/openssl/openssl.spec
*** crypto/openssl/openssl.spec	Mon Feb 24 20:42:40 2003
--- ../RELENG_4/crypto/openssl/openssl.spec	Mon Feb 24 21:14:49 2003
***************
*** 1,15 ****
  %define libmaj 0
  %define libmin 9
  %define librel 7
! #%define librev a
  Release: 1
  
  %define openssldir /var/ssl
  
  Summary: Secure Sockets Layer and cryptography libraries and tools
  Name: openssl
! Version: %{libmaj}.%{libmin}.%{librel}
! #Version: %{libmaj}.%{libmin}.%{librel}%{librev}
  Source0: ftp://ftp.openssl.org/source/%{name}-%{version}.tar.gz
  Copyright: Freely distributable
  Group: System Environment/Libraries
--- 1,15 ----
  %define libmaj 0
  %define libmin 9
  %define librel 7
! %define librev a
  Release: 1
  
  %define openssldir /var/ssl
  
  Summary: Secure Sockets Layer and cryptography libraries and tools
  Name: openssl
! #Version: %{libmaj}.%{libmin}.%{librel}
! Version: %{libmaj}.%{libmin}.%{librel}%{librev}
  Source0: ftp://ftp.openssl.org/source/%{name}-%{version}.tar.gz
  Copyright: Freely distributable
  Group: System Environment/Libraries
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/ssl/bio_ssl.c ../RELENG_4/crypto/openssl/ssl/bio_ssl.c
*** crypto/openssl/ssl/bio_ssl.c	Mon Feb 24 20:42:50 2003
--- ../RELENG_4/crypto/openssl/ssl/bio_ssl.c	Mon Feb 24 21:14:59 2003
***************
*** 403,408 ****
--- 403,412 ----
  			{
  			BIO_free_all(ssl->wbio);
  			}
+ 		if (b->next_bio != NULL)
+ 			{
+ 			CRYPTO_add(&b->next_bio->references,1,CRYPTO_LOCK_BIO);
+ 			}
  		ssl->wbio=NULL;
  		ssl->rbio=NULL;
  		break;
***************
*** 509,514 ****
--- 513,519 ----
  
  BIO *BIO_new_buffer_ssl_connect(SSL_CTX *ctx)
  	{
+ #ifndef OPENSSL_NO_SOCK
  	BIO *ret=NULL,*buf=NULL,*ssl=NULL;
  
  	if ((buf=BIO_new(BIO_f_buffer())) == NULL)
***************
*** 521,526 ****
--- 526,532 ----
  err:
  	if (buf != NULL) BIO_free(buf);
  	if (ssl != NULL) BIO_free(ssl);
+ #endif
  	return(NULL);
  	}
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/ssl/s2_clnt.c ../RELENG_4/crypto/openssl/ssl/s2_clnt.c
*** crypto/openssl/ssl/s2_clnt.c	Mon Feb 24 20:42:50 2003
--- ../RELENG_4/crypto/openssl/ssl/s2_clnt.c	Mon Feb 24 21:14:59 2003
***************
*** 1021,1027 ****
  		if (!(s->options & SSL_OP_MICROSOFT_SESS_ID_BUG))
  			{
  			if ((s->session->session_id_length > sizeof s->session->session_id)
! 			    || (0 != memcmp(buf, s->session->session_id,
  			                    (unsigned int)s->session->session_id_length)))
  				{
  				ssl2_return_error(s,SSL2_PE_UNDEFINED_ERROR);
--- 1021,1027 ----
  		if (!(s->options & SSL_OP_MICROSOFT_SESS_ID_BUG))
  			{
  			if ((s->session->session_id_length > sizeof s->session->session_id)
! 			    || (0 != memcmp(buf + 1, s->session->session_id,
  			                    (unsigned int)s->session->session_id_length)))
  				{
  				ssl2_return_error(s,SSL2_PE_UNDEFINED_ERROR);
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/ssl/s3_both.c ../RELENG_4/crypto/openssl/ssl/s3_both.c
*** crypto/openssl/ssl/s3_both.c	Mon Feb 24 20:42:50 2003
--- ../RELENG_4/crypto/openssl/ssl/s3_both.c	Mon Feb 24 21:14:59 2003
***************
*** 268,273 ****
--- 268,280 ----
  	X509_STORE_CTX xs_ctx;
  	X509_OBJECT obj;
  
+ 	int no_chain;
+ 
+ 	if ((s->mode & SSL_MODE_NO_AUTO_CHAIN) || s->ctx->extra_certs)
+ 		no_chain = 1;
+ 	else
+ 		no_chain = 0;
+ 
  	/* TLSv1 sends a chain with nothing in it, instead of an alert */
  	buf=s->init_buf;
  	if (!BUF_MEM_grow_clean(buf,10))
***************
*** 277,283 ****
  		}
  	if (x != NULL)
  		{
! 		if(!X509_STORE_CTX_init(&xs_ctx,s->ctx->cert_store,NULL,NULL))
  			{
  			SSLerr(SSL_F_SSL3_OUTPUT_CERT_CHAIN,ERR_R_X509_LIB);
  			return(0);
--- 284,290 ----
  		}
  	if (x != NULL)
  		{
! 		if(!no_chain && !X509_STORE_CTX_init(&xs_ctx,s->ctx->cert_store,NULL,NULL))
  			{
  			SSLerr(SSL_F_SSL3_OUTPUT_CERT_CHAIN,ERR_R_X509_LIB);
  			return(0);
***************
*** 295,300 ****
--- 302,311 ----
  			l2n3(n,p);
  			i2d_X509(x,&p);
  			l+=n+3;
+ 
+ 			if (no_chain)
+ 				break;
+ 
  			if (X509_NAME_cmp(X509_get_subject_name(x),
  				X509_get_issuer_name(x)) == 0) break;
  
***************
*** 306,313 ****
  			 * ref count */
  			X509_free(x);
  			}
! 
! 		X509_STORE_CTX_cleanup(&xs_ctx);
  		}
  
  	/* Thawte special :-) */
--- 317,324 ----
  			 * ref count */
  			X509_free(x);
  			}
! 		if (!no_chain)
! 			X509_STORE_CTX_cleanup(&xs_ctx);
  		}
  
  	/* Thawte special :-) */
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/ssl/s3_enc.c ../RELENG_4/crypto/openssl/ssl/s3_enc.c
*** crypto/openssl/ssl/s3_enc.c	Mon Feb 24 20:42:50 2003
--- ../RELENG_4/crypto/openssl/ssl/s3_enc.c	Mon Feb 24 21:14:59 2003
***************
*** 474,479 ****
--- 474,480 ----
  				ssl3_send_alert(s,SSL3_AL_FATAL,SSL_AD_DECRYPTION_FAILED);
  				return 0;
  				}
+ 			/* otherwise, rec->length >= bs */
  			}
  		
  		EVP_Cipher(ds,rec->data,rec->input,l);
***************
*** 482,488 ****
  			{
  			i=rec->data[l-1]+1;
  			/* SSL 3.0 bounds the number of padding bytes by the block size;
! 			 * padding bytes (except that last) are arbitrary */
  			if (i > bs)
  				{
  				/* Incorrect padding. SSLerr() and ssl3_alert are done
--- 483,489 ----
  			{
  			i=rec->data[l-1]+1;
  			/* SSL 3.0 bounds the number of padding bytes by the block size;
! 			 * padding bytes (except the last one) are arbitrary */
  			if (i > bs)
  				{
  				/* Incorrect padding. SSLerr() and ssl3_alert are done
***************
*** 491,496 ****
--- 492,498 ----
  				 * (see http://www.openssl.org/~bodo/tls-cbc.txt) */
  				return -1;
  				}
+ 			/* now i <= bs <= rec->length */
  			rec->length-=i;
  			}
  		}
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/ssl/s3_pkt.c ../RELENG_4/crypto/openssl/ssl/s3_pkt.c
*** crypto/openssl/ssl/s3_pkt.c	Mon Feb 24 20:42:50 2003
--- ../RELENG_4/crypto/openssl/ssl/s3_pkt.c	Mon Feb 24 21:14:59 2003
***************
*** 238,243 ****
--- 238,245 ----
  	unsigned int mac_size;
  	int clear=0;
  	size_t extra;
+ 	int decryption_failed_or_bad_record_mac = 0;
+ 	unsigned char *mac = NULL;
  
  	rr= &(s->s3->rrec);
  	sess=s->session;
***************
*** 353,360 ****
  			/* SSLerr() and ssl3_send_alert() have been called */
  			goto err;
  
! 		/* otherwise enc_err == -1 */
! 		goto decryption_failed_or_bad_record_mac;
  		}
  
  #ifdef TLS_DEBUG
--- 355,365 ----
  			/* SSLerr() and ssl3_send_alert() have been called */
  			goto err;
  
! 		/* Otherwise enc_err == -1, which indicates bad padding
! 		 * (rec->length has not been changed in this case).
! 		 * To minimize information leaked via timing, we will perform
! 		 * the MAC computation anyway. */
! 		decryption_failed_or_bad_record_mac = 1;
  		}
  
  #ifdef TLS_DEBUG
***************
*** 380,407 ****
  			SSLerr(SSL_F_SSL3_GET_RECORD,SSL_R_PRE_MAC_LENGTH_TOO_LONG);
  			goto f_err;
  #else
! 			goto decryption_failed_or_bad_record_mac;
  #endif			
  			}
  		/* check the MAC for rr->input (it's in mac_size bytes at the tail) */
! 		if (rr->length < mac_size)
  			{
  #if 0 /* OK only for stream ciphers */
  			al=SSL_AD_DECODE_ERROR;
  			SSLerr(SSL_F_SSL3_GET_RECORD,SSL_R_LENGTH_TOO_SHORT);
  			goto f_err;
  #else
! 			goto decryption_failed_or_bad_record_mac;
  #endif
  			}
- 		rr->length-=mac_size;
  		i=s->method->ssl3_enc->mac(s,md,0);
! 		if (memcmp(md,&(rr->data[rr->length]),mac_size) != 0)
  			{
! 			goto decryption_failed_or_bad_record_mac;
  			}
  		}
  
  	/* r->length is now just compressed */
  	if (s->expand != NULL)
  		{
--- 385,430 ----
  			SSLerr(SSL_F_SSL3_GET_RECORD,SSL_R_PRE_MAC_LENGTH_TOO_LONG);
  			goto f_err;
  #else
! 			decryption_failed_or_bad_record_mac = 1;
  #endif			
  			}
  		/* check the MAC for rr->input (it's in mac_size bytes at the tail) */
! 		if (rr->length >= mac_size)
  			{
+ 			rr->length -= mac_size;
+ 			mac = &rr->data[rr->length];
+ 			}
+ 		else
+ 			{
+ 			/* record (minus padding) is too short to contain a MAC */
  #if 0 /* OK only for stream ciphers */
  			al=SSL_AD_DECODE_ERROR;
  			SSLerr(SSL_F_SSL3_GET_RECORD,SSL_R_LENGTH_TOO_SHORT);
  			goto f_err;
  #else
! 			decryption_failed_or_bad_record_mac = 1;
! 			rr->length = 0;
  #endif
  			}
  		i=s->method->ssl3_enc->mac(s,md,0);
! 		if (mac == NULL || memcmp(md, mac, mac_size) != 0)
  			{
! 			decryption_failed_or_bad_record_mac = 1;
  			}
  		}
  
+ 	if (decryption_failed_or_bad_record_mac)
+ 		{
+ 		/* A separate 'decryption_failed' alert was introduced with TLS 1.0,
+ 		 * SSL 3.0 only has 'bad_record_mac'.  But unless a decryption
+ 		 * failure is directly visible from the ciphertext anyway,
+ 		 * we should not reveal which kind of error occured -- this
+ 		 * might become visible to an attacker (e.g. via a logfile) */
+ 		al=SSL_AD_BAD_RECORD_MAC;
+ 		SSLerr(SSL_F_SSL3_GET_RECORD,SSL_R_DECRYPTION_FAILED_OR_BAD_RECORD_MAC);
+ 		goto f_err;
+ 		}
+ 
  	/* r->length is now just compressed */
  	if (s->expand != NULL)
  		{
***************
*** 443,456 ****
  
  	return(1);
  
- decryption_failed_or_bad_record_mac:
- 	/* Separate 'decryption_failed' alert was introduced with TLS 1.0,
- 	 * SSL 3.0 only has 'bad_record_mac'.  But unless a decryption
- 	 * failure is directly visible from the ciphertext anyway,
- 	 * we should not reveal which kind of error occured -- this
- 	 * might become visible to an attacker (e.g. via logfile) */
- 	al=SSL_AD_BAD_RECORD_MAC;
- 	SSLerr(SSL_F_SSL3_GET_RECORD,SSL_R_DECRYPTION_FAILED_OR_BAD_RECORD_MAC);
  f_err:
  	ssl3_send_alert(s,SSL3_AL_FATAL,al);
  err:
--- 466,471 ----
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/ssl/ssl.h ../RELENG_4/crypto/openssl/ssl/ssl.h
*** crypto/openssl/ssl/ssl.h	Mon Feb 24 20:42:50 2003
--- ../RELENG_4/crypto/openssl/ssl/ssl.h	Mon Feb 24 21:14:59 2003
***************
*** 521,526 ****
--- 521,528 ----
  /* Never bother the application with retries if the transport
   * is blocking: */
  #define SSL_MODE_AUTO_RETRY 0x00000004L
+ /* Don't attempt to automatically build certificate chain */
+ #define SSL_MODE_NO_AUTO_CHAIN 0x00000008L
  
  
  /* Note: SSL[_CTX]_set_{options,mode} use |= op on the previous value,
***************
*** 1227,1238 ****
  STACK_OF(X509_NAME) *SSL_load_client_CA_file(const char *file);
  int	SSL_add_file_cert_subjects_to_stack(STACK_OF(X509_NAME) *stackCAs,
  					    const char *file);
- #ifndef OPENSSL_SYS_WIN32
  #ifndef OPENSSL_SYS_VMS
  #ifndef OPENSSL_SYS_MACINTOSH_CLASSIC /* XXXXX: Better scheme needed! [was: #ifndef MAC_OS_pre_X] */
  int	SSL_add_dir_cert_subjects_to_stack(STACK_OF(X509_NAME) *stackCAs,
  					   const char *dir);
- #endif
  #endif
  #endif
  
--- 1229,1238 ----
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/ssl/ssl_cert.c ../RELENG_4/crypto/openssl/ssl/ssl_cert.c
*** crypto/openssl/ssl/ssl_cert.c	Mon Feb 24 20:42:50 2003
--- ../RELENG_4/crypto/openssl/ssl/ssl_cert.c	Mon Feb 24 21:14:59 2003
***************
*** 781,787 ****
  #endif
  #endif
  
! #else
  
  int SSL_add_dir_cert_subjects_to_stack(STACK_OF(X509_NAME) *stack,
  				       const char *dir)
--- 781,787 ----
  #endif
  #endif
  
! #else /* OPENSSL_SYS_WIN32 */
  
  int SSL_add_dir_cert_subjects_to_stack(STACK_OF(X509_NAME) *stack,
  				       const char *dir)
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/ssl/ssl_lib.c ../RELENG_4/crypto/openssl/ssl/ssl_lib.c
*** crypto/openssl/ssl/ssl_lib.c	Mon Feb 24 20:42:50 2003
--- ../RELENG_4/crypto/openssl/ssl/ssl_lib.c	Mon Feb 24 21:14:59 2003
***************
*** 1069,1082 ****
   * preference */
  STACK_OF(SSL_CIPHER) *SSL_get_ciphers(SSL *s)
  	{
! 	if ((s != NULL) && (s->cipher_list != NULL))
  		{
! 		return(s->cipher_list);
! 		}
! 	else if ((s->ctx != NULL) &&
! 		(s->ctx->cipher_list != NULL))
! 		{
! 		return(s->ctx->cipher_list);
  		}
  	return(NULL);
  	}
--- 1069,1085 ----
   * preference */
  STACK_OF(SSL_CIPHER) *SSL_get_ciphers(SSL *s)
  	{
! 	if (s != NULL)
  		{
! 		if (s->cipher_list != NULL)
! 			{
! 			return(s->cipher_list);
! 			}
! 		else if ((s->ctx != NULL) &&
! 			(s->ctx->cipher_list != NULL))
! 			{
! 			return(s->ctx->cipher_list);
! 			}
  		}
  	return(NULL);
  	}
***************
*** 1085,1098 ****
   * algorithm id */
  STACK_OF(SSL_CIPHER) *ssl_get_ciphers_by_id(SSL *s)
  	{
! 	if ((s != NULL) && (s->cipher_list_by_id != NULL))
  		{
! 		return(s->cipher_list_by_id);
! 		}
! 	else if ((s != NULL) && (s->ctx != NULL) &&
! 		(s->ctx->cipher_list_by_id != NULL))
! 		{
! 		return(s->ctx->cipher_list_by_id);
  		}
  	return(NULL);
  	}
--- 1088,1104 ----
   * algorithm id */
  STACK_OF(SSL_CIPHER) *ssl_get_ciphers_by_id(SSL *s)
  	{
! 	if (s != NULL)
  		{
! 		if (s->cipher_list_by_id != NULL)
! 			{
! 			return(s->cipher_list_by_id);
! 			}
! 		else if ((s->ctx != NULL) &&
! 			(s->ctx->cipher_list_by_id != NULL))
! 			{
! 			return(s->ctx->cipher_list_by_id);
! 			}
  		}
  	return(NULL);
  	}
***************
*** 1890,1895 ****
--- 1896,1902 ----
  		 * they should not both point to the same object,
  		 * and thus we can't use SSL_copy_session_id. */
  
+ 		ret->method->ssl_free(ret);
  		ret->method = s->method;
  		ret->method->ssl_new(ret);
  
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/ssl/ssltest.c ../RELENG_4/crypto/openssl/ssl/ssltest.c
*** crypto/openssl/ssl/ssltest.c	Mon Feb 24 20:42:50 2003
--- ../RELENG_4/crypto/openssl/ssl/ssltest.c	Mon Feb 24 21:14:59 2003
***************
*** 128,134 ****
--- 128,136 ----
  #include <openssl/evp.h>
  #include <openssl/x509.h>
  #include <openssl/ssl.h>
+ #ifndef OPENSSL_NO_ENGINE
  #include <openssl/engine.h>
+ #endif
  #include <openssl/err.h>
  #include <openssl/rand.h>
  
***************
*** 760,766 ****
--- 762,770 ----
  #ifndef OPENSSL_NO_RSA
  	free_tmp_rsa();
  #endif
+ #ifndef OPENSSL_NO_ENGINE
  	ENGINE_cleanup();
+ #endif
  	CRYPTO_cleanup_all_ex_data();
  	ERR_free_strings();
  	ERR_remove_state(0);
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/test/Makefile.ssl ../RELENG_4/crypto/openssl/test/Makefile.ssl
*** crypto/openssl/test/Makefile.ssl	Mon Feb 24 20:42:50 2003
--- ../RELENG_4/crypto/openssl/test/Makefile.ssl	Mon Feb 24 21:14:59 2003
***************
*** 15,20 ****
--- 15,23 ----
  MAKEDEPPROG=	makedepend
  MAKEDEPEND=	$(TOP)/util/domd $(TOP) -MD $(MAKEDEPPROG)
  PERL=		perl
+ # KRB5 stuff
+ KRB5_INCLUDES=
+ LIBKRB5=
  
  PEX_LIBS=
  EX_LIBS= #-lnsl -lsocket
***************
*** 119,132 ****
  	@(cd ..; $(MAKE) DIRS=apps all)
  
  SET_SO_PATHS=LIBPATH="`cd ..; pwd`"; LD_LIBRARY_PATH="$$LIBPATH"; DYLD_LIBRARY_PATH="$$LIBPATH"; SHLIB_PATH="$$LIBPATH"; \
! 		if [ "$(PLATFORM)" = "DJGPP" ]; then PATH="$$LIBPATH\;$$PATH";  \
! 		elif [ "$(PLATFORM)" = "Cygwin" ]; then PATH="$${LIBPATH}:$$PATH"; fi; \
  		export LD_LIBRARY_PATH DYLD_LIBRARY_PATH SHLIB_PATH LIBPATH PATH
  
  alltests: \
  	test_des test_idea test_sha test_md4 test_md5 test_hmac \
  	test_md2 test_mdc2 \
! 	test_rmd test_rc2 test_rc4 test_rc5 test_bf test_cast test_rd \
  	test_rand test_bn test_ec test_enc test_x509 test_rsa test_crl test_sid \
  	test_gen test_req test_pkcs7 test_verify test_dh test_dsa \
  	test_ss test_ca test_engine test_evp test_ssl
--- 122,134 ----
  	@(cd ..; $(MAKE) DIRS=apps all)
  
  SET_SO_PATHS=LIBPATH="`cd ..; pwd`"; LD_LIBRARY_PATH="$$LIBPATH"; DYLD_LIBRARY_PATH="$$LIBPATH"; SHLIB_PATH="$$LIBPATH"; \
! 		if [ "$(PLATFORM)" = "Cygwin" ]; then PATH="$${LIBPATH}:$$PATH"; fi; \
  		export LD_LIBRARY_PATH DYLD_LIBRARY_PATH SHLIB_PATH LIBPATH PATH
  
  alltests: \
  	test_des test_idea test_sha test_md4 test_md5 test_hmac \
  	test_md2 test_mdc2 \
! 	test_rmd test_rc2 test_rc4 test_rc5 test_bf test_cast test_aes \
  	test_rand test_bn test_ec test_enc test_x509 test_rsa test_crl test_sid \
  	test_gen test_req test_pkcs7 test_verify test_dh test_dsa \
  	test_ss test_ca test_engine test_evp test_ssl
***************
*** 260,268 ****
  	  sh ./testca; \
   	fi
  
! test_rd: #$(RDTEST)
  #	@echo "test Rijndael"
! #	$(SET_SO_PATHS); ./$(RDTEST)
  
  lint:
  	lint -DLINT $(INCLUDES) $(SRC)>fluff
--- 262,270 ----
  	  sh ./testca; \
   	fi
  
! test_aes: #$(AESTEST)
  #	@echo "test Rijndael"
! #	$(SET_SO_PATHS); ./$(AESTEST)
  
  lint:
  	lint -DLINT $(INCLUDES) $(SRC)>fluff
***************
*** 465,478 ****
  	  $(CC) -o $(EVPTEST) $(CFLAGS) $(EVPTEST).o $(PEX_LIBS) $(LIBCRYPTO) $(EX_LIBS) ; \
  	fi
  	
! #$(RDTEST).o: $(RDTEST).c
! #	$(CC) -c $(CFLAGS) -DINTERMEDIATE_VALUE_KAT -DTRACE_KAT_MCT $(RDTEST).c
  
! #$(RDTEST): $(RDTEST).o $(DLIBCRYPTO)
  #	if [ "$(SHLIB_TARGET)" = "hpux-shared" -o "$(SHLIB_TARGET)" = "darwin-shared" ] ; then \
! #	  $(CC) -o $(RDTEST) $(CFLAGS) $(RDTEST).o $(PEX_LIBS) $(DLIBCRYPTO) $(EX_LIBS) ; \
  #	else \
! #	  $(CC) -o $(RDTEST) $(CFLAGS) $(RDTEST).o $(PEX_LIBS) $(LIBCRYPTO) $(EX_LIBS) ; \
  #	fi
  
  dummytest: dummytest.o $(DLIBCRYPTO)
--- 467,480 ----
  	  $(CC) -o $(EVPTEST) $(CFLAGS) $(EVPTEST).o $(PEX_LIBS) $(LIBCRYPTO) $(EX_LIBS) ; \
  	fi
  	
! #$(AESTEST).o: $(AESTEST).c
! #	$(CC) -c $(CFLAGS) -DINTERMEDIATE_VALUE_KAT -DTRACE_KAT_MCT $(AESTEST).c
  
! #$(AESTEST): $(AESTEST).o $(DLIBCRYPTO)
  #	if [ "$(SHLIB_TARGET)" = "hpux-shared" -o "$(SHLIB_TARGET)" = "darwin-shared" ] ; then \
! #	  $(CC) -o $(AESTEST) $(CFLAGS) $(AESTEST).o $(PEX_LIBS) $(DLIBCRYPTO) $(EX_LIBS) ; \
  #	else \
! #	  $(CC) -o $(AESTEST) $(CFLAGS) $(AESTEST).o $(PEX_LIBS) $(LIBCRYPTO) $(EX_LIBS) ; \
  #	fi
  
  dummytest: dummytest.o $(DLIBCRYPTO)
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/test/testgen ../RELENG_4/crypto/openssl/test/testgen
*** crypto/openssl/test/testgen	Mon Feb 24 20:42:50 2003
--- ../RELENG_4/crypto/openssl/test/testgen	Mon Feb 24 21:14:59 2003
***************
*** 27,32 ****
--- 27,34 ----
  
  echo "This could take some time."
  
+ rm -f testkey.pem testreq.pem
+ 
  ../apps/openssl req -config test.cnf $req_new -out testreq.pem
  if [ $? != 0 ]; then
  echo problems creating request
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/util/bat.sh ../RELENG_4/crypto/openssl/util/bat.sh
*** crypto/openssl/util/bat.sh	Mon Feb 24 20:42:51 2003
--- ../RELENG_4/crypto/openssl/util/bat.sh	Mon Feb 24 21:15:00 2003
***************
*** 62,67 ****
--- 62,68 ----
  	local($dir,$val)=@_;
  	local(@a,$_,$ret);
  
+ 	return("") if $no_engine && $dir =~ /\/engine/;
  	return("") if $no_idea && $dir =~ /\/idea/;
  	return("") if $no_rc2  && $dir =~ /\/rc2/;
  	return("") if $no_rc4  && $dir =~ /\/rc4/;
***************
*** 116,121 ****
--- 117,123 ----
  	@a=grep(!/(^sha1)|(_sha1$)|(m_dss1$)/,@a) if $no_sha1;
  	@a=grep(!/_mdc2$/,@a) if $no_mdc2;
  
+ 	@a=grep(!/^engine$/,@a) if $no_engine;
  	@a=grep(!/(^rsa$)|(^genrsa$)|(^req$)|(^ca$)/,@a) if $no_rsa;
  	@a=grep(!/(^dsa$)|(^gendsa$)|(^dsaparam$)/,@a) if $no_dsa;
  	@a=grep(!/^gendsa$/,@a) if $no_sha1;
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/util/libeay.num ../RELENG_4/crypto/openssl/util/libeay.num
*** crypto/openssl/util/libeay.num	Mon Feb 24 20:42:51 2003
--- ../RELENG_4/crypto/openssl/util/libeay.num	Mon Feb 24 21:15:00 2003
***************
*** 1881,1952 ****
  BN_bntest_rand                          2464	EXIST::FUNCTION:
  OPENSSL_issetugid                       2465	EXIST::FUNCTION:
  BN_rand_range                           2466	EXIST::FUNCTION:
! ERR_load_ENGINE_strings                 2467	EXIST::FUNCTION:
! ENGINE_set_DSA                          2468	EXIST::FUNCTION:
! ENGINE_get_finish_function              2469	EXIST::FUNCTION:
! ENGINE_get_default_RSA                  2470	EXIST::FUNCTION:
  ENGINE_get_BN_mod_exp                   2471	NOEXIST::FUNCTION:
  DSA_get_default_openssl_method          2472	NOEXIST::FUNCTION:
! ENGINE_set_DH                           2473	EXIST::FUNCTION:
  ENGINE_set_def_BN_mod_exp_crt           2474	NOEXIST::FUNCTION:
  ENGINE_set_default_BN_mod_exp_crt       2474	NOEXIST::FUNCTION:
! ENGINE_init                             2475	EXIST::FUNCTION:
  DH_get_default_openssl_method           2476	NOEXIST::FUNCTION:
  RSA_set_default_openssl_method          2477	NOEXIST::FUNCTION:
! ENGINE_finish                           2478	EXIST::FUNCTION:
! ENGINE_load_public_key                  2479	EXIST::FUNCTION:
! ENGINE_get_DH                           2480	EXIST::FUNCTION:
! ENGINE_ctrl                             2481	EXIST::FUNCTION:
! ENGINE_get_init_function                2482	EXIST::FUNCTION:
! ENGINE_set_init_function                2483	EXIST::FUNCTION:
! ENGINE_set_default_DSA                  2484	EXIST::FUNCTION:
! ENGINE_get_name                         2485	EXIST::FUNCTION:
! ENGINE_get_last                         2486	EXIST::FUNCTION:
! ENGINE_get_prev                         2487	EXIST::FUNCTION:
! ENGINE_get_default_DH                   2488	EXIST::FUNCTION:
! ENGINE_get_RSA                          2489	EXIST::FUNCTION:
! ENGINE_set_default                      2490	EXIST::FUNCTION:
! ENGINE_get_RAND                         2491	EXIST::FUNCTION:
! ENGINE_get_first                        2492	EXIST::FUNCTION:
! ENGINE_by_id                            2493	EXIST::FUNCTION:
! ENGINE_set_finish_function              2494	EXIST::FUNCTION:
  ENGINE_get_def_BN_mod_exp_crt           2495	NOEXIST::FUNCTION:
  ENGINE_get_default_BN_mod_exp_crt       2495	NOEXIST::FUNCTION:
  RSA_get_default_openssl_method          2496	NOEXIST::FUNCTION:
! ENGINE_set_RSA                          2497	EXIST::FUNCTION:
! ENGINE_load_private_key                 2498	EXIST::FUNCTION:
! ENGINE_set_default_RAND                 2499	EXIST::FUNCTION:
  ENGINE_set_BN_mod_exp                   2500	NOEXIST::FUNCTION:
! ENGINE_remove                           2501	EXIST::FUNCTION:
! ENGINE_free                             2502	EXIST::FUNCTION:
  ENGINE_get_BN_mod_exp_crt               2503	NOEXIST::FUNCTION:
! ENGINE_get_next                         2504	EXIST::FUNCTION:
! ENGINE_set_name                         2505	EXIST::FUNCTION:
! ENGINE_get_default_DSA                  2506	EXIST::FUNCTION:
  ENGINE_set_default_BN_mod_exp           2507	NOEXIST::FUNCTION:
! ENGINE_set_default_RSA                  2508	EXIST::FUNCTION:
! ENGINE_get_default_RAND                 2509	EXIST::FUNCTION:
  ENGINE_get_default_BN_mod_exp           2510	NOEXIST::FUNCTION:
! ENGINE_set_RAND                         2511	EXIST::FUNCTION:
! ENGINE_set_id                           2512	EXIST::FUNCTION:
  ENGINE_set_BN_mod_exp_crt               2513	NOEXIST::FUNCTION:
! ENGINE_set_default_DH                   2514	EXIST::FUNCTION:
! ENGINE_new                              2515	EXIST::FUNCTION:
! ENGINE_get_id                           2516	EXIST::FUNCTION:
  DSA_set_default_openssl_method          2517	NOEXIST::FUNCTION:
! ENGINE_add                              2518	EXIST::FUNCTION:
  DH_set_default_openssl_method           2519	NOEXIST::FUNCTION:
! ENGINE_get_DSA                          2520	EXIST::FUNCTION:
! ENGINE_get_ctrl_function                2521	EXIST::FUNCTION:
! ENGINE_set_ctrl_function                2522	EXIST::FUNCTION:
  BN_pseudo_rand_range                    2523	EXIST::FUNCTION:
  X509_STORE_CTX_set_verify_cb            2524	EXIST::FUNCTION:
  ERR_load_COMP_strings                   2525	EXIST::FUNCTION:
  PKCS12_item_decrypt_d2i                 2526	EXIST::FUNCTION:
  ASN1_UTF8STRING_it                      2527	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  ASN1_UTF8STRING_it                      2527	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
! ENGINE_unregister_ciphers               2528	EXIST::FUNCTION:
! ENGINE_get_ciphers                      2529	EXIST::FUNCTION:
  d2i_OCSP_BASICRESP                      2530	EXIST::FUNCTION:
  KRB5_CHECKSUM_it                        2531	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  KRB5_CHECKSUM_it                        2531	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
--- 1881,1952 ----
  BN_bntest_rand                          2464	EXIST::FUNCTION:
  OPENSSL_issetugid                       2465	EXIST::FUNCTION:
  BN_rand_range                           2466	EXIST::FUNCTION:
! ERR_load_ENGINE_strings                 2467	EXIST::FUNCTION:ENGINE
! ENGINE_set_DSA                          2468	EXIST::FUNCTION:ENGINE
! ENGINE_get_finish_function              2469	EXIST::FUNCTION:ENGINE
! ENGINE_get_default_RSA                  2470	EXIST::FUNCTION:ENGINE
  ENGINE_get_BN_mod_exp                   2471	NOEXIST::FUNCTION:
  DSA_get_default_openssl_method          2472	NOEXIST::FUNCTION:
! ENGINE_set_DH                           2473	EXIST::FUNCTION:ENGINE
  ENGINE_set_def_BN_mod_exp_crt           2474	NOEXIST::FUNCTION:
  ENGINE_set_default_BN_mod_exp_crt       2474	NOEXIST::FUNCTION:
! ENGINE_init                             2475	EXIST::FUNCTION:ENGINE
  DH_get_default_openssl_method           2476	NOEXIST::FUNCTION:
  RSA_set_default_openssl_method          2477	NOEXIST::FUNCTION:
! ENGINE_finish                           2478	EXIST::FUNCTION:ENGINE
! ENGINE_load_public_key                  2479	EXIST::FUNCTION:ENGINE
! ENGINE_get_DH                           2480	EXIST::FUNCTION:ENGINE
! ENGINE_ctrl                             2481	EXIST::FUNCTION:ENGINE
! ENGINE_get_init_function                2482	EXIST::FUNCTION:ENGINE
! ENGINE_set_init_function                2483	EXIST::FUNCTION:ENGINE
! ENGINE_set_default_DSA                  2484	EXIST::FUNCTION:ENGINE
! ENGINE_get_name                         2485	EXIST::FUNCTION:ENGINE
! ENGINE_get_last                         2486	EXIST::FUNCTION:ENGINE
! ENGINE_get_prev                         2487	EXIST::FUNCTION:ENGINE
! ENGINE_get_default_DH                   2488	EXIST::FUNCTION:ENGINE
! ENGINE_get_RSA                          2489	EXIST::FUNCTION:ENGINE
! ENGINE_set_default                      2490	EXIST::FUNCTION:ENGINE
! ENGINE_get_RAND                         2491	EXIST::FUNCTION:ENGINE
! ENGINE_get_first                        2492	EXIST::FUNCTION:ENGINE
! ENGINE_by_id                            2493	EXIST::FUNCTION:ENGINE
! ENGINE_set_finish_function              2494	EXIST::FUNCTION:ENGINE
  ENGINE_get_def_BN_mod_exp_crt           2495	NOEXIST::FUNCTION:
  ENGINE_get_default_BN_mod_exp_crt       2495	NOEXIST::FUNCTION:
  RSA_get_default_openssl_method          2496	NOEXIST::FUNCTION:
! ENGINE_set_RSA                          2497	EXIST::FUNCTION:ENGINE
! ENGINE_load_private_key                 2498	EXIST::FUNCTION:ENGINE
! ENGINE_set_default_RAND                 2499	EXIST::FUNCTION:ENGINE
  ENGINE_set_BN_mod_exp                   2500	NOEXIST::FUNCTION:
! ENGINE_remove                           2501	EXIST::FUNCTION:ENGINE
! ENGINE_free                             2502	EXIST::FUNCTION:ENGINE
  ENGINE_get_BN_mod_exp_crt               2503	NOEXIST::FUNCTION:
! ENGINE_get_next                         2504	EXIST::FUNCTION:ENGINE
! ENGINE_set_name                         2505	EXIST::FUNCTION:ENGINE
! ENGINE_get_default_DSA                  2506	EXIST::FUNCTION:ENGINE
  ENGINE_set_default_BN_mod_exp           2507	NOEXIST::FUNCTION:
! ENGINE_set_default_RSA                  2508	EXIST::FUNCTION:ENGINE
! ENGINE_get_default_RAND                 2509	EXIST::FUNCTION:ENGINE
  ENGINE_get_default_BN_mod_exp           2510	NOEXIST::FUNCTION:
! ENGINE_set_RAND                         2511	EXIST::FUNCTION:ENGINE
! ENGINE_set_id                           2512	EXIST::FUNCTION:ENGINE
  ENGINE_set_BN_mod_exp_crt               2513	NOEXIST::FUNCTION:
! ENGINE_set_default_DH                   2514	EXIST::FUNCTION:ENGINE
! ENGINE_new                              2515	EXIST::FUNCTION:ENGINE
! ENGINE_get_id                           2516	EXIST::FUNCTION:ENGINE
  DSA_set_default_openssl_method          2517	NOEXIST::FUNCTION:
! ENGINE_add                              2518	EXIST::FUNCTION:ENGINE
  DH_set_default_openssl_method           2519	NOEXIST::FUNCTION:
! ENGINE_get_DSA                          2520	EXIST::FUNCTION:ENGINE
! ENGINE_get_ctrl_function                2521	EXIST::FUNCTION:ENGINE
! ENGINE_set_ctrl_function                2522	EXIST::FUNCTION:ENGINE
  BN_pseudo_rand_range                    2523	EXIST::FUNCTION:
  X509_STORE_CTX_set_verify_cb            2524	EXIST::FUNCTION:
  ERR_load_COMP_strings                   2525	EXIST::FUNCTION:
  PKCS12_item_decrypt_d2i                 2526	EXIST::FUNCTION:
  ASN1_UTF8STRING_it                      2527	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  ASN1_UTF8STRING_it                      2527	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
! ENGINE_unregister_ciphers               2528	EXIST::FUNCTION:ENGINE
! ENGINE_get_ciphers                      2529	EXIST::FUNCTION:ENGINE
  d2i_OCSP_BASICRESP                      2530	EXIST::FUNCTION:
  KRB5_CHECKSUM_it                        2531	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  KRB5_CHECKSUM_it                        2531	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
***************
*** 1959,1973 ****
  PKCS7_ENVELOPE_it                       2537	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  PKCS7_ENVELOPE_it                       2537	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  UI_add_input_boolean                    2538	EXIST::FUNCTION:
! ENGINE_unregister_RSA                   2539	EXIST::FUNCTION:
  X509V3_EXT_nconf                        2540	EXIST::FUNCTION:
  ASN1_GENERALSTRING_free                 2541	EXIST::FUNCTION:
  d2i_OCSP_CERTSTATUS                     2542	EXIST::FUNCTION:
  X509_REVOKED_set_serialNumber           2543	EXIST::FUNCTION:
  X509_print_ex                           2544	EXIST::FUNCTION:BIO
  OCSP_ONEREQ_get1_ext_d2i                2545	EXIST::FUNCTION:
! ENGINE_register_all_RAND                2546	EXIST::FUNCTION:
! ENGINE_load_dynamic                     2547	EXIST::FUNCTION:
  PBKDF2PARAM_it                          2548	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  PBKDF2PARAM_it                          2548	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  EXTENDED_KEY_USAGE_new                  2549	EXIST::FUNCTION:
--- 1959,1973 ----
  PKCS7_ENVELOPE_it                       2537	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  PKCS7_ENVELOPE_it                       2537	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  UI_add_input_boolean                    2538	EXIST::FUNCTION:
! ENGINE_unregister_RSA                   2539	EXIST::FUNCTION:ENGINE
  X509V3_EXT_nconf                        2540	EXIST::FUNCTION:
  ASN1_GENERALSTRING_free                 2541	EXIST::FUNCTION:
  d2i_OCSP_CERTSTATUS                     2542	EXIST::FUNCTION:
  X509_REVOKED_set_serialNumber           2543	EXIST::FUNCTION:
  X509_print_ex                           2544	EXIST::FUNCTION:BIO
  OCSP_ONEREQ_get1_ext_d2i                2545	EXIST::FUNCTION:
! ENGINE_register_all_RAND                2546	EXIST::FUNCTION:ENGINE
! ENGINE_load_dynamic                     2547	EXIST::FUNCTION:ENGINE
  PBKDF2PARAM_it                          2548	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  PBKDF2PARAM_it                          2548	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  EXTENDED_KEY_USAGE_new                  2549	EXIST::FUNCTION:
***************
*** 1987,1993 ****
  i2d_ASN1_GENERALSTRING                  2560	EXIST::FUNCTION:
  OCSP_response_status                    2561	EXIST::FUNCTION:
  i2d_OCSP_SERVICELOC                     2562	EXIST::FUNCTION:
! ENGINE_get_digest_engine                2563	EXIST::FUNCTION:
  EC_GROUP_set_curve_GFp                  2564	EXIST::FUNCTION:EC
  OCSP_REQUEST_get_ext_by_OBJ             2565	EXIST::FUNCTION:
  _ossl_old_des_random_key                2566	EXIST::FUNCTION:DES
--- 1987,1993 ----
  i2d_ASN1_GENERALSTRING                  2560	EXIST::FUNCTION:
  OCSP_response_status                    2561	EXIST::FUNCTION:
  i2d_OCSP_SERVICELOC                     2562	EXIST::FUNCTION:
! ENGINE_get_digest_engine                2563	EXIST::FUNCTION:ENGINE
  EC_GROUP_set_curve_GFp                  2564	EXIST::FUNCTION:EC
  OCSP_REQUEST_get_ext_by_OBJ             2565	EXIST::FUNCTION:
  _ossl_old_des_random_key                2566	EXIST::FUNCTION:DES
***************
*** 2011,2017 ****
  _shadow_DES_rw_mode                     2581	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:DES
  asn1_do_adb                             2582	EXIST::FUNCTION:
  ASN1_template_i2d                       2583	EXIST::FUNCTION:
! ENGINE_register_DH                      2584	EXIST::FUNCTION:
  UI_construct_prompt                     2585	EXIST::FUNCTION:
  X509_STORE_set_trust                    2586	EXIST::FUNCTION:
  UI_dup_input_string                     2587	EXIST::FUNCTION:
--- 2011,2017 ----
  _shadow_DES_rw_mode                     2581	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:DES
  asn1_do_adb                             2582	EXIST::FUNCTION:
  ASN1_template_i2d                       2583	EXIST::FUNCTION:
! ENGINE_register_DH                      2584	EXIST::FUNCTION:ENGINE
  UI_construct_prompt                     2585	EXIST::FUNCTION:
  X509_STORE_set_trust                    2586	EXIST::FUNCTION:
  UI_dup_input_string                     2587	EXIST::FUNCTION:
***************
*** 2039,2045 ****
  BN_nnmod                                2606	EXIST::FUNCTION:
  X509_CRL_sort                           2607	EXIST::FUNCTION:
  X509_REVOKED_set_revocationDate         2608	EXIST::FUNCTION:
! ENGINE_register_RAND                    2609	EXIST::FUNCTION:
  OCSP_SERVICELOC_new                     2610	EXIST::FUNCTION:
  EC_POINT_set_affine_coordinates_GFp     2611	EXIST:!VMS:FUNCTION:EC
  EC_POINT_set_affine_coords_GFp          2611	EXIST:VMS:FUNCTION:EC
--- 2039,2045 ----
  BN_nnmod                                2606	EXIST::FUNCTION:
  X509_CRL_sort                           2607	EXIST::FUNCTION:
  X509_REVOKED_set_revocationDate         2608	EXIST::FUNCTION:
! ENGINE_register_RAND                    2609	EXIST::FUNCTION:ENGINE
  OCSP_SERVICELOC_new                     2610	EXIST::FUNCTION:
  EC_POINT_set_affine_coordinates_GFp     2611	EXIST:!VMS:FUNCTION:EC
  EC_POINT_set_affine_coords_GFp          2611	EXIST:VMS:FUNCTION:EC
***************
*** 2049,2059 ****
  UI_dup_input_boolean                    2614	EXIST::FUNCTION:
  PKCS12_add_CSPName_asc                  2615	EXIST::FUNCTION:
  EC_POINT_is_at_infinity                 2616	EXIST::FUNCTION:EC
! ENGINE_load_cryptodev                   2617	EXIST::FUNCTION:
  DSO_convert_filename                    2618	EXIST::FUNCTION:
  POLICYQUALINFO_it                       2619	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  POLICYQUALINFO_it                       2619	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
! ENGINE_register_ciphers                 2620	EXIST::FUNCTION:
  BN_mod_lshift_quick                     2621	EXIST::FUNCTION:
  DSO_set_filename                        2622	EXIST::FUNCTION:
  ASN1_item_free                          2623	EXIST::FUNCTION:
--- 2049,2059 ----
  UI_dup_input_boolean                    2614	EXIST::FUNCTION:
  PKCS12_add_CSPName_asc                  2615	EXIST::FUNCTION:
  EC_POINT_is_at_infinity                 2616	EXIST::FUNCTION:EC
! ENGINE_load_cryptodev                   2617	EXIST::FUNCTION:ENGINE
  DSO_convert_filename                    2618	EXIST::FUNCTION:
  POLICYQUALINFO_it                       2619	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  POLICYQUALINFO_it                       2619	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
! ENGINE_register_ciphers                 2620	EXIST::FUNCTION:ENGINE
  BN_mod_lshift_quick                     2621	EXIST::FUNCTION:
  DSO_set_filename                        2622	EXIST::FUNCTION:
  ASN1_item_free                          2623	EXIST::FUNCTION:
***************
*** 2062,2068 ****
  AUTHORITY_KEYID_it                      2625	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  KRB5_APREQBODY_new                      2626	EXIST::FUNCTION:
  X509V3_EXT_REQ_add_nconf                2627	EXIST::FUNCTION:
! ENGINE_ctrl_cmd_string                  2628	EXIST::FUNCTION:
  i2d_OCSP_RESPDATA                       2629	EXIST::FUNCTION:
  EVP_MD_CTX_init                         2630	EXIST::FUNCTION:
  EXTENDED_KEY_USAGE_free                 2631	EXIST::FUNCTION:
--- 2062,2068 ----
  AUTHORITY_KEYID_it                      2625	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  KRB5_APREQBODY_new                      2626	EXIST::FUNCTION:
  X509V3_EXT_REQ_add_nconf                2627	EXIST::FUNCTION:
! ENGINE_ctrl_cmd_string                  2628	EXIST::FUNCTION:ENGINE
  i2d_OCSP_RESPDATA                       2629	EXIST::FUNCTION:
  EVP_MD_CTX_init                         2630	EXIST::FUNCTION:
  EXTENDED_KEY_USAGE_free                 2631	EXIST::FUNCTION:
***************
*** 2071,2078 ****
  UI_add_error_string                     2633	EXIST::FUNCTION:
  KRB5_CHECKSUM_free                      2634	EXIST::FUNCTION:
  OCSP_REQUEST_get_ext                    2635	EXIST::FUNCTION:
! ENGINE_load_ubsec                       2636	EXIST::FUNCTION:
! ENGINE_register_all_digests             2637	EXIST::FUNCTION:
  PKEY_USAGE_PERIOD_it                    2638	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  PKEY_USAGE_PERIOD_it                    2638	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  PKCS12_unpack_authsafes                 2639	EXIST::FUNCTION:
--- 2071,2078 ----
  UI_add_error_string                     2633	EXIST::FUNCTION:
  KRB5_CHECKSUM_free                      2634	EXIST::FUNCTION:
  OCSP_REQUEST_get_ext                    2635	EXIST::FUNCTION:
! ENGINE_load_ubsec                       2636	EXIST::FUNCTION:ENGINE
! ENGINE_register_all_digests             2637	EXIST::FUNCTION:ENGINE
  PKEY_USAGE_PERIOD_it                    2638	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  PKEY_USAGE_PERIOD_it                    2638	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  PKCS12_unpack_authsafes                 2639	EXIST::FUNCTION:
***************
*** 2098,2113 ****
  _ossl_old_des_crypt                     2654	EXIST::FUNCTION:DES
  ASN1_item_i2d                           2655	EXIST::FUNCTION:
  EVP_DecryptFinal_ex                     2656	EXIST::FUNCTION:
! ENGINE_load_openssl                     2657	EXIST::FUNCTION:
! ENGINE_get_cmd_defns                    2658	EXIST::FUNCTION:
! ENGINE_set_load_privkey_function        2659	EXIST:!VMS:FUNCTION:
! ENGINE_set_load_privkey_fn              2659	EXIST:VMS:FUNCTION:
  EVP_EncryptFinal_ex                     2660	EXIST::FUNCTION:
! ENGINE_set_default_digests              2661	EXIST::FUNCTION:
  X509_get0_pubkey_bitstr                 2662	EXIST::FUNCTION:
  asn1_ex_i2c                             2663	EXIST::FUNCTION:
! ENGINE_register_RSA                     2664	EXIST::FUNCTION:
! ENGINE_unregister_DSA                   2665	EXIST::FUNCTION:
  _ossl_old_des_key_sched                 2666	EXIST::FUNCTION:DES
  X509_EXTENSION_it                       2667	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  X509_EXTENSION_it                       2667	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
--- 2098,2113 ----
  _ossl_old_des_crypt                     2654	EXIST::FUNCTION:DES
  ASN1_item_i2d                           2655	EXIST::FUNCTION:
  EVP_DecryptFinal_ex                     2656	EXIST::FUNCTION:
! ENGINE_load_openssl                     2657	EXIST::FUNCTION:ENGINE
! ENGINE_get_cmd_defns                    2658	EXIST::FUNCTION:ENGINE
! ENGINE_set_load_privkey_function        2659	EXIST:!VMS:FUNCTION:ENGINE
! ENGINE_set_load_privkey_fn              2659	EXIST:VMS:FUNCTION:ENGINE
  EVP_EncryptFinal_ex                     2660	EXIST::FUNCTION:
! ENGINE_set_default_digests              2661	EXIST::FUNCTION:ENGINE
  X509_get0_pubkey_bitstr                 2662	EXIST::FUNCTION:
  asn1_ex_i2c                             2663	EXIST::FUNCTION:
! ENGINE_register_RSA                     2664	EXIST::FUNCTION:ENGINE
! ENGINE_unregister_DSA                   2665	EXIST::FUNCTION:ENGINE
  _ossl_old_des_key_sched                 2666	EXIST::FUNCTION:DES
  X509_EXTENSION_it                       2667	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  X509_EXTENSION_it                       2667	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
***************
*** 2120,2126 ****
  _ossl_old_des_ofb64_encrypt             2673	EXIST::FUNCTION:DES
  d2i_EXTENDED_KEY_USAGE                  2674	EXIST::FUNCTION:
  ERR_print_errors_cb                     2675	EXIST::FUNCTION:
! ENGINE_set_ciphers                      2676	EXIST::FUNCTION:
  d2i_KRB5_APREQBODY                      2677	EXIST::FUNCTION:
  UI_method_get_flusher                   2678	EXIST::FUNCTION:
  X509_PUBKEY_it                          2679	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
--- 2120,2126 ----
  _ossl_old_des_ofb64_encrypt             2673	EXIST::FUNCTION:DES
  d2i_EXTENDED_KEY_USAGE                  2674	EXIST::FUNCTION:
  ERR_print_errors_cb                     2675	EXIST::FUNCTION:
! ENGINE_set_ciphers                      2676	EXIST::FUNCTION:ENGINE
  d2i_KRB5_APREQBODY                      2677	EXIST::FUNCTION:
  UI_method_get_flusher                   2678	EXIST::FUNCTION:
  X509_PUBKEY_it                          2679	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
***************
*** 2156,2162 ****
  _ossl_old_des_decrypt3                  2705	EXIST::FUNCTION:DES
  X509_signature_print                    2706	EXIST::FUNCTION:EVP
  OCSP_SINGLERESP_free                    2707	EXIST::FUNCTION:
! ENGINE_load_builtin_engines             2708	EXIST::FUNCTION:
  i2d_OCSP_ONEREQ                         2709	EXIST::FUNCTION:
  OCSP_REQUEST_add_ext                    2710	EXIST::FUNCTION:
  OCSP_RESPBYTES_new                      2711	EXIST::FUNCTION:
--- 2156,2162 ----
  _ossl_old_des_decrypt3                  2705	EXIST::FUNCTION:DES
  X509_signature_print                    2706	EXIST::FUNCTION:EVP
  OCSP_SINGLERESP_free                    2707	EXIST::FUNCTION:
! ENGINE_load_builtin_engines             2708	EXIST::FUNCTION:ENGINE
  i2d_OCSP_ONEREQ                         2709	EXIST::FUNCTION:
  OCSP_REQUEST_add_ext                    2710	EXIST::FUNCTION:
  OCSP_RESPBYTES_new                      2711	EXIST::FUNCTION:
***************
*** 2184,2190 ****
  CERTIFICATEPOLICIES_it                  2728	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  CERTIFICATEPOLICIES_it                  2728	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  _ossl_old_des_ede3_cbc_encrypt          2729	EXIST::FUNCTION:DES
! RAND_set_rand_engine                    2730	EXIST::FUNCTION:
  DSO_get_loaded_filename                 2731	EXIST::FUNCTION:
  X509_ATTRIBUTE_it                       2732	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  X509_ATTRIBUTE_it                       2732	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
--- 2184,2190 ----
  CERTIFICATEPOLICIES_it                  2728	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  CERTIFICATEPOLICIES_it                  2728	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  _ossl_old_des_ede3_cbc_encrypt          2729	EXIST::FUNCTION:DES
! RAND_set_rand_engine                    2730	EXIST::FUNCTION:ENGINE
  DSO_get_loaded_filename                 2731	EXIST::FUNCTION:
  X509_ATTRIBUTE_it                       2732	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  X509_ATTRIBUTE_it                       2732	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
***************
*** 2206,2212 ****
  i2d_OCSP_RESPBYTES                      2745	EXIST::FUNCTION:
  PKCS12_unpack_p7encdata                 2746	EXIST::FUNCTION:
  HMAC_CTX_init                           2747	EXIST::FUNCTION:HMAC
! ENGINE_get_digest                       2748	EXIST::FUNCTION:
  OCSP_RESPONSE_print                     2749	EXIST::FUNCTION:
  KRB5_TKTBODY_it                         2750	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  KRB5_TKTBODY_it                         2750	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
--- 2206,2212 ----
  i2d_OCSP_RESPBYTES                      2745	EXIST::FUNCTION:
  PKCS12_unpack_p7encdata                 2746	EXIST::FUNCTION:
  HMAC_CTX_init                           2747	EXIST::FUNCTION:HMAC
! ENGINE_get_digest                       2748	EXIST::FUNCTION:ENGINE
  OCSP_RESPONSE_print                     2749	EXIST::FUNCTION:
  KRB5_TKTBODY_it                         2750	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  KRB5_TKTBODY_it                         2750	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
***************
*** 2219,2234 ****
  PKCS12_certbag2x509crl                  2754	EXIST::FUNCTION:
  PKCS7_SIGNED_it                         2755	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  PKCS7_SIGNED_it                         2755	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
! ENGINE_get_cipher                       2756	EXIST::FUNCTION:
  i2d_OCSP_CRLID                          2757	EXIST::FUNCTION:
  OCSP_SINGLERESP_new                     2758	EXIST::FUNCTION:
! ENGINE_cmd_is_executable                2759	EXIST::FUNCTION:
  RSA_up_ref                              2760	EXIST::FUNCTION:RSA
  ASN1_GENERALSTRING_it                   2761	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  ASN1_GENERALSTRING_it                   2761	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
! ENGINE_register_DSA                     2762	EXIST::FUNCTION:
  X509V3_EXT_add_nconf_sk                 2763	EXIST::FUNCTION:
! ENGINE_set_load_pubkey_function         2764	EXIST::FUNCTION:
  PKCS8_decrypt                           2765	EXIST::FUNCTION:
  PEM_bytes_read_bio                      2766	EXIST::FUNCTION:BIO
  DIRECTORYSTRING_it                      2767	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
--- 2219,2234 ----
  PKCS12_certbag2x509crl                  2754	EXIST::FUNCTION:
  PKCS7_SIGNED_it                         2755	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  PKCS7_SIGNED_it                         2755	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
! ENGINE_get_cipher                       2756	EXIST::FUNCTION:ENGINE
  i2d_OCSP_CRLID                          2757	EXIST::FUNCTION:
  OCSP_SINGLERESP_new                     2758	EXIST::FUNCTION:
! ENGINE_cmd_is_executable                2759	EXIST::FUNCTION:ENGINE
  RSA_up_ref                              2760	EXIST::FUNCTION:RSA
  ASN1_GENERALSTRING_it                   2761	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  ASN1_GENERALSTRING_it                   2761	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
! ENGINE_register_DSA                     2762	EXIST::FUNCTION:ENGINE
  X509V3_EXT_add_nconf_sk                 2763	EXIST::FUNCTION:
! ENGINE_set_load_pubkey_function         2764	EXIST::FUNCTION:ENGINE
  PKCS8_decrypt                           2765	EXIST::FUNCTION:
  PEM_bytes_read_bio                      2766	EXIST::FUNCTION:BIO
  DIRECTORYSTRING_it                      2767	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
***************
*** 2265,2271 ****
  X509_ocspid_print                       2790	EXIST::FUNCTION:BIO
  KRB5_ENCDATA_it                         2791	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  KRB5_ENCDATA_it                         2791	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
! ENGINE_get_load_pubkey_function         2792	EXIST::FUNCTION:
  UI_add_user_data                        2793	EXIST::FUNCTION:
  OCSP_REQUEST_delete_ext                 2794	EXIST::FUNCTION:
  UI_get_method                           2795	EXIST::FUNCTION:
--- 2265,2271 ----
  X509_ocspid_print                       2790	EXIST::FUNCTION:BIO
  KRB5_ENCDATA_it                         2791	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  KRB5_ENCDATA_it                         2791	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
! ENGINE_get_load_pubkey_function         2792	EXIST::FUNCTION:ENGINE
  UI_add_user_data                        2793	EXIST::FUNCTION:
  OCSP_REQUEST_delete_ext                 2794	EXIST::FUNCTION:
  UI_get_method                           2795	EXIST::FUNCTION:
***************
*** 2289,2304 ****
  ASN1_FBOOLEAN_it                        2806	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  UI_set_ex_data                          2807	EXIST::FUNCTION:
  _ossl_old_des_string_to_key             2808	EXIST::FUNCTION:DES
! ENGINE_register_all_RSA                 2809	EXIST::FUNCTION:
  d2i_KRB5_PRINCNAME                      2810	EXIST::FUNCTION:
  OCSP_RESPBYTES_it                       2811	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  OCSP_RESPBYTES_it                       2811	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  X509_CINF_it                            2812	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  X509_CINF_it                            2812	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
! ENGINE_unregister_digests               2813	EXIST::FUNCTION:
  d2i_EDIPARTYNAME                        2814	EXIST::FUNCTION:
  d2i_OCSP_SERVICELOC                     2815	EXIST::FUNCTION:
! ENGINE_get_digests                      2816	EXIST::FUNCTION:
  _ossl_old_des_set_odd_parity            2817	EXIST::FUNCTION:DES
  OCSP_RESPDATA_free                      2818	EXIST::FUNCTION:
  d2i_KRB5_TICKET                         2819	EXIST::FUNCTION:
--- 2289,2304 ----
  ASN1_FBOOLEAN_it                        2806	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  UI_set_ex_data                          2807	EXIST::FUNCTION:
  _ossl_old_des_string_to_key             2808	EXIST::FUNCTION:DES
! ENGINE_register_all_RSA                 2809	EXIST::FUNCTION:ENGINE
  d2i_KRB5_PRINCNAME                      2810	EXIST::FUNCTION:
  OCSP_RESPBYTES_it                       2811	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  OCSP_RESPBYTES_it                       2811	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  X509_CINF_it                            2812	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  X509_CINF_it                            2812	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
! ENGINE_unregister_digests               2813	EXIST::FUNCTION:ENGINE
  d2i_EDIPARTYNAME                        2814	EXIST::FUNCTION:
  d2i_OCSP_SERVICELOC                     2815	EXIST::FUNCTION:
! ENGINE_get_digests                      2816	EXIST::FUNCTION:ENGINE
  _ossl_old_des_set_odd_parity            2817	EXIST::FUNCTION:DES
  OCSP_RESPDATA_free                      2818	EXIST::FUNCTION:
  d2i_KRB5_TICKET                         2819	EXIST::FUNCTION:
***************
*** 2309,2315 ****
  X509_CRL_set_version                    2823	EXIST::FUNCTION:
  BN_mod_sub                              2824	EXIST::FUNCTION:
  OCSP_SINGLERESP_get_ext_by_NID          2825	EXIST::FUNCTION:
! ENGINE_get_ex_new_index                 2826	EXIST::FUNCTION:
  OCSP_REQUEST_free                       2827	EXIST::FUNCTION:
  OCSP_REQUEST_add1_ext_i2d               2828	EXIST::FUNCTION:
  X509_VAL_it                             2829	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
--- 2309,2315 ----
  X509_CRL_set_version                    2823	EXIST::FUNCTION:
  BN_mod_sub                              2824	EXIST::FUNCTION:
  OCSP_SINGLERESP_get_ext_by_NID          2825	EXIST::FUNCTION:
! ENGINE_get_ex_new_index                 2826	EXIST::FUNCTION:ENGINE
  OCSP_REQUEST_free                       2827	EXIST::FUNCTION:
  OCSP_REQUEST_add1_ext_i2d               2828	EXIST::FUNCTION:
  X509_VAL_it                             2829	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
***************
*** 2343,2349 ****
  i2d_KRB5_APREQBODY                      2853	EXIST::FUNCTION:
  _ossl_old_des_ecb3_encrypt              2854	EXIST::FUNCTION:DES
  CRYPTO_get_mem_ex_functions             2855	EXIST::FUNCTION:
! ENGINE_get_ex_data                      2856	EXIST::FUNCTION:
  UI_destroy_method                       2857	EXIST::FUNCTION:
  ASN1_item_i2d_bio                       2858	EXIST::FUNCTION:BIO
  OCSP_ONEREQ_get_ext_by_OBJ              2859	EXIST::FUNCTION:
--- 2343,2349 ----
  i2d_KRB5_APREQBODY                      2853	EXIST::FUNCTION:
  _ossl_old_des_ecb3_encrypt              2854	EXIST::FUNCTION:DES
  CRYPTO_get_mem_ex_functions             2855	EXIST::FUNCTION:
! ENGINE_get_ex_data                      2856	EXIST::FUNCTION:ENGINE
  UI_destroy_method                       2857	EXIST::FUNCTION:
  ASN1_item_i2d_bio                       2858	EXIST::FUNCTION:BIO
  OCSP_ONEREQ_get_ext_by_OBJ              2859	EXIST::FUNCTION:
***************
*** 2367,2373 ****
  PKCS12_SAFEBAGS_it                      2872	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  d2i_OCSP_SIGNATURE                      2873	EXIST::FUNCTION:
  OCSP_request_add1_nonce                 2874	EXIST::FUNCTION:
! ENGINE_set_cmd_defns                    2875	EXIST::FUNCTION:
  OCSP_SERVICELOC_free                    2876	EXIST::FUNCTION:
  EC_GROUP_free                           2877	EXIST::FUNCTION:EC
  ASN1_BIT_STRING_it                      2878	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
--- 2367,2373 ----
  PKCS12_SAFEBAGS_it                      2872	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  d2i_OCSP_SIGNATURE                      2873	EXIST::FUNCTION:
  OCSP_request_add1_nonce                 2874	EXIST::FUNCTION:
! ENGINE_set_cmd_defns                    2875	EXIST::FUNCTION:ENGINE
  OCSP_SERVICELOC_free                    2876	EXIST::FUNCTION:
  EC_GROUP_free                           2877	EXIST::FUNCTION:EC
  ASN1_BIT_STRING_it                      2878	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
***************
*** 2384,2390 ****
  OCSP_REQUEST_get1_ext_d2i               2886	EXIST::FUNCTION:
  PKCS12_item_pack_safebag                2887	EXIST::FUNCTION:
  asn1_ex_c2i                             2888	EXIST::FUNCTION:
! ENGINE_register_digests                 2889	EXIST::FUNCTION:
  i2d_OCSP_REVOKEDINFO                    2890	EXIST::FUNCTION:
  asn1_enc_restore                        2891	EXIST::FUNCTION:
  UI_free                                 2892	EXIST::FUNCTION:
--- 2384,2390 ----
  OCSP_REQUEST_get1_ext_d2i               2886	EXIST::FUNCTION:
  PKCS12_item_pack_safebag                2887	EXIST::FUNCTION:
  asn1_ex_c2i                             2888	EXIST::FUNCTION:
! ENGINE_register_digests                 2889	EXIST::FUNCTION:ENGINE
  i2d_OCSP_REVOKEDINFO                    2890	EXIST::FUNCTION:
  asn1_enc_restore                        2891	EXIST::FUNCTION:
  UI_free                                 2892	EXIST::FUNCTION:
***************
*** 2395,2401 ****
  OCSP_basic_sign                         2897	EXIST::FUNCTION:
  i2d_OCSP_RESPID                         2898	EXIST::FUNCTION:
  OCSP_check_nonce                        2899	EXIST::FUNCTION:
! ENGINE_ctrl_cmd                         2900	EXIST::FUNCTION:
  d2i_KRB5_ENCKEY                         2901	EXIST::FUNCTION:
  OCSP_parse_url                          2902	EXIST::FUNCTION:
  OCSP_SINGLERESP_get_ext                 2903	EXIST::FUNCTION:
--- 2395,2401 ----
  OCSP_basic_sign                         2897	EXIST::FUNCTION:
  i2d_OCSP_RESPID                         2898	EXIST::FUNCTION:
  OCSP_check_nonce                        2899	EXIST::FUNCTION:
! ENGINE_ctrl_cmd                         2900	EXIST::FUNCTION:ENGINE
  d2i_KRB5_ENCKEY                         2901	EXIST::FUNCTION:
  OCSP_parse_url                          2902	EXIST::FUNCTION:
  OCSP_SINGLERESP_get_ext                 2903	EXIST::FUNCTION:
***************
*** 2403,2414 ****
  OCSP_BASICRESP_get1_ext_d2i             2905	EXIST::FUNCTION:
  RSAPrivateKey_it                        2906	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:RSA
  RSAPrivateKey_it                        2906	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:RSA
! ENGINE_register_all_DH                  2907	EXIST::FUNCTION:
  i2d_EDIPARTYNAME                        2908	EXIST::FUNCTION:
  EC_POINT_get_affine_coordinates_GFp     2909	EXIST:!VMS:FUNCTION:EC
  EC_POINT_get_affine_coords_GFp          2909	EXIST:VMS:FUNCTION:EC
  OCSP_CRLID_new                          2910	EXIST::FUNCTION:
! ENGINE_get_flags                        2911	EXIST::FUNCTION:
  OCSP_ONEREQ_it                          2912	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  OCSP_ONEREQ_it                          2912	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  UI_process                              2913	EXIST::FUNCTION:
--- 2403,2414 ----
  OCSP_BASICRESP_get1_ext_d2i             2905	EXIST::FUNCTION:
  RSAPrivateKey_it                        2906	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:RSA
  RSAPrivateKey_it                        2906	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:RSA
! ENGINE_register_all_DH                  2907	EXIST::FUNCTION:ENGINE
  i2d_EDIPARTYNAME                        2908	EXIST::FUNCTION:
  EC_POINT_get_affine_coordinates_GFp     2909	EXIST:!VMS:FUNCTION:EC
  EC_POINT_get_affine_coords_GFp          2909	EXIST:VMS:FUNCTION:EC
  OCSP_CRLID_new                          2910	EXIST::FUNCTION:
! ENGINE_get_flags                        2911	EXIST::FUNCTION:ENGINE
  OCSP_ONEREQ_it                          2912	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  OCSP_ONEREQ_it                          2912	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  UI_process                              2913	EXIST::FUNCTION:
***************
*** 2416,2423 ****
  ASN1_INTEGER_it                         2914	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  EVP_CipherInit_ex                       2915	EXIST::FUNCTION:
  UI_get_string_type                      2916	EXIST::FUNCTION:
! ENGINE_unregister_DH                    2917	EXIST::FUNCTION:
! ENGINE_register_all_DSA                 2918	EXIST::FUNCTION:
  OCSP_ONEREQ_get_ext_by_critical         2919	EXIST::FUNCTION:
  bn_dup_expand                           2920	EXIST::FUNCTION:
  OCSP_cert_id_new                        2921	EXIST::FUNCTION:
--- 2416,2423 ----
  ASN1_INTEGER_it                         2914	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  EVP_CipherInit_ex                       2915	EXIST::FUNCTION:
  UI_get_string_type                      2916	EXIST::FUNCTION:
! ENGINE_unregister_DH                    2917	EXIST::FUNCTION:ENGINE
! ENGINE_register_all_DSA                 2918	EXIST::FUNCTION:ENGINE
  OCSP_ONEREQ_get_ext_by_critical         2919	EXIST::FUNCTION:
  bn_dup_expand                           2920	EXIST::FUNCTION:
  OCSP_cert_id_new                        2921	EXIST::FUNCTION:
***************
*** 2438,2448 ****
  OCSP_ONEREQ_add_ext                     2934	EXIST::FUNCTION:
  OCSP_request_sign                       2935	EXIST::FUNCTION:
  EVP_DigestFinal_ex                      2936	EXIST::FUNCTION:
! ENGINE_set_digests                      2937	EXIST::FUNCTION:
  OCSP_id_issuer_cmp                      2938	EXIST::FUNCTION:
  OBJ_NAME_do_all                         2939	EXIST::FUNCTION:
  EC_POINTs_mul                           2940	EXIST::FUNCTION:EC
! ENGINE_register_complete                2941	EXIST::FUNCTION:
  X509V3_EXT_nconf_nid                    2942	EXIST::FUNCTION:
  ASN1_SEQUENCE_it                        2943	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  ASN1_SEQUENCE_it                        2943	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
--- 2438,2448 ----
  OCSP_ONEREQ_add_ext                     2934	EXIST::FUNCTION:
  OCSP_request_sign                       2935	EXIST::FUNCTION:
  EVP_DigestFinal_ex                      2936	EXIST::FUNCTION:
! ENGINE_set_digests                      2937	EXIST::FUNCTION:ENGINE
  OCSP_id_issuer_cmp                      2938	EXIST::FUNCTION:
  OBJ_NAME_do_all                         2939	EXIST::FUNCTION:
  EC_POINTs_mul                           2940	EXIST::FUNCTION:EC
! ENGINE_register_complete                2941	EXIST::FUNCTION:ENGINE
  X509V3_EXT_nconf_nid                    2942	EXIST::FUNCTION:
  ASN1_SEQUENCE_it                        2943	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  ASN1_SEQUENCE_it                        2943	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
***************
*** 2451,2457 ****
  UI_method_get_writer                    2946	EXIST::FUNCTION:
  UI_OpenSSL                              2947	EXIST::FUNCTION:
  PEM_def_callback                        2948	EXIST::FUNCTION:
! ENGINE_cleanup                          2949	EXIST::FUNCTION:
  DIST_POINT_it                           2950	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  DIST_POINT_it                           2950	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  OCSP_SINGLERESP_it                      2951	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
--- 2451,2457 ----
  UI_method_get_writer                    2946	EXIST::FUNCTION:
  UI_OpenSSL                              2947	EXIST::FUNCTION:
  PEM_def_callback                        2948	EXIST::FUNCTION:
! ENGINE_cleanup                          2949	EXIST::FUNCTION:ENGINE
  DIST_POINT_it                           2950	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  DIST_POINT_it                           2950	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  OCSP_SINGLERESP_it                      2951	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
***************
*** 2475,2481 ****
  OCSP_RESPDATA_it                        2968	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  OCSP_RESPDATA_it                        2968	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  d2i_OCSP_RESPDATA                       2969	EXIST::FUNCTION:
! ENGINE_register_all_complete            2970	EXIST::FUNCTION:
  OCSP_check_validity                     2971	EXIST::FUNCTION:
  PKCS12_BAGS_it                          2972	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  PKCS12_BAGS_it                          2972	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
--- 2475,2481 ----
  OCSP_RESPDATA_it                        2968	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  OCSP_RESPDATA_it                        2968	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  d2i_OCSP_RESPDATA                       2969	EXIST::FUNCTION:
! ENGINE_register_all_complete            2970	EXIST::FUNCTION:ENGINE
  OCSP_check_validity                     2971	EXIST::FUNCTION:
  PKCS12_BAGS_it                          2972	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  PKCS12_BAGS_it                          2972	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
***************
*** 2487,2493 ****
  X509_supported_extension                2977	EXIST::FUNCTION:
  i2d_KRB5_AUTHDATA                       2978	EXIST::FUNCTION:
  UI_method_get_opener                    2979	EXIST::FUNCTION:
! ENGINE_set_ex_data                      2980	EXIST::FUNCTION:
  OCSP_REQUEST_print                      2981	EXIST::FUNCTION:
  CBIGNUM_it                              2982	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  CBIGNUM_it                              2982	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
--- 2487,2493 ----
  X509_supported_extension                2977	EXIST::FUNCTION:
  i2d_KRB5_AUTHDATA                       2978	EXIST::FUNCTION:
  UI_method_get_opener                    2979	EXIST::FUNCTION:
! ENGINE_set_ex_data                      2980	EXIST::FUNCTION:ENGINE
  OCSP_REQUEST_print                      2981	EXIST::FUNCTION:
  CBIGNUM_it                              2982	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  CBIGNUM_it                              2982	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
***************
*** 2501,2507 ****
  BN_swap                                 2990	EXIST::FUNCTION:
  POLICYINFO_it                           2991	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  POLICYINFO_it                           2991	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
! ENGINE_set_destroy_function             2992	EXIST::FUNCTION:
  asn1_enc_free                           2993	EXIST::FUNCTION:
  OCSP_RESPID_it                          2994	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  OCSP_RESPID_it                          2994	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
--- 2501,2507 ----
  BN_swap                                 2990	EXIST::FUNCTION:
  POLICYINFO_it                           2991	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  POLICYINFO_it                           2991	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
! ENGINE_set_destroy_function             2992	EXIST::FUNCTION:ENGINE
  asn1_enc_free                           2993	EXIST::FUNCTION:
  OCSP_RESPID_it                          2994	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  OCSP_RESPID_it                          2994	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
***************
*** 2523,2530 ****
  NETSCAPE_SPKI_it                        3006	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  NETSCAPE_SPKI_it                        3006	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  UI_get0_test_string                     3007	EXIST::FUNCTION:
! ENGINE_get_cipher_engine                3008	EXIST::FUNCTION:
! ENGINE_register_all_ciphers             3009	EXIST::FUNCTION:
  EC_POINT_copy                           3010	EXIST::FUNCTION:EC
  BN_kronecker                            3011	EXIST::FUNCTION:
  _ossl_old_des_ede3_ofb64_encrypt        3012	EXIST:!VMS:FUNCTION:DES
--- 2523,2530 ----
  NETSCAPE_SPKI_it                        3006	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  NETSCAPE_SPKI_it                        3006	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  UI_get0_test_string                     3007	EXIST::FUNCTION:
! ENGINE_get_cipher_engine                3008	EXIST::FUNCTION:ENGINE
! ENGINE_register_all_ciphers             3009	EXIST::FUNCTION:ENGINE
  EC_POINT_copy                           3010	EXIST::FUNCTION:EC
  BN_kronecker                            3011	EXIST::FUNCTION:
  _ossl_old_des_ede3_ofb64_encrypt        3012	EXIST:!VMS:FUNCTION:DES
***************
*** 2545,2553 ****
  AES_set_encrypt_key                     3024	EXIST::FUNCTION:AES
  OCSP_resp_count                         3025	EXIST::FUNCTION:
  KRB5_CHECKSUM_new                       3026	EXIST::FUNCTION:
! ENGINE_load_cswift                      3027	EXIST::FUNCTION:
  OCSP_onereq_get0_id                     3028	EXIST::FUNCTION:
! ENGINE_set_default_ciphers              3029	EXIST::FUNCTION:
  NOTICEREF_it                            3030	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  NOTICEREF_it                            3030	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  X509V3_EXT_CRL_add_nconf                3031	EXIST::FUNCTION:
--- 2545,2553 ----
  AES_set_encrypt_key                     3024	EXIST::FUNCTION:AES
  OCSP_resp_count                         3025	EXIST::FUNCTION:
  KRB5_CHECKSUM_new                       3026	EXIST::FUNCTION:
! ENGINE_load_cswift                      3027	EXIST::FUNCTION:ENGINE
  OCSP_onereq_get0_id                     3028	EXIST::FUNCTION:
! ENGINE_set_default_ciphers              3029	EXIST::FUNCTION:ENGINE
  NOTICEREF_it                            3030	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  NOTICEREF_it                            3030	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  X509V3_EXT_CRL_add_nconf                3031	EXIST::FUNCTION:
***************
*** 2565,2571 ****
  asn1_enc_init                           3041	EXIST::FUNCTION:
  UI_get_result_maxsize                   3042	EXIST::FUNCTION:
  OCSP_CERTID_new                         3043	EXIST::FUNCTION:
! ENGINE_unregister_RAND                  3044	EXIST::FUNCTION:
  UI_method_get_closer                    3045	EXIST::FUNCTION:
  d2i_KRB5_ENCDATA                        3046	EXIST::FUNCTION:
  OCSP_request_onereq_count               3047	EXIST::FUNCTION:
--- 2565,2571 ----
  asn1_enc_init                           3041	EXIST::FUNCTION:
  UI_get_result_maxsize                   3042	EXIST::FUNCTION:
  OCSP_CERTID_new                         3043	EXIST::FUNCTION:
! ENGINE_unregister_RAND                  3044	EXIST::FUNCTION:ENGINE
  UI_method_get_closer                    3045	EXIST::FUNCTION:
  d2i_KRB5_ENCDATA                        3046	EXIST::FUNCTION:
  OCSP_request_onereq_count               3047	EXIST::FUNCTION:
***************
*** 2576,2582 ****
  i2d_EXTENDED_KEY_USAGE                  3052	EXIST::FUNCTION:
  i2d_OCSP_SIGNATURE                      3053	EXIST::FUNCTION:
  asn1_enc_save                           3054	EXIST::FUNCTION:
! ENGINE_load_nuron                       3055	EXIST::FUNCTION:
  _ossl_old_des_pcbc_encrypt              3056	EXIST::FUNCTION:DES
  PKCS12_MAC_DATA_it                      3057	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  PKCS12_MAC_DATA_it                      3057	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
--- 2576,2582 ----
  i2d_EXTENDED_KEY_USAGE                  3052	EXIST::FUNCTION:
  i2d_OCSP_SIGNATURE                      3053	EXIST::FUNCTION:
  asn1_enc_save                           3054	EXIST::FUNCTION:
! ENGINE_load_nuron                       3055	EXIST::FUNCTION:ENGINE
  _ossl_old_des_pcbc_encrypt              3056	EXIST::FUNCTION:DES
  PKCS12_MAC_DATA_it                      3057	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  PKCS12_MAC_DATA_it                      3057	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
***************
*** 2598,2612 ****
  EC_POINT_dbl                            3070	EXIST::FUNCTION:EC
  asn1_get_choice_selector                3071	EXIST::FUNCTION:
  i2d_KRB5_CHECKSUM                       3072	EXIST::FUNCTION:
! ENGINE_set_table_flags                  3073	EXIST::FUNCTION:
  AES_options                             3074	EXIST::FUNCTION:AES
! ENGINE_load_chil                        3075	EXIST::FUNCTION:
  OCSP_id_cmp                             3076	EXIST::FUNCTION:
  OCSP_BASICRESP_new                      3077	EXIST::FUNCTION:
  OCSP_REQUEST_get_ext_by_NID             3078	EXIST::FUNCTION:
  KRB5_APREQ_it                           3079	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  KRB5_APREQ_it                           3079	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
! ENGINE_get_destroy_function             3080	EXIST::FUNCTION:
  CONF_set_nconf                          3081	EXIST::FUNCTION:
  ASN1_PRINTABLE_free                     3082	EXIST::FUNCTION:
  OCSP_BASICRESP_get_ext_by_NID           3083	EXIST::FUNCTION:
--- 2598,2612 ----
  EC_POINT_dbl                            3070	EXIST::FUNCTION:EC
  asn1_get_choice_selector                3071	EXIST::FUNCTION:
  i2d_KRB5_CHECKSUM                       3072	EXIST::FUNCTION:
! ENGINE_set_table_flags                  3073	EXIST::FUNCTION:ENGINE
  AES_options                             3074	EXIST::FUNCTION:AES
! ENGINE_load_chil                        3075	EXIST::FUNCTION:ENGINE
  OCSP_id_cmp                             3076	EXIST::FUNCTION:
  OCSP_BASICRESP_new                      3077	EXIST::FUNCTION:
  OCSP_REQUEST_get_ext_by_NID             3078	EXIST::FUNCTION:
  KRB5_APREQ_it                           3079	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  KRB5_APREQ_it                           3079	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
! ENGINE_get_destroy_function             3080	EXIST::FUNCTION:ENGINE
  CONF_set_nconf                          3081	EXIST::FUNCTION:
  ASN1_PRINTABLE_free                     3082	EXIST::FUNCTION:
  OCSP_BASICRESP_get_ext_by_NID           3083	EXIST::FUNCTION:
***************
*** 2667,2673 ****
  OCSP_CRLID_it                           3127	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  i2d_KRB5_AUTHENTBODY                    3128	EXIST::FUNCTION:
  OCSP_REQUEST_get_ext_count              3129	EXIST::FUNCTION:
! ENGINE_load_atalla                      3130	EXIST::FUNCTION:
  X509_NAME_it                            3131	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  X509_NAME_it                            3131	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  USERNOTICE_it                           3132	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
--- 2667,2673 ----
  OCSP_CRLID_it                           3127	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  i2d_KRB5_AUTHENTBODY                    3128	EXIST::FUNCTION:
  OCSP_REQUEST_get_ext_count              3129	EXIST::FUNCTION:
! ENGINE_load_atalla                      3130	EXIST::FUNCTION:ENGINE
  X509_NAME_it                            3131	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  X509_NAME_it                            3131	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  USERNOTICE_it                           3132	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
***************
*** 2685,2691 ****
  ASN1_item_ex_free                       3141	EXIST::FUNCTION:
  ASN1_BOOLEAN_it                         3142	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  ASN1_BOOLEAN_it                         3142	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
! ENGINE_get_table_flags                  3143	EXIST::FUNCTION:
  UI_create_method                        3144	EXIST::FUNCTION:
  OCSP_ONEREQ_add1_ext_i2d                3145	EXIST::FUNCTION:
  _shadow_DES_check_key                   3146	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:DES
--- 2685,2691 ----
  ASN1_item_ex_free                       3141	EXIST::FUNCTION:
  ASN1_BOOLEAN_it                         3142	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  ASN1_BOOLEAN_it                         3142	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
! ENGINE_get_table_flags                  3143	EXIST::FUNCTION:ENGINE
  UI_create_method                        3144	EXIST::FUNCTION:
  OCSP_ONEREQ_add1_ext_i2d                3145	EXIST::FUNCTION:
  _shadow_DES_check_key                   3146	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:DES
***************
*** 2709,2715 ****
  PKCS7_it                                3160	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  OCSP_REQUEST_get_ext_by_critical        3161	EXIST:!VMS:FUNCTION:
  OCSP_REQUEST_get_ext_by_crit            3161	EXIST:VMS:FUNCTION:
! ENGINE_set_flags                        3162	EXIST::FUNCTION:
  _ossl_old_des_ecb_encrypt               3163	EXIST::FUNCTION:DES
  OCSP_response_get1_basic                3164	EXIST::FUNCTION:
  EVP_Digest                              3165	EXIST::FUNCTION:
--- 2709,2715 ----
  PKCS7_it                                3160	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  OCSP_REQUEST_get_ext_by_critical        3161	EXIST:!VMS:FUNCTION:
  OCSP_REQUEST_get_ext_by_crit            3161	EXIST:VMS:FUNCTION:
! ENGINE_set_flags                        3162	EXIST::FUNCTION:ENGINE
  _ossl_old_des_ecb_encrypt               3163	EXIST::FUNCTION:DES
  OCSP_response_get1_basic                3164	EXIST::FUNCTION:
  EVP_Digest                              3165	EXIST::FUNCTION:
***************
*** 2721,2728 ****
  BIGNUM_it                               3170	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  BIGNUM_it                               3170	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  AES_cbc_encrypt                         3171	EXIST::FUNCTION:AES
! ENGINE_get_load_privkey_function        3172	EXIST:!VMS:FUNCTION:
! ENGINE_get_load_privkey_fn              3172	EXIST:VMS:FUNCTION:
  OCSP_RESPONSE_free                      3173	EXIST::FUNCTION:
  UI_method_set_reader                    3174	EXIST::FUNCTION:
  i2d_ASN1_T61STRING                      3175	EXIST::FUNCTION:
--- 2721,2728 ----
  BIGNUM_it                               3170	EXIST:!EXPORT_VAR_AS_FUNCTION:VARIABLE:
  BIGNUM_it                               3170	EXIST:EXPORT_VAR_AS_FUNCTION:FUNCTION:
  AES_cbc_encrypt                         3171	EXIST::FUNCTION:AES
! ENGINE_get_load_privkey_function        3172	EXIST:!VMS:FUNCTION:ENGINE
! ENGINE_get_load_privkey_fn              3172	EXIST:VMS:FUNCTION:ENGINE
  OCSP_RESPONSE_free                      3173	EXIST::FUNCTION:
  UI_method_set_reader                    3174	EXIST::FUNCTION:
  i2d_ASN1_T61STRING                      3175	EXIST::FUNCTION:
***************
*** 2736,2742 ****
  OCSP_crlID2_new                         3181	EXIST:OS2,VMS,WIN16:FUNCTION:
  CONF_modules_load_file                  3182	EXIST::FUNCTION:
  CONF_imodule_set_usr_data               3183	EXIST::FUNCTION:
! ENGINE_set_default_string               3184	EXIST::FUNCTION:
  CONF_module_get_usr_data                3185	EXIST::FUNCTION:
  ASN1_add_oid_module                     3186	EXIST::FUNCTION:
  CONF_modules_finish                     3187	EXIST::FUNCTION:
--- 2736,2742 ----
  OCSP_crlID2_new                         3181	EXIST:OS2,VMS,WIN16:FUNCTION:
  CONF_modules_load_file                  3182	EXIST::FUNCTION:
  CONF_imodule_set_usr_data               3183	EXIST::FUNCTION:
! ENGINE_set_default_string               3184	EXIST::FUNCTION:ENGINE
  CONF_module_get_usr_data                3185	EXIST::FUNCTION:
  ASN1_add_oid_module                     3186	EXIST::FUNCTION:
  CONF_modules_finish                     3187	EXIST::FUNCTION:
***************
*** 2754,2760 ****
  ERR_peek_top_error                      3199	NOEXIST::FUNCTION:
  CONF_imodule_get_usr_data               3200	EXIST::FUNCTION:
  CONF_imodule_set_flags                  3201	EXIST::FUNCTION:
! ENGINE_add_conf_module                  3202	EXIST::FUNCTION:
  ERR_peek_last_error_line                3203	EXIST::FUNCTION:
  ERR_peek_last_error_line_data           3204	EXIST::FUNCTION:
  ERR_peek_last_error                     3205	EXIST::FUNCTION:
--- 2754,2760 ----
  ERR_peek_top_error                      3199	NOEXIST::FUNCTION:
  CONF_imodule_get_usr_data               3200	EXIST::FUNCTION:
  CONF_imodule_set_flags                  3201	EXIST::FUNCTION:
! ENGINE_add_conf_module                  3202	EXIST::FUNCTION:ENGINE
  ERR_peek_last_error_line                3203	EXIST::FUNCTION:
  ERR_peek_last_error_line_data           3204	EXIST::FUNCTION:
  ERR_peek_last_error                     3205	EXIST::FUNCTION:
***************
*** 2762,2769 ****
  DES_read_password                       3207	EXIST::FUNCTION:DES
  UI_UTIL_read_pw                         3208	EXIST::FUNCTION:
  UI_UTIL_read_pw_string                  3209	EXIST::FUNCTION:
! ENGINE_load_aep                         3210	EXIST::FUNCTION:
! ENGINE_load_sureware                    3211	EXIST::FUNCTION:
  OPENSSL_add_all_algorithms_noconf       3212	EXIST:!VMS:FUNCTION:
  OPENSSL_add_all_algo_noconf             3212	EXIST:VMS:FUNCTION:
  OPENSSL_add_all_algorithms_conf         3213	EXIST:!VMS:FUNCTION:
--- 2762,2769 ----
  DES_read_password                       3207	EXIST::FUNCTION:DES
  UI_UTIL_read_pw                         3208	EXIST::FUNCTION:
  UI_UTIL_read_pw_string                  3209	EXIST::FUNCTION:
! ENGINE_load_aep                         3210	EXIST::FUNCTION:ENGINE
! ENGINE_load_sureware                    3211	EXIST::FUNCTION:ENGINE
  OPENSSL_add_all_algorithms_noconf       3212	EXIST:!VMS:FUNCTION:
  OPENSSL_add_all_algo_noconf             3212	EXIST:VMS:FUNCTION:
  OPENSSL_add_all_algorithms_conf         3213	EXIST:!VMS:FUNCTION:
***************
*** 2772,2778 ****
  AES_ofb128_encrypt                      3215	EXIST::FUNCTION:AES
  AES_ctr128_encrypt                      3216	EXIST::FUNCTION:AES
  AES_cfb128_encrypt                      3217	EXIST::FUNCTION:AES
! ENGINE_load_4758cca                     3218	EXIST::FUNCTION:
  _ossl_096_des_random_seed               3219	EXIST::FUNCTION:DES
  EVP_aes_256_ofb                         3220	EXIST::FUNCTION:AES
  EVP_aes_192_ofb                         3221	EXIST::FUNCTION:AES
--- 2772,2778 ----
  AES_ofb128_encrypt                      3215	EXIST::FUNCTION:AES
  AES_ctr128_encrypt                      3216	EXIST::FUNCTION:AES
  AES_cfb128_encrypt                      3217	EXIST::FUNCTION:AES
! ENGINE_load_4758cca                     3218	EXIST::FUNCTION:ENGINE
  _ossl_096_des_random_seed               3219	EXIST::FUNCTION:DES
  EVP_aes_256_ofb                         3220	EXIST::FUNCTION:AES
  EVP_aes_192_ofb                         3221	EXIST::FUNCTION:AES
***************
*** 2793,2799 ****
  d2i_ASN1_UNIVERSALSTRING                3235	EXIST::FUNCTION:
  EVP_des_ede3_ecb                        3236	EXIST::FUNCTION:DES
  X509_REQ_print_ex                       3237	EXIST::FUNCTION:BIO
! ENGINE_up_ref                           3238	EXIST::FUNCTION:
  BUF_MEM_grow_clean                      3239	EXIST::FUNCTION:
  CRYPTO_realloc_clean                    3240	EXIST::FUNCTION:
  BUF_strlcat                             3241	EXIST::FUNCTION:
--- 2793,2799 ----
  d2i_ASN1_UNIVERSALSTRING                3235	EXIST::FUNCTION:
  EVP_des_ede3_ecb                        3236	EXIST::FUNCTION:DES
  X509_REQ_print_ex                       3237	EXIST::FUNCTION:BIO
! ENGINE_up_ref                           3238	EXIST::FUNCTION:ENGINE
  BUF_MEM_grow_clean                      3239	EXIST::FUNCTION:
  CRYPTO_realloc_clean                    3240	EXIST::FUNCTION:
  BUF_strlcat                             3241	EXIST::FUNCTION:
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/util/mk1mf.pl ../RELENG_4/crypto/openssl/util/mk1mf.pl
*** crypto/openssl/util/mk1mf.pl	Mon Feb 24 20:42:51 2003
--- ../RELENG_4/crypto/openssl/util/mk1mf.pl	Mon Feb 24 21:15:00 2003
***************
*** 64,69 ****
--- 64,71 ----
  	no-asm 					- No x86 asm
  	no-krb5					- No KRB5
  	no-ec					- No EC
+ 	no-engine				- No engine
+ 	no-hw					- No hw
  	nasm 					- Use NASM for x86 asm
  	gaswin					- Use GNU as with Mingw32
  	no-socks				- No socket code
***************
*** 218,224 ****
  $cflags.=" -DOPENSSL_NO_MD5"  if $no_md5;
  $cflags.=" -DOPENSSL_NO_SHA"  if $no_sha;
  $cflags.=" -DOPENSSL_NO_SHA1" if $no_sha1;
! $cflags.=" -DOPENSSL_NO_RIPEMD" if $no_rmd160;
  $cflags.=" -DOPENSSL_NO_MDC2" if $no_mdc2;
  $cflags.=" -DOPENSSL_NO_BF"  if $no_bf;
  $cflags.=" -DOPENSSL_NO_CAST" if $no_cast;
--- 220,226 ----
  $cflags.=" -DOPENSSL_NO_MD5"  if $no_md5;
  $cflags.=" -DOPENSSL_NO_SHA"  if $no_sha;
  $cflags.=" -DOPENSSL_NO_SHA1" if $no_sha1;
! $cflags.=" -DOPENSSL_NO_RIPEMD" if $no_ripemd;
  $cflags.=" -DOPENSSL_NO_MDC2" if $no_mdc2;
  $cflags.=" -DOPENSSL_NO_BF"  if $no_bf;
  $cflags.=" -DOPENSSL_NO_CAST" if $no_cast;
***************
*** 232,237 ****
--- 234,241 ----
  $cflags.=" -DOPENSSL_NO_ERR"  if $no_err;
  $cflags.=" -DOPENSSL_NO_KRB5" if $no_krb5;
  $cflags.=" -DOPENSSL_NO_EC"   if $no_ec;
+ $cflags.=" -DOPENSSL_NO_ENGINE"   if $no_engine;
+ $cflags.=" -DOPENSSL_NO_HW"   if $no_hw;
  #$cflags.=" -DRSAref"  if $rsaref ne "";
  
  ## if ($unix)
***************
*** 648,653 ****
--- 652,659 ----
  	local($dir,$val)=@_;
  	local(@a,$_,$ret);
  
+ 	return("") if $no_engine && $dir =~ /\/engine/;
+ 	return("") if $no_hw   && $dir =~ /\/hw/;
  	return("") if $no_idea && $dir =~ /\/idea/;
  	return("") if $no_aes  && $dir =~ /\/aes/;
  	return("") if $no_rc2  && $dir =~ /\/rc2/;
***************
*** 691,697 ****
  	@a=grep(!/(^md2)|(_md2$)/,@a) if $no_md2;
  	@a=grep(!/(^md4)|(_md4$)/,@a) if $no_md4;
  	@a=grep(!/(^md5)|(_md5$)/,@a) if $no_md5;
! 	@a=grep(!/(rmd)|(ripemd)/,@a) if $no_rmd160;
  
  	@a=grep(!/(^d2i_r_)|(^i2d_r_)/,@a) if $no_rsa;
  	@a=grep(!/(^p_open$)|(^p_seal$)/,@a) if $no_rsa;
--- 697,703 ----
  	@a=grep(!/(^md2)|(_md2$)/,@a) if $no_md2;
  	@a=grep(!/(^md4)|(_md4$)/,@a) if $no_md4;
  	@a=grep(!/(^md5)|(_md5$)/,@a) if $no_md5;
! 	@a=grep(!/(rmd)|(ripemd)/,@a) if $no_ripemd;
  
  	@a=grep(!/(^d2i_r_)|(^i2d_r_)/,@a) if $no_rsa;
  	@a=grep(!/(^p_open$)|(^p_seal$)/,@a) if $no_rsa;
***************
*** 708,713 ****
--- 714,721 ----
  	@a=grep(!/(^sha1)|(_sha1$)|(m_dss1$)/,@a) if $no_sha1;
  	@a=grep(!/_mdc2$/,@a) if $no_mdc2;
  
+ 	@a=grep(!/^engine$/,@a) if $no_engine;
+ 	@a=grep(!/^hw$/,@a) if $no_hw;
  	@a=grep(!/(^rsa$)|(^genrsa$)/,@a) if $no_rsa;
  	@a=grep(!/(^dsa$)|(^gendsa$)|(^dsaparam$)/,@a) if $no_dsa;
  	@a=grep(!/^gendsa$/,@a) if $no_sha1;
***************
*** 901,910 ****
  	elsif (/^no-sock$/)	{ $no_sock=1; }
  	elsif (/^no-krb5$/)	{ $no_krb5=1; }
  	elsif (/^no-ec$/)	{ $no_ec=1; }
  
  	elsif (/^just-ssl$/)	{ $no_rc2=$no_idea=$no_des=$no_bf=$no_cast=1;
  				  $no_md2=$no_sha=$no_mdc2=$no_dsa=$no_dh=1;
! 				  $no_ssl2=$no_err=$no_rmd160=$no_rc5=1;
  				  $no_aes=1; }
  
  	elsif (/^rsaref$/)	{ }
--- 909,920 ----
  	elsif (/^no-sock$/)	{ $no_sock=1; }
  	elsif (/^no-krb5$/)	{ $no_krb5=1; }
  	elsif (/^no-ec$/)	{ $no_ec=1; }
+ 	elsif (/^no-engine$/)	{ $no_engine=1; }
+ 	elsif (/^no-hw$/)	{ $no_hw=1; }
  
  	elsif (/^just-ssl$/)	{ $no_rc2=$no_idea=$no_des=$no_bf=$no_cast=1;
  				  $no_md2=$no_sha=$no_mdc2=$no_dsa=$no_dh=1;
! 				  $no_ssl2=$no_err=$no_ripemd=$no_rc5=1;
  				  $no_aes=1; }
  
  	elsif (/^rsaref$/)	{ }
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/util/mkdef.pl ../RELENG_4/crypto/openssl/util/mkdef.pl
*** crypto/openssl/util/mkdef.pl	Mon Feb 24 20:42:51 2003
--- ../RELENG_4/crypto/openssl/util/mkdef.pl	Mon Feb 24 21:15:00 2003
***************
*** 91,97 ****
  			 "BIO", "COMP", "BUFFER", "LHASH", "STACK", "ERR",
  			 "LOCKING",
  			 # External "algorithms"
! 			 "FP_API", "STDIO", "SOCK", "KRB5" );
  
  my $options="";
  open(IN,"<Makefile.ssl") || die "unable to open Makefile.ssl!\n";
--- 91,97 ----
  			 "BIO", "COMP", "BUFFER", "LHASH", "STACK", "ERR",
  			 "LOCKING",
  			 # External "algorithms"
! 			 "FP_API", "STDIO", "SOCK", "KRB5", "ENGINE", "HW" );
  
  my $options="";
  open(IN,"<Makefile.ssl") || die "unable to open Makefile.ssl!\n";
***************
*** 107,113 ****
  my $no_cast;
  my $no_md2; my $no_md4; my $no_md5; my $no_sha; my $no_ripemd; my $no_mdc2;
  my $no_rsa; my $no_dsa; my $no_dh; my $no_hmac=0; my $no_aes; my $no_krb5;
! my $no_ec;
  my $no_fp_api;
  
  foreach (@ARGV, split(/ /, $options))
--- 107,113 ----
  my $no_cast;
  my $no_md2; my $no_md4; my $no_md5; my $no_sha; my $no_ripemd; my $no_mdc2;
  my $no_rsa; my $no_dsa; my $no_dh; my $no_hmac=0; my $no_aes; my $no_krb5;
! my $no_ec; my $no_engine; my $no_hw;
  my $no_fp_api;
  
  foreach (@ARGV, split(/ /, $options))
***************
*** 176,181 ****
--- 176,183 ----
  	elsif (/^no-comp$/)	{ $no_comp=1; }
  	elsif (/^no-dso$/)	{ $no_dso=1; }
  	elsif (/^no-krb5$/)	{ $no_krb5=1; }
+ 	elsif (/^no-engine$/)	{ $no_engine=1; }
+ 	elsif (/^no-hw$/)	{ $no_hw=1; }
  	}
  
  
***************
*** 235,241 ****
  $crypto.=" crypto/ec/ec.h" ; # unless $no_ec;
  $crypto.=" crypto/hmac/hmac.h" ; # unless $no_hmac;
  
! $crypto.=" crypto/engine/engine.h";
  $crypto.=" crypto/stack/stack.h" ; # unless $no_stack;
  $crypto.=" crypto/buffer/buffer.h" ; # unless $no_buffer;
  $crypto.=" crypto/bio/bio.h" ; # unless $no_bio;
--- 237,243 ----
  $crypto.=" crypto/ec/ec.h" ; # unless $no_ec;
  $crypto.=" crypto/hmac/hmac.h" ; # unless $no_hmac;
  
! $crypto.=" crypto/engine/engine.h"; # unless $no_engine;
  $crypto.=" crypto/stack/stack.h" ; # unless $no_stack;
  $crypto.=" crypto/buffer/buffer.h" ; # unless $no_buffer;
  $crypto.=" crypto/bio/bio.h" ; # unless $no_bio;
***************
*** 1052,1057 ****
--- 1054,1061 ----
  			if ($keyword eq "COMP" && $no_comp) { return 0; }
  			if ($keyword eq "DSO" && $no_dso) { return 0; }
  			if ($keyword eq "KRB5" && $no_krb5) { return 0; }
+ 			if ($keyword eq "ENGINE" && $no_engine) { return 0; }
+ 			if ($keyword eq "HW" && $no_hw) { return 0; }
  			if ($keyword eq "FP_API" && $no_fp_api) { return 0; }
  
  			# Nothing recognise as true
diff --exclude=CVS -I\$FreeBSD -rcN crypto/openssl/util/ssleay.num ../RELENG_4/crypto/openssl/util/ssleay.num
*** crypto/openssl/util/ssleay.num	Mon Feb 24 20:42:51 2003
--- ../RELENG_4/crypto/openssl/util/ssleay.num	Mon Feb 24 21:15:00 2003
***************
*** 169,175 ****
  SSL_add_file_cert_subjs_to_stk          185	EXIST:VMS:FUNCTION:STDIO
  SSL_set_tmp_rsa_callback                186	EXIST::FUNCTION:RSA
  SSL_set_tmp_dh_callback                 187	EXIST::FUNCTION:DH
! SSL_add_dir_cert_subjects_to_stack      188	EXIST:!VMS,!WIN32:FUNCTION:STDIO
  SSL_add_dir_cert_subjs_to_stk           188	NOEXIST::FUNCTION:
  SSL_set_session_id_context              189	EXIST::FUNCTION:
  SSL_CTX_use_certificate_chain_file      222	EXIST:!VMS:FUNCTION:STDIO
--- 169,175 ----
  SSL_add_file_cert_subjs_to_stk          185	EXIST:VMS:FUNCTION:STDIO
  SSL_set_tmp_rsa_callback                186	EXIST::FUNCTION:RSA
  SSL_set_tmp_dh_callback                 187	EXIST::FUNCTION:DH
! SSL_add_dir_cert_subjects_to_stack      188	EXIST:!VMS:FUNCTION:STDIO
  SSL_add_dir_cert_subjs_to_stk           188	NOEXIST::FUNCTION:
  SSL_set_session_id_context              189	EXIST::FUNCTION:
  SSL_CTX_use_certificate_chain_file      222	EXIST:!VMS:FUNCTION:STDIO
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/Makefile.inc ../RELENG_4/secure/lib/libcrypto/Makefile.inc
*** secure/lib/libcrypto/Makefile.inc	Mon Feb 24 20:43:37 2003
--- ../RELENG_4/secure/lib/libcrypto/Makefile.inc	Mon Feb 24 21:15:46 2003
***************
*** 116,122 ****
  	@(sec=${manpage:E}; \
  	pod=${manpage:R}.pod; \
  	cp ${LCRYPTO_DOC}/${_docs}/$$pod .; \
! 	pod2man --section=$$sec --release="0.9.7" --center="OpenSSL" \
  	  $$pod > ${.CURDIR}/man/${manpage}; \
  	rm $$pod; \
  	${ECHO} ${manpage})
--- 116,122 ----
  	@(sec=${manpage:E}; \
  	pod=${manpage:R}.pod; \
  	cp ${LCRYPTO_DOC}/${_docs}/$$pod .; \
! 	pod2man --section=$$sec --release="0.9.7a" --center="OpenSSL" \
  	  $$pod > ${.CURDIR}/man/${manpage}; \
  	rm $$pod; \
  	${ECHO} ${manpage})
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/ASN1_OBJECT_new.3 ../RELENG_4/secure/lib/libcrypto/man/ASN1_OBJECT_new.3
*** secure/lib/libcrypto/man/ASN1_OBJECT_new.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/ASN1_OBJECT_new.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:37 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:42 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "ASN1_OBJECT_new 3"
! .TH ASN1_OBJECT_new 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  ASN1_OBJECT_new, ASN1_OBJECT_free, \- object allocation functions
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "ASN1_OBJECT_new 3"
! .TH ASN1_OBJECT_new 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  ASN1_OBJECT_new, ASN1_OBJECT_free, \- object allocation functions
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/ASN1_STRING_length.3 ../RELENG_4/secure/lib/libcrypto/man/ASN1_STRING_length.3
*** secure/lib/libcrypto/man/ASN1_STRING_length.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/ASN1_STRING_length.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:37 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:42 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "ASN1_STRING_length 3"
! .TH ASN1_STRING_length 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  ASN1_STRING_dup, ASN1_STRING_cmp, ASN1_STRING_set, ASN1_STRING_length,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "ASN1_STRING_length 3"
! .TH ASN1_STRING_length 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  ASN1_STRING_dup, ASN1_STRING_cmp, ASN1_STRING_set, ASN1_STRING_length,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/ASN1_STRING_new.3 ../RELENG_4/secure/lib/libcrypto/man/ASN1_STRING_new.3
*** secure/lib/libcrypto/man/ASN1_STRING_new.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/ASN1_STRING_new.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:37 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:42 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "ASN1_STRING_new 3"
! .TH ASN1_STRING_new 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  ASN1_STRING_new, ASN1_STRING_type_new, ASN1_STRING_free \-
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "ASN1_STRING_new 3"
! .TH ASN1_STRING_new 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  ASN1_STRING_new, ASN1_STRING_type_new, ASN1_STRING_free \-
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/ASN1_STRING_print_ex.3 ../RELENG_4/secure/lib/libcrypto/man/ASN1_STRING_print_ex.3
*** secure/lib/libcrypto/man/ASN1_STRING_print_ex.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/ASN1_STRING_print_ex.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:37 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:42 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "ASN1_STRING_print_ex 3"
! .TH ASN1_STRING_print_ex 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  ASN1_STRING_print_ex, ASN1_STRING_print_ex_fp \- \s-1ASN1_STRING\s0 output routines.
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "ASN1_STRING_print_ex 3"
! .TH ASN1_STRING_print_ex 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  ASN1_STRING_print_ex, ASN1_STRING_print_ex_fp \- \s-1ASN1_STRING\s0 output routines.
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BIO_ctrl.3 ../RELENG_4/secure/lib/libcrypto/man/BIO_ctrl.3
*** secure/lib/libcrypto/man/BIO_ctrl.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BIO_ctrl.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:38 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:42 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BIO_ctrl 3"
! .TH BIO_ctrl 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_ctrl, BIO_callback_ctrl, BIO_ptr_ctrl, BIO_int_ctrl, BIO_reset,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BIO_ctrl 3"
! .TH BIO_ctrl 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_ctrl, BIO_callback_ctrl, BIO_ptr_ctrl, BIO_int_ctrl, BIO_reset,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BIO_f_base64.3 ../RELENG_4/secure/lib/libcrypto/man/BIO_f_base64.3
*** secure/lib/libcrypto/man/BIO_f_base64.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BIO_f_base64.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:38 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:43 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BIO_f_base64 3"
! .TH BIO_f_base64 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_f_base64 \- base64 \s-1BIO\s0 filter
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BIO_f_base64 3"
! .TH BIO_f_base64 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_f_base64 \- base64 \s-1BIO\s0 filter
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BIO_f_buffer.3 ../RELENG_4/secure/lib/libcrypto/man/BIO_f_buffer.3
*** secure/lib/libcrypto/man/BIO_f_buffer.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BIO_f_buffer.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:38 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:43 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BIO_f_buffer 3"
! .TH BIO_f_buffer 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_f_buffer \- buffering \s-1BIO\s0
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BIO_f_buffer 3"
! .TH BIO_f_buffer 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_f_buffer \- buffering \s-1BIO\s0
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BIO_f_cipher.3 ../RELENG_4/secure/lib/libcrypto/man/BIO_f_cipher.3
*** secure/lib/libcrypto/man/BIO_f_cipher.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BIO_f_cipher.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:38 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:43 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BIO_f_cipher 3"
! .TH BIO_f_cipher 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_f_cipher, BIO_set_cipher, BIO_get_cipher_status, BIO_get_cipher_ctx \- cipher \s-1BIO\s0 filter
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BIO_f_cipher 3"
! .TH BIO_f_cipher 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_f_cipher, BIO_set_cipher, BIO_get_cipher_status, BIO_get_cipher_ctx \- cipher \s-1BIO\s0 filter
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BIO_f_md.3 ../RELENG_4/secure/lib/libcrypto/man/BIO_f_md.3
*** secure/lib/libcrypto/man/BIO_f_md.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BIO_f_md.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:38 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:43 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BIO_f_md 3"
! .TH BIO_f_md 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_f_md, BIO_set_md, BIO_get_md, BIO_get_md_ctx \- message digest \s-1BIO\s0 filter
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BIO_f_md 3"
! .TH BIO_f_md 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_f_md, BIO_set_md, BIO_get_md, BIO_get_md_ctx \- message digest \s-1BIO\s0 filter
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BIO_f_null.3 ../RELENG_4/secure/lib/libcrypto/man/BIO_f_null.3
*** secure/lib/libcrypto/man/BIO_f_null.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BIO_f_null.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:38 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:43 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BIO_f_null 3"
! .TH BIO_f_null 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_f_null \- null filter
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BIO_f_null 3"
! .TH BIO_f_null 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_f_null \- null filter
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BIO_f_ssl.3 ../RELENG_4/secure/lib/libcrypto/man/BIO_f_ssl.3
*** secure/lib/libcrypto/man/BIO_f_ssl.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BIO_f_ssl.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:39 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:43 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BIO_f_ssl 3"
! .TH BIO_f_ssl 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_f_ssl, BIO_set_ssl, BIO_get_ssl, BIO_set_ssl_mode, BIO_set_ssl_renegotiate_bytes,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BIO_f_ssl 3"
! .TH BIO_f_ssl 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_f_ssl, BIO_set_ssl, BIO_get_ssl, BIO_set_ssl_mode, BIO_set_ssl_renegotiate_bytes,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BIO_find_type.3 ../RELENG_4/secure/lib/libcrypto/man/BIO_find_type.3
*** secure/lib/libcrypto/man/BIO_find_type.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BIO_find_type.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:39 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:44 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BIO_find_type 3"
! .TH BIO_find_type 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_find_type, BIO_next \- \s-1BIO\s0 chain traversal
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BIO_find_type 3"
! .TH BIO_find_type 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_find_type, BIO_next \- \s-1BIO\s0 chain traversal
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BIO_new.3 ../RELENG_4/secure/lib/libcrypto/man/BIO_new.3
*** secure/lib/libcrypto/man/BIO_new.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BIO_new.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:39 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:44 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BIO_new 3"
! .TH BIO_new 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_new, BIO_set, BIO_free, BIO_vfree, BIO_free_all \- \s-1BIO\s0 allocation and freeing functions
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BIO_new 3"
! .TH BIO_new 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_new, BIO_set, BIO_free, BIO_vfree, BIO_free_all \- \s-1BIO\s0 allocation and freeing functions
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BIO_push.3 ../RELENG_4/secure/lib/libcrypto/man/BIO_push.3
*** secure/lib/libcrypto/man/BIO_push.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BIO_push.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:39 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:44 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BIO_push 3"
! .TH BIO_push 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_push, BIO_pop \- add and remove BIOs from a chain.
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BIO_push 3"
! .TH BIO_push 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_push, BIO_pop \- add and remove BIOs from a chain.
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BIO_read.3 ../RELENG_4/secure/lib/libcrypto/man/BIO_read.3
*** secure/lib/libcrypto/man/BIO_read.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BIO_read.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:39 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:44 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BIO_read 3"
! .TH BIO_read 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_read, BIO_write, BIO_gets, BIO_puts \- \s-1BIO\s0 I/O functions
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BIO_read 3"
! .TH BIO_read 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_read, BIO_write, BIO_gets, BIO_puts \- \s-1BIO\s0 I/O functions
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BIO_s_accept.3 ../RELENG_4/secure/lib/libcrypto/man/BIO_s_accept.3
*** secure/lib/libcrypto/man/BIO_s_accept.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BIO_s_accept.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:40 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:44 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BIO_s_accept 3"
! .TH BIO_s_accept 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_s_accept, BIO_set_accept_port, BIO_get_accept_port,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BIO_s_accept 3"
! .TH BIO_s_accept 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_s_accept, BIO_set_accept_port, BIO_get_accept_port,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BIO_s_bio.3 ../RELENG_4/secure/lib/libcrypto/man/BIO_s_bio.3
*** secure/lib/libcrypto/man/BIO_s_bio.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BIO_s_bio.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:40 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:44 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BIO_s_bio 3"
! .TH BIO_s_bio 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_s_bio, BIO_make_bio_pair, BIO_destroy_bio_pair, BIO_shutdown_wr, 
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BIO_s_bio 3"
! .TH BIO_s_bio 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_s_bio, BIO_make_bio_pair, BIO_destroy_bio_pair, BIO_shutdown_wr, 
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BIO_s_connect.3 ../RELENG_4/secure/lib/libcrypto/man/BIO_s_connect.3
*** secure/lib/libcrypto/man/BIO_s_connect.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BIO_s_connect.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:40 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:45 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BIO_s_connect 3"
! .TH BIO_s_connect 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_s_connect, BIO_set_conn_hostname, BIO_set_conn_port,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BIO_s_connect 3"
! .TH BIO_s_connect 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_s_connect, BIO_set_conn_hostname, BIO_set_conn_port,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BIO_s_fd.3 ../RELENG_4/secure/lib/libcrypto/man/BIO_s_fd.3
*** secure/lib/libcrypto/man/BIO_s_fd.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BIO_s_fd.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:40 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:45 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BIO_s_fd 3"
! .TH BIO_s_fd 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_s_fd, BIO_set_fd, BIO_get_fd, BIO_new_fd \- file descriptor \s-1BIO\s0
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BIO_s_fd 3"
! .TH BIO_s_fd 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_s_fd, BIO_set_fd, BIO_get_fd, BIO_new_fd \- file descriptor \s-1BIO\s0
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BIO_s_file.3 ../RELENG_4/secure/lib/libcrypto/man/BIO_s_file.3
*** secure/lib/libcrypto/man/BIO_s_file.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BIO_s_file.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:40 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:45 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BIO_s_file 3"
! .TH BIO_s_file 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_s_file, BIO_new_file, BIO_new_fp, BIO_set_fp, BIO_get_fp,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BIO_s_file 3"
! .TH BIO_s_file 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_s_file, BIO_new_file, BIO_new_fp, BIO_set_fp, BIO_get_fp,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BIO_s_mem.3 ../RELENG_4/secure/lib/libcrypto/man/BIO_s_mem.3
*** secure/lib/libcrypto/man/BIO_s_mem.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BIO_s_mem.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:41 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:45 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BIO_s_mem 3"
! .TH BIO_s_mem 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_s_mem, BIO_set_mem_eof_return, BIO_get_mem_data, BIO_set_mem_buf,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BIO_s_mem 3"
! .TH BIO_s_mem 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_s_mem, BIO_set_mem_eof_return, BIO_get_mem_data, BIO_set_mem_buf,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BIO_s_null.3 ../RELENG_4/secure/lib/libcrypto/man/BIO_s_null.3
*** secure/lib/libcrypto/man/BIO_s_null.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BIO_s_null.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:41 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:45 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BIO_s_null 3"
! .TH BIO_s_null 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_s_null \- null data sink
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BIO_s_null 3"
! .TH BIO_s_null 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_s_null \- null data sink
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BIO_s_socket.3 ../RELENG_4/secure/lib/libcrypto/man/BIO_s_socket.3
*** secure/lib/libcrypto/man/BIO_s_socket.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BIO_s_socket.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:41 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:45 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BIO_s_socket 3"
! .TH BIO_s_socket 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_s_socket, BIO_new_socket \- socket \s-1BIO\s0
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BIO_s_socket 3"
! .TH BIO_s_socket 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_s_socket, BIO_new_socket \- socket \s-1BIO\s0
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BIO_set_callback.3 ../RELENG_4/secure/lib/libcrypto/man/BIO_set_callback.3
*** secure/lib/libcrypto/man/BIO_set_callback.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BIO_set_callback.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:41 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:46 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BIO_set_callback 3"
! .TH BIO_set_callback 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_set_callback, BIO_get_callback, BIO_set_callback_arg, BIO_get_callback_arg,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BIO_set_callback 3"
! .TH BIO_set_callback 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_set_callback, BIO_get_callback, BIO_set_callback_arg, BIO_get_callback_arg,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BIO_should_retry.3 ../RELENG_4/secure/lib/libcrypto/man/BIO_should_retry.3
*** secure/lib/libcrypto/man/BIO_should_retry.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BIO_should_retry.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:41 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:46 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BIO_should_retry 3"
! .TH BIO_should_retry 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_should_retry, BIO_should_read, BIO_should_write,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BIO_should_retry 3"
! .TH BIO_should_retry 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BIO_should_retry, BIO_should_read, BIO_should_write,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BN_CTX_new.3 ../RELENG_4/secure/lib/libcrypto/man/BN_CTX_new.3
*** secure/lib/libcrypto/man/BN_CTX_new.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BN_CTX_new.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:42 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:46 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BN_CTX_new 3"
! .TH BN_CTX_new 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BN_CTX_new, BN_CTX_init, BN_CTX_free \- allocate and free \s-1BN_CTX\s0 structures
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BN_CTX_new 3"
! .TH BN_CTX_new 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BN_CTX_new, BN_CTX_init, BN_CTX_free \- allocate and free \s-1BN_CTX\s0 structures
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BN_CTX_start.3 ../RELENG_4/secure/lib/libcrypto/man/BN_CTX_start.3
*** secure/lib/libcrypto/man/BN_CTX_start.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BN_CTX_start.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:42 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:46 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BN_CTX_start 3"
! .TH BN_CTX_start 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BN_CTX_start, BN_CTX_get, BN_CTX_end \- use temporary \s-1BIGNUM\s0 variables
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BN_CTX_start 3"
! .TH BN_CTX_start 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BN_CTX_start, BN_CTX_get, BN_CTX_end \- use temporary \s-1BIGNUM\s0 variables
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BN_add.3 ../RELENG_4/secure/lib/libcrypto/man/BN_add.3
*** secure/lib/libcrypto/man/BN_add.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BN_add.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:42 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:46 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BN_add 3"
! .TH BN_add 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BN_add, BN_sub, BN_mul, BN_sqr, BN_div, BN_mod, BN_nnmod, BN_mod_add,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BN_add 3"
! .TH BN_add 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BN_add, BN_sub, BN_mul, BN_sqr, BN_div, BN_mod, BN_nnmod, BN_mod_add,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BN_add_word.3 ../RELENG_4/secure/lib/libcrypto/man/BN_add_word.3
*** secure/lib/libcrypto/man/BN_add_word.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BN_add_word.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:42 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:46 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BN_add_word 3"
! .TH BN_add_word 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BN_add_word, BN_sub_word, BN_mul_word, BN_div_word, BN_mod_word \- arithmetic
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BN_add_word 3"
! .TH BN_add_word 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BN_add_word, BN_sub_word, BN_mul_word, BN_div_word, BN_mod_word \- arithmetic
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BN_bn2bin.3 ../RELENG_4/secure/lib/libcrypto/man/BN_bn2bin.3
*** secure/lib/libcrypto/man/BN_bn2bin.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BN_bn2bin.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:42 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:47 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BN_bn2bin 3"
! .TH BN_bn2bin 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BN_bn2bin, BN_bin2bn, BN_bn2hex, BN_bn2dec, BN_hex2bn, BN_dec2bn,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BN_bn2bin 3"
! .TH BN_bn2bin 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BN_bn2bin, BN_bin2bn, BN_bn2hex, BN_bn2dec, BN_hex2bn, BN_dec2bn,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BN_cmp.3 ../RELENG_4/secure/lib/libcrypto/man/BN_cmp.3
*** secure/lib/libcrypto/man/BN_cmp.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BN_cmp.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:43 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:47 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BN_cmp 3"
! .TH BN_cmp 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BN_cmp, BN_ucmp, BN_is_zero, BN_is_one, BN_is_word, BN_is_odd \- \s-1BIGNUM\s0 comparison and test functions
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BN_cmp 3"
! .TH BN_cmp 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BN_cmp, BN_ucmp, BN_is_zero, BN_is_one, BN_is_word, BN_is_odd \- \s-1BIGNUM\s0 comparison and test functions
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BN_copy.3 ../RELENG_4/secure/lib/libcrypto/man/BN_copy.3
*** secure/lib/libcrypto/man/BN_copy.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BN_copy.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:43 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:47 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BN_copy 3"
! .TH BN_copy 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BN_copy, BN_dup \- copy BIGNUMs
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BN_copy 3"
! .TH BN_copy 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BN_copy, BN_dup \- copy BIGNUMs
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BN_generate_prime.3 ../RELENG_4/secure/lib/libcrypto/man/BN_generate_prime.3
*** secure/lib/libcrypto/man/BN_generate_prime.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BN_generate_prime.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:43 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:47 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BN_generate_prime 3"
! .TH BN_generate_prime 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BN_generate_prime, BN_is_prime, BN_is_prime_fasttest \- generate primes and test for primality
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BN_generate_prime 3"
! .TH BN_generate_prime 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BN_generate_prime, BN_is_prime, BN_is_prime_fasttest \- generate primes and test for primality
***************
*** 202,208 ****
  .PP
  Both \fIBN_is_prime()\fR and \fIBN_is_prime_fasttest()\fR perform a Miller-Rabin
  probabilistic primality test with \fBchecks\fR iterations. If
! \&\fBchecks == BN_prime_check\fR, a number of iterations is used that
  yields a false positive rate of at most 2^\-80 for random input.
  .PP
  If \fBcallback\fR is not \fB\s-1NULL\s0\fR, \fBcallback(1, j, cb_arg)\fR is called
--- 202,208 ----
  .PP
  Both \fIBN_is_prime()\fR and \fIBN_is_prime_fasttest()\fR perform a Miller-Rabin
  probabilistic primality test with \fBchecks\fR iterations. If
! \&\fBchecks == BN_prime_checks\fR, a number of iterations is used that
  yields a false positive rate of at most 2^\-80 for random input.
  .PP
  If \fBcallback\fR is not \fB\s-1NULL\s0\fR, \fBcallback(1, j, cb_arg)\fR is called
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BN_mod_inverse.3 ../RELENG_4/secure/lib/libcrypto/man/BN_mod_inverse.3
*** secure/lib/libcrypto/man/BN_mod_inverse.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BN_mod_inverse.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:43 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:47 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BN_mod_inverse 3"
! .TH BN_mod_inverse 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BN_mod_inverse \- compute inverse modulo n
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BN_mod_inverse 3"
! .TH BN_mod_inverse 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BN_mod_inverse \- compute inverse modulo n
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BN_mod_mul_montgomery.3 ../RELENG_4/secure/lib/libcrypto/man/BN_mod_mul_montgomery.3
*** secure/lib/libcrypto/man/BN_mod_mul_montgomery.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BN_mod_mul_montgomery.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:43 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:48 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BN_mod_mul_montgomery 3"
! .TH BN_mod_mul_montgomery 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BN_mod_mul_montgomery, BN_MONT_CTX_new, BN_MONT_CTX_init,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BN_mod_mul_montgomery 3"
! .TH BN_mod_mul_montgomery 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BN_mod_mul_montgomery, BN_MONT_CTX_new, BN_MONT_CTX_init,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BN_mod_mul_reciprocal.3 ../RELENG_4/secure/lib/libcrypto/man/BN_mod_mul_reciprocal.3
*** secure/lib/libcrypto/man/BN_mod_mul_reciprocal.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BN_mod_mul_reciprocal.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:44 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:48 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BN_mod_mul_reciprocal 3"
! .TH BN_mod_mul_reciprocal 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BN_mod_mul_reciprocal,  BN_div_recp, BN_RECP_CTX_new, BN_RECP_CTX_init,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BN_mod_mul_reciprocal 3"
! .TH BN_mod_mul_reciprocal 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BN_mod_mul_reciprocal,  BN_div_recp, BN_RECP_CTX_new, BN_RECP_CTX_init,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BN_new.3 ../RELENG_4/secure/lib/libcrypto/man/BN_new.3
*** secure/lib/libcrypto/man/BN_new.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BN_new.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:44 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:48 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BN_new 3"
! .TH BN_new 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BN_new, BN_init, BN_clear, BN_free, BN_clear_free \- allocate and free BIGNUMs
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BN_new 3"
! .TH BN_new 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BN_new, BN_init, BN_clear, BN_free, BN_clear_free \- allocate and free BIGNUMs
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BN_num_bytes.3 ../RELENG_4/secure/lib/libcrypto/man/BN_num_bytes.3
*** secure/lib/libcrypto/man/BN_num_bytes.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BN_num_bytes.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:44 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:48 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BN_num_bytes 3"
! .TH BN_num_bytes 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BN_num_bits, BN_num_bytes, BN_num_bits_word \- get \s-1BIGNUM\s0 size
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BN_num_bytes 3"
! .TH BN_num_bytes 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BN_num_bits, BN_num_bytes, BN_num_bits_word \- get \s-1BIGNUM\s0 size
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BN_rand.3 ../RELENG_4/secure/lib/libcrypto/man/BN_rand.3
*** secure/lib/libcrypto/man/BN_rand.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BN_rand.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:44 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:48 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BN_rand 3"
! .TH BN_rand 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BN_rand, BN_pseudo_rand \- generate pseudo-random number
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BN_rand 3"
! .TH BN_rand 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BN_rand, BN_pseudo_rand \- generate pseudo-random number
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BN_set_bit.3 ../RELENG_4/secure/lib/libcrypto/man/BN_set_bit.3
*** secure/lib/libcrypto/man/BN_set_bit.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BN_set_bit.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:44 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:48 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BN_set_bit 3"
! .TH BN_set_bit 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BN_set_bit, BN_clear_bit, BN_is_bit_set, BN_mask_bits, BN_lshift,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BN_set_bit 3"
! .TH BN_set_bit 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BN_set_bit, BN_clear_bit, BN_is_bit_set, BN_mask_bits, BN_lshift,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BN_swap.3 ../RELENG_4/secure/lib/libcrypto/man/BN_swap.3
*** secure/lib/libcrypto/man/BN_swap.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BN_swap.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:44 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:49 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BN_swap 3"
! .TH BN_swap 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BN_swap \- exchange BIGNUMs
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BN_swap 3"
! .TH BN_swap 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BN_swap \- exchange BIGNUMs
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/BN_zero.3 ../RELENG_4/secure/lib/libcrypto/man/BN_zero.3
*** secure/lib/libcrypto/man/BN_zero.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/BN_zero.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:45 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:49 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "BN_zero 3"
! .TH BN_zero 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BN_zero, BN_one, BN_value_one, BN_set_word, BN_get_word \- \s-1BIGNUM\s0 assignment
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "BN_zero 3"
! .TH BN_zero 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BN_zero, BN_one, BN_value_one, BN_set_word, BN_get_word \- \s-1BIGNUM\s0 assignment
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/CRYPTO_set_ex_data.3 ../RELENG_4/secure/lib/libcrypto/man/CRYPTO_set_ex_data.3
*** secure/lib/libcrypto/man/CRYPTO_set_ex_data.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/CRYPTO_set_ex_data.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:45 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:49 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "CRYPTO_set_ex_data 3"
! .TH CRYPTO_set_ex_data 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  CRYPTO_set_ex_data, CRYPTO_get_ex_data \- internal application specific data functions
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "CRYPTO_set_ex_data 3"
! .TH CRYPTO_set_ex_data 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  CRYPTO_set_ex_data, CRYPTO_get_ex_data \- internal application specific data functions
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/DH_generate_key.3 ../RELENG_4/secure/lib/libcrypto/man/DH_generate_key.3
*** secure/lib/libcrypto/man/DH_generate_key.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/DH_generate_key.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:45 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:49 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "DH_generate_key 3"
! .TH DH_generate_key 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  DH_generate_key, DH_compute_key \- perform Diffie-Hellman key exchange
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "DH_generate_key 3"
! .TH DH_generate_key 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  DH_generate_key, DH_compute_key \- perform Diffie-Hellman key exchange
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/DH_generate_parameters.3 ../RELENG_4/secure/lib/libcrypto/man/DH_generate_parameters.3
*** secure/lib/libcrypto/man/DH_generate_parameters.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/DH_generate_parameters.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:45 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:49 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "DH_generate_parameters 3"
! .TH DH_generate_parameters 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  DH_generate_parameters, DH_check \- generate and check Diffie-Hellman parameters
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "DH_generate_parameters 3"
! .TH DH_generate_parameters 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  DH_generate_parameters, DH_check \- generate and check Diffie-Hellman parameters
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/DH_get_ex_new_index.3 ../RELENG_4/secure/lib/libcrypto/man/DH_get_ex_new_index.3
*** secure/lib/libcrypto/man/DH_get_ex_new_index.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/DH_get_ex_new_index.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:45 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:49 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "DH_get_ex_new_index 3"
! .TH DH_get_ex_new_index 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  DH_get_ex_new_index, DH_set_ex_data, DH_get_ex_data \- add application specific data to \s-1DH\s0 structures
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "DH_get_ex_new_index 3"
! .TH DH_get_ex_new_index 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  DH_get_ex_new_index, DH_set_ex_data, DH_get_ex_data \- add application specific data to \s-1DH\s0 structures
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/DH_new.3 ../RELENG_4/secure/lib/libcrypto/man/DH_new.3
*** secure/lib/libcrypto/man/DH_new.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/DH_new.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:46 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:49 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "DH_new 3"
! .TH DH_new 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  DH_new, DH_free \- allocate and free \s-1DH\s0 objects
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "DH_new 3"
! .TH DH_new 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  DH_new, DH_free \- allocate and free \s-1DH\s0 objects
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/DH_set_method.3 ../RELENG_4/secure/lib/libcrypto/man/DH_set_method.3
*** secure/lib/libcrypto/man/DH_set_method.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/DH_set_method.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:46 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:50 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "DH_set_method 3"
! .TH DH_set_method 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  DH_set_default_method, DH_get_default_method,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "DH_set_method 3"
! .TH DH_set_method 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  DH_set_default_method, DH_get_default_method,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/DH_size.3 ../RELENG_4/secure/lib/libcrypto/man/DH_size.3
*** secure/lib/libcrypto/man/DH_size.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/DH_size.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:46 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:50 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "DH_size 3"
! .TH DH_size 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  DH_size \- get Diffie-Hellman prime size
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "DH_size 3"
! .TH DH_size 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  DH_size \- get Diffie-Hellman prime size
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/DSA_SIG_new.3 ../RELENG_4/secure/lib/libcrypto/man/DSA_SIG_new.3
*** secure/lib/libcrypto/man/DSA_SIG_new.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/DSA_SIG_new.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:46 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:50 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "DSA_SIG_new 3"
! .TH DSA_SIG_new 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  DSA_SIG_new, DSA_SIG_free \- allocate and free \s-1DSA\s0 signature objects
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "DSA_SIG_new 3"
! .TH DSA_SIG_new 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  DSA_SIG_new, DSA_SIG_free \- allocate and free \s-1DSA\s0 signature objects
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/DSA_do_sign.3 ../RELENG_4/secure/lib/libcrypto/man/DSA_do_sign.3
*** secure/lib/libcrypto/man/DSA_do_sign.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/DSA_do_sign.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:46 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:50 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "DSA_do_sign 3"
! .TH DSA_do_sign 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  DSA_do_sign, DSA_do_verify \- raw \s-1DSA\s0 signature operations
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "DSA_do_sign 3"
! .TH DSA_do_sign 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  DSA_do_sign, DSA_do_verify \- raw \s-1DSA\s0 signature operations
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/DSA_dup_DH.3 ../RELENG_4/secure/lib/libcrypto/man/DSA_dup_DH.3
*** secure/lib/libcrypto/man/DSA_dup_DH.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/DSA_dup_DH.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:47 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:50 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "DSA_dup_DH 3"
! .TH DSA_dup_DH 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  DSA_dup_DH \- create a \s-1DH\s0 structure out of \s-1DSA\s0 structure
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "DSA_dup_DH 3"
! .TH DSA_dup_DH 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  DSA_dup_DH \- create a \s-1DH\s0 structure out of \s-1DSA\s0 structure
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/DSA_generate_key.3 ../RELENG_4/secure/lib/libcrypto/man/DSA_generate_key.3
*** secure/lib/libcrypto/man/DSA_generate_key.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/DSA_generate_key.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:47 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:50 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "DSA_generate_key 3"
! .TH DSA_generate_key 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  DSA_generate_key \- generate \s-1DSA\s0 key pair
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "DSA_generate_key 3"
! .TH DSA_generate_key 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  DSA_generate_key \- generate \s-1DSA\s0 key pair
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/DSA_generate_parameters.3 ../RELENG_4/secure/lib/libcrypto/man/DSA_generate_parameters.3
*** secure/lib/libcrypto/man/DSA_generate_parameters.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/DSA_generate_parameters.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:47 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:51 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "DSA_generate_parameters 3"
! .TH DSA_generate_parameters 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  DSA_generate_parameters \- generate \s-1DSA\s0 parameters
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "DSA_generate_parameters 3"
! .TH DSA_generate_parameters 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  DSA_generate_parameters \- generate \s-1DSA\s0 parameters
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/DSA_get_ex_new_index.3 ../RELENG_4/secure/lib/libcrypto/man/DSA_get_ex_new_index.3
*** secure/lib/libcrypto/man/DSA_get_ex_new_index.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/DSA_get_ex_new_index.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:47 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:51 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "DSA_get_ex_new_index 3"
! .TH DSA_get_ex_new_index 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  DSA_get_ex_new_index, DSA_set_ex_data, DSA_get_ex_data \- add application specific data to \s-1DSA\s0 structures
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "DSA_get_ex_new_index 3"
! .TH DSA_get_ex_new_index 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  DSA_get_ex_new_index, DSA_set_ex_data, DSA_get_ex_data \- add application specific data to \s-1DSA\s0 structures
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/DSA_new.3 ../RELENG_4/secure/lib/libcrypto/man/DSA_new.3
*** secure/lib/libcrypto/man/DSA_new.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/DSA_new.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:47 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:51 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "DSA_new 3"
! .TH DSA_new 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  DSA_new, DSA_free \- allocate and free \s-1DSA\s0 objects
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "DSA_new 3"
! .TH DSA_new 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  DSA_new, DSA_free \- allocate and free \s-1DSA\s0 objects
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/DSA_set_method.3 ../RELENG_4/secure/lib/libcrypto/man/DSA_set_method.3
*** secure/lib/libcrypto/man/DSA_set_method.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/DSA_set_method.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:47 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:51 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "DSA_set_method 3"
! .TH DSA_set_method 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  DSA_set_default_method, DSA_get_default_method,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "DSA_set_method 3"
! .TH DSA_set_method 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  DSA_set_default_method, DSA_get_default_method,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/DSA_sign.3 ../RELENG_4/secure/lib/libcrypto/man/DSA_sign.3
*** secure/lib/libcrypto/man/DSA_sign.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/DSA_sign.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:48 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:51 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "DSA_sign 3"
! .TH DSA_sign 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  DSA_sign, DSA_sign_setup, DSA_verify \- \s-1DSA\s0 signatures
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "DSA_sign 3"
! .TH DSA_sign 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  DSA_sign, DSA_sign_setup, DSA_verify \- \s-1DSA\s0 signatures
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/DSA_size.3 ../RELENG_4/secure/lib/libcrypto/man/DSA_size.3
*** secure/lib/libcrypto/man/DSA_size.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/DSA_size.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:48 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:51 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "DSA_size 3"
! .TH DSA_size 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  DSA_size \- get \s-1DSA\s0 signature size
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "DSA_size 3"
! .TH DSA_size 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  DSA_size \- get \s-1DSA\s0 signature size
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/ERR_GET_LIB.3 ../RELENG_4/secure/lib/libcrypto/man/ERR_GET_LIB.3
*** secure/lib/libcrypto/man/ERR_GET_LIB.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/ERR_GET_LIB.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:48 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:52 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "ERR_GET_LIB 3"
! .TH ERR_GET_LIB 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  \&\s-1ERR_GET_LIB\s0, \s-1ERR_GET_FUNC\s0, \s-1ERR_GET_REASON\s0 \- get library, function and
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "ERR_GET_LIB 3"
! .TH ERR_GET_LIB 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  \&\s-1ERR_GET_LIB\s0, \s-1ERR_GET_FUNC\s0, \s-1ERR_GET_REASON\s0 \- get library, function and
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/ERR_clear_error.3 ../RELENG_4/secure/lib/libcrypto/man/ERR_clear_error.3
*** secure/lib/libcrypto/man/ERR_clear_error.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/ERR_clear_error.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:48 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:52 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "ERR_clear_error 3"
! .TH ERR_clear_error 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  ERR_clear_error \- clear the error queue
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "ERR_clear_error 3"
! .TH ERR_clear_error 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  ERR_clear_error \- clear the error queue
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/ERR_error_string.3 ../RELENG_4/secure/lib/libcrypto/man/ERR_error_string.3
*** secure/lib/libcrypto/man/ERR_error_string.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/ERR_error_string.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:48 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:52 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "ERR_error_string 3"
! .TH ERR_error_string 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  ERR_error_string, ERR_error_string_n, ERR_lib_error_string,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "ERR_error_string 3"
! .TH ERR_error_string 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  ERR_error_string, ERR_error_string_n, ERR_lib_error_string,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/ERR_get_error.3 ../RELENG_4/secure/lib/libcrypto/man/ERR_get_error.3
*** secure/lib/libcrypto/man/ERR_get_error.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/ERR_get_error.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:49 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:52 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "ERR_get_error 3"
! .TH ERR_get_error 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  ERR_get_error, ERR_peek_error, ERR_peek_last_error,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "ERR_get_error 3"
! .TH ERR_get_error 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  ERR_get_error, ERR_peek_error, ERR_peek_last_error,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/ERR_load_crypto_strings.3 ../RELENG_4/secure/lib/libcrypto/man/ERR_load_crypto_strings.3
*** secure/lib/libcrypto/man/ERR_load_crypto_strings.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/ERR_load_crypto_strings.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:49 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:52 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "ERR_load_crypto_strings 3"
! .TH ERR_load_crypto_strings 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  ERR_load_crypto_strings, SSL_load_error_strings, ERR_free_strings \-
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "ERR_load_crypto_strings 3"
! .TH ERR_load_crypto_strings 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  ERR_load_crypto_strings, SSL_load_error_strings, ERR_free_strings \-
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/ERR_load_strings.3 ../RELENG_4/secure/lib/libcrypto/man/ERR_load_strings.3
*** secure/lib/libcrypto/man/ERR_load_strings.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/ERR_load_strings.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:49 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:52 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "ERR_load_strings 3"
! .TH ERR_load_strings 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  ERR_load_strings, \s-1ERR_PACK\s0, ERR_get_next_error_library \- load
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "ERR_load_strings 3"
! .TH ERR_load_strings 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  ERR_load_strings, \s-1ERR_PACK\s0, ERR_get_next_error_library \- load
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/ERR_print_errors.3 ../RELENG_4/secure/lib/libcrypto/man/ERR_print_errors.3
*** secure/lib/libcrypto/man/ERR_print_errors.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/ERR_print_errors.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:49 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:53 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "ERR_print_errors 3"
! .TH ERR_print_errors 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  ERR_print_errors, ERR_print_errors_fp \- print error messages
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "ERR_print_errors 3"
! .TH ERR_print_errors 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  ERR_print_errors, ERR_print_errors_fp \- print error messages
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/ERR_put_error.3 ../RELENG_4/secure/lib/libcrypto/man/ERR_put_error.3
*** secure/lib/libcrypto/man/ERR_put_error.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/ERR_put_error.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:50 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:53 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "ERR_put_error 3"
! .TH ERR_put_error 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  ERR_put_error, ERR_add_error_data \- record an error
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "ERR_put_error 3"
! .TH ERR_put_error 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  ERR_put_error, ERR_add_error_data \- record an error
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/ERR_remove_state.3 ../RELENG_4/secure/lib/libcrypto/man/ERR_remove_state.3
*** secure/lib/libcrypto/man/ERR_remove_state.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/ERR_remove_state.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:50 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:53 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "ERR_remove_state 3"
! .TH ERR_remove_state 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  ERR_remove_state \- free a thread's error queue
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "ERR_remove_state 3"
! .TH ERR_remove_state 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  ERR_remove_state \- free a thread's error queue
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/EVP_BytesToKey.3 ../RELENG_4/secure/lib/libcrypto/man/EVP_BytesToKey.3
*** secure/lib/libcrypto/man/EVP_BytesToKey.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/EVP_BytesToKey.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:50 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:53 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "EVP_BytesToKey 3"
! .TH EVP_BytesToKey 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  .Vb 1
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "EVP_BytesToKey 3"
! .TH EVP_BytesToKey 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  .Vb 1
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/EVP_DigestInit.3 ../RELENG_4/secure/lib/libcrypto/man/EVP_DigestInit.3
*** secure/lib/libcrypto/man/EVP_DigestInit.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/EVP_DigestInit.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:50 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:53 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "EVP_DigestInit 3"
! .TH EVP_DigestInit 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  EVP_MD_CTX_init, EVP_MD_CTX_create, EVP_DigestInit_ex, EVP_DigestUpdate,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "EVP_DigestInit 3"
! .TH EVP_DigestInit 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  EVP_MD_CTX_init, EVP_MD_CTX_create, EVP_DigestInit_ex, EVP_DigestUpdate,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/EVP_EncryptInit.3 ../RELENG_4/secure/lib/libcrypto/man/EVP_EncryptInit.3
*** secure/lib/libcrypto/man/EVP_EncryptInit.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/EVP_EncryptInit.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:50 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:53 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "EVP_EncryptInit 3"
! .TH EVP_EncryptInit 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  EVP_CIPHER_CTX_init, EVP_EncryptInit_ex, EVP_EncryptUpdate,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "EVP_EncryptInit 3"
! .TH EVP_EncryptInit 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  EVP_CIPHER_CTX_init, EVP_EncryptInit_ex, EVP_EncryptUpdate,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/EVP_OpenInit.3 ../RELENG_4/secure/lib/libcrypto/man/EVP_OpenInit.3
*** secure/lib/libcrypto/man/EVP_OpenInit.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/EVP_OpenInit.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:51 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:54 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "EVP_OpenInit 3"
! .TH EVP_OpenInit 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  EVP_OpenInit, EVP_OpenUpdate, EVP_OpenFinal \- \s-1EVP\s0 envelope decryption
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "EVP_OpenInit 3"
! .TH EVP_OpenInit 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  EVP_OpenInit, EVP_OpenUpdate, EVP_OpenFinal \- \s-1EVP\s0 envelope decryption
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/EVP_PKEY_new.3 ../RELENG_4/secure/lib/libcrypto/man/EVP_PKEY_new.3
*** secure/lib/libcrypto/man/EVP_PKEY_new.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/EVP_PKEY_new.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:51 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:54 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "EVP_PKEY_new 3"
! .TH EVP_PKEY_new 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  EVP_PKEY_new, EVP_PKEY_free \- private key allocation functions.
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "EVP_PKEY_new 3"
! .TH EVP_PKEY_new 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  EVP_PKEY_new, EVP_PKEY_free \- private key allocation functions.
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/EVP_PKEY_set1_RSA.3 ../RELENG_4/secure/lib/libcrypto/man/EVP_PKEY_set1_RSA.3
*** secure/lib/libcrypto/man/EVP_PKEY_set1_RSA.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/EVP_PKEY_set1_RSA.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:51 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:54 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "EVP_PKEY_set1_RSA 3"
! .TH EVP_PKEY_set1_RSA 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  EVP_PKEY_set1_RSA, EVP_PKEY_set1_DSA, EVP_PKEY_set1_DH, EVP_PKEY_set1_EC_KEY,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "EVP_PKEY_set1_RSA 3"
! .TH EVP_PKEY_set1_RSA 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  EVP_PKEY_set1_RSA, EVP_PKEY_set1_DSA, EVP_PKEY_set1_DH, EVP_PKEY_set1_EC_KEY,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/EVP_SealInit.3 ../RELENG_4/secure/lib/libcrypto/man/EVP_SealInit.3
*** secure/lib/libcrypto/man/EVP_SealInit.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/EVP_SealInit.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:51 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:54 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "EVP_SealInit 3"
! .TH EVP_SealInit 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  EVP_SealInit, EVP_SealUpdate, EVP_SealFinal \- \s-1EVP\s0 envelope encryption
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "EVP_SealInit 3"
! .TH EVP_SealInit 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  EVP_SealInit, EVP_SealUpdate, EVP_SealFinal \- \s-1EVP\s0 envelope encryption
***************
*** 158,178 ****
  .SH "DESCRIPTION"
  .IX Header "DESCRIPTION"
  The \s-1EVP\s0 envelope routines are a high level interface to envelope
! encryption. They generate a random key and then \*(L"envelope\*(R" it by
! using public key encryption. Data can then be encrypted using this
! key.
  .PP
  \&\fIEVP_SealInit()\fR initializes a cipher context \fBctx\fR for encryption
! with cipher \fBtype\fR using a random secret key and \s-1IV\s0 supplied in
! the \fBiv\fR parameter. \fBtype\fR is normally supplied by a function such
! as \fIEVP_des_cbc()\fR. The secret key is encrypted using one or more public
! keys, this allows the same encrypted data to be decrypted using any
! of the corresponding private keys. \fBek\fR is an array of buffers where
! the public key encrypted secret key will be written, each buffer must
! contain enough room for the corresponding encrypted key: that is
  \&\fBek[i]\fR must have room for \fBEVP_PKEY_size(pubk[i])\fR bytes. The actual
  size of each encrypted secret key is written to the array \fBekl\fR. \fBpubk\fR is
  an array of \fBnpubk\fR public keys.
  .PP
  \&\fIEVP_SealUpdate()\fR and \fIEVP_SealFinal()\fR have exactly the same properties
  as the \fIEVP_EncryptUpdate()\fR and \fIEVP_EncryptFinal()\fR routines, as 
--- 158,184 ----
  .SH "DESCRIPTION"
  .IX Header "DESCRIPTION"
  The \s-1EVP\s0 envelope routines are a high level interface to envelope
! encryption. They generate a random key and \s-1IV\s0 (if required) then
! \&\*(L"envelope\*(R" it by using public key encryption. Data can then be
! encrypted using this key.
  .PP
  \&\fIEVP_SealInit()\fR initializes a cipher context \fBctx\fR for encryption
! with cipher \fBtype\fR using a random secret key and \s-1IV\s0. \fBtype\fR is normally
! supplied by a function such as \fIEVP_des_cbc()\fR. The secret key is encrypted
! using one or more public keys, this allows the same encrypted data to be
! decrypted using any of the corresponding private keys. \fBek\fR is an array of
! buffers where the public key encrypted secret key will be written, each buffer
! must contain enough room for the corresponding encrypted key: that is
  \&\fBek[i]\fR must have room for \fBEVP_PKEY_size(pubk[i])\fR bytes. The actual
  size of each encrypted secret key is written to the array \fBekl\fR. \fBpubk\fR is
  an array of \fBnpubk\fR public keys.
+ .PP
+ The \fBiv\fR parameter is a buffer where the generated \s-1IV\s0 is written to. It must
+ contain enough room for the corresponding cipher's \s-1IV\s0, as determined by (for
+ example) EVP_CIPHER_iv_length(type).
+ .PP
+ If the cipher does not require an \s-1IV\s0 then the \fBiv\fR parameter is ignored
+ and can be \fB\s-1NULL\s0\fR.
  .PP
  \&\fIEVP_SealUpdate()\fR and \fIEVP_SealFinal()\fR have exactly the same properties
  as the \fIEVP_EncryptUpdate()\fR and \fIEVP_EncryptFinal()\fR routines, as 
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/EVP_SignInit.3 ../RELENG_4/secure/lib/libcrypto/man/EVP_SignInit.3
*** secure/lib/libcrypto/man/EVP_SignInit.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/EVP_SignInit.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:51 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:54 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "EVP_SignInit 3"
! .TH EVP_SignInit 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  EVP_SignInit, EVP_SignUpdate, EVP_SignFinal \- \s-1EVP\s0 signing functions
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "EVP_SignInit 3"
! .TH EVP_SignInit 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  EVP_SignInit, EVP_SignUpdate, EVP_SignFinal \- \s-1EVP\s0 signing functions
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/EVP_VerifyInit.3 ../RELENG_4/secure/lib/libcrypto/man/EVP_VerifyInit.3
*** secure/lib/libcrypto/man/EVP_VerifyInit.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/EVP_VerifyInit.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:52 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:55 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "EVP_VerifyInit 3"
! .TH EVP_VerifyInit 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  EVP_VerifyInit, EVP_VerifyUpdate, EVP_VerifyFinal \- \s-1EVP\s0 signature verification functions
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "EVP_VerifyInit 3"
! .TH EVP_VerifyInit 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  EVP_VerifyInit, EVP_VerifyUpdate, EVP_VerifyFinal \- \s-1EVP\s0 signature verification functions
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/OBJ_nid2obj.3 ../RELENG_4/secure/lib/libcrypto/man/OBJ_nid2obj.3
*** secure/lib/libcrypto/man/OBJ_nid2obj.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/OBJ_nid2obj.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:52 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:55 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "OBJ_nid2obj 3"
! .TH OBJ_nid2obj 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  OBJ_nid2obj, OBJ_nid2ln, OBJ_nid2sn, OBJ_obj2nid, OBJ_txt2nid, OBJ_ln2nid, OBJ_sn2nid,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "OBJ_nid2obj 3"
! .TH OBJ_nid2obj 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  OBJ_nid2obj, OBJ_nid2ln, OBJ_nid2sn, OBJ_obj2nid, OBJ_txt2nid, OBJ_ln2nid, OBJ_sn2nid,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/OPENSSL_VERSION_NUMBER.3 ../RELENG_4/secure/lib/libcrypto/man/OPENSSL_VERSION_NUMBER.3
*** secure/lib/libcrypto/man/OPENSSL_VERSION_NUMBER.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/OPENSSL_VERSION_NUMBER.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:52 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:55 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "OPENSSL_VERSION_NUMBER 3"
! .TH OPENSSL_VERSION_NUMBER 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  \&\s-1OPENSSL_VERSION_NUMBER\s0, SSLeay, SSLeay_version \- get OpenSSL version number
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "OPENSSL_VERSION_NUMBER 3"
! .TH OPENSSL_VERSION_NUMBER 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  \&\s-1OPENSSL_VERSION_NUMBER\s0, SSLeay, SSLeay_version \- get OpenSSL version number
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/OpenSSL_add_all_algorithms.3 ../RELENG_4/secure/lib/libcrypto/man/OpenSSL_add_all_algorithms.3
*** secure/lib/libcrypto/man/OpenSSL_add_all_algorithms.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/OpenSSL_add_all_algorithms.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:52 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:55 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "OpenSSL_add_all_algorithms 3"
! .TH OpenSSL_add_all_algorithms 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  OpenSSL_add_all_algorithms, OpenSSL_add_all_ciphers, OpenSSL_add_all_digests \-
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "OpenSSL_add_all_algorithms 3"
! .TH OpenSSL_add_all_algorithms 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  OpenSSL_add_all_algorithms, OpenSSL_add_all_ciphers, OpenSSL_add_all_digests \-
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/PKCS12_create.3 ../RELENG_4/secure/lib/libcrypto/man/PKCS12_create.3
*** secure/lib/libcrypto/man/PKCS12_create.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/PKCS12_create.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:52 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:55 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "PKCS12_create 3"
! .TH PKCS12_create 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  PKCS12_create \- create a PKCS#12 structure
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "PKCS12_create 3"
! .TH PKCS12_create 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  PKCS12_create \- create a PKCS#12 structure
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/PKCS12_parse.3 ../RELENG_4/secure/lib/libcrypto/man/PKCS12_parse.3
*** secure/lib/libcrypto/man/PKCS12_parse.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/PKCS12_parse.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:53 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:55 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "PKCS12_parse 3"
! .TH PKCS12_parse 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  PKCS12_parse \- parse a PKCS#12 structure
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "PKCS12_parse 3"
! .TH PKCS12_parse 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  PKCS12_parse \- parse a PKCS#12 structure
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/PKCS7_decrypt.3 ../RELENG_4/secure/lib/libcrypto/man/PKCS7_decrypt.3
*** secure/lib/libcrypto/man/PKCS7_decrypt.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/PKCS7_decrypt.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:53 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:56 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "PKCS7_decrypt 3"
! .TH PKCS7_decrypt 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  PKCS7_decrypt \- decrypt content from a PKCS#7 envelopedData structure
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "PKCS7_decrypt 3"
! .TH PKCS7_decrypt 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  PKCS7_decrypt \- decrypt content from a PKCS#7 envelopedData structure
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/PKCS7_encrypt.3 ../RELENG_4/secure/lib/libcrypto/man/PKCS7_encrypt.3
*** secure/lib/libcrypto/man/PKCS7_encrypt.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/PKCS7_encrypt.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:53 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:56 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "PKCS7_encrypt 3"
! .TH PKCS7_encrypt 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  PKCS7_encrypt \- create a PKCS#7 envelopedData structure
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "PKCS7_encrypt 3"
! .TH PKCS7_encrypt 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  PKCS7_encrypt \- create a PKCS#7 envelopedData structure
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/PKCS7_sign.3 ../RELENG_4/secure/lib/libcrypto/man/PKCS7_sign.3
*** secure/lib/libcrypto/man/PKCS7_sign.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/PKCS7_sign.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:53 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:56 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "PKCS7_sign 3"
! .TH PKCS7_sign 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  PKCS7_sign \- create a PKCS#7 signedData structure
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "PKCS7_sign 3"
! .TH PKCS7_sign 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  PKCS7_sign \- create a PKCS#7 signedData structure
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/PKCS7_verify.3 ../RELENG_4/secure/lib/libcrypto/man/PKCS7_verify.3
*** secure/lib/libcrypto/man/PKCS7_verify.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/PKCS7_verify.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:53 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:56 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "PKCS7_verify 3"
! .TH PKCS7_verify 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  PKCS7_verify \- verify a PKCS#7 signedData structure
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "PKCS7_verify 3"
! .TH PKCS7_verify 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  PKCS7_verify \- verify a PKCS#7 signedData structure
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/RAND_add.3 ../RELENG_4/secure/lib/libcrypto/man/RAND_add.3
*** secure/lib/libcrypto/man/RAND_add.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/RAND_add.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:54 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:56 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "RAND_add 3"
! .TH RAND_add 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  RAND_add, RAND_seed, RAND_status, RAND_event, RAND_screen \- add
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "RAND_add 3"
! .TH RAND_add 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  RAND_add, RAND_seed, RAND_status, RAND_event, RAND_screen \- add
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/RAND_bytes.3 ../RELENG_4/secure/lib/libcrypto/man/RAND_bytes.3
*** secure/lib/libcrypto/man/RAND_bytes.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/RAND_bytes.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:54 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:56 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "RAND_bytes 3"
! .TH RAND_bytes 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  RAND_bytes, RAND_pseudo_bytes \- generate random data
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "RAND_bytes 3"
! .TH RAND_bytes 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  RAND_bytes, RAND_pseudo_bytes \- generate random data
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/RAND_cleanup.3 ../RELENG_4/secure/lib/libcrypto/man/RAND_cleanup.3
*** secure/lib/libcrypto/man/RAND_cleanup.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/RAND_cleanup.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:54 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:57 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "RAND_cleanup 3"
! .TH RAND_cleanup 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  RAND_cleanup \- erase the \s-1PRNG\s0 state
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "RAND_cleanup 3"
! .TH RAND_cleanup 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  RAND_cleanup \- erase the \s-1PRNG\s0 state
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/RAND_egd.3 ../RELENG_4/secure/lib/libcrypto/man/RAND_egd.3
*** secure/lib/libcrypto/man/RAND_egd.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/RAND_egd.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:54 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:57 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "RAND_egd 3"
! .TH RAND_egd 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  RAND_egd \- query entropy gathering daemon
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "RAND_egd 3"
! .TH RAND_egd 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  RAND_egd \- query entropy gathering daemon
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/RAND_load_file.3 ../RELENG_4/secure/lib/libcrypto/man/RAND_load_file.3
*** secure/lib/libcrypto/man/RAND_load_file.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/RAND_load_file.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:54 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:57 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "RAND_load_file 3"
! .TH RAND_load_file 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  RAND_load_file, RAND_write_file, RAND_file_name \- \s-1PRNG\s0 seed file
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "RAND_load_file 3"
! .TH RAND_load_file 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  RAND_load_file, RAND_write_file, RAND_file_name \- \s-1PRNG\s0 seed file
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/RAND_set_rand_method.3 ../RELENG_4/secure/lib/libcrypto/man/RAND_set_rand_method.3
*** secure/lib/libcrypto/man/RAND_set_rand_method.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/RAND_set_rand_method.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:55 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:57 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "RAND_set_rand_method 3"
! .TH RAND_set_rand_method 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  RAND_set_rand_method, RAND_get_rand_method, RAND_SSLeay \- select \s-1RAND\s0 method
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "RAND_set_rand_method 3"
! .TH RAND_set_rand_method 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  RAND_set_rand_method, RAND_get_rand_method, RAND_SSLeay \- select \s-1RAND\s0 method
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/RSA_blinding_on.3 ../RELENG_4/secure/lib/libcrypto/man/RSA_blinding_on.3
*** secure/lib/libcrypto/man/RSA_blinding_on.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/RSA_blinding_on.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:55 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:57 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "RSA_blinding_on 3"
! .TH RSA_blinding_on 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  RSA_blinding_on, RSA_blinding_off \- protect the \s-1RSA\s0 operation from timing attacks
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "RSA_blinding_on 3"
! .TH RSA_blinding_on 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  RSA_blinding_on, RSA_blinding_off \- protect the \s-1RSA\s0 operation from timing attacks
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/RSA_check_key.3 ../RELENG_4/secure/lib/libcrypto/man/RSA_check_key.3
*** secure/lib/libcrypto/man/RSA_check_key.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/RSA_check_key.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:55 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:57 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "RSA_check_key 3"
! .TH RSA_check_key 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  RSA_check_key \- validate private \s-1RSA\s0 keys
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "RSA_check_key 3"
! .TH RSA_check_key 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  RSA_check_key \- validate private \s-1RSA\s0 keys
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/RSA_generate_key.3 ../RELENG_4/secure/lib/libcrypto/man/RSA_generate_key.3
*** secure/lib/libcrypto/man/RSA_generate_key.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/RSA_generate_key.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:55 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:58 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "RSA_generate_key 3"
! .TH RSA_generate_key 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  RSA_generate_key \- generate \s-1RSA\s0 key pair
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "RSA_generate_key 3"
! .TH RSA_generate_key 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  RSA_generate_key \- generate \s-1RSA\s0 key pair
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/RSA_get_ex_new_index.3 ../RELENG_4/secure/lib/libcrypto/man/RSA_get_ex_new_index.3
*** secure/lib/libcrypto/man/RSA_get_ex_new_index.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/RSA_get_ex_new_index.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:55 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:58 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "RSA_get_ex_new_index 3"
! .TH RSA_get_ex_new_index 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  RSA_get_ex_new_index, RSA_set_ex_data, RSA_get_ex_data \- add application specific data to \s-1RSA\s0 structures
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "RSA_get_ex_new_index 3"
! .TH RSA_get_ex_new_index 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  RSA_get_ex_new_index, RSA_set_ex_data, RSA_get_ex_data \- add application specific data to \s-1RSA\s0 structures
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/RSA_new.3 ../RELENG_4/secure/lib/libcrypto/man/RSA_new.3
*** secure/lib/libcrypto/man/RSA_new.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/RSA_new.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:56 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:58 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "RSA_new 3"
! .TH RSA_new 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  RSA_new, RSA_free \- allocate and free \s-1RSA\s0 objects
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "RSA_new 3"
! .TH RSA_new 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  RSA_new, RSA_free \- allocate and free \s-1RSA\s0 objects
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/RSA_padding_add_PKCS1_type_1.3 ../RELENG_4/secure/lib/libcrypto/man/RSA_padding_add_PKCS1_type_1.3
*** secure/lib/libcrypto/man/RSA_padding_add_PKCS1_type_1.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/RSA_padding_add_PKCS1_type_1.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:56 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:58 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "RSA_padding_add_PKCS1_type_1 3"
! .TH RSA_padding_add_PKCS1_type_1 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  RSA_padding_add_PKCS1_type_1, RSA_padding_check_PKCS1_type_1,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "RSA_padding_add_PKCS1_type_1 3"
! .TH RSA_padding_add_PKCS1_type_1 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  RSA_padding_add_PKCS1_type_1, RSA_padding_check_PKCS1_type_1,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/RSA_print.3 ../RELENG_4/secure/lib/libcrypto/man/RSA_print.3
*** secure/lib/libcrypto/man/RSA_print.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/RSA_print.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:56 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:58 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "RSA_print 3"
! .TH RSA_print 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  RSA_print, RSA_print_fp,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "RSA_print 3"
! .TH RSA_print 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  RSA_print, RSA_print_fp,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/RSA_private_encrypt.3 ../RELENG_4/secure/lib/libcrypto/man/RSA_private_encrypt.3
*** secure/lib/libcrypto/man/RSA_private_encrypt.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/RSA_private_encrypt.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:56 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:58 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "RSA_private_encrypt 3"
! .TH RSA_private_encrypt 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  RSA_private_encrypt, RSA_public_decrypt \- low level signature operations
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "RSA_private_encrypt 3"
! .TH RSA_private_encrypt 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  RSA_private_encrypt, RSA_public_decrypt \- low level signature operations
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/RSA_public_encrypt.3 ../RELENG_4/secure/lib/libcrypto/man/RSA_public_encrypt.3
*** secure/lib/libcrypto/man/RSA_public_encrypt.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/RSA_public_encrypt.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:56 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:59 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "RSA_public_encrypt 3"
! .TH RSA_public_encrypt 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  RSA_public_encrypt, RSA_private_decrypt \- \s-1RSA\s0 public key cryptography
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "RSA_public_encrypt 3"
! .TH RSA_public_encrypt 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  RSA_public_encrypt, RSA_private_decrypt \- \s-1RSA\s0 public key cryptography
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/RSA_set_method.3 ../RELENG_4/secure/lib/libcrypto/man/RSA_set_method.3
*** secure/lib/libcrypto/man/RSA_set_method.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/RSA_set_method.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:57 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:59 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "RSA_set_method 3"
! .TH RSA_set_method 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  RSA_set_default_method, RSA_get_default_method, RSA_set_method,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "RSA_set_method 3"
! .TH RSA_set_method 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  RSA_set_default_method, RSA_get_default_method, RSA_set_method,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/RSA_sign.3 ../RELENG_4/secure/lib/libcrypto/man/RSA_sign.3
*** secure/lib/libcrypto/man/RSA_sign.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/RSA_sign.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:57 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:59 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "RSA_sign 3"
! .TH RSA_sign 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  RSA_sign, RSA_verify \- \s-1RSA\s0 signatures
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "RSA_sign 3"
! .TH RSA_sign 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  RSA_sign, RSA_verify \- \s-1RSA\s0 signatures
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/RSA_sign_ASN1_OCTET_STRING.3 ../RELENG_4/secure/lib/libcrypto/man/RSA_sign_ASN1_OCTET_STRING.3
*** secure/lib/libcrypto/man/RSA_sign_ASN1_OCTET_STRING.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/RSA_sign_ASN1_OCTET_STRING.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:57 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:59 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "RSA_sign_ASN1_OCTET_STRING 3"
! .TH RSA_sign_ASN1_OCTET_STRING 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  RSA_sign_ASN1_OCTET_STRING, RSA_verify_ASN1_OCTET_STRING \- \s-1RSA\s0 signatures
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "RSA_sign_ASN1_OCTET_STRING 3"
! .TH RSA_sign_ASN1_OCTET_STRING 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  RSA_sign_ASN1_OCTET_STRING, RSA_verify_ASN1_OCTET_STRING \- \s-1RSA\s0 signatures
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/RSA_size.3 ../RELENG_4/secure/lib/libcrypto/man/RSA_size.3
*** secure/lib/libcrypto/man/RSA_size.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/RSA_size.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:57 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:42:59 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "RSA_size 3"
! .TH RSA_size 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  RSA_size \- get \s-1RSA\s0 modulus size
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "RSA_size 3"
! .TH RSA_size 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  RSA_size \- get \s-1RSA\s0 modulus size
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/SMIME_read_PKCS7.3 ../RELENG_4/secure/lib/libcrypto/man/SMIME_read_PKCS7.3
*** secure/lib/libcrypto/man/SMIME_read_PKCS7.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/SMIME_read_PKCS7.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:57 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:00 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SMIME_read_PKCS7 3"
! .TH SMIME_read_PKCS7 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SMIME_read_PKCS7 \- parse S/MIME message.
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SMIME_read_PKCS7 3"
! .TH SMIME_read_PKCS7 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SMIME_read_PKCS7 \- parse S/MIME message.
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/SMIME_write_PKCS7.3 ../RELENG_4/secure/lib/libcrypto/man/SMIME_write_PKCS7.3
*** secure/lib/libcrypto/man/SMIME_write_PKCS7.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/SMIME_write_PKCS7.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:57 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:00 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SMIME_write_PKCS7 3"
! .TH SMIME_write_PKCS7 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SMIME_write_PKCS7 \- convert PKCS#7 structure to S/MIME format.
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SMIME_write_PKCS7 3"
! .TH SMIME_write_PKCS7 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SMIME_write_PKCS7 \- convert PKCS#7 structure to S/MIME format.
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/X509_NAME_ENTRY_get_object.3 ../RELENG_4/secure/lib/libcrypto/man/X509_NAME_ENTRY_get_object.3
*** secure/lib/libcrypto/man/X509_NAME_ENTRY_get_object.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/X509_NAME_ENTRY_get_object.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:58 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:00 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "X509_NAME_ENTRY_get_object 3"
! .TH X509_NAME_ENTRY_get_object 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  X509_NAME_ENTRY_get_object, X509_NAME_ENTRY_get_data,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "X509_NAME_ENTRY_get_object 3"
! .TH X509_NAME_ENTRY_get_object 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  X509_NAME_ENTRY_get_object, X509_NAME_ENTRY_get_data,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/X509_NAME_add_entry_by_txt.3 ../RELENG_4/secure/lib/libcrypto/man/X509_NAME_add_entry_by_txt.3
*** secure/lib/libcrypto/man/X509_NAME_add_entry_by_txt.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/X509_NAME_add_entry_by_txt.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:58 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:00 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "X509_NAME_add_entry_by_txt 3"
! .TH X509_NAME_add_entry_by_txt 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  X509_NAME_add_entry_by_txt, X509_NAME_add_entry_by_OBJ, X509_NAME_add_entry_by_NID,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "X509_NAME_add_entry_by_txt 3"
! .TH X509_NAME_add_entry_by_txt 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  X509_NAME_add_entry_by_txt, X509_NAME_add_entry_by_OBJ, X509_NAME_add_entry_by_NID,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/X509_NAME_get_index_by_NID.3 ../RELENG_4/secure/lib/libcrypto/man/X509_NAME_get_index_by_NID.3
*** secure/lib/libcrypto/man/X509_NAME_get_index_by_NID.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/X509_NAME_get_index_by_NID.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:58 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:00 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "X509_NAME_get_index_by_NID 3"
! .TH X509_NAME_get_index_by_NID 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  X509_NAME_get_index_by_NID, X509_NAME_get_index_by_OBJ, X509_NAME_get_entry,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "X509_NAME_get_index_by_NID 3"
! .TH X509_NAME_get_index_by_NID 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  X509_NAME_get_index_by_NID, X509_NAME_get_index_by_OBJ, X509_NAME_get_entry,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/X509_NAME_print_ex.3 ../RELENG_4/secure/lib/libcrypto/man/X509_NAME_print_ex.3
*** secure/lib/libcrypto/man/X509_NAME_print_ex.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/X509_NAME_print_ex.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:58 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:00 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "X509_NAME_print_ex 3"
! .TH X509_NAME_print_ex 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  X509_NAME_print_ex, X509_NAME_print_ex_fp, X509_NAME_print,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "X509_NAME_print_ex 3"
! .TH X509_NAME_print_ex 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  X509_NAME_print_ex, X509_NAME_print_ex_fp, X509_NAME_print,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/X509_new.3 ../RELENG_4/secure/lib/libcrypto/man/X509_new.3
*** secure/lib/libcrypto/man/X509_new.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/X509_new.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:58 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:01 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "X509_new 3"
! .TH X509_new 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  X509_new, X509_free \- X509 certificate \s-1ASN1\s0 allocation functions
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "X509_new 3"
! .TH X509_new 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  X509_new, X509_free \- X509 certificate \s-1ASN1\s0 allocation functions
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/bio.3 ../RELENG_4/secure/lib/libcrypto/man/bio.3
*** secure/lib/libcrypto/man/bio.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/bio.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:59 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:01 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "bio 3"
! .TH bio 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  bio \- I/O abstraction
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "bio 3"
! .TH bio 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  bio \- I/O abstraction
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/blowfish.3 ../RELENG_4/secure/lib/libcrypto/man/blowfish.3
*** secure/lib/libcrypto/man/blowfish.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/blowfish.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:59 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:01 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "blowfish 3"
! .TH blowfish 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  blowfish, BF_set_key, BF_encrypt, BF_decrypt, BF_ecb_encrypt, BF_cbc_encrypt,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "blowfish 3"
! .TH blowfish 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  blowfish, BF_set_key, BF_encrypt, BF_decrypt, BF_ecb_encrypt, BF_cbc_encrypt,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/bn.3 ../RELENG_4/secure/lib/libcrypto/man/bn.3
*** secure/lib/libcrypto/man/bn.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/bn.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:59 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:01 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "bn 3"
! .TH bn 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  bn \- multiprecision integer arithmetics
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "bn 3"
! .TH bn 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  bn \- multiprecision integer arithmetics
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/bn_internal.3 ../RELENG_4/secure/lib/libcrypto/man/bn_internal.3
*** secure/lib/libcrypto/man/bn_internal.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/bn_internal.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:59 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:01 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "bn_internal 3"
! .TH bn_internal 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  bn_mul_words, bn_mul_add_words, bn_sqr_words, bn_div_words,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "bn_internal 3"
! .TH bn_internal 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  bn_mul_words, bn_mul_add_words, bn_sqr_words, bn_div_words,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/buffer.3 ../RELENG_4/secure/lib/libcrypto/man/buffer.3
*** secure/lib/libcrypto/man/buffer.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/buffer.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:00 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:01 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "buffer 3"
! .TH buffer 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  BUF_MEM_new, BUF_MEM_free, BUF_MEM_grow, BUF_strdup \- simple
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "buffer 3"
! .TH buffer 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  BUF_MEM_new, BUF_MEM_free, BUF_MEM_grow, BUF_strdup \- simple
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/crypto.3 ../RELENG_4/secure/lib/libcrypto/man/crypto.3
*** secure/lib/libcrypto/man/crypto.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/crypto.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:00 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:02 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "crypto 3"
! .TH crypto 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  crypto \- OpenSSL cryptographic library
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "crypto 3"
! .TH crypto 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  crypto \- OpenSSL cryptographic library
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/d2i_ASN1_OBJECT.3 ../RELENG_4/secure/lib/libcrypto/man/d2i_ASN1_OBJECT.3
*** secure/lib/libcrypto/man/d2i_ASN1_OBJECT.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/d2i_ASN1_OBJECT.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:00 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:02 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "d2i_ASN1_OBJECT 3"
! .TH d2i_ASN1_OBJECT 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  d2i_ASN1_OBJECT, i2d_ASN1_OBJECT \- \s-1ASN1\s0 \s-1OBJECT\s0 \s-1IDENTIFIER\s0 functions
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "d2i_ASN1_OBJECT 3"
! .TH d2i_ASN1_OBJECT 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  d2i_ASN1_OBJECT, i2d_ASN1_OBJECT \- \s-1ASN1\s0 \s-1OBJECT\s0 \s-1IDENTIFIER\s0 functions
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/d2i_DHparams.3 ../RELENG_4/secure/lib/libcrypto/man/d2i_DHparams.3
*** secure/lib/libcrypto/man/d2i_DHparams.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/d2i_DHparams.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:00 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:02 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "d2i_DHparams 3"
! .TH d2i_DHparams 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  d2i_DHparams, i2d_DHparams \- PKCS#3 \s-1DH\s0 parameter functions.
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "d2i_DHparams 3"
! .TH d2i_DHparams 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  d2i_DHparams, i2d_DHparams \- PKCS#3 \s-1DH\s0 parameter functions.
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/d2i_DSAPublicKey.3 ../RELENG_4/secure/lib/libcrypto/man/d2i_DSAPublicKey.3
*** secure/lib/libcrypto/man/d2i_DSAPublicKey.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/d2i_DSAPublicKey.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:00 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:02 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "d2i_DSAPublicKey 3"
! .TH d2i_DSAPublicKey 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  d2i_DSAPublicKey, i2d_DSAPublicKey, d2i_DSAPrivateKey, i2d_DSAPrivateKey,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "d2i_DSAPublicKey 3"
! .TH d2i_DSAPublicKey 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  d2i_DSAPublicKey, i2d_DSAPublicKey, d2i_DSAPrivateKey, i2d_DSAPrivateKey,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/d2i_PKCS8PrivateKey.3 ../RELENG_4/secure/lib/libcrypto/man/d2i_PKCS8PrivateKey.3
*** secure/lib/libcrypto/man/d2i_PKCS8PrivateKey.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/d2i_PKCS8PrivateKey.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:00 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:02 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "d2i_PKCS8PrivateKey 3"
! .TH d2i_PKCS8PrivateKey 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  d2i_PKCS8PrivateKey_bio, d2i_PKCS8PrivateKey_fp,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "d2i_PKCS8PrivateKey 3"
! .TH d2i_PKCS8PrivateKey 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  d2i_PKCS8PrivateKey_bio, d2i_PKCS8PrivateKey_fp,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/d2i_RSAPublicKey.3 ../RELENG_4/secure/lib/libcrypto/man/d2i_RSAPublicKey.3
*** secure/lib/libcrypto/man/d2i_RSAPublicKey.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/d2i_RSAPublicKey.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:01 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:02 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "d2i_RSAPublicKey 3"
! .TH d2i_RSAPublicKey 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  d2i_RSAPublicKey, i2d_RSAPublicKey, d2i_RSAPrivateKey, i2d_RSAPrivateKey,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "d2i_RSAPublicKey 3"
! .TH d2i_RSAPublicKey 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  d2i_RSAPublicKey, i2d_RSAPublicKey, d2i_RSAPrivateKey, i2d_RSAPrivateKey,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/d2i_X509.3 ../RELENG_4/secure/lib/libcrypto/man/d2i_X509.3
*** secure/lib/libcrypto/man/d2i_X509.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/d2i_X509.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:01 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:03 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "d2i_X509 3"
! .TH d2i_X509 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  d2i_X509, i2d_X509, d2i_X509_bio, d2i_X509_fp, i2d_X509_bio,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "d2i_X509 3"
! .TH d2i_X509 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  d2i_X509, i2d_X509, d2i_X509_bio, d2i_X509_fp, i2d_X509_bio,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/d2i_X509_ALGOR.3 ../RELENG_4/secure/lib/libcrypto/man/d2i_X509_ALGOR.3
*** secure/lib/libcrypto/man/d2i_X509_ALGOR.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/d2i_X509_ALGOR.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:01 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:03 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "d2i_X509_ALGOR 3"
! .TH d2i_X509_ALGOR 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  d2i_X509_ALGOR, i2d_X509_ALGOR \- AlgorithmIdentifier functions.
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "d2i_X509_ALGOR 3"
! .TH d2i_X509_ALGOR 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  d2i_X509_ALGOR, i2d_X509_ALGOR \- AlgorithmIdentifier functions.
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/d2i_X509_CRL.3 ../RELENG_4/secure/lib/libcrypto/man/d2i_X509_CRL.3
*** secure/lib/libcrypto/man/d2i_X509_CRL.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/d2i_X509_CRL.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:01 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:03 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "d2i_X509_CRL 3"
! .TH d2i_X509_CRL 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  d2i_X509_CRL, i2d_X509_CRL, d2i_X509_CRL_bio, d2i_509_CRL_fp,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "d2i_X509_CRL 3"
! .TH d2i_X509_CRL 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  d2i_X509_CRL, i2d_X509_CRL, d2i_X509_CRL_bio, d2i_509_CRL_fp,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/d2i_X509_NAME.3 ../RELENG_4/secure/lib/libcrypto/man/d2i_X509_NAME.3
*** secure/lib/libcrypto/man/d2i_X509_NAME.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/d2i_X509_NAME.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:01 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:03 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "d2i_X509_NAME 3"
! .TH d2i_X509_NAME 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  d2i_X509_NAME, i2d_X509_NAME \- X509_NAME encoding functions
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "d2i_X509_NAME 3"
! .TH d2i_X509_NAME 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  d2i_X509_NAME, i2d_X509_NAME \- X509_NAME encoding functions
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/d2i_X509_REQ.3 ../RELENG_4/secure/lib/libcrypto/man/d2i_X509_REQ.3
*** secure/lib/libcrypto/man/d2i_X509_REQ.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/d2i_X509_REQ.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:02 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:03 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "d2i_X509_REQ 3"
! .TH d2i_X509_REQ 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  d2i_X509_REQ, i2d_X509_REQ, d2i_X509_REQ_bio, d2i_X509_REQ_fp,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "d2i_X509_REQ 3"
! .TH d2i_X509_REQ 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  d2i_X509_REQ, i2d_X509_REQ, d2i_X509_REQ_bio, d2i_X509_REQ_fp,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/d2i_X509_SIG.3 ../RELENG_4/secure/lib/libcrypto/man/d2i_X509_SIG.3
*** secure/lib/libcrypto/man/d2i_X509_SIG.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/d2i_X509_SIG.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:02 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:03 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "d2i_X509_SIG 3"
! .TH d2i_X509_SIG 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  d2i_X509_SIG, i2d_X509_SIG \- DigestInfo functions.
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "d2i_X509_SIG 3"
! .TH d2i_X509_SIG 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  d2i_X509_SIG, i2d_X509_SIG \- DigestInfo functions.
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/des.3 ../RELENG_4/secure/lib/libcrypto/man/des.3
*** secure/lib/libcrypto/man/des.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/des.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:02 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:04 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "des 3"
! .TH des 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  DES_random_key, DES_set_key, DES_key_sched, DES_set_key_checked,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "des 3"
! .TH des 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  DES_random_key, DES_set_key, DES_key_sched, DES_set_key_checked,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/dh.3 ../RELENG_4/secure/lib/libcrypto/man/dh.3
*** secure/lib/libcrypto/man/dh.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/dh.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:02 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:04 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "dh 3"
! .TH dh 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  dh \- Diffie-Hellman key agreement
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "dh 3"
! .TH dh 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  dh \- Diffie-Hellman key agreement
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/dsa.3 ../RELENG_4/secure/lib/libcrypto/man/dsa.3
*** secure/lib/libcrypto/man/dsa.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/dsa.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:02 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:04 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "dsa 3"
! .TH dsa 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  dsa \- Digital Signature Algorithm
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "dsa 3"
! .TH dsa 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  dsa \- Digital Signature Algorithm
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/engine.3 ../RELENG_4/secure/lib/libcrypto/man/engine.3
*** secure/lib/libcrypto/man/engine.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/engine.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:03 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:04 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "engine 3"
! .TH engine 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  engine \- \s-1ENGINE\s0 cryptographic module support
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "engine 3"
! .TH engine 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  engine \- \s-1ENGINE\s0 cryptographic module support
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/err.3 ../RELENG_4/secure/lib/libcrypto/man/err.3
*** secure/lib/libcrypto/man/err.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/err.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:03 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:04 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "err 3"
! .TH err 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  err \- error codes
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "err 3"
! .TH err 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  err \- error codes
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/evp.3 ../RELENG_4/secure/lib/libcrypto/man/evp.3
*** secure/lib/libcrypto/man/evp.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/evp.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:03 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:05 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "evp 3"
! .TH evp 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  evp \- high-level cryptographic functions
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "evp 3"
! .TH evp 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  evp \- high-level cryptographic functions
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/hmac.3 ../RELENG_4/secure/lib/libcrypto/man/hmac.3
*** secure/lib/libcrypto/man/hmac.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/hmac.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:03 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:05 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "hmac 3"
! .TH hmac 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  \&\s-1HMAC\s0, HMAC_Init, HMAC_Update, HMAC_Final, HMAC_cleanup \- \s-1HMAC\s0 message
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "hmac 3"
! .TH hmac 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  \&\s-1HMAC\s0, HMAC_Init, HMAC_Update, HMAC_Final, HMAC_cleanup \- \s-1HMAC\s0 message
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/lh_stats.3 ../RELENG_4/secure/lib/libcrypto/man/lh_stats.3
*** secure/lib/libcrypto/man/lh_stats.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/lh_stats.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:03 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:05 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "lh_stats 3"
! .TH lh_stats 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  lh_stats, lh_node_stats, lh_node_usage_stats, lh_stats_bio,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "lh_stats 3"
! .TH lh_stats 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  lh_stats, lh_node_stats, lh_node_usage_stats, lh_stats_bio,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/lhash.3 ../RELENG_4/secure/lib/libcrypto/man/lhash.3
*** secure/lib/libcrypto/man/lhash.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/lhash.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:04 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:05 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "lhash 3"
! .TH lhash 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  lh_new, lh_free, lh_insert, lh_delete, lh_retrieve, lh_doall, lh_doall_arg, lh_error \- dynamic hash table
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "lhash 3"
! .TH lhash 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  lh_new, lh_free, lh_insert, lh_delete, lh_retrieve, lh_doall, lh_doall_arg, lh_error \- dynamic hash table
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/md5.3 ../RELENG_4/secure/lib/libcrypto/man/md5.3
*** secure/lib/libcrypto/man/md5.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/md5.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:04 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:05 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "md5 3"
! .TH md5 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  \&\s-1MD2\s0, \s-1MD4\s0, \s-1MD5\s0, MD2_Init, MD2_Update, MD2_Final, MD4_Init, MD4_Update,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "md5 3"
! .TH md5 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  \&\s-1MD2\s0, \s-1MD4\s0, \s-1MD5\s0, MD2_Init, MD2_Update, MD2_Final, MD4_Init, MD4_Update,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/mdc2.3 ../RELENG_4/secure/lib/libcrypto/man/mdc2.3
*** secure/lib/libcrypto/man/mdc2.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/mdc2.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:04 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:05 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "mdc2 3"
! .TH mdc2 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  \&\s-1MDC2\s0, MDC2_Init, MDC2_Update, MDC2_Final \- \s-1MDC2\s0 hash function
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "mdc2 3"
! .TH mdc2 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  \&\s-1MDC2\s0, MDC2_Init, MDC2_Update, MDC2_Final \- \s-1MDC2\s0 hash function
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/pem.3 ../RELENG_4/secure/lib/libcrypto/man/pem.3
*** secure/lib/libcrypto/man/pem.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/pem.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:04 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:06 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "pem 3"
! .TH pem 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  \&\s-1PEM\s0 \- \s-1PEM\s0 routines
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "pem 3"
! .TH pem 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  \&\s-1PEM\s0 \- \s-1PEM\s0 routines
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/rand.3 ../RELENG_4/secure/lib/libcrypto/man/rand.3
*** secure/lib/libcrypto/man/rand.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/rand.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:05 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:06 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "rand 3"
! .TH rand 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  rand \- pseudo-random number generator
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "rand 3"
! .TH rand 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  rand \- pseudo-random number generator
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/rc4.3 ../RELENG_4/secure/lib/libcrypto/man/rc4.3
*** secure/lib/libcrypto/man/rc4.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/rc4.3	Mon Feb 24 21:15:47 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:05 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:06 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "rc4 3"
! .TH rc4 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  RC4_set_key, \s-1RC4\s0 \- \s-1RC4\s0 encryption
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "rc4 3"
! .TH rc4 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  RC4_set_key, \s-1RC4\s0 \- \s-1RC4\s0 encryption
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/ripemd.3 ../RELENG_4/secure/lib/libcrypto/man/ripemd.3
*** secure/lib/libcrypto/man/ripemd.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/ripemd.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:05 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:06 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "ripemd 3"
! .TH ripemd 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  \&\s-1RIPEMD160\s0, RIPEMD160_Init, RIPEMD160_Update, RIPEMD160_Final \-
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "ripemd 3"
! .TH ripemd 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  \&\s-1RIPEMD160\s0, RIPEMD160_Init, RIPEMD160_Update, RIPEMD160_Final \-
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/rsa.3 ../RELENG_4/secure/lib/libcrypto/man/rsa.3
*** secure/lib/libcrypto/man/rsa.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/rsa.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:05 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:06 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "rsa 3"
! .TH rsa 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  rsa \- \s-1RSA\s0 public key cryptosystem
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "rsa 3"
! .TH rsa 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  rsa \- \s-1RSA\s0 public key cryptosystem
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/sha.3 ../RELENG_4/secure/lib/libcrypto/man/sha.3
*** secure/lib/libcrypto/man/sha.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/sha.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:05 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:06 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "sha 3"
! .TH sha 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  \&\s-1SHA1\s0, SHA1_Init, SHA1_Update, SHA1_Final \- Secure Hash Algorithm
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "sha 3"
! .TH sha 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  \&\s-1SHA1\s0, SHA1_Init, SHA1_Update, SHA1_Final \- Secure Hash Algorithm
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/threads.3 ../RELENG_4/secure/lib/libcrypto/man/threads.3
*** secure/lib/libcrypto/man/threads.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/threads.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:06 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:07 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "threads 3"
! .TH threads 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  CRYPTO_set_locking_callback, CRYPTO_set_id_callback, CRYPTO_num_locks,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "threads 3"
! .TH threads 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  CRYPTO_set_locking_callback, CRYPTO_set_id_callback, CRYPTO_num_locks,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/ui.3 ../RELENG_4/secure/lib/libcrypto/man/ui.3
*** secure/lib/libcrypto/man/ui.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/ui.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:06 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:07 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "ui 3"
! .TH ui 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  UI_new, UI_new_method, UI_free, UI_add_input_string, UI_dup_input_string,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "ui 3"
! .TH ui 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  UI_new, UI_new_method, UI_free, UI_add_input_string, UI_dup_input_string,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libcrypto/man/ui_compat.3 ../RELENG_4/secure/lib/libcrypto/man/ui_compat.3
*** secure/lib/libcrypto/man/ui_compat.3	Mon Feb 24 20:43:38 2003
--- ../RELENG_4/secure/lib/libcrypto/man/ui_compat.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:06 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:43:07 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "ui_compat 3"
! .TH ui_compat 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  des_read_password, des_read_2passwords, des_read_pw_string, des_read_pw \-
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "ui_compat 3"
! .TH ui_compat 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  des_read_password, des_read_2passwords, des_read_pw_string, des_read_pw \-
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CIPHER_get_name.3 ../RELENG_4/secure/lib/libssl/man/SSL_CIPHER_get_name.3
*** secure/lib/libssl/man/SSL_CIPHER_get_name.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CIPHER_get_name.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:19 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:37 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CIPHER_get_name 3"
! .TH SSL_CIPHER_get_name 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CIPHER_get_name, SSL_CIPHER_get_bits, SSL_CIPHER_get_version, SSL_CIPHER_description \- get \s-1SSL_CIPHER\s0 properties
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CIPHER_get_name 3"
! .TH SSL_CIPHER_get_name 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CIPHER_get_name, SSL_CIPHER_get_bits, SSL_CIPHER_get_version, SSL_CIPHER_description \- get \s-1SSL_CIPHER\s0 properties
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_COMP_add_compression_method.3 ../RELENG_4/secure/lib/libssl/man/SSL_COMP_add_compression_method.3
*** secure/lib/libssl/man/SSL_COMP_add_compression_method.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_COMP_add_compression_method.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:19 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:37 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_COMP_add_compression_method 3"
! .TH SSL_COMP_add_compression_method 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_COMP_add_compression_method \- handle \s-1SSL/TLS\s0 integrated compression methods
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_COMP_add_compression_method 3"
! .TH SSL_COMP_add_compression_method 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_COMP_add_compression_method \- handle \s-1SSL/TLS\s0 integrated compression methods
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_add_extra_chain_cert.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_add_extra_chain_cert.3
*** secure/lib/libssl/man/SSL_CTX_add_extra_chain_cert.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_add_extra_chain_cert.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:19 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:37 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_add_extra_chain_cert 3"
! .TH SSL_CTX_add_extra_chain_cert 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_add_extra_chain_cert \- add certificate to chain
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_add_extra_chain_cert 3"
! .TH SSL_CTX_add_extra_chain_cert 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_add_extra_chain_cert \- add certificate to chain
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_add_session.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_add_session.3
*** secure/lib/libssl/man/SSL_CTX_add_session.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_add_session.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:19 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:37 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_add_session 3"
! .TH SSL_CTX_add_session 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_add_session, SSL_add_session, SSL_CTX_remove_session, SSL_remove_session \- manipulate session cache
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_add_session 3"
! .TH SSL_CTX_add_session 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_add_session, SSL_add_session, SSL_CTX_remove_session, SSL_remove_session \- manipulate session cache
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_ctrl.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_ctrl.3
*** secure/lib/libssl/man/SSL_CTX_ctrl.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_ctrl.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:19 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:38 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_ctrl 3"
! .TH SSL_CTX_ctrl 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_ctrl, SSL_CTX_callback_ctrl, SSL_ctrl, SSL_callback_ctrl \- internal handling functions for \s-1SSL_CTX\s0 and \s-1SSL\s0 objects
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_ctrl 3"
! .TH SSL_CTX_ctrl 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_ctrl, SSL_CTX_callback_ctrl, SSL_ctrl, SSL_callback_ctrl \- internal handling functions for \s-1SSL_CTX\s0 and \s-1SSL\s0 objects
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_flush_sessions.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_flush_sessions.3
*** secure/lib/libssl/man/SSL_CTX_flush_sessions.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_flush_sessions.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:19 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:38 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_flush_sessions 3"
! .TH SSL_CTX_flush_sessions 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_flush_sessions, SSL_flush_sessions \- remove expired sessions
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_flush_sessions 3"
! .TH SSL_CTX_flush_sessions 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_flush_sessions, SSL_flush_sessions \- remove expired sessions
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_free.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_free.3
*** secure/lib/libssl/man/SSL_CTX_free.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_free.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:20 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:38 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_free 3"
! .TH SSL_CTX_free 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_free \- free an allocated \s-1SSL_CTX\s0 object
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_free 3"
! .TH SSL_CTX_free 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_free \- free an allocated \s-1SSL_CTX\s0 object
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_get_ex_new_index.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_get_ex_new_index.3
*** secure/lib/libssl/man/SSL_CTX_get_ex_new_index.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_get_ex_new_index.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:20 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:38 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_get_ex_new_index 3"
! .TH SSL_CTX_get_ex_new_index 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_get_ex_new_index, SSL_CTX_set_ex_data, SSL_CTX_get_ex_data \- internal application specific data functions
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_get_ex_new_index 3"
! .TH SSL_CTX_get_ex_new_index 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_get_ex_new_index, SSL_CTX_set_ex_data, SSL_CTX_get_ex_data \- internal application specific data functions
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_get_verify_mode.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_get_verify_mode.3
*** secure/lib/libssl/man/SSL_CTX_get_verify_mode.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_get_verify_mode.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:21 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:38 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_get_verify_mode 3"
! .TH SSL_CTX_get_verify_mode 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_get_verify_mode, SSL_get_verify_mode, SSL_CTX_get_verify_depth, SSL_get_verify_depth, SSL_get_verify_callback, SSL_CTX_get_verify_callback \- get currently set verification parameters
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_get_verify_mode 3"
! .TH SSL_CTX_get_verify_mode 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_get_verify_mode, SSL_get_verify_mode, SSL_CTX_get_verify_depth, SSL_get_verify_depth, SSL_get_verify_callback, SSL_CTX_get_verify_callback \- get currently set verification parameters
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_load_verify_locations.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_load_verify_locations.3
*** secure/lib/libssl/man/SSL_CTX_load_verify_locations.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_load_verify_locations.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:21 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:38 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_load_verify_locations 3"
! .TH SSL_CTX_load_verify_locations 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_load_verify_locations \- set default locations for trusted \s-1CA\s0
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_load_verify_locations 3"
! .TH SSL_CTX_load_verify_locations 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_load_verify_locations \- set default locations for trusted \s-1CA\s0
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_new.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_new.3
*** secure/lib/libssl/man/SSL_CTX_new.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_new.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:21 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:39 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_new 3"
! .TH SSL_CTX_new 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_new \- create a new \s-1SSL_CTX\s0 object as framework for \s-1TLS/SSL\s0 enabled functions
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_new 3"
! .TH SSL_CTX_new 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_new \- create a new \s-1SSL_CTX\s0 object as framework for \s-1TLS/SSL\s0 enabled functions
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_sess_number.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_sess_number.3
*** secure/lib/libssl/man/SSL_CTX_sess_number.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_sess_number.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:21 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:39 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_sess_number 3"
! .TH SSL_CTX_sess_number 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_sess_number, SSL_CTX_sess_connect, SSL_CTX_sess_connect_good, SSL_CTX_sess_connect_renegotiate, SSL_CTX_sess_accept, SSL_CTX_sess_accept_good, SSL_CTX_sess_accept_renegotiate, SSL_CTX_sess_hits, SSL_CTX_sess_cb_hits, SSL_CTX_sess_misses, SSL_CTX_sess_timeouts, SSL_CTX_sess_cache_full \- obtain session cache statistics
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_sess_number 3"
! .TH SSL_CTX_sess_number 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_sess_number, SSL_CTX_sess_connect, SSL_CTX_sess_connect_good, SSL_CTX_sess_connect_renegotiate, SSL_CTX_sess_accept, SSL_CTX_sess_accept_good, SSL_CTX_sess_accept_renegotiate, SSL_CTX_sess_hits, SSL_CTX_sess_cb_hits, SSL_CTX_sess_misses, SSL_CTX_sess_timeouts, SSL_CTX_sess_cache_full \- obtain session cache statistics
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_sess_set_cache_size.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_sess_set_cache_size.3
*** secure/lib/libssl/man/SSL_CTX_sess_set_cache_size.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_sess_set_cache_size.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:21 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:39 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_sess_set_cache_size 3"
! .TH SSL_CTX_sess_set_cache_size 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_sess_set_cache_size, SSL_CTX_sess_get_cache_size \- manipulate session cache size
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_sess_set_cache_size 3"
! .TH SSL_CTX_sess_set_cache_size 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_sess_set_cache_size, SSL_CTX_sess_get_cache_size \- manipulate session cache size
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_sess_set_get_cb.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_sess_set_get_cb.3
*** secure/lib/libssl/man/SSL_CTX_sess_set_get_cb.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_sess_set_get_cb.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:22 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:39 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_sess_set_get_cb 3"
! .TH SSL_CTX_sess_set_get_cb 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_sess_set_new_cb, SSL_CTX_sess_set_remove_cb, SSL_CTX_sess_set_get_cb, SSL_CTX_sess_get_new_cb, SSL_CTX_sess_get_remove_cb, SSL_CTX_sess_get_get_cb \- provide callback functions for server side external session caching
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_sess_set_get_cb 3"
! .TH SSL_CTX_sess_set_get_cb 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_sess_set_new_cb, SSL_CTX_sess_set_remove_cb, SSL_CTX_sess_set_get_cb, SSL_CTX_sess_get_new_cb, SSL_CTX_sess_get_remove_cb, SSL_CTX_sess_get_get_cb \- provide callback functions for server side external session caching
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_sessions.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_sessions.3
*** secure/lib/libssl/man/SSL_CTX_sessions.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_sessions.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:22 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:39 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_sessions 3"
! .TH SSL_CTX_sessions 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_sessions \- access internal session cache
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_sessions 3"
! .TH SSL_CTX_sessions 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_sessions \- access internal session cache
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_set_cert_store.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_cert_store.3
*** secure/lib/libssl/man/SSL_CTX_set_cert_store.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_cert_store.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:22 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:39 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_cert_store 3"
! .TH SSL_CTX_set_cert_store 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_cert_store, SSL_CTX_get_cert_store \- manipulate X509 certificate verification storage
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_cert_store 3"
! .TH SSL_CTX_set_cert_store 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_cert_store, SSL_CTX_get_cert_store \- manipulate X509 certificate verification storage
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_set_cert_verify_callback.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_cert_verify_callback.3
*** secure/lib/libssl/man/SSL_CTX_set_cert_verify_callback.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_cert_verify_callback.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:22 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:40 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_cert_verify_callback 3"
! .TH SSL_CTX_set_cert_verify_callback 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_cert_verify_callback \- set peer certificate verification procedure
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_cert_verify_callback 3"
! .TH SSL_CTX_set_cert_verify_callback 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_cert_verify_callback \- set peer certificate verification procedure
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_set_cipher_list.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_cipher_list.3
*** secure/lib/libssl/man/SSL_CTX_set_cipher_list.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_cipher_list.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:22 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:40 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_cipher_list 3"
! .TH SSL_CTX_set_cipher_list 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_cipher_list, SSL_set_cipher_list \- choose list of available SSL_CIPHERs
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_cipher_list 3"
! .TH SSL_CTX_set_cipher_list 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_cipher_list, SSL_set_cipher_list \- choose list of available SSL_CIPHERs
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_set_client_CA_list.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_client_CA_list.3
*** secure/lib/libssl/man/SSL_CTX_set_client_CA_list.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_client_CA_list.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:23 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:40 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_client_CA_list 3"
! .TH SSL_CTX_set_client_CA_list 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_client_CA_list, SSL_set_client_CA_list, SSL_CTX_add_client_CA,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_client_CA_list 3"
! .TH SSL_CTX_set_client_CA_list 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_client_CA_list, SSL_set_client_CA_list, SSL_CTX_add_client_CA,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_set_client_cert_cb.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_client_cert_cb.3
*** secure/lib/libssl/man/SSL_CTX_set_client_cert_cb.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_client_cert_cb.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:23 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:40 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_client_cert_cb 3"
! .TH SSL_CTX_set_client_cert_cb 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_client_cert_cb, SSL_CTX_get_client_cert_cb \- handle client certificate callback function
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_client_cert_cb 3"
! .TH SSL_CTX_set_client_cert_cb 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_client_cert_cb, SSL_CTX_get_client_cert_cb \- handle client certificate callback function
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_set_default_passwd_cb.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_default_passwd_cb.3
*** secure/lib/libssl/man/SSL_CTX_set_default_passwd_cb.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_default_passwd_cb.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:23 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:40 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_default_passwd_cb 3"
! .TH SSL_CTX_set_default_passwd_cb 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_default_passwd_cb, SSL_CTX_set_default_passwd_cb_userdata \- set passwd callback for encrypted \s-1PEM\s0 file handling
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_default_passwd_cb 3"
! .TH SSL_CTX_set_default_passwd_cb 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_default_passwd_cb, SSL_CTX_set_default_passwd_cb_userdata \- set passwd callback for encrypted \s-1PEM\s0 file handling
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_set_generate_session_id.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_generate_session_id.3
*** secure/lib/libssl/man/SSL_CTX_set_generate_session_id.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_generate_session_id.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:23 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:41 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_generate_session_id 3"
! .TH SSL_CTX_set_generate_session_id 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_generate_session_id, SSL_set_generate_session_id, SSL_has_matching_session_id \- manipulate generation of \s-1SSL\s0 session IDs (server only)
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_generate_session_id 3"
! .TH SSL_CTX_set_generate_session_id 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_generate_session_id, SSL_set_generate_session_id, SSL_has_matching_session_id \- manipulate generation of \s-1SSL\s0 session IDs (server only)
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_set_info_callback.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_info_callback.3
*** secure/lib/libssl/man/SSL_CTX_set_info_callback.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_info_callback.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:23 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:41 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_info_callback 3"
! .TH SSL_CTX_set_info_callback 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_info_callback, SSL_CTX_get_info_callback, SSL_set_info_callback, SSL_get_info_callback \- handle information callback for \s-1SSL\s0 connections
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_info_callback 3"
! .TH SSL_CTX_set_info_callback 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_info_callback, SSL_CTX_get_info_callback, SSL_set_info_callback, SSL_get_info_callback \- handle information callback for \s-1SSL\s0 connections
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_set_max_cert_list.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_max_cert_list.3
*** secure/lib/libssl/man/SSL_CTX_set_max_cert_list.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_max_cert_list.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:24 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:41 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_max_cert_list 3"
! .TH SSL_CTX_set_max_cert_list 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_max_cert_list, SSL_CTX_get_max_cert_list, SSL_set_max_cert_list, SSL_get_max_cert_list, \- manipulate allowed for the peer's certificate chain
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_max_cert_list 3"
! .TH SSL_CTX_set_max_cert_list 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_max_cert_list, SSL_CTX_get_max_cert_list, SSL_set_max_cert_list, SSL_get_max_cert_list, \- manipulate allowed for the peer's certificate chain
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_set_mode.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_mode.3
*** secure/lib/libssl/man/SSL_CTX_set_mode.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_mode.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:24 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:41 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_mode 3"
! .TH SSL_CTX_set_mode 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_mode, SSL_set_mode, SSL_CTX_get_mode, SSL_get_mode \- manipulate \s-1SSL\s0 engine mode
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_mode 3"
! .TH SSL_CTX_set_mode 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_mode, SSL_set_mode, SSL_CTX_get_mode, SSL_get_mode \- manipulate \s-1SSL\s0 engine mode
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_set_msg_callback.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_msg_callback.3
*** secure/lib/libssl/man/SSL_CTX_set_msg_callback.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_msg_callback.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:24 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:41 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_msg_callback 3"
! .TH SSL_CTX_set_msg_callback 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_msg_callback, SSL_CTX_set_msg_callback_arg, SSL_set_msg_callback, SSL_get_msg_callback_arg \- install callback for observing protocol messages
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_msg_callback 3"
! .TH SSL_CTX_set_msg_callback 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_msg_callback, SSL_CTX_set_msg_callback_arg, SSL_set_msg_callback, SSL_get_msg_callback_arg \- install callback for observing protocol messages
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_set_options.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_options.3
*** secure/lib/libssl/man/SSL_CTX_set_options.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_options.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:24 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:41 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_options 3"
! .TH SSL_CTX_set_options 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_options, SSL_set_options, SSL_CTX_get_options, SSL_get_options \- manipulate \s-1SSL\s0 engine options
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_options 3"
! .TH SSL_CTX_set_options 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_options, SSL_set_options, SSL_CTX_get_options, SSL_get_options \- manipulate \s-1SSL\s0 engine options
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_set_quiet_shutdown.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_quiet_shutdown.3
*** secure/lib/libssl/man/SSL_CTX_set_quiet_shutdown.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_quiet_shutdown.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:24 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:42 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_quiet_shutdown 3"
! .TH SSL_CTX_set_quiet_shutdown 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_quiet_shutdown, SSL_CTX_get_quiet_shutdown, SSL_set_quiet_shutdown, SSL_get_quiet_shutdown \- manipulate shutdown behaviour
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_quiet_shutdown 3"
! .TH SSL_CTX_set_quiet_shutdown 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_quiet_shutdown, SSL_CTX_get_quiet_shutdown, SSL_set_quiet_shutdown, SSL_get_quiet_shutdown \- manipulate shutdown behaviour
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_set_session_cache_mode.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_session_cache_mode.3
*** secure/lib/libssl/man/SSL_CTX_set_session_cache_mode.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_session_cache_mode.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:25 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:42 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_session_cache_mode 3"
! .TH SSL_CTX_set_session_cache_mode 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_session_cache_mode, SSL_CTX_get_session_cache_mode \- enable/disable session caching
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_session_cache_mode 3"
! .TH SSL_CTX_set_session_cache_mode 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_session_cache_mode, SSL_CTX_get_session_cache_mode \- enable/disable session caching
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_set_session_id_context.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_session_id_context.3
*** secure/lib/libssl/man/SSL_CTX_set_session_id_context.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_session_id_context.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:25 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:42 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_session_id_context 3"
! .TH SSL_CTX_set_session_id_context 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_session_id_context, SSL_set_session_id_context \- set context within which session can be reused (server side only)
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_session_id_context 3"
! .TH SSL_CTX_set_session_id_context 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_session_id_context, SSL_set_session_id_context \- set context within which session can be reused (server side only)
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_set_ssl_version.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_ssl_version.3
*** secure/lib/libssl/man/SSL_CTX_set_ssl_version.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_ssl_version.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:25 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:42 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_ssl_version 3"
! .TH SSL_CTX_set_ssl_version 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_ssl_version, SSL_set_ssl_method, SSL_get_ssl_method
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_ssl_version 3"
! .TH SSL_CTX_set_ssl_version 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_ssl_version, SSL_set_ssl_method, SSL_get_ssl_method
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_set_timeout.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_timeout.3
*** secure/lib/libssl/man/SSL_CTX_set_timeout.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_timeout.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:25 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:42 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_timeout 3"
! .TH SSL_CTX_set_timeout 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_timeout, SSL_CTX_get_timeout \- manipulate timeout values for session caching
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_timeout 3"
! .TH SSL_CTX_set_timeout 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_timeout, SSL_CTX_get_timeout \- manipulate timeout values for session caching
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_set_tmp_dh_callback.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_tmp_dh_callback.3
*** secure/lib/libssl/man/SSL_CTX_set_tmp_dh_callback.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_tmp_dh_callback.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:25 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:42 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_tmp_dh_callback 3"
! .TH SSL_CTX_set_tmp_dh_callback 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_tmp_dh_callback, SSL_CTX_set_tmp_dh, SSL_set_tmp_dh_callback, SSL_set_tmp_dh \- handle \s-1DH\s0 keys for ephemeral key exchange
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_tmp_dh_callback 3"
! .TH SSL_CTX_set_tmp_dh_callback 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_tmp_dh_callback, SSL_CTX_set_tmp_dh, SSL_set_tmp_dh_callback, SSL_set_tmp_dh \- handle \s-1DH\s0 keys for ephemeral key exchange
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_set_tmp_rsa_callback.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_tmp_rsa_callback.3
*** secure/lib/libssl/man/SSL_CTX_set_tmp_rsa_callback.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_tmp_rsa_callback.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:26 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:43 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_tmp_rsa_callback 3"
! .TH SSL_CTX_set_tmp_rsa_callback 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_tmp_rsa_callback, SSL_CTX_set_tmp_rsa, SSL_CTX_need_tmp_rsa, SSL_set_tmp_rsa_callback, SSL_set_tmp_rsa, SSL_need_tmp_rsa \- handle \s-1RSA\s0 keys for ephemeral key exchange
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_tmp_rsa_callback 3"
! .TH SSL_CTX_set_tmp_rsa_callback 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_tmp_rsa_callback, SSL_CTX_set_tmp_rsa, SSL_CTX_need_tmp_rsa, SSL_set_tmp_rsa_callback, SSL_set_tmp_rsa, SSL_need_tmp_rsa \- handle \s-1RSA\s0 keys for ephemeral key exchange
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_set_verify.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_verify.3
*** secure/lib/libssl/man/SSL_CTX_set_verify.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_set_verify.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:26 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:43 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_verify 3"
! .TH SSL_CTX_set_verify 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_verify, SSL_set_verify, SSL_CTX_set_verify_depth, SSL_set_verify_depth \- set peer certificate verification parameters
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_set_verify 3"
! .TH SSL_CTX_set_verify 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_set_verify, SSL_set_verify, SSL_CTX_set_verify_depth, SSL_set_verify_depth \- set peer certificate verification parameters
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_CTX_use_certificate.3 ../RELENG_4/secure/lib/libssl/man/SSL_CTX_use_certificate.3
*** secure/lib/libssl/man/SSL_CTX_use_certificate.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_CTX_use_certificate.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:26 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:43 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_use_certificate 3"
! .TH SSL_CTX_use_certificate 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_use_certificate, SSL_CTX_use_certificate_ASN1, SSL_CTX_use_certificate_file, SSL_use_certificate, SSL_use_certificate_ASN1, SSL_use_certificate_file, SSL_CTX_use_certificate_chain_file, SSL_CTX_use_PrivateKey, SSL_CTX_use_PrivateKey_ASN1, SSL_CTX_use_PrivateKey_file, SSL_CTX_use_RSAPrivateKey, SSL_CTX_use_RSAPrivateKey_ASN1, SSL_CTX_use_RSAPrivateKey_file, SSL_use_PrivateKey_file, SSL_use_PrivateKey_ASN1, SSL_use_PrivateKey, SSL_use_RSAPrivateKey, SSL_use_RSAPrivateKey_ASN1, SSL_use_RSAPrivateKey_file, SSL_CTX_check_private_key, SSL_check_private_key \- load certificate and key data
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_CTX_use_certificate 3"
! .TH SSL_CTX_use_certificate 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_CTX_use_certificate, SSL_CTX_use_certificate_ASN1, SSL_CTX_use_certificate_file, SSL_use_certificate, SSL_use_certificate_ASN1, SSL_use_certificate_file, SSL_CTX_use_certificate_chain_file, SSL_CTX_use_PrivateKey, SSL_CTX_use_PrivateKey_ASN1, SSL_CTX_use_PrivateKey_file, SSL_CTX_use_RSAPrivateKey, SSL_CTX_use_RSAPrivateKey_ASN1, SSL_CTX_use_RSAPrivateKey_file, SSL_use_PrivateKey_file, SSL_use_PrivateKey_ASN1, SSL_use_PrivateKey, SSL_use_RSAPrivateKey, SSL_use_RSAPrivateKey_ASN1, SSL_use_RSAPrivateKey_file, SSL_CTX_check_private_key, SSL_check_private_key \- load certificate and key data
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_SESSION_free.3 ../RELENG_4/secure/lib/libssl/man/SSL_SESSION_free.3
*** secure/lib/libssl/man/SSL_SESSION_free.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_SESSION_free.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:26 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:43 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_SESSION_free 3"
! .TH SSL_SESSION_free 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_SESSION_free \- free an allocated \s-1SSL_SESSION\s0 structure
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_SESSION_free 3"
! .TH SSL_SESSION_free 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_SESSION_free \- free an allocated \s-1SSL_SESSION\s0 structure
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_SESSION_get_ex_new_index.3 ../RELENG_4/secure/lib/libssl/man/SSL_SESSION_get_ex_new_index.3
*** secure/lib/libssl/man/SSL_SESSION_get_ex_new_index.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_SESSION_get_ex_new_index.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:26 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:43 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_SESSION_get_ex_new_index 3"
! .TH SSL_SESSION_get_ex_new_index 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_SESSION_get_ex_new_index, SSL_SESSION_set_ex_data, SSL_SESSION_get_ex_data \- internal application specific data functions
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_SESSION_get_ex_new_index 3"
! .TH SSL_SESSION_get_ex_new_index 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_SESSION_get_ex_new_index, SSL_SESSION_set_ex_data, SSL_SESSION_get_ex_data \- internal application specific data functions
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_SESSION_get_time.3 ../RELENG_4/secure/lib/libssl/man/SSL_SESSION_get_time.3
*** secure/lib/libssl/man/SSL_SESSION_get_time.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_SESSION_get_time.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:27 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:44 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_SESSION_get_time 3"
! .TH SSL_SESSION_get_time 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_SESSION_get_time, SSL_SESSION_set_time, SSL_SESSION_get_timeout, SSL_SESSION_get_timeout \- retrieve and manipulate session time and timeout settings
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_SESSION_get_time 3"
! .TH SSL_SESSION_get_time 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_SESSION_get_time, SSL_SESSION_set_time, SSL_SESSION_get_timeout, SSL_SESSION_get_timeout \- retrieve and manipulate session time and timeout settings
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_accept.3 ../RELENG_4/secure/lib/libssl/man/SSL_accept.3
*** secure/lib/libssl/man/SSL_accept.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_accept.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:27 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:44 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_accept 3"
! .TH SSL_accept 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_accept \- wait for a \s-1TLS/SSL\s0 client to initiate a \s-1TLS/SSL\s0 handshake
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_accept 3"
! .TH SSL_accept 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_accept \- wait for a \s-1TLS/SSL\s0 client to initiate a \s-1TLS/SSL\s0 handshake
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_alert_type_string.3 ../RELENG_4/secure/lib/libssl/man/SSL_alert_type_string.3
*** secure/lib/libssl/man/SSL_alert_type_string.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_alert_type_string.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:27 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:44 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_alert_type_string 3"
! .TH SSL_alert_type_string 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_alert_type_string, SSL_alert_type_string_long, SSL_alert_desc_string, SSL_alert_desc_string_long \- get textual description of alert information
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_alert_type_string 3"
! .TH SSL_alert_type_string 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_alert_type_string, SSL_alert_type_string_long, SSL_alert_desc_string, SSL_alert_desc_string_long \- get textual description of alert information
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_clear.3 ../RELENG_4/secure/lib/libssl/man/SSL_clear.3
*** secure/lib/libssl/man/SSL_clear.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_clear.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:27 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:44 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_clear 3"
! .TH SSL_clear 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_clear \- reset \s-1SSL\s0 object to allow another connection
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_clear 3"
! .TH SSL_clear 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_clear \- reset \s-1SSL\s0 object to allow another connection
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_connect.3 ../RELENG_4/secure/lib/libssl/man/SSL_connect.3
*** secure/lib/libssl/man/SSL_connect.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_connect.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:28 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:44 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_connect 3"
! .TH SSL_connect 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_connect \- initiate the \s-1TLS/SSL\s0 handshake with an \s-1TLS/SSL\s0 server
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_connect 3"
! .TH SSL_connect 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_connect \- initiate the \s-1TLS/SSL\s0 handshake with an \s-1TLS/SSL\s0 server
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_do_handshake.3 ../RELENG_4/secure/lib/libssl/man/SSL_do_handshake.3
*** secure/lib/libssl/man/SSL_do_handshake.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_do_handshake.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:28 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:44 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_do_handshake 3"
! .TH SSL_do_handshake 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_do_handshake \- perform a \s-1TLS/SSL\s0 handshake
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_do_handshake 3"
! .TH SSL_do_handshake 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_do_handshake \- perform a \s-1TLS/SSL\s0 handshake
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_free.3 ../RELENG_4/secure/lib/libssl/man/SSL_free.3
*** secure/lib/libssl/man/SSL_free.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_free.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:28 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:45 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_free 3"
! .TH SSL_free 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_free \- free an allocated \s-1SSL\s0 structure
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_free 3"
! .TH SSL_free 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_free \- free an allocated \s-1SSL\s0 structure
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_get_SSL_CTX.3 ../RELENG_4/secure/lib/libssl/man/SSL_get_SSL_CTX.3
*** secure/lib/libssl/man/SSL_get_SSL_CTX.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_get_SSL_CTX.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:28 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:45 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_SSL_CTX 3"
! .TH SSL_get_SSL_CTX 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_SSL_CTX \- get the \s-1SSL_CTX\s0 from which an \s-1SSL\s0 is created
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_SSL_CTX 3"
! .TH SSL_get_SSL_CTX 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_SSL_CTX \- get the \s-1SSL_CTX\s0 from which an \s-1SSL\s0 is created
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_get_ciphers.3 ../RELENG_4/secure/lib/libssl/man/SSL_get_ciphers.3
*** secure/lib/libssl/man/SSL_get_ciphers.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_get_ciphers.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:28 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:45 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_ciphers 3"
! .TH SSL_get_ciphers 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_ciphers, SSL_get_cipher_list \- get list of available SSL_CIPHERs
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_ciphers 3"
! .TH SSL_get_ciphers 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_ciphers, SSL_get_cipher_list \- get list of available SSL_CIPHERs
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_get_client_CA_list.3 ../RELENG_4/secure/lib/libssl/man/SSL_get_client_CA_list.3
*** secure/lib/libssl/man/SSL_get_client_CA_list.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_get_client_CA_list.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:29 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:45 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_client_CA_list 3"
! .TH SSL_get_client_CA_list 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_client_CA_list, SSL_CTX_get_client_CA_list \- get list of client CAs
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_client_CA_list 3"
! .TH SSL_get_client_CA_list 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_client_CA_list, SSL_CTX_get_client_CA_list \- get list of client CAs
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_get_current_cipher.3 ../RELENG_4/secure/lib/libssl/man/SSL_get_current_cipher.3
*** secure/lib/libssl/man/SSL_get_current_cipher.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_get_current_cipher.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:29 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:45 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_current_cipher 3"
! .TH SSL_get_current_cipher 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_current_cipher, SSL_get_cipher, SSL_get_cipher_name,
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_current_cipher 3"
! .TH SSL_get_current_cipher 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_current_cipher, SSL_get_cipher, SSL_get_cipher_name,
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_get_default_timeout.3 ../RELENG_4/secure/lib/libssl/man/SSL_get_default_timeout.3
*** secure/lib/libssl/man/SSL_get_default_timeout.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_get_default_timeout.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:29 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:45 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_default_timeout 3"
! .TH SSL_get_default_timeout 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_default_timeout \- get default session timeout value
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_default_timeout 3"
! .TH SSL_get_default_timeout 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_default_timeout \- get default session timeout value
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_get_error.3 ../RELENG_4/secure/lib/libssl/man/SSL_get_error.3
*** secure/lib/libssl/man/SSL_get_error.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_get_error.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:29 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:46 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_error 3"
! .TH SSL_get_error 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_error \- obtain result code for \s-1TLS/SSL\s0 I/O operation
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_error 3"
! .TH SSL_get_error 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_error \- obtain result code for \s-1TLS/SSL\s0 I/O operation
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_get_ex_data_X509_STORE_CTX_idx.3 ../RELENG_4/secure/lib/libssl/man/SSL_get_ex_data_X509_STORE_CTX_idx.3
*** secure/lib/libssl/man/SSL_get_ex_data_X509_STORE_CTX_idx.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_get_ex_data_X509_STORE_CTX_idx.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:29 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:46 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_ex_data_X509_STORE_CTX_idx 3"
! .TH SSL_get_ex_data_X509_STORE_CTX_idx 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_ex_data_X509_STORE_CTX_idx \- get ex_data index to access \s-1SSL\s0 structure
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_ex_data_X509_STORE_CTX_idx 3"
! .TH SSL_get_ex_data_X509_STORE_CTX_idx 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_ex_data_X509_STORE_CTX_idx \- get ex_data index to access \s-1SSL\s0 structure
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_get_ex_new_index.3 ../RELENG_4/secure/lib/libssl/man/SSL_get_ex_new_index.3
*** secure/lib/libssl/man/SSL_get_ex_new_index.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_get_ex_new_index.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:30 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:46 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_ex_new_index 3"
! .TH SSL_get_ex_new_index 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_ex_new_index, SSL_set_ex_data, SSL_get_ex_data \- internal application specific data functions
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_ex_new_index 3"
! .TH SSL_get_ex_new_index 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_ex_new_index, SSL_set_ex_data, SSL_get_ex_data \- internal application specific data functions
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_get_fd.3 ../RELENG_4/secure/lib/libssl/man/SSL_get_fd.3
*** secure/lib/libssl/man/SSL_get_fd.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_get_fd.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:30 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:46 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_fd 3"
! .TH SSL_get_fd 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_fd \- get file descriptor linked to an \s-1SSL\s0 object
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_fd 3"
! .TH SSL_get_fd 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_fd \- get file descriptor linked to an \s-1SSL\s0 object
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_get_peer_cert_chain.3 ../RELENG_4/secure/lib/libssl/man/SSL_get_peer_cert_chain.3
*** secure/lib/libssl/man/SSL_get_peer_cert_chain.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_get_peer_cert_chain.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:30 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:46 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_peer_cert_chain 3"
! .TH SSL_get_peer_cert_chain 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_peer_cert_chain \- get the X509 certificate chain of the peer
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_peer_cert_chain 3"
! .TH SSL_get_peer_cert_chain 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_peer_cert_chain \- get the X509 certificate chain of the peer
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_get_peer_certificate.3 ../RELENG_4/secure/lib/libssl/man/SSL_get_peer_certificate.3
*** secure/lib/libssl/man/SSL_get_peer_certificate.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_get_peer_certificate.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:30 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:47 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_peer_certificate 3"
! .TH SSL_get_peer_certificate 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_peer_certificate \- get the X509 certificate of the peer
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_peer_certificate 3"
! .TH SSL_get_peer_certificate 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_peer_certificate \- get the X509 certificate of the peer
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_get_rbio.3 ../RELENG_4/secure/lib/libssl/man/SSL_get_rbio.3
*** secure/lib/libssl/man/SSL_get_rbio.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_get_rbio.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:30 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:47 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_rbio 3"
! .TH SSL_get_rbio 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_rbio \- get \s-1BIO\s0 linked to an \s-1SSL\s0 object
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_rbio 3"
! .TH SSL_get_rbio 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_rbio \- get \s-1BIO\s0 linked to an \s-1SSL\s0 object
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_get_session.3 ../RELENG_4/secure/lib/libssl/man/SSL_get_session.3
*** secure/lib/libssl/man/SSL_get_session.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_get_session.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:31 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:47 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_session 3"
! .TH SSL_get_session 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_session \- retrieve \s-1TLS/SSL\s0 session data
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_session 3"
! .TH SSL_get_session 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_session \- retrieve \s-1TLS/SSL\s0 session data
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_get_verify_result.3 ../RELENG_4/secure/lib/libssl/man/SSL_get_verify_result.3
*** secure/lib/libssl/man/SSL_get_verify_result.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_get_verify_result.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:31 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:47 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_verify_result 3"
! .TH SSL_get_verify_result 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_verify_result \- get result of peer certificate verification
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_verify_result 3"
! .TH SSL_get_verify_result 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_verify_result \- get result of peer certificate verification
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_get_version.3 ../RELENG_4/secure/lib/libssl/man/SSL_get_version.3
*** secure/lib/libssl/man/SSL_get_version.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_get_version.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:31 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:47 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_version 3"
! .TH SSL_get_version 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_version \- get the protocol version of a connection.
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_get_version 3"
! .TH SSL_get_version 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_get_version \- get the protocol version of a connection.
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_library_init.3 ../RELENG_4/secure/lib/libssl/man/SSL_library_init.3
*** secure/lib/libssl/man/SSL_library_init.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_library_init.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:31 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:47 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_library_init 3"
! .TH SSL_library_init 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_library_init, OpenSSL_add_ssl_algorithms, SSLeay_add_ssl_algorithms
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_library_init 3"
! .TH SSL_library_init 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_library_init, OpenSSL_add_ssl_algorithms, SSLeay_add_ssl_algorithms
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_load_client_CA_file.3 ../RELENG_4/secure/lib/libssl/man/SSL_load_client_CA_file.3
*** secure/lib/libssl/man/SSL_load_client_CA_file.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_load_client_CA_file.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:31 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:48 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_load_client_CA_file 3"
! .TH SSL_load_client_CA_file 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_load_client_CA_file \- load certificate names from file
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_load_client_CA_file 3"
! .TH SSL_load_client_CA_file 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_load_client_CA_file \- load certificate names from file
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_new.3 ../RELENG_4/secure/lib/libssl/man/SSL_new.3
*** secure/lib/libssl/man/SSL_new.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_new.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:32 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:48 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_new 3"
! .TH SSL_new 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_new \- create a new \s-1SSL\s0 structure for a connection
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_new 3"
! .TH SSL_new 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_new \- create a new \s-1SSL\s0 structure for a connection
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_pending.3 ../RELENG_4/secure/lib/libssl/man/SSL_pending.3
*** secure/lib/libssl/man/SSL_pending.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_pending.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:32 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:48 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_pending 3"
! .TH SSL_pending 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_pending \- obtain number of readable bytes buffered in an \s-1SSL\s0 object
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_pending 3"
! .TH SSL_pending 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_pending \- obtain number of readable bytes buffered in an \s-1SSL\s0 object
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_read.3 ../RELENG_4/secure/lib/libssl/man/SSL_read.3
*** secure/lib/libssl/man/SSL_read.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_read.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:32 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:48 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_read 3"
! .TH SSL_read 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_read \- read bytes from a \s-1TLS/SSL\s0 connection.
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_read 3"
! .TH SSL_read 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_read \- read bytes from a \s-1TLS/SSL\s0 connection.
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_rstate_string.3 ../RELENG_4/secure/lib/libssl/man/SSL_rstate_string.3
*** secure/lib/libssl/man/SSL_rstate_string.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_rstate_string.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:32 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:48 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_rstate_string 3"
! .TH SSL_rstate_string 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_rstate_string, SSL_rstate_string_long \- get textual description of state of an \s-1SSL\s0 object during read operation
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_rstate_string 3"
! .TH SSL_rstate_string 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_rstate_string, SSL_rstate_string_long \- get textual description of state of an \s-1SSL\s0 object during read operation
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_session_reused.3 ../RELENG_4/secure/lib/libssl/man/SSL_session_reused.3
*** secure/lib/libssl/man/SSL_session_reused.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_session_reused.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:32 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:48 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_session_reused 3"
! .TH SSL_session_reused 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_session_reused \- query whether a reused session was negotiated during handshake
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_session_reused 3"
! .TH SSL_session_reused 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_session_reused \- query whether a reused session was negotiated during handshake
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_set_bio.3 ../RELENG_4/secure/lib/libssl/man/SSL_set_bio.3
*** secure/lib/libssl/man/SSL_set_bio.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_set_bio.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:32 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:49 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_set_bio 3"
! .TH SSL_set_bio 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_set_bio \- connect the \s-1SSL\s0 object with a \s-1BIO\s0
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_set_bio 3"
! .TH SSL_set_bio 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_set_bio \- connect the \s-1SSL\s0 object with a \s-1BIO\s0
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_set_connect_state.3 ../RELENG_4/secure/lib/libssl/man/SSL_set_connect_state.3
*** secure/lib/libssl/man/SSL_set_connect_state.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_set_connect_state.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:33 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:49 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_set_connect_state 3"
! .TH SSL_set_connect_state 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_set_connect_state, SSL_get_accept_state \- prepare \s-1SSL\s0 object to work in client or server mode
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_set_connect_state 3"
! .TH SSL_set_connect_state 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_set_connect_state, SSL_get_accept_state \- prepare \s-1SSL\s0 object to work in client or server mode
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_set_fd.3 ../RELENG_4/secure/lib/libssl/man/SSL_set_fd.3
*** secure/lib/libssl/man/SSL_set_fd.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_set_fd.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:33 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:49 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_set_fd 3"
! .TH SSL_set_fd 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_set_fd \- connect the \s-1SSL\s0 object with a file descriptor
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_set_fd 3"
! .TH SSL_set_fd 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_set_fd \- connect the \s-1SSL\s0 object with a file descriptor
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_set_session.3 ../RELENG_4/secure/lib/libssl/man/SSL_set_session.3
*** secure/lib/libssl/man/SSL_set_session.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_set_session.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:33 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:49 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_set_session 3"
! .TH SSL_set_session 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_set_session \- set a \s-1TLS/SSL\s0 session to be used during \s-1TLS/SSL\s0 connect
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_set_session 3"
! .TH SSL_set_session 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_set_session \- set a \s-1TLS/SSL\s0 session to be used during \s-1TLS/SSL\s0 connect
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_set_shutdown.3 ../RELENG_4/secure/lib/libssl/man/SSL_set_shutdown.3
*** secure/lib/libssl/man/SSL_set_shutdown.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_set_shutdown.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:33 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:49 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_set_shutdown 3"
! .TH SSL_set_shutdown 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_set_shutdown, SSL_get_shutdown \- manipulate shutdown state of an \s-1SSL\s0 connection
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_set_shutdown 3"
! .TH SSL_set_shutdown 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_set_shutdown, SSL_get_shutdown \- manipulate shutdown state of an \s-1SSL\s0 connection
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_set_verify_result.3 ../RELENG_4/secure/lib/libssl/man/SSL_set_verify_result.3
*** secure/lib/libssl/man/SSL_set_verify_result.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_set_verify_result.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:33 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:49 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_set_verify_result 3"
! .TH SSL_set_verify_result 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_set_verify_result \- override result of peer certificate verification
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_set_verify_result 3"
! .TH SSL_set_verify_result 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_set_verify_result \- override result of peer certificate verification
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_shutdown.3 ../RELENG_4/secure/lib/libssl/man/SSL_shutdown.3
*** secure/lib/libssl/man/SSL_shutdown.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_shutdown.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:34 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:49 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_shutdown 3"
! .TH SSL_shutdown 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_shutdown \- shut down a \s-1TLS/SSL\s0 connection
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_shutdown 3"
! .TH SSL_shutdown 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_shutdown \- shut down a \s-1TLS/SSL\s0 connection
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_state_string.3 ../RELENG_4/secure/lib/libssl/man/SSL_state_string.3
*** secure/lib/libssl/man/SSL_state_string.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_state_string.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:34 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:50 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_state_string 3"
! .TH SSL_state_string 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_state_string, SSL_state_string_long \- get textual description of state of an \s-1SSL\s0 object
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_state_string 3"
! .TH SSL_state_string 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_state_string, SSL_state_string_long \- get textual description of state of an \s-1SSL\s0 object
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_want.3 ../RELENG_4/secure/lib/libssl/man/SSL_want.3
*** secure/lib/libssl/man/SSL_want.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_want.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:34 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:50 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_want 3"
! .TH SSL_want 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_want, SSL_want_nothing, SSL_want_read, SSL_want_write, SSL_want_x509_lookup \- obtain state information \s-1TLS/SSL\s0 I/O operation
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_want 3"
! .TH SSL_want 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_want, SSL_want_nothing, SSL_want_read, SSL_want_write, SSL_want_x509_lookup \- obtain state information \s-1TLS/SSL\s0 I/O operation
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/SSL_write.3 ../RELENG_4/secure/lib/libssl/man/SSL_write.3
*** secure/lib/libssl/man/SSL_write.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/SSL_write.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:34 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:50 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SSL_write 3"
! .TH SSL_write 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_write \- write bytes to a \s-1TLS/SSL\s0 connection.
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SSL_write 3"
! .TH SSL_write 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  SSL_write \- write bytes to a \s-1TLS/SSL\s0 connection.
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/d2i_SSL_SESSION.3 ../RELENG_4/secure/lib/libssl/man/d2i_SSL_SESSION.3
*** secure/lib/libssl/man/d2i_SSL_SESSION.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/d2i_SSL_SESSION.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:34 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:50 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "d2i_SSL_SESSION 3"
! .TH d2i_SSL_SESSION 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  d2i_SSL_SESSION, i2d_SSL_SESSION \- convert \s-1SSL_SESSION\s0 object from/to \s-1ASN1\s0 representation
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "d2i_SSL_SESSION 3"
! .TH d2i_SSL_SESSION 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  d2i_SSL_SESSION, i2d_SSL_SESSION \- convert \s-1SSL_SESSION\s0 object from/to \s-1ASN1\s0 representation
diff --exclude=CVS -I\$FreeBSD -rcN secure/lib/libssl/man/ssl.3 ../RELENG_4/secure/lib/libssl/man/ssl.3
*** secure/lib/libssl/man/ssl.3	Mon Feb 24 20:43:39 2003
--- ../RELENG_4/secure/lib/libssl/man/ssl.3	Mon Feb 24 21:15:48 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:02:35 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:47:50 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "ssl 3"
! .TH ssl 3 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  \&\s-1SSL\s0 \- OpenSSL \s-1SSL/TLS\s0 library
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "ssl 3"
! .TH ssl 3 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  \&\s-1SSL\s0 \- OpenSSL \s-1SSL/TLS\s0 library
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/CA.pl.1 ../RELENG_4/secure/usr.bin/openssl/man/CA.pl.1
*** secure/usr.bin/openssl/man/CA.pl.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/CA.pl.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:53 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:30 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "CA.PL 1"
! .TH CA.PL 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  \&\s-1CA\s0.pl \- friendlier interface for OpenSSL certificate programs
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "CA.PL 1"
! .TH CA.PL 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  \&\s-1CA\s0.pl \- friendlier interface for OpenSSL certificate programs
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/asn1parse.1 ../RELENG_4/secure/usr.bin/openssl/man/asn1parse.1
*** secure/usr.bin/openssl/man/asn1parse.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/asn1parse.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:53 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:31 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "ASN1PARSE 1"
! .TH ASN1PARSE 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  asn1parse \- \s-1ASN\s0.1 parsing tool
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "ASN1PARSE 1"
! .TH ASN1PARSE 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  asn1parse \- \s-1ASN\s0.1 parsing tool
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/ca.1 ../RELENG_4/secure/usr.bin/openssl/man/ca.1
*** secure/usr.bin/openssl/man/ca.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/ca.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:53 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:31 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "CA 1"
! .TH CA 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  ca \- sample minimal \s-1CA\s0 application
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "CA 1"
! .TH CA 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  ca \- sample minimal \s-1CA\s0 application
***************
*** 180,185 ****
--- 180,186 ----
  [\fB\-msie_hack\fR]
  [\fB\-extensions section\fR]
  [\fB\-extfile section\fR]
+ [\fB\-engine id\fR]
  .SH "DESCRIPTION"
  .IX Header "DESCRIPTION"
  The \fBca\fR command is a minimal \s-1CA\s0 application. It can be used
***************
*** 303,308 ****
--- 304,315 ----
  an additional configuration file to read certificate extensions from
  (using the default section unless the \fB\-extensions\fR option is also
  used).
+ .Ip "\fB\-engine id\fR" 4
+ .IX Item "-engine id"
+ specifying an engine (by it's unique \fBid\fR string) will cause \fBreq\fR
+ to attempt to obtain a functional reference to the specified engine,
+ thus initialising it if needed. The engine will then be set as the default
+ for all available algorithms.
  .SH "CRL OPTIONS"
  .IX Header "CRL OPTIONS"
  .Ip "\fB\-gencrl\fR" 4
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/ciphers.1 ../RELENG_4/secure/usr.bin/openssl/man/ciphers.1
*** secure/usr.bin/openssl/man/ciphers.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/ciphers.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:53 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:31 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "CIPHERS 1"
! .TH CIPHERS 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  ciphers \- \s-1SSL\s0 cipher display and cipher list tool.
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "CIPHERS 1"
! .TH CIPHERS 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  ciphers \- \s-1SSL\s0 cipher display and cipher list tool.
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/crl.1 ../RELENG_4/secure/usr.bin/openssl/man/crl.1
*** secure/usr.bin/openssl/man/crl.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/crl.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:54 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:31 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "CRL 1"
! .TH CRL 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  crl \- \s-1CRL\s0 utility
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "CRL 1"
! .TH CRL 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  crl \- \s-1CRL\s0 utility
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/crl2pkcs7.1 ../RELENG_4/secure/usr.bin/openssl/man/crl2pkcs7.1
*** secure/usr.bin/openssl/man/crl2pkcs7.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/crl2pkcs7.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:54 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:32 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "CRL2PKCS7 1"
! .TH CRL2PKCS7 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  crl2pkcs7 \- Create a PKCS#7 structure from a \s-1CRL\s0 and certificates.
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "CRL2PKCS7 1"
! .TH CRL2PKCS7 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  crl2pkcs7 \- Create a PKCS#7 structure from a \s-1CRL\s0 and certificates.
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/dgst.1 ../RELENG_4/secure/usr.bin/openssl/man/dgst.1
*** secure/usr.bin/openssl/man/dgst.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/dgst.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:54 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:32 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "DGST 1"
! .TH DGST 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  dgst, md5, md4, md2, sha1, sha, mdc2, ripemd160 \- message digests
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "DGST 1"
! .TH DGST 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  dgst, md5, md4, md2, sha1, sha, mdc2, ripemd160 \- message digests
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/dhparam.1 ../RELENG_4/secure/usr.bin/openssl/man/dhparam.1
*** secure/usr.bin/openssl/man/dhparam.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/dhparam.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:54 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:32 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "DHPARAM 1"
! .TH DHPARAM 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  dhparam \- \s-1DH\s0 parameter manipulation and generation
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "DHPARAM 1"
! .TH DHPARAM 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  dhparam \- \s-1DH\s0 parameter manipulation and generation
***************
*** 156,161 ****
--- 156,162 ----
  [\fB\-2\fR]
  [\fB\-5\fR]
  [\fB\-rand\fR \fI\fIfile\fI\|(s)\fR]
+ [\fB\-engine id\fR]
  [\fInumbits\fR]
  .SH "DESCRIPTION"
  .IX Header "DESCRIPTION"
***************
*** 219,224 ****
--- 220,231 ----
  .IX Item "-C"
  this option converts the parameters into C code. The parameters can then
  be loaded by calling the \fBget_dh\fR\fInumbits\fR\fB()\fR function.
+ .Ip "\fB\-engine id\fR" 4
+ .IX Item "-engine id"
+ specifying an engine (by it's unique \fBid\fR string) will cause \fBreq\fR
+ to attempt to obtain a functional reference to the specified engine,
+ thus initialising it if needed. The engine will then be set as the default
+ for all available algorithms.
  .SH "WARNINGS"
  .IX Header "WARNINGS"
  The program \fBdhparam\fR combines the functionality of the programs \fBdh\fR and
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/dsa.1 ../RELENG_4/secure/usr.bin/openssl/man/dsa.1
*** secure/usr.bin/openssl/man/dsa.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/dsa.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:54 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:32 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "DSA 1"
! .TH DSA 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  dsa \- \s-1DSA\s0 key processing
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "DSA 1"
! .TH DSA 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  dsa \- \s-1DSA\s0 key processing
***************
*** 159,164 ****
--- 159,165 ----
  [\fB\-modulus\fR]
  [\fB\-pubin\fR]
  [\fB\-pubout\fR]
+ [\fB\-engine id\fR]
  .SH "DESCRIPTION"
  .IX Header "DESCRIPTION"
  The \fBdsa\fR command processes \s-1DSA\s0 keys. They can be converted between various
***************
*** 228,233 ****
--- 229,240 ----
  by default a private key is output. With this option a public
  key will be output instead. This option is automatically set if the input is
  a public key.
+ .Ip "\fB\-engine id\fR" 4
+ .IX Item "-engine id"
+ specifying an engine (by it's unique \fBid\fR string) will cause \fBreq\fR
+ to attempt to obtain a functional reference to the specified engine,
+ thus initialising it if needed. The engine will then be set as the default
+ for all available algorithms.
  .SH "NOTES"
  .IX Header "NOTES"
  The \s-1PEM\s0 private key format uses the header and footer lines:
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/dsaparam.1 ../RELENG_4/secure/usr.bin/openssl/man/dsaparam.1
*** secure/usr.bin/openssl/man/dsaparam.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/dsaparam.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:55 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:32 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "DSAPARAM 1"
! .TH DSAPARAM 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  dsaparam \- \s-1DSA\s0 parameter manipulation and generation
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "DSAPARAM 1"
! .TH DSAPARAM 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  dsaparam \- \s-1DSA\s0 parameter manipulation and generation
***************
*** 154,159 ****
--- 154,160 ----
  [\fB\-C\fR]
  [\fB\-rand \f(BIfile\fB\|(s)\fR]
  [\fB\-genkey\fR]
+ [\fB\-engine id\fR]
  [\fBnumbits\fR]
  .SH "DESCRIPTION"
  .IX Header "DESCRIPTION"
***************
*** 206,211 ****
--- 207,218 ----
  this option specifies that a parameter set should be generated of size
  \&\fBnumbits\fR. It must be the last option. If this option is included then
  the input file (if any) is ignored.
+ .Ip "\fB\-engine id\fR" 4
+ .IX Item "-engine id"
+ specifying an engine (by it's unique \fBid\fR string) will cause \fBreq\fR
+ to attempt to obtain a functional reference to the specified engine,
+ thus initialising it if needed. The engine will then be set as the default
+ for all available algorithms.
  .SH "NOTES"
  .IX Header "NOTES"
  \&\s-1PEM\s0 format \s-1DSA\s0 parameters use the header and footer lines:
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/enc.1 ../RELENG_4/secure/usr.bin/openssl/man/enc.1
*** secure/usr.bin/openssl/man/enc.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/enc.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:55 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:33 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "ENC 1"
! .TH ENC 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  enc \- symmetric cipher routines
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "ENC 1"
! .TH ENC 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  enc \- symmetric cipher routines
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/gendsa.1 ../RELENG_4/secure/usr.bin/openssl/man/gendsa.1
*** secure/usr.bin/openssl/man/gendsa.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/gendsa.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:55 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:33 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "GENDSA 1"
! .TH GENDSA 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  gendsa \- generate a \s-1DSA\s0 private key from a set of parameters
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "GENDSA 1"
! .TH GENDSA 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  gendsa \- generate a \s-1DSA\s0 private key from a set of parameters
***************
*** 150,155 ****
--- 150,156 ----
  [\fB\-des3\fR]
  [\fB\-idea\fR]
  [\fB\-rand \f(BIfile\fB\|(s)\fR]
+ [\fB\-engine id\fR]
  [\fBparamfile\fR]
  .SH "DESCRIPTION"
  .IX Header "DESCRIPTION"
***************
*** 169,174 ****
--- 170,181 ----
  Multiple files can be specified separated by a OS-dependent character.
  The separator is \fB;\fR for MS-Windows, \fB,\fR for OpenVMS, and \fB:\fR for
  all others.
+ .Ip "\fB\-engine id\fR" 4
+ .IX Item "-engine id"
+ specifying an engine (by it's unique \fBid\fR string) will cause \fBreq\fR
+ to attempt to obtain a functional reference to the specified engine,
+ thus initialising it if needed. The engine will then be set as the default
+ for all available algorithms.
  .Ip "\fBparamfile\fR" 4
  .IX Item "paramfile"
  This option specifies the \s-1DSA\s0 parameter file to use. The parameters in this
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/genrsa.1 ../RELENG_4/secure/usr.bin/openssl/man/genrsa.1
*** secure/usr.bin/openssl/man/genrsa.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/genrsa.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:55 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:33 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "GENRSA 1"
! .TH GENRSA 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  genrsa \- generate an \s-1RSA\s0 private key
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "GENRSA 1"
! .TH GENRSA 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  genrsa \- generate an \s-1RSA\s0 private key
***************
*** 153,158 ****
--- 153,159 ----
  [\fB\-f4\fR]
  [\fB\-3\fR]
  [\fB\-rand \f(BIfile\fB\|(s)\fR]
+ [\fB\-engine id\fR]
  [\fBnumbits\fR]
  .SH "DESCRIPTION"
  .IX Header "DESCRIPTION"
***************
*** 183,188 ****
--- 184,195 ----
  Multiple files can be specified separated by a OS-dependent character.
  The separator is \fB;\fR for MS-Windows, \fB,\fR for OpenVMS, and \fB:\fR for
  all others.
+ .Ip "\fB\-engine id\fR" 4
+ .IX Item "-engine id"
+ specifying an engine (by it's unique \fBid\fR string) will cause \fBreq\fR
+ to attempt to obtain a functional reference to the specified engine,
+ thus initialising it if needed. The engine will then be set as the default
+ for all available algorithms.
  .Ip "\fBnumbits\fR" 4
  .IX Item "numbits"
  the size of the private key to generate in bits. This must be the last option
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/nseq.1 ../RELENG_4/secure/usr.bin/openssl/man/nseq.1
*** secure/usr.bin/openssl/man/nseq.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/nseq.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:56 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:33 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "NSEQ 1"
! .TH NSEQ 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  nseq \- create or examine a netscape certificate sequence
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "NSEQ 1"
! .TH NSEQ 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  nseq \- create or examine a netscape certificate sequence
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/ocsp.1 ../RELENG_4/secure/usr.bin/openssl/man/ocsp.1
*** secure/usr.bin/openssl/man/ocsp.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/ocsp.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:56 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:33 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "OCSP 1"
! .TH OCSP 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  ocsp \- Online Certificate Status Protocol utility
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "OCSP 1"
! .TH OCSP 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  ocsp \- Online Certificate Status Protocol utility
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/openssl.1 ../RELENG_4/secure/usr.bin/openssl/man/openssl.1
*** secure/usr.bin/openssl/man/openssl.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/openssl.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:56 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:34 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "OPENSSL 1"
! .TH OPENSSL 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  openssl \- OpenSSL command line tool
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "OPENSSL 1"
! .TH OPENSSL 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  openssl \- OpenSSL command line tool
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/passwd.1 ../RELENG_4/secure/usr.bin/openssl/man/passwd.1
*** secure/usr.bin/openssl/man/passwd.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/passwd.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:56 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:34 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "PASSWD 1"
! .TH PASSWD 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  passwd \- compute password hashes
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "PASSWD 1"
! .TH PASSWD 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  passwd \- compute password hashes
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/pkcs12.1 ../RELENG_4/secure/usr.bin/openssl/man/pkcs12.1
*** secure/usr.bin/openssl/man/pkcs12.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/pkcs12.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:57 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:35 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "PKCS12 1"
! .TH PKCS12 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  pkcs12 \- PKCS#12 file utility
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "PKCS12 1"
! .TH PKCS12 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  pkcs12 \- PKCS#12 file utility
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/pkcs7.1 ../RELENG_4/secure/usr.bin/openssl/man/pkcs7.1
*** secure/usr.bin/openssl/man/pkcs7.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/pkcs7.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:57 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:35 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "PKCS7 1"
! .TH PKCS7 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  pkcs7 \- PKCS#7 utility
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "PKCS7 1"
! .TH PKCS7 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  pkcs7 \- PKCS#7 utility
***************
*** 152,157 ****
--- 152,158 ----
  [\fB\-print_certs\fR]
  [\fB\-text\fR]
  [\fB\-noout\fR]
+ [\fB\-engine id\fR]
  .SH "DESCRIPTION"
  .IX Header "DESCRIPTION"
  The \fBpkcs7\fR command processes PKCS#7 files in \s-1DER\s0 or \s-1PEM\s0 format.
***************
*** 186,191 ****
--- 187,198 ----
  .IX Item "-noout"
  don't output the encoded version of the PKCS#7 structure (or certificates
  is \fB\-print_certs\fR is set).
+ .Ip "\fB\-engine id\fR" 4
+ .IX Item "-engine id"
+ specifying an engine (by it's unique \fBid\fR string) will cause \fBreq\fR
+ to attempt to obtain a functional reference to the specified engine,
+ thus initialising it if needed. The engine will then be set as the default
+ for all available algorithms.
  .SH "EXAMPLES"
  .IX Header "EXAMPLES"
  Convert a PKCS#7 file from \s-1PEM\s0 to \s-1DER:\s0
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/pkcs8.1 ../RELENG_4/secure/usr.bin/openssl/man/pkcs8.1
*** secure/usr.bin/openssl/man/pkcs8.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/pkcs8.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:57 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:35 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "PKCS8 1"
! .TH PKCS8 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  pkcs8 \- PKCS#8 format private key conversion tool
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "PKCS8 1"
! .TH PKCS8 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  pkcs8 \- PKCS#8 format private key conversion tool
***************
*** 159,164 ****
--- 159,165 ----
  [\fB\-nsdb\fR]
  [\fB\-v2 alg\fR]
  [\fB\-v1 alg\fR]
+ [\fB\-engine id\fR]
  .SH "DESCRIPTION"
  .IX Header "DESCRIPTION"
  The \fBpkcs8\fR command processes private keys in PKCS#8 format. It can handle
***************
*** 243,248 ****
--- 244,255 ----
  .IX Item "-v1 alg"
  This option specifies a PKCS#5 v1.5 or PKCS#12 algorithm to use. A complete
  list of possible algorithms is included below.
+ .Ip "\fB\-engine id\fR" 4
+ .IX Item "-engine id"
+ specifying an engine (by it's unique \fBid\fR string) will cause \fBreq\fR
+ to attempt to obtain a functional reference to the specified engine,
+ thus initialising it if needed. The engine will then be set as the default
+ for all available algorithms.
  .SH "NOTES"
  .IX Header "NOTES"
  The encrypted form of a \s-1PEM\s0 encode PKCS#8 files uses the following
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/rand.1 ../RELENG_4/secure/usr.bin/openssl/man/rand.1
*** secure/usr.bin/openssl/man/rand.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/rand.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:57 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:35 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "RAND 1"
! .TH RAND 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  rand \- generate pseudo-random bytes
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "RAND 1"
! .TH RAND 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  rand \- generate pseudo-random bytes
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/req.1 ../RELENG_4/secure/usr.bin/openssl/man/req.1
*** secure/usr.bin/openssl/man/req.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/req.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:57 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:35 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "REQ 1"
! .TH REQ 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  req \- PKCS#10 certificate request and certificate generating utility.
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "REQ 1"
! .TH REQ 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  req \- PKCS#10 certificate request and certificate generating utility.
***************
*** 178,183 ****
--- 178,184 ----
  [\fB\-nameopt\fR]
  [\fB\-batch\fR]
  [\fB\-verbose\fR]
+ [\fB\-engine id\fR]
  .SH "DESCRIPTION"
  .IX Header "DESCRIPTION"
  The \fBreq\fR command primarily creates and processes certificate requests
***************
*** 348,353 ****
--- 349,360 ----
  .Ip "\fB\-verbose\fR" 4
  .IX Item "-verbose"
  print extra details about the operations being performed.
+ .Ip "\fB\-engine id\fR" 4
+ .IX Item "-engine id"
+ specifying an engine (by it's unique \fBid\fR string) will cause \fBreq\fR
+ to attempt to obtain a functional reference to the specified engine,
+ thus initialising it if needed. The engine will then be set as the default
+ for all available algorithms.
  .SH "CONFIGURATION FILE FORMAT"
  .IX Header "CONFIGURATION FILE FORMAT"
  The configuration options are specified in the \fBreq\fR section of
***************
*** 490,496 ****
  The actual permitted field names are any object identifier short or
  long names. These are compiled into OpenSSL and include the usual
  values such as commonName, countryName, localityName, organizationName,
! organizationUnitName, stateOrPrivinceName. Additionally emailAddress
  is include as well as name, surname, givenName initials and dnQualifier.
  .PP
  Additional object identifiers can be defined with the \fBoid_file\fR or
--- 497,503 ----
  The actual permitted field names are any object identifier short or
  long names. These are compiled into OpenSSL and include the usual
  values such as commonName, countryName, localityName, organizationName,
! organizationUnitName, stateOrProvinceName. Additionally emailAddress
  is include as well as name, surname, givenName initials and dnQualifier.
  .PP
  Additional object identifiers can be defined with the \fBoid_file\fR or
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/rsa.1 ../RELENG_4/secure/usr.bin/openssl/man/rsa.1
*** secure/usr.bin/openssl/man/rsa.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/rsa.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:58 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:36 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "RSA 1"
! .TH RSA 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  rsa \- \s-1RSA\s0 key processing tool
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "RSA 1"
! .TH RSA 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  rsa \- \s-1RSA\s0 key processing tool
***************
*** 161,166 ****
--- 161,167 ----
  [\fB\-check\fR]
  [\fB\-pubin\fR]
  [\fB\-pubout\fR]
+ [\fB\-engine id\fR]
  .SH "DESCRIPTION"
  .IX Header "DESCRIPTION"
  The \fBrsa\fR command processes \s-1RSA\s0 keys. They can be converted between various
***************
*** 236,241 ****
--- 237,248 ----
  by default a private key is output: with this option a public
  key will be output instead. This option is automatically set if
  the input is a public key.
+ .Ip "\fB\-engine id\fR" 4
+ .IX Item "-engine id"
+ specifying an engine (by it's unique \fBid\fR string) will cause \fBreq\fR
+ to attempt to obtain a functional reference to the specified engine,
+ thus initialising it if needed. The engine will then be set as the default
+ for all available algorithms.
  .SH "NOTES"
  .IX Header "NOTES"
  The \s-1PEM\s0 private key format uses the header and footer lines:
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/rsautl.1 ../RELENG_4/secure/usr.bin/openssl/man/rsautl.1
*** secure/usr.bin/openssl/man/rsautl.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/rsautl.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:58 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:36 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "RSAUTL 1"
! .TH RSAUTL 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  rsautl \- \s-1RSA\s0 utility
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "RSAUTL 1"
! .TH RSAUTL 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  rsautl \- \s-1RSA\s0 utility
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/s_client.1 ../RELENG_4/secure/usr.bin/openssl/man/s_client.1
*** secure/usr.bin/openssl/man/s_client.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/s_client.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:58 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:36 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "S_CLIENT 1"
! .TH S_CLIENT 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  s_client \- \s-1SSL/TLS\s0 client program
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "S_CLIENT 1"
! .TH S_CLIENT 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  s_client \- \s-1SSL/TLS\s0 client program
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/s_server.1 ../RELENG_4/secure/usr.bin/openssl/man/s_server.1
*** secure/usr.bin/openssl/man/s_server.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/s_server.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:58 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:37 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "S_SERVER 1"
! .TH S_SERVER 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  s_server \- \s-1SSL/TLS\s0 server program
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "S_SERVER 1"
! .TH S_SERVER 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  s_server \- \s-1SSL/TLS\s0 server program
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/sess_id.1 ../RELENG_4/secure/usr.bin/openssl/man/sess_id.1
*** secure/usr.bin/openssl/man/sess_id.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/sess_id.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:59 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:37 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SESS_ID 1"
! .TH SESS_ID 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  sess_id \- \s-1SSL/TLS\s0 session handling utility
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SESS_ID 1"
! .TH SESS_ID 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  sess_id \- \s-1SSL/TLS\s0 session handling utility
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/smime.1 ../RELENG_4/secure/usr.bin/openssl/man/smime.1
*** secure/usr.bin/openssl/man/smime.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/smime.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:59 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:37 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SMIME 1"
! .TH SMIME 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  smime \- S/MIME utility
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SMIME 1"
! .TH SMIME 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  smime \- S/MIME utility
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/speed.1 ../RELENG_4/secure/usr.bin/openssl/man/speed.1
*** secure/usr.bin/openssl/man/speed.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/speed.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:59 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:37 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SPEED 1"
! .TH SPEED 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  speed \- test library performance
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SPEED 1"
! .TH SPEED 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  speed \- test library performance
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/spkac.1 ../RELENG_4/secure/usr.bin/openssl/man/spkac.1
*** secure/usr.bin/openssl/man/spkac.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/spkac.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:00:59 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:38 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "SPKAC 1"
! .TH SPKAC 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  spkac \- \s-1SPKAC\s0 printing and generating utility
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "SPKAC 1"
! .TH SPKAC 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  spkac \- \s-1SPKAC\s0 printing and generating utility
***************
*** 155,160 ****
--- 155,161 ----
  [\fB\-spksect section\fR]
  [\fB\-noout\fR]
  [\fB\-verify\fR]
+ [\fB\-engine id\fR]
  .SH "DESCRIPTION"
  .IX Header "DESCRIPTION"
  The \fBspkac\fR command processes Netscape signed public key and challenge
***************
*** 202,207 ****
--- 203,214 ----
  .Ip "\fB\-verify\fR" 4
  .IX Item "-verify"
  verifies the digital signature on the supplied \s-1SPKAC\s0.
+ .Ip "\fB\-engine id\fR" 4
+ .IX Item "-engine id"
+ specifying an engine (by it's unique \fBid\fR string) will cause \fBreq\fR
+ to attempt to obtain a functional reference to the specified engine,
+ thus initialising it if needed. The engine will then be set as the default
+ for all available algorithms.
  .SH "EXAMPLES"
  .IX Header "EXAMPLES"
  Print out the contents of an \s-1SPKAC:\s0
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/verify.1 ../RELENG_4/secure/usr.bin/openssl/man/verify.1
*** secure/usr.bin/openssl/man/verify.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/verify.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:00 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:38 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "VERIFY 1"
! .TH VERIFY 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  verify \- Utility to verify certificates.
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "VERIFY 1"
! .TH VERIFY 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  verify \- Utility to verify certificates.
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/version.1 ../RELENG_4/secure/usr.bin/openssl/man/version.1
*** secure/usr.bin/openssl/man/version.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/version.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:00 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:38 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "VERSION 1"
! .TH VERSION 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  version \- print OpenSSL version information
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "VERSION 1"
! .TH VERSION 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  version \- print OpenSSL version information
diff --exclude=CVS -I\$FreeBSD -rcN secure/usr.bin/openssl/man/x509.1 ../RELENG_4/secure/usr.bin/openssl/man/x509.1
*** secure/usr.bin/openssl/man/x509.1	Mon Feb 24 20:43:40 2003
--- ../RELENG_4/secure/usr.bin/openssl/man/x509.1	Mon Feb 24 21:15:49 2003
***************
*** 1,5 ****
  .\" Automatically generated by Pod::Man version 1.15
! .\" Mon Feb  3 10:01:00 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
--- 1,5 ----
  .\" Automatically generated by Pod::Man version 1.15
! .\" Wed Feb 19 16:49:38 2003
  .\"
  .\" Standard preamble:
  .\" ======================================================================
***************
*** 138,144 ****
  .\" ======================================================================
  .\"
  .IX Title "X509 1"
! .TH X509 1 "0.9.7" "2003-02-03" "OpenSSL"
  .UC
  .SH "NAME"
  x509 \- Certificate display and signing utility
--- 138,144 ----
  .\" ======================================================================
  .\"
  .IX Title "X509 1"
! .TH X509 1 "0.9.7a" "2003-02-19" "OpenSSL"
  .UC
  .SH "NAME"
  x509 \- Certificate display and signing utility
***************
*** 187,192 ****
--- 187,193 ----
  [\fB\-clrext\fR]
  [\fB\-extfile filename\fR]
  [\fB\-extensions section\fR]
+ [\fB\-engine id\fR]
  .SH "DESCRIPTION"
  .IX Header "DESCRIPTION"
  The \fBx509\fR command is a multi purpose certificate utility. It can be
***************
*** 226,231 ****
--- 227,238 ----
  digest, such as the \fB\-fingerprint\fR, \fB\-signkey\fR and \fB\-CA\fR options. If not
  specified then \s-1MD5\s0 is used. If the key being used to sign with is a \s-1DSA\s0 key then
  this option has no effect: \s-1SHA1\s0 is always used with \s-1DSA\s0 keys.
+ .Ip "\fB\-engine id\fR" 4
+ .IX Item "-engine id"
+ specifying an engine (by it's unique \fBid\fR string) will cause \fBreq\fR
+ to attempt to obtain a functional reference to the specified engine,
+ thus initialising it if needed. The engine will then be set as the default
+ for all available algorithms.
  .Sh "\s-1DISPLAY\s0 \s-1OPTIONS\s0"
  .IX Subsection "DISPLAY OPTIONS"
  Note: the \fB\-alias\fR and \fB\-purpose\fR options are also display options
***************
*** 673,680 ****
  \&\*(L"Steve's Class 1 \s-1CA\s0\*(R"
  .PP
  .Vb 2
! \& openssl x509 -in cert.pem -addtrust sslclient \e
! \&        -alias "Steve's Class 1 CA" -out trust.pem
  .Ve
  .SH "NOTES"
  .IX Header "NOTES"
--- 680,687 ----
  \&\*(L"Steve's Class 1 \s-1CA\s0\*(R"
  .PP
  .Vb 2
! \& openssl x509 -in cert.pem -addtrust clientAuth \e
! \&        -setalias "Steve's Class 1 CA" -out trust.pem
  .Ve
  .SH "NOTES"
  .IX Header "NOTES"
